%--------------------------------------------------------------------------
% File     : NUM003-0 : TPTP v2.1.0. Bugfixed v1.2.1.
% Domain   : Number Theory
% Axioms   : Number theory axioms, based on Godel set theory
% Version  : [BL+86] axioms.
% English  : 

% Refs     : [BL+86] Boyer et al. (1986), Set Theory in First-Order Logic:
%          : [McC92] McCune (1992), Email to G. Sutcliffe
% Source   : [McC92]
% Names    : 

% Status   : 
% Syntax   : Number of clauses    :   27 (   0 non-Horn;   0 unit;   9 RR)
%            Number of literals   :   55 (  53 equality)
%            Maximal clause size  :    3 (   2 average)
%            Number of predicates :    2 (   0 propositional; 1-2 arity)
%            Number of functors   :   17 (   0 constant; 1-2 arity)
%            Number of variables  :   72 (   0 singleton)
%            Maximal term depth   :    2 (   1 average)

% Comments : Based on Godel's set theory axioms, and hence require that 
%            Godel's set theory and Godel's abstract algebra axioms also 
%            be used.
% Bugfixes : v1.2.1 - Missing substitution axioms added.
%--------------------------------------------------------------------------
input_clause(f43_substitution_1,axiom,
    [-- equal(A, B),
     ++ equal(f43(A, C), f43(B, C))]).

input_clause(f43_substitution_2,axiom,
    [-- equal(A, B),
     ++ equal(f43(C, A), f43(C, B))]).

input_clause(f44_substitution_1,axiom,
    [-- equal(A, B),
     ++ equal(f44(A), f44(B))]).

input_clause(f45_substitution_1,axiom,
    [-- equal(A, B),
     ++ equal(f45(A, C), f45(B, C))]).

input_clause(f45_substitution_2,axiom,
    [-- equal(A, B),
     ++ equal(f45(C, A), f45(C, B))]).

input_clause(f46_substitution_1,axiom,
    [-- equal(A, B),
     ++ equal(f46(A, C), f46(B, C))]).

input_clause(f46_substitution_2,axiom,
    [-- equal(A, B),
     ++ equal(f46(C, A), f46(C, B))]).

input_clause(f47_substitution_1,axiom,
    [-- equal(A, B),
     ++ equal(f47(A, C), f47(B, C))]).

input_clause(f47_substitution_2,axiom,
    [-- equal(A, B),
     ++ equal(f47(C, A), f47(C, B))]).

input_clause(f48_substitution1,axiom,
    [--equal(A1,B1),
     ++equal(f48(A1,C1),f48(B1,C1))]).

input_clause(f48_substitution2,axiom,
    [--equal(D1,E1),
     ++equal(f48(F1,D1),f48(F1,E1))]).

input_clause(f49_substitution1,axiom,
    [--equal(G1,H1),
     ++equal(f49(G1),f49(H1))]).

input_clause(f50_substitution1,axiom,
    [--equal(I1,J1),
     ++equal(f50(I1,K1),f50(J1,K1))]).

input_clause(f50_substitution2,axiom,
    [--equal(L1,M1),
     ++equal(f50(N1,L1),f50(N1,M1))]).

input_clause(f51_substitution1,axiom,
    [--equal(O1,P1),
     ++equal(f51(O1,Q1),f51(P1,Q1))]).

input_clause(f51_substitution2,axiom,
    [--equal(R1,S1),
     ++equal(f51(T1,R1),f51(T1,S1))]).

input_clause(f52_substitution1,axiom,
    [--equal(U1,V1),
     ++equal(f52(U1,W1),f52(V1,W1))]).

input_clause(f52_substitution2,axiom,
    [--equal(X1,Y1),
     ++equal(f52(Z1,X1),f52(Z1,Y1))]).

input_clause(f53_substitution1,axiom,
    [--equal(A2,B2),
     ++equal(f53(A2,C2),f53(B2,C2))]).

input_clause(f53_substitution2,axiom,
    [--equal(D2,E2),
     ++equal(f53(F2,D2),f53(F2,E2))]).

input_clause(f54_substitution1,axiom,
    [--equal(G2,H2),
     ++equal(f54(G2),f54(H2))]).

input_clause(f55_substitution1,axiom,
    [--equal(I2,J2),
     ++equal(f55(I2),f55(J2))]).

input_clause(f56_substitution1,axiom,
    [--equal(K2,L2),
     ++equal(f56(K2),f56(L2))]).

input_clause(f57_substitution1,axiom,
    [--equal(M2,N2),
     ++equal(f57(M2),f57(N2))]).

input_clause(f58_substitution1,axiom,
    [--equal(O2,P2),
     ++equal(f58(O2),f58(P2))]).

input_clause(f59_substitution_1,axiom,
    [-- equal(A, B),
     ++ equal(f59(A), f59(B))]).

input_clause(finite_substitution_1,axiom,
    [-- equal(A, B),
     -- finite(A),
     ++ finite(B)]).
%--------------------------------------------------------------------------
