%--------------------------------------------------------------------------
% File     : CAT006-1 : TPTP v2.1.0. Released v1.0.0.
% Domain   : Category Theory
% Problem  : Codomain is the unique left identity
% Version  : [Mit67] axioms.
% English  : codomain(x) is the unique identity j such that jx is defined.

% Refs     : [Mit67] Mitchell (1967), Theory of Categories
%          : [MOW76] McCharen et al. (1976), Problems and Experiments for a
% Source   : [ANL]
% Names    : C6 [MOW76]
%          : p6.ver1.in [ANL]

% Status   : unsatisfiable
% Rating   : 0.00 v2.0.0
% Syntax   : Number of clauses    :   34 (   0 non-Horn;  10 unit;  25 RR)
%            Number of literals   :   80 (  22 equality)
%            Maximal clause size  :    4 (   2 average)
%            Number of predicates :    4 (   0 propositional; 1-3 arity)
%            Number of functors   :    5 (   2 constant; 0-2 arity)
%            Number of variables  :   88 (   5 singleton)
%            Maximal term depth   :    2 (   1 average)

% Comments : 
%--------------------------------------------------------------------------
%----Include axioms of equality 
include('Axioms/EQU001-0.ax').
%----Include Mitchell's axioms for category theory 
include('Axioms/CAT001-0.ax').
include('Axioms/CAT001-0.eq').
%--------------------------------------------------------------------------
input_clause(ha_defined,hypothesis,
    [++defined(h,a)]).

input_clause(h_is_the_identity_map,hypothesis,
    [++identity_map(h)]).

input_clause(prove_codomain_of_a_is_h,conjecture,
    [--equal(codomain(a),h)]).
%--------------------------------------------------------------------------
