%--------------------------------------------------------------------------
% File     : CAT006-4 : TPTP v2.1.0. Released v1.0.0.
% Domain   : Category Theory
% Problem  : Codomain is the unique left identity
% Version  : [Sco79] axioms : Reduced > Complete.
% English  : codomain(x) is the unique identity j such that jx is defined.

% Refs     : [Sco79] Scott (1979), Identity and Existence in Intuitionist L
% Source   : [TPTP]
% Names    : 

% Status   : unsatisfiable
% Rating   : 0.17 v2.1.0, 0.20 v2.0.0
% Syntax   : Number of clauses    :   25 (   0 non-Horn;   6 unit;  19 RR)
%            Number of literals   :   50 (  27 equality)
%            Maximal clause size  :    3 (   2 average)
%            Number of predicates :    3 (   0 propositional; 1-2 arity)
%            Number of functors   :    5 (   2 constant; 0-2 arity)
%            Number of variables  :   45 (   2 singleton)
%            Maximal term depth   :    3 (   1 average)

% Comments : The dependent axioms have been removed.
%--------------------------------------------------------------------------
%----Include axioms of equality 
include('Axioms/EQU001-0.ax').
%----Include Scott's axioms for category theory 
include('Axioms/CAT004-0.ax').
include('Axioms/CAT004-0.eq').
%--------------------------------------------------------------------------
%----Denial of theorem: d is an identity which is not cod(a), 
input_clause(da_exists,hypothesis,
    [++there_exists(compose(d,a))]).

input_clause(xd_equals_x,hypothesis,
    [--there_exists(compose(X,d)),
     ++equal(compose(X,d),X)]).

input_clause(dx_equals_x,hypothesis,
    [--there_exists(compose(d,X)),
     ++equal(compose(d,X),X)]).

input_clause(prove_codomain_of_a_is_d,conjecture,
    [--equal(codomain(a),d)]).
%--------------------------------------------------------------------------
