%--------------------------------------------------------------------------
% File     : CID003-1 : TPTP v2.1.0. Released v1.1.0.
% Domain   : Circuit Design
% Problem  : Invert 3 inputs with 2 not gates
% Version  : [WO+92] axioms.
% English  : 

% Refs     : [WO+92] Wos et al. (1992), Automated Reasoning: Introduction a
% Source   : [ANL]
% Names    : two.inverter.ver1.in [ANL]
%          : - [WO+92]

% Status   : unsatisfiable
% Rating   : 0.83 v2.1.0, 1.00 v2.0.0
% Syntax   : Number of clauses    :   69 (   0 non-Horn;  20 unit;  30 RR)
%            Number of literals   :  141 (  87 equality)
%            Maximal clause size  :    3 (   2 average)
%            Number of predicates :    3 (   0 propositional; 2-10 arity)
%            Number of functors   :   25 (  16 constant; 0-8 arity)
%            Number of variables  :  410 (   9 singleton)
%            Maximal term depth   :   14 (   1 average)

% Comments : The original uses the equality axioms as demodulators.
%--------------------------------------------------------------------------
%----Include axioms of equality
include('Axioms/EQU001-0.ax').
%----Include definitions of AND, OR and NOT
include('Axioms/CID002-0.ax').
%----Include substitution axioms for AND, OR and NOT
include('Axioms/CID001-0.eq').
%--------------------------------------------------------------------------
%----Substitution axioms
input_clause(add_inverter_substitution1,axiom,
    [--equal(D,E),
     ++equal(add_inverter(D,F),add_inverter(E,F))]).

input_clause(add_inverter_substitution2,axiom,
    [--equal(G,H),
     ++equal(add_inverter(I,G),add_inverter(I,H))]).

input_clause(inverter_table_substitution1,axiom,
    [--equal(P,Q),
     ++equal(inverter_table(P,R,S,T,U,V,W,X),
inverter_table(Q,R,S,T,U,V,W,X))]).

input_clause(inverter_table_substitution2,axiom,
    [--equal(Y,Z),
     ++equal(inverter_table(A1,Y,B1,C1,D1,E1,F1,G1),
inverter_table(A1,Z,B1,C1,D1,E1,F1,G1))]).

input_clause(inverter_table_substitution3,axiom,
    [--equal(H1,I1),
     ++equal(inverter_table(J1,K1,H1,L1,M1,N1,O1,P1),
inverter_table(J1,K1,I1,L1,M1,N1,O1,P1))]).

input_clause(inverter_table_substitution4,axiom,
    [--equal(Q1,R1),
     ++equal(inverter_table(S1,T1,U1,Q1,V1,W1,X1,Y1),
inverter_table(S1,T1,U1,R1,V1,W1,X1,Y1))]).

input_clause(inverter_table_substitution5,axiom,
    [--equal(Z1,A2),
     ++equal(inverter_table(B2,C2,D2,E2,Z1,F2,G2,H2),
inverter_table(B2,C2,D2,E2,A2,F2,G2,H2))]).

input_clause(inverter_table_substitution6,axiom,
    [--equal(I2,J2),
     ++equal(inverter_table(K2,L2,M2,N2,O2,I2,P2,Q2),
inverter_table(K2,L2,M2,N2,O2,J2,P2,Q2))]).

input_clause(inverter_table_substitution7,axiom,
    [--equal(R2,S2),
     ++equal(inverter_table(T2,U2,V2,W2,X2,Y2,R2,Z2),
inverter_table(T2,U2,V2,W2,X2,Y2,S2,Z2))]).

input_clause(inverter_table_substitution8,axiom,
    [--equal(A3,B3),
     ++equal(inverter_table(C3,D3,E3,F3,G3,H3,I3,A3),
inverter_table(C3,D3,E3,F3,G3,H3,I3,B3))]).

input_clause(list_substitution1,axiom,
    [--equal(J3,K3),
     ++equal(list(J3,L3),list(K3,L3))]).

input_clause(list_substitution2,axiom,
    [--equal(M3,N3),
     ++equal(list(O3,M3),list(O3,N3))]).

input_clause(list_reversion_substitution1,axiom,
    [--equal(P3,Q3),
     ++equal(list_reversion(P3,R3),list_reversion(Q3,R3))]).

input_clause(list_reversion_substitution2,axiom,
    [--equal(S3,T3),
     ++equal(list_reversion(U3,S3),list_reversion(U3,T3))]).

input_clause(make_reverse_list_substitution1,axiom,
    [--equal(V3,W3),
     ++equal(make_reverse_list(V3),make_reverse_list(W3))]).

input_clause(possible_reversion_substitution1,axiom,
    [--equal(F4,G4),
     ++equal(possible_reversion(F4,H4,I4),possible_reversion(G4,H4,I4))]).

input_clause(possible_reversion_substitution2,axiom,
    [--equal(J4,K4),
     ++equal(possible_reversion(L4,J4,M4),possible_reversion(L4,K4,M4))]).

input_clause(possible_reversion_substitution3,axiom,
    [--equal(N4,O4),
     ++equal(possible_reversion(P4,Q4,N4),possible_reversion(P4,Q4,O4))]).

input_clause(output_substitution1,axiom,
    [--equal(R4,S4),
     --output(R4,T4,U4,V4,W4,X4,Y4,Z4,A5),
     ++output(S4,T4,U4,V4,W4,X4,Y4,Z4,A5)]).

input_clause(output_substitution2,axiom,
    [--equal(B5,C5),
     --output(D5,B5,E5,F5,G5,H5,I5,J5,K5),
     ++output(D5,C5,E5,F5,G5,H5,I5,J5,K5)]).

input_clause(output_substitution3,axiom,
    [--equal(L5,M5),
     --output(N5,O5,L5,P5,Q5,R5,S5,T5,U5),
     ++output(N5,O5,M5,P5,Q5,R5,S5,T5,U5)]).

input_clause(output_substitution4,axiom,
    [--equal(V5,W5),
     --output(X5,Y5,Z5,V5,A6,B6,C6,D6,E6),
     ++output(X5,Y5,Z5,W5,A6,B6,C6,D6,E6)]).

input_clause(output_substitution5,axiom,
    [--equal(F6,G6),
     --output(H6,I6,J6,K6,F6,L6,M6,N6,O6),
     ++output(H6,I6,J6,K6,G6,L6,M6,N6,O6)]).

input_clause(output_substitution6,axiom,
    [--equal(P6,Q6),
     --output(R6,S6,T6,U6,V6,P6,W6,X6,Y6),
     ++output(R6,S6,T6,U6,V6,Q6,W6,X6,Y6)]).

input_clause(output_substitution7,axiom,
    [--equal(Z6,A7),
     --output(B7,C7,D7,E7,F7,G7,Z6,H7,I7),
     ++output(B7,C7,D7,E7,F7,G7,A7,H7,I7)]).

input_clause(output_substitution8,axiom,
    [--equal(J7,K7),
     --output(L7,M7,N7,O7,P7,Q7,R7,J7,S7),
     ++output(L7,M7,N7,O7,P7,Q7,R7,K7,S7)]).

input_clause(output_substitution9,axiom,
    [--equal(T7,U7),
     --output(V7,W7,X7,Y7,Z7,A8,B8,C8,T7),
     ++output(V7,W7,X7,Y7,Z7,A8,B8,C8,U7)]).

input_clause(test_substitution1,axiom,
    [--equal(D8,E8),
     --test(D8,F8,G8,H8,I8,J8,K8,L8,M8,N8),
     ++test(E8,F8,G8,H8,I8,J8,K8,L8,M8,N8)]).

input_clause(test_substitution2,axiom,
    [--equal(O8,P8),
     --test(Q8,O8,R8,S8,T8,U8,V8,W8,X8,Y8),
     ++test(Q8,P8,R8,S8,T8,U8,V8,W8,X8,Y8)]).

input_clause(test_substitution3,axiom,
    [--equal(Z8,A9),
     --test(B9,C9,Z8,D9,E9,F9,G9,H9,I9,J9),
     ++test(B9,C9,A9,D9,E9,F9,G9,H9,I9,J9)]).

input_clause(test_substitution4,axiom,
    [--equal(K9,L9),
     --test(M9,N9,O9,K9,P9,Q9,R9,S9,T9,U9),
     ++test(M9,N9,O9,L9,P9,Q9,R9,S9,T9,U9)]).

input_clause(test_substitution5,axiom,
    [--equal(V9,W9),
     --test(X9,Y9,Z9,A10,V9,B10,C10,D10,E10,F10),
     ++test(X9,Y9,Z9,A10,W9,B10,C10,D10,E10,F10)]).

input_clause(test_substitution6,axiom,
    [--equal(G10,H10),
     --test(I10,J10,K10,L10,M10,G10,N10,O10,P10,Q10),
     ++test(I10,J10,K10,L10,M10,H10,N10,O10,P10,Q10)]).

input_clause(test_substitution7,axiom,
    [--equal(R10,S10),
     --test(T10,U10,V10,W10,X10,Y10,R10,Z10,A11,B11),
     ++test(T10,U10,V10,W10,X10,Y10,S10,Z10,A11,B11)]).

input_clause(test_substitution8,axiom,
    [--equal(C11,D11),
     --test(E11,F11,G11,H11,I11,J11,K11,C11,L11,M11),
     ++test(E11,F11,G11,H11,I11,J11,K11,D11,L11,M11)]).

input_clause(test_substitution9,axiom,
    [--equal(N11,O11),
     --test(P11,Q11,R11,S11,T11,U11,V11,W11,N11,X11),
     ++test(P11,Q11,R11,S11,T11,U11,V11,W11,O11,X11)]).

input_clause(test_substitution10,axiom,
    [--equal(Y11,Z11),
     --test(A12,B12,C12,D12,E12,F12,G12,H12,I12,Y11),
     ++test(A12,B12,C12,D12,E12,F12,G12,H12,I12,Z11)]).

%----Problem axioms
input_clause(add_inverter_definition1,axiom,
    [++equal(add_inverter(list(X,Y),Z),list(X,add_inverter(Y,Z)))]).

input_clause(add_inverter_definition2,axiom,
    [++equal(add_inverter(X,Y),list(Y,X))]).

input_clause(make_reverse_list_definition1,axiom,
    [++equal(make_reverse_list(list(inverter_table(X000,X001,X010,
X011,X100,X101,X110,X111),V)),list_reversion(possible_reversion(
r00m,X000,X001),list_reversion(possible_reversion(r01m,X010,X011),
list_reversion(possible_reversion(r10m,X100,X101),list_reversion(
possible_reversion(r11m,X110,X111),list_reversion(possible_reversion(
r0m0,X000,X010),list_reversion(possible_reversion(r0m1,X001,X011),
list_reversion(possible_reversion(r1m0,X100,X110),list_reversion(
possible_reversion(r1m1,X101,X111),list_reversion(possible_reversion(
rm00,X000,X100),list_reversion(possible_reversion(rm01,X001,X101),
list_reversion(possible_reversion(rm10,X010,X110),list_reversion(
possible_reversion(rm11,X011,X111),make_reverse_list(V))))))))))))))]).

input_clause(make_reverse_list_definition2,axiom,
    [++equal(make_reverse_list(V),end)]).

input_clause(possible_reversion1,axiom,
    [++equal(possible_reversion(Xname,1,0),Xname)]).

input_clause(possible_reversion2,axiom,
    [++equal(possible_reversion(Xname,0,1),not_reversion)]).

input_clause(possible_reversion3,axiom,
    [++equal(possible_reversion(Xname,X,X),not_reversion)]).

input_clause(list_reversion_definition1,axiom,
    [++equal(list_reversion(not_reversion,X),X)]).

input_clause(list_reversion_definition2,axiom,
    [++equal(list_reversion(X,list_reversion(Y,Z)),list_reversion(Y,
list_reversion(X,Z)))]).

input_clause(list_reversion_definition3,axiom,
    [++equal(list_reversion(X,list_reversion(X,Y)),list_reversion(X,Y))]).

input_clause(and_output_definition,axiom,
    [--output(X1,X2,X3,X4,X5,X6,X7,X8,V),
     --output(Y1,Y2,Y3,Y4,Y5,Y6,Y7,Y8,V),
     ++output(and(X1,Y1),and(X2,Y2),and(X3,Y3),and(X4,Y4),and(X5,Y5),
and(X6,Y6),and(X7,Y7),and(X8,Y8),V)]).

input_clause(or_output_definition,axiom,
    [--output(X1,X2,X3,X4,X5,X6,X7,X8,V),
     --output(Y1,Y2,Y3,Y4,Y5,Y6,Y7,Y8,V),
     ++output(or(X1,Y1),or(X2,Y2),or(X3,Y3),or(X4,Y4),or(X5,Y5),
or(X6,Y6),or(X7,Y7),or(X8,Y8),V)]).

input_clause(inverter_test,axiom,
    [--output(X1,X2,X3,X4,X5,X6,X7,X8,V),
     ++test(not(X1),not(X2),not(X3),not(X4),not(X5),not(X6),not(X7),
not(X8),add_inverter(V,inverter_table(not(X1),not(X2),not(X3),not(X4),
not(X5),not(X6),not(X7),not(X8))),make_reverse_list(list(inverter_table(
not(X1),not(X2),not(X3),not(X4),not(X5),not(X6),not(X7),not(X8)),V)))]).

input_clause(create_test,axiom,
    [--test(X1,X2,X3,X4,X5,X6,X7,X8,V,Xrevlist),
     ++output(X1,X2,X3,X4,X5,X6,X7,X8,V)]).

input_clause(input1,conjecture,
    [++output(0,0,0,0,1,1,1,1,X)]).

input_clause(input2,conjecture,
    [++output(0,0,1,1,0,0,1,1,X)]).

input_clause(input3,conjecture,
    [++output(0,1,0,1,0,1,0,1,X)]).

input_clause(prove_cannot_construct_this,conjecture,
    [--output(1,1,1,1,0,0,0,0,V),
     --output(1,1,0,0,1,1,0,0,V),
     --output(1,0,1,0,1,0,1,0,V)]).
%--------------------------------------------------------------------------
