%--------------------------------------------------------------------------
% File     : CIV005-1 : TPTP v2.1.0. Released v2.1.0.
% Domain   : Circuit Verification
% Problem  : A halfadder built from and, or and not gates
% Version  : [Gei96] axioms.
% English  :

% Refs     : [Gei96] Geisler (1996), Email to G. Sutcliffe
% Source   : [Gei96]
% Names    : 

% Status   : unsatisfiable
% Rating   : ? v2.1.0
% Syntax   : Number of clauses    :   42 (   3 non-Horn;  10 unit;  42 RR)
%            Number of literals   :  110 (   0 equality)
%            Maximal clause size  :    5
%            Number of predicates :    5 (   0 propositional; 2-2 arity)
%            Number of functors   :   18 (  12 constant; 0-2 arity)
%            Number of variables  :   41 (   3 singleton)
%            Maximal term depth   :    3

% Comments : 
%--------------------------------------------------------------------------
%----Include basic diagnosis axioms
include('Axioms/CIV001-0.ax').
%----Include model of halfadder
include('Axioms/CIV001-1.ax').
%--------------------------------------------------------------------------
%----Observations
input_clause(h_isa_halfadder,hypothesis,
    [++type(h,halfadder)]).

input_clause(in1_1,hypothesis,
    [++value(in(1,h),1)]).

input_clause(in2_0,hypothesis,
    [++value(in(2,h),0)]).

input_clause(outs_0,hypothesis,
    [++value(out(s,h),0)]).

input_clause(outc_0,hypothesis,
    [++value(out(c,h),0)]).

input_clause(diagnosis_and1,conjecture,
    [--mode(and1(h),abnormal)]).

input_clause(diagnosis_not1,conjecture,
    [--mode(not1(h),abnormal)]).

input_clause(diagnosis_or1,conjecture,
    [--mode(or1(h),abnormal)]).
%--------------------------------------------------------------------------
