%--------------------------------------------------------------------------
% File     : CIV006-2 : TPTP v2.1.0. Released v2.1.0.
% Domain   : Circuit Verification
% Problem  : A fulladder built from two halfadders and an or gate
% Version  : [Gei96] axioms.
% English  :

% Refs     : [Gei96] Geisler (1996), Email to G. Sutcliffe
% Source   : [Gei96]
% Names    :

% Status   : unsatisfiable
% Rating   : ? v2.1.0
% Syntax   : Number of clauses    :   64 (   5 non-Horn;  11 unit;  64 RR)
%            Number of literals   :  144 (   0 equality)
%            Maximal clause size  :    4
%            Number of predicates :   12 (   0 propositional; 1-2 arity)
%            Number of functors   :   13 (   1 constant; 0-1 arity)
%            Number of variables  :   55 (   0 singleton)
%            Maximal term depth   :    3

% Comments : 
%--------------------------------------------------------------------------
%----Include basic diagnosis axioms
include('Axioms/CIV002-0.ax').
%----Include model of halfadder
include('Axioms/CIV002-1.ax').
%----Include model of fulladder
include('Axioms/CIV002-2.ax').
%--------------------------------------------------------------------------
%----Observations
input_clause(f_isa_fulladder,hypothesis,
    [++fulladder(f)]).

input_clause(in1_1,hypothesis,
    [++one(in1(f))]).

input_clause(in2_0,hypothesis,
    [++zero(in2(f))]).

input_clause(inc_1,hypothesis,
    [++one(inc(f))]).

input_clause(outs_1,hypothesis,
    [++one(outs(f))]).

input_clause(outc_0,hypothesis,
    [++zero(outc(f))]).

%----Minimal diagnosis
input_clause(diagnosis_or1_not1h2,conjecture,
    [--abnormal(or1(f)),
     --abnormal(not1(h2(f)))]).

input_clause(diagnosis_and2,conjecture,
    [--abnormal(and2(h2(f)))]).

input_clause(diagnosis_or1_and1h2,conjecture,
    [--abnormal(or1(f)),
     --abnormal(and1(h2(f)))]).

input_clause(diagnosis_or1h1,conjecture,
    [--abnormal(or1(h1(f)))]).

input_clause(diagnosis_not1h1,conjecture,
    [--abnormal(not1(h1(f)))]).

input_clause(diagnosis_and2h1,conjecture,
    [--abnormal(and2(h1(f)))]).

input_clause(diagnosis_and1h1,conjecture,
    [--abnormal(and1(h1(f)))]).
%--------------------------------------------------------------------------
