%--------------------------------------------------------------------------
% File     : CIV008-1.002 : TPTP v2.1.0. Released v2.1.0.
% Domain   : Circuit Verification
% Problem  : 2 bit ripple carry adder
% Version  : [Gei96] axioms.
% English  :

% Refs     : [Gei96] Geisler (1996), Email to G. Sutcliffe
% Source   : [Gei96]
% Names    :

% Status   : satisfiable
% Rating   : ? v2.1.0
% Syntax   : Number of clauses    :   66 (   3 non-Horn;  11 unit;  66 RR)
%            Number of literals   :  155 (   0 equality)
%            Maximal clause size  :    5
%            Number of predicates :    5 (   0 propositional; 2-2 arity)
%            Number of functors   :   27 (  17 constant; 0-2 arity)
%            Number of variables  :   65 (   5 singleton)
%            Maximal term depth   :    3

% Comments : 
%--------------------------------------------------------------------------
%----Include basic diagnosis axioms
include('Axioms/CIV001-0.ax').
%----Include model of halfadder
include('Axioms/CIV001-1.ax').
%----Include model of fulladder
include('Axioms/CIV001-2.ax').
%--------------------------------------------------------------------------
%----Composition of 2-bit adder
input_clause(nbit_adder_fulladder1,axiom,
    [--type(X,nbit_adder(2)),
     ++type(f(1,X),fulladder)]).

input_clause(nbit_adder_fulladder2,axiom,
    [--type(X,nbit_adder(2)),
     ++type(f(2,X),fulladder)]).

%----Connections of 2-bit adder
input_clause(nbit_adder_connection_out1_out1f1,axiom,
    [--type(X,nbit_adder(2)),
         ++connection(out(1,X),out(1,f(1,X)))]).

input_clause(nbit_adder_connection_out2_out1f2,axiom,
    [--type(X,nbit_adder(2)),
     ++connection(out(2,X),out(1,f(2,X)))]).

input_clause(nbit_adder_connection_outc_outcf1,axiom,
    [--type(X,nbit_adder(2)),
     ++connection(out(c,X),out(c,f(2,X)))]).

input_clause(nbit_adder_connection_ina1_in1f1,axiom,
    [--type(X,nbit_adder(2)),
     ++connection(in(a1,X),in(1,f(1,X)))]).

input_clause(nbit_adder_connection_inb1_in2f1,axiom,
    [--type(X,nbit_adder(2)),
     ++connection(in(b1,X),in(2,f(1,X)))]).

input_clause(nbit_adder_connection_ina2_in1f2,axiom,
    [--type(X,nbit_adder(2)),
     ++connection(in(a2,X),in(1,f(2,X)))]).

input_clause(nbit_adder_connection_inb2_in2f2,axiom,
    [--type(X,nbit_adder(2)),
     ++connection(in(b2,X),in(2,f(2,X)))]).

input_clause(nbit_adder_connection_inc_incf1,axiom,
    [--type(X,nbit_adder(2)),
     ++connection(out(c,f(1,X)),in(c,f(2,X)))]).

input_clause(nbit_adder_connection_inc_incf1,axiom,
    [--type(X,nbit_adder(2)),
     ++connection(in(c,X),in(c,f(1,X)))]).

%----Observations
input_clause(a_isa_2bit_adder,hypothesis,
    [++type(a,nbit_adder(2))]).

input_clause(ina1_0,hypothesis,
    [++value(in(a1,a),0)]).

input_clause(ina2_0,hypothesis,
    [++value(in(a2,a),0)]).

input_clause(inb1_0,hypothesis,
    [++value(in(b1,a),0)]).

input_clause(inb2_0,hypothesis,
    [++value(in(b2,a),0)]).

input_clause(inc_0,hypothesis,
    [++value(in(c,a),0)]).

input_clause(out1_0,hypothesis,
    [++value(out(1,a),0)]).

input_clause(out2_0,hypothesis,
    [++value(out(2,a),0)]).

input_clause(outc_1,hypothesis,
    [++value(out(c,a),1)]).

%----Minimal diagnosis
missing.
%--------------------------------------------------------------------------
