%--------------------------------------------------------------------------
% File     : CIV008-2.001 : TPTP v2.1.0. Released v2.1.0.
% Domain   : Circuit Verification
% Problem  : 1 bit ripple carry adder
% Version  : [Gei96] axioms.
% English  :

% Refs     : [Gei96] Geisler (1996), Email to G. Sutcliffe
% Source   : [Gei96]
% Names    :

% Status   : unsatisfiable
% Rating   : ? v2.1.0
% Syntax   : Number of clauses    :   66 (   5 non-Horn;   9 unit;  66 RR)
%            Number of literals   :  150 (   0 equality)
%            Maximal clause size  :    4
%            Number of predicates :   13 (   0 propositional; 1-2 arity)
%            Number of functors   :   16 (   1 constant; 0-1 arity)
%            Number of variables  :   61 (   0 singleton)
%            Maximal term depth   :    4

% Comments : 
%--------------------------------------------------------------------------
%----Include basic diagnosis axioms
include('Axioms/CIV002-0.ax').
%----Include model of halfadder
include('Axioms/CIV002-1.ax').
%----Include model of fulladder
include('Axioms/CIV002-2.ax').
%--------------------------------------------------------------------------
%----Composition of 1-bit adder
input_clause(nbit_adder_fulladder1,axiom,
    [--nbit_adder1(X),
     ++fulladder(f1(X))]).

%----Connections of 1-bit adder
input_clause(nbit_adder_connection_out1_out1f1,axiom,
    [--nbit_adder1(X),
     ++connection(out1(X),outs(f1(X)))]).

input_clause(nbit_adder_connection_outc_outcf1,axiom,
    [--nbit_adder1(X),
     ++connection(outc(X),outc(f1(X)))]).

input_clause(nbit_adder_connection_ina1_in1f1,axiom,
    [--nbit_adder1(X),
     ++connection(ina1(X),in1(f1(X)))]).

input_clause(nbit_adder_connection_inb1_in2f1,axiom,
    [--nbit_adder1(X),
     ++connection(inb1(X),in2(f1(X)))]).

input_clause(nbit_adder_connection_inc_incf1,axiom,
    [--nbit_adder1(X),
     ++connection(inc(X),inc(f1(X)))]).

%----Observations
input_clause(a_isa_1bit_adder,hypothesis,
    [++nbit_adder1(a)]).

input_clause(ina1_0,hypothesis,
    [++zero(ina1(a))]).

input_clause(inb1_0,hypothesis,
    [++zero(inb1(a))]).

input_clause(inc_0,hypothesis,
    [++zero(inc(a))]).

input_clause(out1_0,hypothesis,
    [++zero(out1(a))]).

input_clause(outc_0,hypothesis,
    [++one(outc(a))]).

%----Minimal diagnosis
input_clause(diagnosis_or1f1,conjecture,
    [--abnormal(or1(f1(a)))]).

input_clause(diagnosis_and2h1f1,conjecture,
    [--abnormal(and2(h1(f1(a))))]).

input_clause(diagnosis_and2h2f1,conjecture,
    [--abnormal(and2(h2(f1(a))))]).
%--------------------------------------------------------------------------
