%--------------------------------------------------------------------------
% File     : CIV008-2.002 : TPTP v2.1.0. Released v2.1.0.
% Domain   : Circuit Verification
% Problem  : 2 bit ripple carry adder
% Version  : [Gei96] axioms.
% English  :

% Refs     : [Gei96] Geisler (1996), Email to G. Sutcliffe
% Source   : [Gei96]
% Names    :

% Status   : satisfiable
% Rating   : ? v2.1.0
% Syntax   : Number of clauses    :   72 (   5 non-Horn;   9 unit;  72 RR)
%            Number of literals   :  160 (   0 equality)
%            Maximal clause size  :    4
%            Number of predicates :   13 (   0 propositional; 1-2 arity)
%            Number of functors   :   20 (   1 constant; 0-1 arity)
%            Number of variables  :   68 (   2 singleton)
%            Maximal term depth   :    3

% Comments : 
%--------------------------------------------------------------------------
%----Include basic diagnosis axioms
include('Axioms/CIV002-0.ax').
%----Include model of halfadder
include('Axioms/CIV002-1.ax').
%----Include model of fulladder
include('Axioms/CIV002-2.ax').
%--------------------------------------------------------------------------
%----Composition of 2-bit adder
input_clause(nbit_adder_fulladder1,axiom,
    [--nbit_adder2(X),
     ++fulladder(f1(X))]).

input_clause(nbit_adder_fulladder2,axiom,
    [--nbit_adder2(X),
     ++fulladder(f2(X))]).

%----Connections of 2-bit adder
input_clause(nbit_adder_connection_out1_out1f1,axiom,
    [--nbit_adder2(X),
     ++connection(out1(X),out1(f1(X)))]).

input_clause(nbit_adder_connection_out2_out1f2,axiom,
    [--nbit_adder2(X),
     ++connection(out2(X),out1(f2(X)))]).

input_clause(nbit_adder_connection_outc_outcf1,axiom,
    [--nbit_adder2(X),
     ++connection(outc(X),outc(f2(X)))]).

input_clause(nbit_adder_connection_ina1_in1f1,axiom,
    [--nbit_adder2(X),
     ++connection(ina1(X),in1(f1(X)))]).

input_clause(nbit_adder_connection_inb1_in2f1,axiom,
    [--nbit_adder2(X),
     ++connection(inb1(X),in2(f1(X)))]).

input_clause(nbit_adder_connection_ina2_in1f2,axiom,
    [--nbit_adder2(X),
     ++connection(ina2(X),in1(f2(X)))]).

input_clause(nbit_adder_connection_inb2_in2f2,axiom,
    [--nbit_adder2(X),
     ++connection(inb2(X),in2(f2(X)))]).

input_clause(nbit_adder_connection_inc_incf1,axiom,
    [--nbit_adder2(X),
     ++connection(outc(f1(X)),inc(f2(X)))]).

input_clause(nbit_adder_connection_inc_incf1,axiom,
    [--nbit_adder2(X),
     ++connection(inc(X),inc(f1(X)))]).

%----Observations
input_clause(a_isa_2bit_adder,hypothesis,
    [++nbit_adder2(a)]).

input_clause(ina1_0,hypothesis,
    [++zero(ina1(a))]).

input_clause(ina2_0,hypothesis,
    [++zero(ina2(a))]).

input_clause(inb1_0,hypothesis,
    [++zero(inb1(a))]).

input_clause(inb2_0,hypothesis,
    [++zero(inb2(a))]).

input_clause(inc_0,hypothesis,
    [++zero(inc(a))]).

input_clause(out1_0,hypothesis,
    [++zero(out1(a))]).

input_clause(out2_0,hypothesis,
    [++zero(out2(a))]).

input_clause(outc_1,hypothesis,
    [++one(outc(a))]).

%----Minimal diagnosis
missing.
%--------------------------------------------------------------------------
