%--------------------------------------------------------------------------
% File     : COL044-3 : TPTP v2.1.0. Released v1.2.0.
% Domain   : Combinatory Logic
% Problem  : Strong fixed point for B and N
% Version  : [WM88] (equality) axioms : Augmented > Special.
%            Theorem formulation : The fixed point is provided and checked.
% English  : The strong fixed point property holds for the set 
%            P consisting of the combinators B and N, where ((Bx)y)z 
%            = x(yz), ((Nx)y)z = ((xz)y)z.

% Refs     : [WM88]  Wos & McCune (1988), Challenge Problems Focusing on Eq
%          : [Wos93] Wos (1993), The Kernel Strategy and Its Use for the St
% Source   : [TPTP]
% Names    : 

% Status   : unknown
% Rating   : 1.00 v2.0.0
% Syntax   : Number of clauses    :   10 (   0 non-Horn;   4 unit;   5 RR)
%            Number of literals   :   17 (  15 equality)
%            Maximal clause size  :    3 (   1 average)
%            Number of predicates :    2 (   0 propositional; 1-2 arity)
%            Number of functors   :    5 (   3 constant; 0-2 arity)
%            Number of variables  :   21 (   0 singleton)
%            Maximal term depth   :   12 (   1 average)

% Comments : fixed_point/1 substitution axioms are not included as it is
%            simply a way of introducing the required copies of the strong
%            fixed point.
%--------------------------------------------------------------------------
%----Include the axioms of equality 
include('Axioms/EQU001-0.ax').
%--------------------------------------------------------------------------
input_clause(b_definition,axiom,
    [++equal(apply(apply(apply(b,X),Y),Z),apply(X,apply(Y,Z)))]).

input_clause(n_definition,axiom,
    [++equal(apply(apply(apply(n,X),Y),Z),apply(apply(apply(X,Z),Y),Z))]).

input_clause(apply_substitution1,axiom,
    [--equal(A,B),
     ++equal(apply(A,C),apply(B,C))]).

input_clause(apply_substitution2,axiom,
    [--equal(D,E),
     ++equal(apply(F,D),apply(F,E))]).

input_clause(f_substitution1,axiom,
    [--equal(G,H),
     ++equal(f(G),f(H))]).

input_clause(strong_fixed_point,axiom,
    [--equal(apply(Strong_fixed_point,fixed_pt),apply(fixed_pt,
apply(Strong_fixed_point,fixed_pt))),
     ++fixed_point(Strong_fixed_point)]).

input_clause(prove_strong_fixed_point,conjecture,
    [--fixed_point(apply(apply(b,apply(apply(b,apply(apply(n,
apply(apply(b,b),apply(apply(n,apply(n,apply(b,b))),n))),n)),b)),b))]).
%--------------------------------------------------------------------------
