%--------------------------------------------------------------------------
% File     : COL066-3 : TPTP v2.1.0. Bugfixed v1.2.0.
% Domain   : Combinatory Logic
% Problem  : Find combinator equivalent to P from B, Q and W
% Version  : [WM88] (equality) axioms.
%            Theorem formulation : The combinator is provided and checked.
% English  : Construct from B, Q and W alone a combinator that behaves as
%            the combinator P does, where ((Bx)y)z = x(yz), ((Qx)y)z =
%            y(xz), (Wx)y = (xy)y, (((Px)y)y)z = (xy)((xy)z)

% Refs     : [WM88]  Wos & McCune (1988), Challenge Problems Focusing on Eq
%          : [WW+90] Wos et al. (1990), Automated Reasoning Contributes to 
% Source   : [TPTP]
% Names    : 

% Status   : unsatisfiable
% Rating   : 0.00 v2.1.0, 0.29 v2.0.0
% Syntax   : Number of clauses    :    9 (   0 non-Horn;   5 unit;   3 RR)
%            Number of literals   :   14 (  14 equality)
%            Maximal clause size  :    3 (   1 average)
%            Number of predicates :    1 (   0 propositional; 2-2 arity)
%            Number of functors   :    7 (   6 constant; 0-2 arity)
%            Number of variables  :   20 (   0 singleton)
%            Maximal term depth   :   10 (   2 average)

% Comments : 
% Bugfixes : v1.2.0 : Redundant [fgh]_substitution axioms removed.
%--------------------------------------------------------------------------
%----Include the axioms of equality 
include('Axioms/EQU001-0.ax').
%--------------------------------------------------------------------------
input_clause(b_definition,axiom,
    [++equal(apply(apply(apply(b,X),Y),Z),apply(X,apply(Y,Z)))]).

input_clause(q_definition,axiom,
    [++equal(apply(apply(apply(q,X),Y),Z),apply(Y,apply(X,Z)))]).

input_clause(w_definition,axiom,
    [++equal(apply(apply(w,X),Y),apply(apply(X,Y),Y))]).

input_clause(apply_substitution1,axiom,
    [--equal(C,D),
     ++equal(apply(C,E),apply(D,E))]).

input_clause(apply_substitution2,axiom,
    [--equal(F,G),
     ++equal(apply(H,F),apply(H,G))]).

input_clause(prove_p_combinator,conjecture,
    [--equal(apply(apply(apply(apply(
%----This is the P equivalent
apply(apply(b,apply(w,apply(q,apply(q,q)))),q),
x),y),y),z),
apply(apply(x,y),apply(apply(x,y),z)))]).
%--------------------------------------------------------------------------
