%--------------------------------------------------------------------------
% File     : COL075-1 : TPTP v2.1.0. Released v1.2.0.
% Domain   : Combinatory Logic
% Problem  : Lemma 1 for showing the unsatisfiable variant of TRC
% Version  : [Jec95] (equality) axioms.
% English  : Searching for a diagonal combinator F with the property 
%            f X Y = X X.

% Refs     : [Jec95] Jech (1995), Otter Experiments in a System of Combinat
% Source   : [Jec95]
% Names    : - [Jec95]

% Status   : unsatisfiable
% Rating   : 0.67 v2.1.0, 0.00 v2.0.0
% Syntax   : Number of clauses    :   22 (   1 non-Horn;  10 unit;   7 RR)
%            Number of literals   :   35 (  35 equality)
%            Maximal clause size  :    3 (   1 average)
%            Number of predicates :    1 (   0 propositional; 2-2 arity)
%            Number of functors   :   10 (   5 constant; 0-2 arity)
%            Number of variables  :   47 (   3 singleton)
%            Maximal term depth   :    4 (   1 average)

% Comments : 
%--------------------------------------------------------------------------
%----Include the axioms of equality 
include('Axioms/EQU001-0.ax').
%----Don't include axioms of Type-respecting combinators 
%include('Axioms/COL001-0.ax').
%--------------------------------------------------------------------------
%----Replace k function by k combinator 
%input_clause(k_definition,axiom,
%    [++equal(apply(k(X),Y),X)]).
input_clause(k_definition,axiom,
    [++equal(apply(apply(k,X),Y),X)]).

input_clause(projection1,axiom,
    [++equal(apply(projection1,pair(X,Y)),X)]).

input_clause(projection2,axiom,
    [++equal(apply(projection2,pair(X,Y)),Y)]).

input_clause(pairing,axiom,
    [++equal(pair(apply(projection1,X),apply(projection2,X)),X)]).

input_clause(pairwise_application,axiom,
    [++equal(apply(pair(X,Y),Z),pair(apply(X,Z),apply(Y,Z)))]).

%----Replace k function by k combinator 
%input_clause(abstraction,axiom,
%    [++equal(apply(apply(apply(abstraction,X),Y),Z),apply(apply(X,k(Z)),
%apply(Y,Z)))]).
input_clause(abstraction,axiom,
    [++equal(apply(apply(apply(abstraction,X),Y),Z),apply(apply(X,
apply(k,Z)),apply(Y,Z)))]).

input_clause(equality,axiom,
    [++equal(apply(eq,pair(X,X)),projection1)]).

input_clause(extensionality1,axiom,
    [++equal(X,Y),
     ++equal(apply(eq,pair(X,Y)),projection2)]).

input_clause(extensionality2,axiom,
    [++equal(X,Y),
     --equal(apply(X,n(X,Y)),apply(Y,n(X,Y)))]).

input_clause(different_projections,axiom,
    [--equal(projection1,projection2)]).

%----Subsitution axioms 
input_clause(apply_substitution1,axiom,
    [--equal(D,E),
     ++equal(apply(D,F),apply(E,F))]).

input_clause(apply_substitution2,axiom,
    [--equal(G,H),
     ++equal(apply(I,G),apply(I,H))]).

input_clause(n_substitution1,axiom,
    [--equal(L,M),
     ++equal(n(L,N),n(M,N))]).

input_clause(n_substitution2,axiom,
    [--equal(O,P),
     ++equal(n(Q,O),n(Q,P))]).

input_clause(pair_substitution1,axiom,
    [--equal(R,S),
     ++equal(pair(R,T),pair(S,T))]).

input_clause(pair_substitution2,axiom,
    [--equal(U,V),
     ++equal(pair(W,U),pair(W,V))]).

input_clause(b_substitution1,axiom,
    [--equal(A,B),
     ++equal(b(A),b(B))]).

input_clause(c_substitution1,axiom,
    [--equal(C,D),
     ++equal(c(C),c(D))]).

input_clause(prove_diagonal_combinator,conjecture,
    [--equal(apply(apply(Y,b(Y)),c(Y)),apply(b(Y),b(Y)))]).
%--------------------------------------------------------------------------
