%--------------------------------------------------------------------------
% File     : COL081-2 : TPTP v2.1.0. Released v1.2.0.
% Domain   : Combinatory Logic
% Problem  : Abst k(k(X)) = k(k(X))
% Version  : [Jec95] (equality) axioms : Reduced > Incomplete.
% English  : 

% Refs     : [Jec95] Jech (1995), Otter Experiments in a System of Combinat
% Source   : [TPTP]
% Names    : 

% Status   : unsatisfiable
% Rating   : 0.33 v2.1.0, 1.00 v2.0.0
% Syntax   : Number of clauses    :   13 (   0 non-Horn;   5 unit;   5 RR)
%            Number of literals   :   22 (  22 equality)
%            Maximal clause size  :    3 (   1 average)
%            Number of predicates :    1 (   0 propositional; 2-2 arity)
%            Number of functors   :    6 (   3 constant; 0-2 arity)
%            Number of variables  :   28 (   1 singleton)
%            Maximal term depth   :    4 (   1 average)

% Comments : Reduced to use only the axioms used in [Jec95].
%--------------------------------------------------------------------------
%----Include the axioms of equality 
include('Axioms/EQU001-0.ax').
%----Include axioms of Type-respecting combinators 
%include('Axioms/COL001-0.ax').
%--------------------------------------------------------------------------
input_clause(k_definition,axiom,
    [++equal(apply(k(X),Y),X)]).

input_clause(abstraction,axiom,
    [++equal(apply(apply(apply(abstraction,X),Y),Z),apply(apply(X,k(Z)),
apply(Y,Z)))]).

input_clause(extensionality2,axiom,
    [++equal(X,Y),
     --equal(apply(X,n(X,Y)),apply(Y,n(X,Y)))]).

%----Subsitution axioms 
input_clause(apply_substitution1,axiom,
    [--equal(D,E),
     ++equal(apply(D,F),apply(E,F))]).

input_clause(apply_substitution2,axiom,
    [--equal(G,H),
     ++equal(apply(I,G),apply(I,H))]).

input_clause(k_substitution1,axiom,
    [--equal(J,K),
     ++equal(k(J),k(K))]).

input_clause(n_substitution1,axiom,
    [--equal(L,M),
     ++equal(n(L,N),n(M,N))]).

input_clause(n_substitution2,axiom,
    [--equal(O,P),
     ++equal(n(Q,O),n(Q,P))]).

input_clause(identity_definition,axiom,
    [++equal(apply(identity,X),X)]).

input_clause(prove_TRC2c,conjecture,
    [--equal(k(k(b)),apply(abstraction,k(k(b))))]).
%--------------------------------------------------------------------------
