%--------------------------------------------------------------------------
% File     : FLD012-4 : TPTP v2.1.0. Bugfixed v2.1.0.
% Domain   : Field Theory (Ordered fields)
% Problem  : Compatibility of operation and inverse in multiplicative group
% Version  : [Dra93] axioms : Special.
%            Theorem formulation : Relational with re axiom set.
% English  :

% Refs     : [Dra93] Draeger (1993), Anwendung des Theorembeweisers SETHEO 
% Source   : [Dra93]
% Names    :

% Status   : unsatisfiable
% Rating   : ? v2.1.0
% Syntax   : Number of clauses    :   35 (   3 non-Horn;  12 unit;  35 RR)
%            Number of literals   :   86 (   0 equality)
%            Maximal clause size  :    5 (   2 average)
%            Number of predicates :    4 (   0 propositional; 1-3 arity)
%            Number of functors   :   10 (   6 constant; 0-2 arity)
%            Number of variables  :   73 (   0 singleton)
%            Maximal term depth   :    2 (   1 average)

% Comments : 
% Bugfixes : v2.1.0 - Bugfix in FLD002-0.ax
%--------------------------------------------------------------------------
include('Axioms/FLD002-0.ax').
%--------------------------------------------------------------------------
input_clause(a_is_defined,conjecture,
    [++defined(a)]).

input_clause(b_is_defined,conjecture,
    [++defined(b)]).

input_clause(u_is_defined,conjecture,
    [++defined(u)]).

input_clause(v_is_defined,conjecture,
    [++defined(v)]).

input_clause(not_sum_5,conjecture,
    [--sum(additive_identity,a,additive_identity)]).

input_clause(not_sum_6,conjecture,
    [--sum(additive_identity,b,additive_identity)]).

input_clause(product_7,conjecture,
    [++product(a,b,u)]).

input_clause(product_8,conjecture,
    [++product(multiplicative_inverse(a),multiplicative_inverse(b),v)]).

input_clause(not_product_9,conjecture,
    [--product(multiplicative_identity,multiplicative_inverse(u),v)]).
%--------------------------------------------------------------------------
