%--------------------------------------------------------------------------
% File     : FLD028-1 : TPTP v2.1.0. Bugfixed v2.1.0.
% Domain   : Field Theory (Ordered fields)
% Problem  : The solution of a multiplicative linear equation is unique 
% Version  : [Dra93] axioms : Special.
%            Theorem formulation : Functional with glxx axiom set.
% English  :

% Refs     : [Dra93] Draeger (1993), Anwendung des Theorembeweisers SETHEO 
% Source   : [Dra93]
% Names    :

% Status   : unknown
% Rating   : ? v2.1.0
% Syntax   : Number of clauses    :   35 (   3 non-Horn;  11 unit;  35 RR)
%            Number of literals   :   81 (   0 equality)
%            Maximal clause size  :    4 (   2 average)
%            Number of predicates :    3 (   0 propositional; 1-2 arity)
%            Number of functors   :   10 (   6 constant; 0-2 arity)
%            Number of variables  :   50 (   0 singleton)
%            Maximal term depth   :    3 (   1 average)

% Comments : 
% Bugfixes : v2.1.0 - Bugfix in FLD001-0.ax
%--------------------------------------------------------------------------
include('Axioms/FLD001-0.ax').
%--------------------------------------------------------------------------
input_clause(a_is_defined,conjecture,
    [++defined(a)]).

input_clause(b_is_defined,conjecture,
    [++defined(b)]).

input_clause(u_is_defined,conjecture,
    [++defined(u)]).

input_clause(v_is_defined,conjecture,
    [++defined(v)]).

input_clause(a_not_equal_to_additive_identity_5,conjecture,
    [--equalish(a,additive_identity)]).

input_clause(multiply_equals_b_6,conjecture,
    [++equalish(multiply(a,u),b)]).

input_clause(multiply_equals_b_7,conjecture,
    [++equalish(multiply(a,v),b)]).

input_clause(u_not_equal_to_v_8,conjecture,
    [--equalish(u,v)]).
%--------------------------------------------------------------------------
