%--------------------------------------------------------------------------
% File     : FLD045-2 : TPTP v2.1.0. Bugfixed v2.1.0.
% Domain   : Field Theory (Ordered fields)
% Problem  : Compatibility of multiplication and additive inverses
% Version  : [Dra93] axioms : Special.
%            Theorem formulation : Relational with glxx axiom set.
% English  :

% Refs     : [Dra93] Draeger (1993), Anwendung des Theorembeweisers SETHEO 
% Source   : [Dra93]
% Names    :

% Status   : unknown
% Rating   : ? v2.1.0
% Syntax   : Number of clauses    :   34 (   3 non-Horn;  10 unit;  34 RR)
%            Number of literals   :   80 (   0 equality)
%            Maximal clause size  :    4 (   2 average)
%            Number of predicates :    3 (   0 propositional; 1-2 arity)
%            Number of functors   :   10 (   6 constant; 0-2 arity)
%            Number of variables  :   50 (   0 singleton)
%            Maximal term depth   :    3 (   1 average)

% Comments : 
% Bugfixes : v2.1.0 - Bugfix in FLD001-0.ax
%--------------------------------------------------------------------------
include('Axioms/FLD001-0.ax').
%--------------------------------------------------------------------------
input_clause(a_is_defined,conjecture,
    [++defined(a)]).

input_clause(b_is_defined,conjecture,
    [++defined(b)]).

input_clause(c_is_defined,conjecture,
    [++defined(c)]).

input_clause(d_is_defined,conjecture,
    [++defined(d)]).

input_clause(multiply_equals_c_5,conjecture,
    [++equalish(multiply(additive_inverse(a),additive_inverse(b)),c)]).

input_clause(multiply_equals_d_6,conjecture,
    [++equalish(multiply(a,b),d)]).

input_clause(c_not_equal_to_d_7,conjecture,
    [--equalish(c,d)]).
%--------------------------------------------------------------------------
