%--------------------------------------------------------------------------
% File     : FLD066-3 : TPTP v2.1.0. Bugfixed v2.1.0.
% Domain   : Field Theory (Ordered fields)
% Problem  : Elimination of a summation in an order relation
% Version  : [Dra93] axioms : Special.
%            Theorem formulation : Functional with re axiom set.
% English  :

% Refs     : [Dra93] Draeger (1993), Anwendung des Theorembeweisers SETHEO 
% Source   : [Dra93]
% Names    :

% Status   : unsatisfiable
% Rating   : ? v2.1.0
% Syntax   : Number of clauses    :   35 (   3 non-Horn;  12 unit;  35 RR)
%            Number of literals   :   86 (   0 equality)
%            Maximal clause size  :    5 (   2 average)
%            Number of predicates :    4 (   0 propositional; 1-3 arity)
%            Number of functors   :   11 (   7 constant; 0-2 arity)
%            Number of variables  :   73 (   0 singleton)
%            Maximal term depth   :    2 (   1 average)

% Comments : 
% Bugfixes : v2.1.0 - Bugfix in FLD002-0.ax
%--------------------------------------------------------------------------
include('Axioms/FLD002-0.ax').
%--------------------------------------------------------------------------
input_clause(a_is_defined,conjecture,
    [++defined(a)]).

input_clause(b_is_defined,conjecture,
    [++defined(b)]).

input_clause(c_is_defined,conjecture,
    [++defined(c)]).

input_clause(u_is_defined,conjecture,
    [++defined(u)]).

input_clause(v_is_defined,conjecture,
    [++defined(v)]).

input_clause(sum_6,conjecture,
    [++sum(a,c,u)]).

input_clause(sum_7,conjecture,
    [++sum(b,c,v)]).

input_clause(less_or_equal_8,conjecture,
    [++less_or_equal(u,v)]).

input_clause(not_less_or_equal_9,conjecture,
    [--less_or_equal(a,b)]).
%--------------------------------------------------------------------------
