%--------------------------------------------------------------------------
% File     : FLD081-4 : TPTP v2.1.0. Bugfixed v2.1.0.
% Domain   : Field Theory (Ordered fields)
% Problem  : Two-sided multiplication of two order relations
% Version  : [Dra93] axioms : Special.
%            Theorem formulation : Relational with re axiom set.
% English  :

% Refs     : [Dra93] Draeger (1993), Anwendung des Theorembeweisers SETHEO 
% Source   : [Dra93]
% Names    :

% Status   : unknown
% Rating   : ? v2.1.0
% Syntax   : Number of clauses    :   39 (   3 non-Horn;  16 unit;  39 RR)
%            Number of literals   :   90 (   0 equality)
%            Maximal clause size  :    5 (   2 average)
%            Number of predicates :    4 (   0 propositional; 1-3 arity)
%            Number of functors   :   12 (   8 constant; 0-2 arity)
%            Number of variables  :   73 (   0 singleton)
%            Maximal term depth   :    2 (   1 average)

% Comments : 
% Bugfixes : v2.1.0 - Bugfix in FLD002-0.ax
%--------------------------------------------------------------------------
include('Axioms/FLD002-0.ax').
%--------------------------------------------------------------------------
input_clause(a_is_defined,conjecture,
    [++defined(a)]).

input_clause(b_is_defined,conjecture,
    [++defined(b)]).

input_clause(c_is_defined,conjecture,
    [++defined(c)]).

input_clause(d_is_defined,conjecture,
    [++defined(d)]).

input_clause(u_is_defined,conjecture,
    [++defined(u)]).

input_clause(v_is_defined,conjecture,
    [++defined(v)]).

input_clause(less_or_equal_7,conjecture,
    [++less_or_equal(additive_identity,a)]).

input_clause(less_or_equal_8,conjecture,
    [++less_or_equal(a,b)]).

input_clause(less_or_equal_9,conjecture,
    [++less_or_equal(additive_identity,c)]).

input_clause(less_or_equal_10,conjecture,
    [++less_or_equal(c,d)]).

input_clause(product_11,conjecture,
    [++product(a,c,u)]).

input_clause(product_12,conjecture,
    [++product(d,b,v)]).

input_clause(not_less_or_equal_13,conjecture,
    [--less_or_equal(u,v)]).
%--------------------------------------------------------------------------
