%--------------------------------------------------------------------------
% File     : GEO012-1 : TPTP v2.1.0. Bugfixed v1.0.1.
% Domain   : Geometry
% Problem  : Collinearity for 4 points
% Version  : [MOW76] axioms.
% English  : If any three distinct points x, y, and z are collinear and 
%            a fourth point w is collinear with x and y, then 
%            w is collinear with x and z and also with x and y.

% Refs     : [MOW76] McCharen et al. (1976), Problems and Experiments for a
%          : [SST83] Schwabbauser et al. (1983), Metamathematische Methoden
% Source   : [ANL]
% Names    : T12 [MOW76]
%          : t12.ver1.in [ANL]

% Status   : unsatisfiable
% Rating   : 0.82 v2.1.0, 0.89 v2.0.0
% Syntax   : Number of clauses    :   68 (   7 non-Horn;  12 unit;  39 RR)
%            Number of literals   :  167 (  77 equality)
%            Maximal clause size  :    8 (   2 average)
%            Number of predicates :    4 (   0 propositional; 2-4 arity)
%            Number of functors   :   12 (   7 constant; 0-6 arity)
%            Number of variables  :  293 (   3 singleton)
%            Maximal term depth   :    2 (   1 average)

% Comments : 
% Bugfixes : v1.0.1 - Bug in GEO001-0.eq fixed.
%--------------------------------------------------------------------------
%----Include equality axioms 
include('Axioms/EQU001-0.ax').
%----Include Tarski geometry axioms 
include('Axioms/GEO001-0.ax').
include('Axioms/GEO001-0.eq').
%----Include Tarski geometry axioms for colinearity 
include('Axioms/GEO001-1.ax').
include('Axioms/GEO001-1.eq').
%--------------------------------------------------------------------------
input_clause(a_not_b,hypothesis,
    [--equal(a,b)]).

%---Quaife states that the next two hypotheses are unnecessary
input_clause(a_not_c,hypothesis,
    [--equal(a,c)]).

input_clause(b_not_c,hypothesis,
    [--equal(b,c)]).

input_clause(abc_colinear,hypothesis,
    [++colinear(a,b,c)]).

input_clause(abd_colinear,hypothesis,
    [++colinear(a,b,d)]).

input_clause(prove_colinearity,conjecture,
    [--colinear(a,c,d),
     --colinear(b,c,d)]).
%--------------------------------------------------------------------------
