%--------------------------------------------------------------------------
% File     : GEO013-2 : TPTP v2.1.0. Released v1.0.0.
% Domain   : Geometry
% Problem  : Collinearity for 5 points
% Version  : [Qua89] axioms.
% English  : If z1, z2, and z3 are each collinear with distinct points 
%            x and y, then z1, z2, and z3 are collinear.

% Refs     : [MOW76] McCharen et al. (1976), Problems and Experiments for a
%          : [SST83] Schwabbauser et al. (1983), Metamathematische Methoden
%          : [Qua89] Quaife (1989), Automated Development of Tarski's Geome
% Source   : [TPTP]
% Names    : 

% Status   : unknown
% Rating   : 1.00 v2.0.0
% Syntax   : Number of clauses    :   65 (   6 non-Horn;  12 unit;  36 RR)
%            Number of literals   :  157 (  74 equality)
%            Maximal clause size  :    8 (   2 average)
%            Number of predicates :    4 (   0 propositional; 2-4 arity)
%            Number of functors   :   13 (   8 constant; 0-6 arity)
%            Number of variables  :  285 (   3 singleton)
%            Maximal term depth   :    2 (   1 average)

% Comments : 
%--------------------------------------------------------------------------
%----Include equality axioms 
include('Axioms/EQU001-0.ax').
%----Include Tarski geometry axioms 
include('Axioms/GEO002-0.ax').
include('Axioms/GEO002-0.eq').
%----Include Tarski geometry axioms for colinearity 
include('Axioms/GEO002-1.ax').
include('Axioms/GEO002-1.eq').
%--------------------------------------------------------------------------
input_clause(a_not_b,hypothesis,
    [--equal(a,b)]).

input_clause(and1_colinear,hypothesis,
    [++colinear(a,b,d1)]).

input_clause(abd2_colinear,hypothesis,
    [++colinear(a,b,d2)]).

input_clause(abd3_colinear,hypothesis,
    [++colinear(a,b,d3)]).

input_clause(prove_d1d2d3_colinear,conjecture,
    [--colinear(d1,d2,d3)]).
%--------------------------------------------------------------------------
