%--------------------------------------------------------------------------
% File     : GEO045-2 : TPTP v2.1.0. Released v1.0.0.
% Domain   : Geometry
% Problem  : Second outer transitivity property of betweenness
% Version  : [Qua89] axioms.
% English  : 

% Refs     : [SST83] Schwabbauser et al. (1983), Metamathematische Methoden
%          : [Qua89] Quaife (1989), Automated Development of Tarski's Geome
% Source   : [TPTP]
% Names    : 

% Status   : unknown
% Rating   : 1.00 v2.0.0
% Syntax   : Number of clauses    :   57 (   5 non-Horn;  11 unit;  28 RR)
%            Number of literals   :  137 (  71 equality)
%            Maximal clause size  :    8 (   2 average)
%            Number of predicates :    3 (   0 propositional; 2-4 arity)
%            Number of functors   :   12 (   7 constant; 0-6 arity)
%            Number of variables  :  261 (   3 singleton)
%            Maximal term depth   :    2 (   1 average)

% Comments : 
%--------------------------------------------------------------------------
%----Include equality axioms 
include('Axioms/EQU001-0.ax').
%----Include Tarski geometry axioms 
include('Axioms/GEO002-0.ax').
include('Axioms/GEO002-0.eq').
%--------------------------------------------------------------------------
input_clause(v_between_u_and_w,hypothesis,
    [++between(u,v,w)]).

input_clause(w_between_v_and_x,hypothesis,
    [++between(v,w,x)]).

input_clause(v_not_w,hypothesis,
    [--equal(v,w)]).

input_clause(prove_v_between_u_and_x,conjecture,
    [--between(u,v,x)]).
%--------------------------------------------------------------------------
