%--------------------------------------------------------------------------
% File     : GEO061-2 : TPTP v2.1.0. Released v1.0.0.
% Domain   : Geometry
% Problem  : Theorem of point insertion
% Version  : [Qua89] axioms.
% English  : 

% Refs     : [SST83] Schwabbauser et al. (1983), Metamathematische Methoden
%          : [Qua89] Quaife (1989), Automated Development of Tarski's Geome
% Source   : [TPTP]
% Names    : 

% Status   : unknown
% Rating   : 1.00 v2.0.0
% Syntax   : Number of clauses    :   61 (   5 non-Horn;   8 unit;  27 RR)
%            Number of literals   :  149 (  79 equality)
%            Maximal clause size  :    8 (   2 average)
%            Number of predicates :    3 (   0 propositional; 2-4 arity)
%            Number of functors   :   14 (   8 constant; 0-6 arity)
%            Number of variables  :  285 (   3 singleton)
%            Maximal term depth   :    3 (   1 average)

% Comments : This presentation may have alternatives/be incorrect.
%--------------------------------------------------------------------------
%----Include equality axioms 
include('Axioms/EQU001-0.ax').
%----Include Tarski geometry axioms 
include('Axioms/GEO002-0.ax').
include('Axioms/GEO002-0.eq').
%----Include definition of insertion 
include('Axioms/GEO002-3.ax').
include('Axioms/GEO002-3.eq').
%--------------------------------------------------------------------------
input_clause(part_1,conjecture,
    [--equidistant(u,v,u1,insertion(u1,w1,u,v)),
     ++between(u,v,w)]).

input_clause(part_2,conjecture,
    [--equidistant(u,v,u1,insertion(u1,w1,u,v)),
     ++equidistant(u,w,u1,w1)]).

input_clause(part_3,conjecture,
    [--equidistant(u,v,u1,insertion(u1,w1,u,v)),
     --between(u1,insertion(u1,w1,u,v),w1),
     --equidistant(v,w,insertion(u1,w1,u,v),w1)]).
%--------------------------------------------------------------------------
