%--------------------------------------------------------------------------
% File     : GEO068-2 : TPTP v2.1.0. Released v1.0.0.
% Domain   : Geometry
% Problem  : Theorem of similar situations for collinear U, V, W
% Version  : [Qua89] axioms.
% English  : 

% Refs     : [SST83] Schwabbauser et al. (1983), Metamathematische Methoden
%          : [Qua89] Quaife (1989), Automated Development of Tarski's Geome
% Source   : [TPTP]
% Names    : 

% Status   : unknown
% Rating   : 1.00 v2.0.0
% Syntax   : Number of clauses    :   65 (   6 non-Horn;  12 unit;  36 RR)
%            Number of literals   :  157 (  73 equality)
%            Maximal clause size  :    8 (   2 average)
%            Number of predicates :    4 (   0 propositional; 2-4 arity)
%            Number of functors   :   14 (   9 constant; 0-6 arity)
%            Number of variables  :  285 (   3 singleton)
%            Maximal term depth   :    2 (   1 average)

% Comments : 
%--------------------------------------------------------------------------
%----Include equality axioms 
include('Axioms/EQU001-0.ax').
%----Include Tarski geometry axioms 
include('Axioms/GEO002-0.ax').
include('Axioms/GEO002-0.eq').
%----Include definition of colinearity 
include('Axioms/GEO002-1.ax').
include('Axioms/GEO002-1.eq').
%--------------------------------------------------------------------------
input_clause(u_to_v_equals_u1_to_v1,hypothesis,
    [++equidistant(u,v,u1,v1)]).

input_clause(v_to_w_equals_v1_to_w1,hypothesis,
    [++equidistant(v,w,v1,w1)]).

input_clause(u_to_w_equals_u1_to_w1,hypothesis,
    [++equidistant(u,w,u1,w1)]).

input_clause(uvw_colinear,hypothesis,
    [++colinear(u,v,w)]).

input_clause(prove_u1v1w1_colinear,conjecture,
    [--colinear(u1,v1,w1)]).
%--------------------------------------------------------------------------
