%--------------------------------------------------------------------------
% File     : GEO074-2 : TPTP v2.1.0. Released v1.0.0.
% Domain   : Geometry
% Problem  : Prove the Outer Pasch Axiom
% Version  : [Qua89] axioms.
% English  : 

% Refs     : [SST83] Schwabbauser et al. (1983), Metamathematische Methoden
%          : [Qua89] Quaife (1989), Automated Development of Tarski's Geome
% Source   : [Qua89]
% Names    : Q2 [Qua89]

% Status   : unknown
% Rating   : 1.00 v2.0.0
% Syntax   : Number of clauses    :   61 (   5 non-Horn;   9 unit;  27 RR)
%            Number of literals   :  147 (  80 equality)
%            Maximal clause size  :    8 (   2 average)
%            Number of predicates :    3 (   0 propositional; 2-4 arity)
%            Number of functors   :   14 (   8 constant; 0-6 arity)
%            Number of variables  :  291 (   3 singleton)
%            Maximal term depth   :    2 (   1 average)

% Comments : This presentation may have alternatives/be incorrect.
%--------------------------------------------------------------------------
%----Include equality axioms 
include('Axioms/EQU001-0.ax').
%----Include Tarski geometry axioms 
include('Axioms/GEO002-0.ax').
include('Axioms/GEO002-0.eq').
%--------------------------------------------------------------------------
input_clause(outer_pasch_substitution1,axiom,
    [--equal(A,B),
     ++equal(outer_pasch(A,C,D,E,F),outer_pasch(B,C,D,E,F))]).

input_clause(outer_pasch_substitution2,axiom,
    [--equal(G,H),
     ++equal(outer_pasch(I,G,J,K,L),outer_pasch(I,H,J,K,L))]).

input_clause(outer_pasch_substitution3,axiom,
    [--equal(M,N),
     ++equal(outer_pasch(O,P,M,Q,R),outer_pasch(O,P,N,Q,R))]).

input_clause(outer_pasch_substitution4,axiom,
    [--equal(S,T),
     ++equal(outer_pasch(U,V,W,S,X),outer_pasch(U,V,W,T,X))]).

input_clause(outer_pasch_substitution5,axiom,
    [--equal(Y,Z),
     ++equal(outer_pasch(A1,B1,C1,D1,Y),outer_pasch(A1,B1,C1,D1,Z))]).

input_clause(w_between_u_and_x,hypothesis,
    [++between(u,w,x)]).

input_clause(x_between_v_and_y,hypothesis,
    [++between(v,x,y)]).

input_clause(prove_outer_pasch,conjecture,
    [--between(u,outer_pasch(u,v,x,y,w),v),
     --between(y,w,outer_pasch(u,v,x,y,w))]).
%--------------------------------------------------------------------------
