%--------------------------------------------------------------------------
% File     : GRP002-2 : TPTP v2.1.0. Bugfixed v1.2.1.
% Domain   : Group Theory
% Problem  : Commutator equals identity in groups of order 3
% Version  : [MOW76] (equality) axioms : Augmented.
% English  : In a group, if (for all x) the cube of x is the identity 
%            (i.e. a group of order 3), then the equation [[x,y],y]= 
%            identity holds, where [x,y] is the product of x, y, the 
%            inverse of x and the inverse of y (i.e. the commutator 
%            of x and y).

% Refs     : [MOW76] McCharen et al. (1976), Problems and Experiments for a
% Source   : [ANL]
% Names    : commutator.ver2.in [ANL]

% Status   : unsatisfiable
% Rating   : 0.20 v2.1.0, 0.29 v2.0.0
% Syntax   : Number of clauses    :   18 (   0 non-Horn;  13 unit;   9 RR)
%            Number of literals   :   24 (  24 equality)
%            Maximal clause size  :    3 (   1 average)
%            Number of predicates :    1 (   0 propositional; 2-2 arity)
%            Number of functors   :   10 (   8 constant; 0-2 arity)
%            Number of variables  :   22 (   0 singleton)
%            Maximal term depth   :    3 (   1 average)

% Comments : 
% Bugfixes : v1.2.1 - Clause x_cubed_is_identity fixed.
%--------------------------------------------------------------------------
%----Include the axioms of equality 
include('Axioms/EQU001-0.ax').
%----Include the equality axioms for this formulation 
include('Axioms/GRP004-0.ax').
%--------------------------------------------------------------------------
%----Redundant two axioms
input_clause(right_identity,axiom,
    [++equal(multiply(X,identity),X)]).

input_clause(right_inverse,axiom,
    [++equal(multiply(X,inverse(X)),identity)]).

%----This hypothesis is omitted in the ANL source version 
input_clause(x_cubed_is_identity,hypothesis,
    [++equal(multiply(X,multiply(X,X)),identity)]).

input_clause(a_times_b_is_c,conjecture,
    [++equal(multiply(a,b),c)]).

input_clause(c_times_inverse_a_is_d,conjecture,
    [++equal(multiply(c,inverse(a)),d)]).

input_clause(d_times_inverse_b_is_h,conjecture,
    [++equal(multiply(d,inverse(b)),h)]).

input_clause(h_times_b_is_j,conjecture,
    [++equal(multiply(h,b),j)]).

input_clause(j_times_inverse_h_is_k,conjecture,
    [++equal(multiply(j,inverse(h)),k)]).

input_clause(prove_k_times_inverse_b_is_e,conjecture,
    [--equal(multiply(k,inverse(b)),identity)]).
%--------------------------------------------------------------------------
