%--------------------------------------------------------------------------
% File     : GRP028-2 : TPTP v2.1.0. Released v1.1.0.
% Domain   : Group Theory (Semigroups)
% Problem  : In semigroups, left and right solutions => right id exists
% Version  : [MOW76] axioms.
% English  : If there are left and right solutions, then there is a right 
%            identity element.

% Refs     : [MOW76] McCharen et al. (1976), Problems and Experiments for a
% Source   : [TPTP]
% Names    : 

% Status   : unsatisfiable
% Rating   : 0.00 v2.0.0
% Syntax   : Number of clauses    :   20 (   0 non-Horn;   5 unit;  10 RR)
%            Number of literals   :   44 (  24 equality)
%            Maximal clause size  :    4 (   2 average)
%            Number of predicates :    2 (   0 propositional; 2-3 arity)
%            Number of functors   :    4 (   0 constant; 1-2 arity)
%            Number of variables  :   61 (   0 singleton)
%            Maximal term depth   :    2 (   1 average)

% Comments : 
%--------------------------------------------------------------------------
%----Include axioms of equality 
include('Axioms/EQU001-0.ax').
%----Include Semigroup axioms 
include('Axioms/GRP002-0.ax').
%----Include Substitution axioms for semigroup axioms 
include('Axioms/GRP002-0.eq').
%--------------------------------------------------------------------------
input_clause(left_solution_substitution1,axiom,
    [--equal(D,E),
     ++equal(left_solution(D,F),left_solution(E,F))]).

input_clause(left_solution_substitution2,axiom,
    [--equal(G,H),
     ++equal(left_solution(I,G),left_solution(I,H))]).

input_clause(not_identity_substitution1,axiom,
    [--equal(P,Q),
     ++equal(not_identity(P),not_identity(Q))]).

input_clause(right_solution_substitution1,axiom,
    [--equal(R,S),
     ++equal(right_solution(R,T),right_solution(S,T))]).

input_clause(right_solution_substitution2,axiom,
    [--equal(U,V),
     ++equal(right_solution(W,U),right_solution(W,V))]).

input_clause(left_soln,hypothesis,
    [++product(left_solution(X,Y),X,Y)]).

input_clause(right_soln,hypothesis,
    [++product(X,right_solution(X,Y),Y)]).

%----There is an element for which no X is identity 
input_clause(prove_there_is_a_right_identity,conjecture,
    [--product(not_identity(X),X,not_identity(X))]).
%--------------------------------------------------------------------------
