%--------------------------------------------------------------------------
% File     : GRP033-3 : TPTP v2.1.0. Released v1.0.0.
% Domain   : Group Theory (Subgroups)
% Problem  : In subgroups, the identity is the group identity
% Version  : [Wos65] axioms : Reduced > Incomplete.
% English  : 

% Refs     : [Wos65] Wos (1965), Unpublished Note
%          : [WM76]  Wilson & Minker (1976), Resolution, Refinements, and S
% Source   : [SPRFN]
% Names    : Problem 13 [Wos65]
%          : wos13 [WM76]

% Status   : unsatisfiable
% Rating   : 0.22 v2.1.0, 0.00 v2.0.0
% Syntax   : Number of clauses    :   22 (   0 non-Horn;   7 unit;  14 RR)
%            Number of literals   :   50 (   0 equality)
%            Maximal clause size  :    4 (   2 average)
%            Number of predicates :    3 (   0 propositional; 1-3 arity)
%            Number of functors   :    5 (   2 constant; 0-2 arity)
%            Number of variables  :   55 (   0 singleton)
%            Maximal term depth   :    2 (   1 average)

% Comments : Omits j substitutivity.
%--------------------------------------------------------------------------
%----Don't include equality axioms, because it's incomplete
%include('Axioms/EQU001-0.ax').
%----Include group theory axioms 
%include('Axioms/GRP003-0.ax').
%----Include group theory equality axioms 
%include('Axioms/GRP003-0.eq').
%----Include sub-group theory axioms 
%include('Axioms/GRP003-2.ax').
%include('Axioms/GRP003-2.eq').
%--------------------------------------------------------------------------
input_clause(reflexivity,axiom,
    [++equalish(X,X)]).

input_clause(symmetry,axiom,
    [--equalish(X,Y),
     ++equalish(Y,X)]).

input_clause(transitivity,axiom,
    [--equalish(X,Y),
     --equalish(Y,Z),
     ++equalish(X,Z)]).

input_clause(left_identity,axiom,
    [++product(identity,X,X)]).

input_clause(right_identity,axiom,
    [++product(X,identity,X)]).

input_clause(left_inverse,axiom,
    [++product(inverse(X),X,identity)]).

input_clause(right_inverse,axiom,
    [++product(X,inverse(X),identity)]).

%----This axiom is called closure or totality in some axiomatisations 
input_clause(total_function1,axiom,
    [++product(X,Y,multiply(X,Y))]).

%----This axiom is called well_definedness in some axiomatisations 
input_clause(total_function2,axiom,
    [--product(X,Y,Z),
     --product(X,Y,W),
     ++equalish(Z,W)]).

input_clause(associativity1,axiom,
    [--product(X,Y,U),
     --product(Y,Z,V),
     --product(U,Z,W),
     ++product(X,V,W)]).

input_clause(associativity2,axiom,
    [--product(X,Y,U),
     --product(Y,Z,V),
     --product(X,V,W),
     ++product(U,Z,W)]).

input_clause(inverse_substitution,axiom,
    [--equalish(X,Y),
     ++equalish(inverse(X),inverse(Y))]).

input_clause(multiply_substitution1,axiom,
    [--equalish(X,Y),
     ++equalish(multiply(X,W),multiply(Y,W))]).

input_clause(multiply_substitution2,axiom,
    [--equalish(X,Y),
     ++equalish(multiply(W,X),multiply(W,Y))]).

input_clause(product_substitution1,axiom,
    [--equalish(X,Y),
     --product(X,W,Z),
     ++product(Y,W,Z)]).

input_clause(product_substitution2,axiom,
    [--equalish(X,Y),
     --product(W,X,Z),
     ++product(W,Y,Z)]).

input_clause(product_substitution3,axiom,
    [--equalish(X,Y),
     --product(W,Z,X),
     ++product(W,Z,Y)]).

input_clause(closure_of_product_and_inverse,axiom,
    [--subgroup_member(A),
     --subgroup_member(B),
     --product(A,inverse(B),C),
     ++subgroup_member(C)]).

input_clause(subgroup_member_substitution,axiom,
    [--equalish(A,B),
     --subgroup_member(A),
     ++subgroup_member(B)]).

%----j(A) is an element for which A is identity. In a subgroup this can 
%----be any element.

%----This subsitution axiom really should be in, but Wos omits it 
% input_clause(j_substitutivity1,axiom,
%     [--equalish(A,B),
%      ++equalish(j(A),j(B))]).

input_clause(a_is_in_subgroup,hypothesis,
    [++subgroup_member(a)]).

input_clause(subgr2_clause1,hypothesis,
    [--subgroup_member(A),
     ++subgroup_member(j(A))]).

input_clause(prove_subgr2,conjecture,
    [--product(j(A),A,j(A)),
     --product(A,j(A),j(A)),
     --subgroup_member(A)]).
%--------------------------------------------------------------------------
