%--------------------------------------------------------------------------
% File     : GRP113-1 : TPTP v2.1.0. Released v1.1.0.
% Domain   : Group Theory
% Problem  : Lemma for proving all groups of order 4 are cyclic
% Version  : [MOW76] (equality) axioms : Augmented.
% English  : Prove that any group of order 4 must satisfy one of the 
%            following relations, where the elements of the group are 
%            a, b, c, and the identity.
%            1) the square of every element is the identity.
%            2) the square of a is b, the cube of a is c, and the fourth
%               power of a is the identity.
%            3) the square of b is c, the cube of b is a, and the fourth
%               power of b is the identity.
%            4) the square of c is a, the cube of c is b, and the fourth

% Refs     : [Wos88] Wos (1988), Automated Reasoning - 33 Basic Research Pr
% Source   : [Wos88]
% Names    : Test Problem 7 [Wos88]
%          : Groups of Order 4 [Wos88]

% Status   : unknown
% Rating   : 1.00 v2.0.0
% Syntax   : Number of clauses    :   22 (   1 non-Horn;  12 unit;  13 RR)
%            Number of literals   :   39 (  39 equality)
%            Maximal clause size  :    4 (   1 average)
%            Number of predicates :    1 (   0 propositional; 2-2 arity)
%            Number of functors   :    6 (   4 constant; 0-2 arity)
%            Number of variables  :   22 (   0 singleton)
%            Maximal term depth   :    4 (   1 average)

% Comments : 
%--------------------------------------------------------------------------
%----Include equality axioms 
include('Axioms/EQU001-0.ax').
%----Include the axioms for named groups 
include('Axioms/GRP004-0.ax').
%--------------------------------------------------------------------------
%----Redundant two axioms
input_clause(right_identity,axiom,
    [++equal(multiply(X,identity),X)]).

input_clause(right_inverse,axiom,
    [++equal(multiply(X,inverse(X)),identity)]).

input_clause(all_of_group1,hypothesis,
    [++equal(X,a),
     ++equal(X,b),
     ++equal(X,c),
     ++equal(X,identity)]).

input_clause(a_not_b,hypothesis,
    [--equal(a,b)]).

input_clause(a_not_c,hypothesis,
    [--equal(a,c)]).

input_clause(a_not_identity,hypothesis,
    [--equal(a,identity)]).

input_clause(b_not_c,hypothesis,
    [--equal(b,c)]).

input_clause(b_not_identity,hypothesis,
    [--equal(b,identity)]).

input_clause(c_not_identity,hypothesis,
    [--equal(c,identity)]).

input_clause(square_identity,conjecture,
    [--equal(multiply(a,a),identity),
     --equal(multiply(b,b),identity),
     --equal(multiply(c,c),identity)]).

input_clause(condition_a,conjecture,
    [--equal(multiply(a,a),b),
     --equal(multiply(a,multiply(a,a)),c),
     --equal(multiply(a,multiply(a,multiply(a,a))),identity)]).

input_clause(condition_b,conjecture,
    [--equal(multiply(b,b),c),
     --equal(multiply(b,multiply(b,b)),a),
     --equal(multiply(b,multiply(b,multiply(b,b))),identity)]).

input_clause(condition_c,conjecture,
    [--equal(multiply(c,c),a),
     --equal(multiply(c,multiply(c,c)),b),
     --equal(multiply(c,multiply(c,multiply(c,c))),identity)]).
%--------------------------------------------------------------------------
