%--------------------------------------------------------------------------
% File     : GRP118-1 : TPTP v2.1.0. Released v1.2.0.
% Domain   : Group Theory
% Problem  : Derive associativity from a single axiom for groups order 3
% Version  : [Wos96] (equality) axioms.
% English  : 

% Refs     : [Wos96] Wos (1996), The Automation of Reasoning: An Experiment 
% Source   : [OTTER]
% Names    : groups.exp3.in part 4 [OTTER]

% Status   : unsatisfiable
% Rating   : 0.20 v2.1.0, 0.14 v2.0.0
% Syntax   : Number of clauses    :    7 (   0 non-Horn;   3 unit;   3 RR)
%            Number of literals   :   12 (  12 equality)
%            Maximal clause size  :    3 (   1 average)
%            Number of predicates :    1 (   0 propositional; 2-2 arity)
%            Number of functors   :    5 (   4 constant; 0-2 arity)
%            Number of variables  :   15 (   0 singleton)
%            Maximal term depth   :    6 (   1 average)

% Comments : 
%--------------------------------------------------------------------------
%----Include equality axioms 
include('Axioms/EQU001-0.ax').
%--------------------------------------------------------------------------
input_clause(single_axiom,axiom,
    [++equal(multiply(X,multiply(multiply(X,multiply(multiply(X,Y),Z)),
multiply(identity,multiply(Z,Z)))),Y)]).

input_clause(multiply_substitution1,axiom,
    [--equal(A,B),
     ++equal(multiply(A,C),multiply(B,C))]).

input_clause(multiply_substitution2,axiom,
    [--equal(D,E),
     ++equal(multiply(F,D),multiply(F,E))]).

input_clause(prove_order3,conjecture,
    [--equal(multiply(multiply(a,b),c),multiply(a,multiply(b,c)))]).
%--------------------------------------------------------------------------
