%--------------------------------------------------------------------------
% File     : GRP169-1 : TPTP v2.1.0. Bugfixed v1.2.1.
% Domain   : Group Theory (Lattice Ordered)
% Problem  : Inverses reverse inequalities
% Version  : [Fuc94] (equality) axioms.
% English  : 

% Refs     : [Fuc94] Fuchs (1994), The Application of Goal-Orientated Heuri
%          : [Sch95] Schulz (1995), Explanation Based Learning for Distribu
%          : [Dah95] Dahn (1995), Email to G. Sutcliffe
% Source   : [Sch95]
% Names    : p02a [Sch95] 

% Status   : unsatisfiable
% Rating   : 0.20 v2.1.0, 0.43 v2.0.0
% Syntax   : Number of clauses    :   27 (   0 non-Horn;  18 unit;   5 RR)
%            Number of literals   :   37 (  37 equality)
%            Maximal clause size  :    3 (   1 average)
%            Number of predicates :    1 (   0 propositional; 2-2 arity)
%            Number of functors   :    7 (   3 constant; 0-2 arity)
%            Number of variables  :   59 (   2 singleton)
%            Maximal term depth   :    3 (   1 average)

% Comments : ORDERING LPO inverse > product > greatest_lower_bound >
%            least_upper_bound > identity > a > b
%          : ORDERING LPO greatest_lower_bound > least_upper_bound > 
%            inverse > product > identity > a > b
%          : [Dah95] says "The proof has to introduce more complex terms."
% Bugfixes : v1.2.1 - Duplicate axioms in GRP004-2.ax removed.
%--------------------------------------------------------------------------
%----Include equality axioms 
include('Axioms/EQU001-0.ax').
%----Include equality group theory axioms 
include('Axioms/GRP004-0.ax').
%----Include Lattice ordered group (equality) axioms
include('Axioms/GRP004-2.ax').
%--------------------------------------------------------------------------
input_clause(p02a_1,hypothesis,
    [++equal(least_upper_bound(inverse(a),inverse(b)),inverse(b))]).

input_clause(prove_p02a,conjecture,
    [--equal(least_upper_bound(a,b),a)]).
%--------------------------------------------------------------------------
