%--------------------------------------------------------------------------
% File     : GRP181-2 : TPTP v2.1.0. Bugfixed v1.2.1.
% Domain   : Group Theory (Lattice Ordered)
% Problem  : Distributivity of a lattice
% Version  : [Fuc94] (equality) axioms : Augmented.
% English  : 

% Refs     : [Fuc94] Fuchs (1994), The Application of Goal-Orientated Heuri
%          : [Sch95] Schulz (1995), Explanation Based Learning for Distribu
% Source   : [Sch95]
% Names    : p12 [Sch95]

% Status   : unknown
% Rating   : 1.00 v2.0.0
% Syntax   : Number of clauses    :   31 (   0 non-Horn;  22 unit;   7 RR)
%            Number of literals   :   41 (  41 equality)
%            Maximal clause size  :    3 (   1 average)
%            Number of predicates :    1 (   0 propositional; 2-2 arity)
%            Number of functors   :    8 (   4 constant; 0-2 arity)
%            Number of variables  :   62 (   2 singleton)
%            Maximal term depth   :    3 (   1 average)

% Comments : ORDERING LPO inverse > product > greatest_lower_bound >
%            least_upper_bound > identity > a > b > c
%          : ORDERING LPO greatest_lower_bound > least_upper_bound > 
%            inverse > product > identity > a > b > c
% Bugfixes : v1.2.1 - Duplicate axioms in GRP004-2.ax removed.
%--------------------------------------------------------------------------
%----Include equality axioms 
include('Axioms/EQU001-0.ax').
%----Include equality group theory axioms 
include('Axioms/GRP004-0.ax').
%----Include Lattice ordered group (equality) axioms
include('Axioms/GRP004-2.ax').
%--------------------------------------------------------------------------
input_clause(p12_1,hypothesis,
    [++equal(inverse(identity),identity)]).

input_clause(p12_2,hypothesis,
    [++equal(inverse(inverse(X)),X)]).

input_clause(p12_3,hypothesis,
    [++equal(inverse(multiply(X,Y)),multiply(inverse(Y),inverse(X)))]).

input_clause(p12_4,hypothesis,
    [++equal(greatest_lower_bound(a,c),greatest_lower_bound(b,c))]).

input_clause(p12_5,hypothesis,
    [++equal(least_upper_bound(a,c),least_upper_bound(b,c))]).

input_clause(prove_p12,conjecture,
    [--equal(a,b)]).
%--------------------------------------------------------------------------
