%--------------------------------------------------------------------------
% File     : GRP183-4 : TPTP v2.1.0. Bugfixed v1.2.1.
% Domain   : Group Theory (Lattice Ordered)
% Problem  : Orthogonal elements form a subgroup with orthogonal parts
% Version  : [Fuc94] (equality) axioms : Augmented.
%            Theorem formulation : Variant.
% English  : 

% Refs     : [Fuc94] Fuchs (1994), The Application of Goal-Orientated Heuri
%          : [Sch95] Schulz (1995), Explanation Based Learning for Distribu
% Source   : [Sch95]
% Names    : p20x [Sch95]

% Status   : unsatisfiable
% Rating   : 0.60 v2.1.0, 0.86 v2.0.0
% Syntax   : Number of clauses    :   29 (   0 non-Horn;  20 unit;   5 RR)
%            Number of literals   :   39 (  39 equality)
%            Maximal clause size  :    3 (   1 average)
%            Number of predicates :    1 (   0 propositional; 2-2 arity)
%            Number of functors   :    6 (   2 constant; 0-2 arity)
%            Number of variables  :   62 (   2 singleton)
%            Maximal term depth   :    4 (   1 average)

% Comments : ORDERING LPO inverse > product > greatest_lower_bound >
%            least_upper_bound > identity > a
% Bugfixes : v1.2.1 - Duplicate axioms in GRP004-2.ax removed.
%--------------------------------------------------------------------------
%----Include equality axioms 
include('Axioms/EQU001-0.ax').
%----Include equality group theory axioms 
include('Axioms/GRP004-0.ax').
%----Include Lattice ordered group (equality) axioms
include('Axioms/GRP004-2.ax').
%--------------------------------------------------------------------------
input_clause(p20x_1,hypothesis,
    [++equal(inverse(identity),identity)]).

input_clause(p20x_1,hypothesis,
    [++equal(inverse(inverse(X)),X)]).

input_clause(p20x_3,hypothesis,
    [++equal(inverse(multiply(X,Y)),multiply(inverse(Y),inverse(X)))]).

input_clause(prove_20x,conjecture,
    [--equal(greatest_lower_bound(least_upper_bound(a,identity),
least_upper_bound(inverse(a),identity)),identity)]).
%--------------------------------------------------------------------------
