%--------------------------------------------------------------------------
% File     : LCL028-1 : TPTP v2.1.0. Released v1.0.0.
% Domain   : Logic Calculi (Implication/Falsehood 2 valued sentential)
% Problem  : C0-CAMerideth depends on the Church system
% Version  : [McC92] axioms.
% English  : Axiomatisations for the Implication/Falsehood 2 valued 
%            sentential calculus are {C0-1,C0-2,C0-3,C0-4} 
%            by Tarski-Bernays, {C0-2,C0-5,C0-6} by Church, and the single 
%            Meredith axioms. Show that the Meredith axiom can be derived 
%            from the Church system.

% Refs     : [MW92]  McCune & Wos (1992), Experiments in Automated Deductio
%          : [McC92] McCune (1992), Email to G. Sutcliffe
% Source   : [McC92]
% Names    : C0-40 [MW92]

% Status   : unknown
% Rating   : 1.00 v2.0.0
% Syntax   : Number of clauses    :    5 (   0 non-Horn;   4 unit;   2 RR)
%            Number of literals   :    7 (   0 equality)
%            Maximal clause size  :    3 (   1 average)
%            Number of predicates :    1 (   0 propositional; 1-1 arity)
%            Number of functors   :    6 (   5 constant; 0-2 arity)
%            Number of variables  :    8 (   1 singleton)
%            Maximal term depth   :    6 (   3 average)

% Comments : 
%--------------------------------------------------------------------------
input_clause(condensed_detachment,axiom,
    [--is_a_theorem(implies(X,Y)),
     --is_a_theorem(X),
     ++is_a_theorem(Y)]).

input_clause(c0_2,axiom,
    [++is_a_theorem(implies(X,implies(Y,X)))]).

input_clause(c0_5,axiom,
    [++is_a_theorem(implies(implies(implies(X,falsehood),
falsehood),X))]).

input_clause(c0_6,axiom,
    [++is_a_theorem(implies(implies(X,implies(Y,Z)),
implies(implies(X,Y),implies(X,Z))))]).

input_clause(prove_c0_CAMerideth,conjecture,
    [--is_a_theorem(implies(implies(implies(implies(implies(a,b),
implies(c,falsehood)),e),falsehood),implies(implies(falsehood,a),
implies(c,a))))]).
%--------------------------------------------------------------------------
