%--------------------------------------------------------------------------
% File     : LCL039-1 : TPTP v2.1.0. Released v1.0.0.
% Domain   : Logic Calculi (Implication/Negation 2 valued modal)
% Problem  : A theorem from Morgan
% Version  : [Pel86] axioms.
% English  : An axiomatisation of the Implication/Negation 2 valued 
%            sentential calculus is {CN-18,CN-35,CN-49} by Church. This 
%            can be extended to the  modal logic T by the addition 
%            of three axioms for the modal operators. This problem proves 
%            a simple result of T.

% Refs     : [Mor84] Morgan (1984), Logic Problems
%          : [Pel86] Pelletier (1986), Seventy-five Problems for Testing Au
% Source   : [Pel86]
% Names    : Pelletier 69 [Pel86]

% Status   : unsatisfiable
% Rating   : 0.67 v2.1.0, 0.63 v2.0.0
% Syntax   : Number of clauses    :    8 (   0 non-Horn;   6 unit;   3 RR)
%            Number of literals   :   11 (   0 equality)
%            Maximal clause size  :    3 (   1 average)
%            Number of predicates :    1 (   0 propositional; 1-1 arity)
%            Number of functors   :    4 (   1 constant; 0-2 arity)
%            Number of variables  :   13 (   1 singleton)
%            Maximal term depth   :    5 (   2 average)

% Comments : 
%--------------------------------------------------------------------------
input_clause(condensed_detachment,axiom,
    [--is_a_theorem(implies(X,Y)),
     --is_a_theorem(X),
     ++is_a_theorem(Y)]).

input_clause(cn_18,axiom,
    [++is_a_theorem(implies(X,implies(Y,X)))]).

input_clause(cn_35,axiom,
    [++is_a_theorem(implies(implies(X,implies(Y,Z)),
implies(implies(X,Y),implies(X,Z))))]).

input_clause(cn_49,axiom,
    [++is_a_theorem(implies(implies(not(X),not(Y)),implies(Y,X)))]).

input_clause(necessitation1,axiom,
    [++is_a_theorem(implies(necessary(implies(X,Y)),implies(
necessary(X),necessary(Y))))]).

input_clause(necessitation2,axiom,
    [++is_a_theorem(implies(necessary(X),X))]).

input_clause(axiom_of_necessitation,axiom,
    [--is_a_theorem(X),
     ++is_a_theorem(necessary(X))]).

input_clause(prove_this,conjecture,
    [--is_a_theorem(implies(necessary(a),not(necessary(not(a)))))]).
%--------------------------------------------------------------------------
