%--------------------------------------------------------------------------
% File     : LCL125-1 : TPTP v2.1.0. Released v1.0.0.
% Domain   : Logic Calculi (Right group)
% Problem  : LG-2 depends on the 1st McCune system
% Version  : [McC92b] axioms.
% English  : Kalman's axiomatisation of the right group calculus 
%            is {LG-1,LG-2,LG-3,LG-4,LG-5}. McCune has shown that LG-2 
%            is a single axiom. Other axiomatisations by McCune are 
%            {Q-2,Q-3}, {Q-3,Q-4}, S-2, S-3, S-4, P-4, S-6. Show that LG-2 
%            depends on the first McCune system.

% Refs     : [MW92]  McCune & Wos (1992), Experiments in Automated Deductio
%          : [McC92a] McCune (1992), Automated Discovery of New Axiomatisat
%          : [McC92b] McCune (1992), Email to G. Sutcliffe
% Source   : [McC92b]
% Names    : RG-106 [MW92]

% Status   : unknown
% Rating   : 1.00 v2.0.0
% Syntax   : Number of clauses    :    4 (   0 non-Horn;   3 unit;   2 RR)
%            Number of literals   :    6 (   0 equality)
%            Maximal clause size  :    3 (   1 average)
%            Number of predicates :    1 (   0 propositional; 1-1 arity)
%            Number of functors   :    5 (   4 constant; 0-2 arity)
%            Number of variables  :    8 (   0 singleton)
%            Maximal term depth   :    6 (   3 average)

% Comments : 
%--------------------------------------------------------------------------
input_clause(condensed_detachment,axiom,
    [--is_a_theorem(equivalent(X,Y)),
     --is_a_theorem(X),
     ++is_a_theorem(Y)]).

input_clause(q_2,axiom,
    [++is_a_theorem(equivalent(equivalent(equivalent(X,Y),
equivalent(Z,Y)),equivalent(X,Z)))]).

input_clause(q_3,axiom,
    [++is_a_theorem(equivalent(X,equivalent(equivalent(X,
equivalent(Y,Z)),equivalent(Z,Y))))]).

input_clause(prove_lg_2,conjecture,
    [--is_a_theorem(equivalent(a,equivalent(a,equivalent(
equivalent(b,c),equivalent(equivalent(b,e),equivalent(c,e))))))]).
%--------------------------------------------------------------------------
