%--------------------------------------------------------------------------
% File     : LCL167-1 : TPTP v2.1.0. Released v1.0.0.
% Domain   : Logic Calculi (Equivalential)
% Problem  : YRO depends on XHK
% Version  : [WW+90] axioms.
% English  : Show that the single Meredith axiom YRO can be derived from 
%            the single Winker axiom XHK.

% Refs     : [WW+90] Wos et al. (1990), Automated Reasoning Contributes to 
%          : [MW92]  McCune & Wos (1992), Experiments in Automated Deductio
% Source   : [WW+90]
% Names    : EC-2 [WW+90]

% Status   : unknown
% Rating   : 1.00 v2.0.0
% Syntax   : Number of clauses    :    3 (   0 non-Horn;   2 unit;   2 RR)
%            Number of literals   :    5 (   0 equality)
%            Maximal clause size  :    3 (   1 average)
%            Number of predicates :    1 (   0 propositional; 1-1 arity)
%            Number of functors   :    4 (   3 constant; 0-2 arity)
%            Number of variables  :    5 (   0 singleton)
%            Maximal term depth   :    5 (   2 average)

% Comments : 
%--------------------------------------------------------------------------
input_clause(condensed_detachment,axiom,
    [--is_a_theorem(equivalent(X,Y)),
     --is_a_theorem(X),
     ++is_a_theorem(Y)]).

%----Axiom by Winker 
input_clause(xhk,axiom,
    [++is_a_theorem(equivalent(X,equivalent(equivalent(Y,Z),
equivalent(equivalent(X,Z),Y))))]).

%----Axiom by Meredith 
input_clause(prove_yro,conjecture,
    [--is_a_theorem(equivalent(equivalent(a,b),equivalent(c,
equivalent(equivalent(c,b),a))))]).
%--------------------------------------------------------------------------
