%--------------------------------------------------------------------------
% File     : LDA005-1 : TPTP v2.1.0. Released v1.0.0.
% Domain   : LD-Algebras (Embedding algebras)
% Problem  : Let g=cr(t). Show that tt(tsg) < t(tsg) (for any s)
% Version  : [Jec93] axioms : Incomplete.
% English  : 

% Refs     : [Jec93] Jech (1993), LD-Algebras
% Source   : [Jec93]
% Names    : Problem 5 [Jec93]

% Status   : unsatisfiable
% Rating   : 1.00 v2.0.0
% Syntax   : Number of clauses    :   25 (   2 non-Horn;  13 unit;  17 RR)
%            Number of literals   :   42 (  26 equality)
%            Maximal clause size  :    3 (   1 average)
%            Number of predicates :    2 (   0 propositional; 2-2 arity)
%            Number of functors   :   12 (  10 constant; 0-2 arity)
%            Number of variables  :   38 (   0 singleton)
%            Maximal term depth   :    3 (   1 average)

% Comments : 
%--------------------------------------------------------------------------
%----Include Reflexivity, symmetry and transitivity, of equality 
include('Axioms/EQU001-0.ax').
%----Include Embedding algebra axioms 
include('Axioms/LDA001-0.ax').
%--------------------------------------------------------------------------
input_clause(clause_1,axiom,
    [++equal(tt,f(t,t))]).

input_clause(clause_2,axiom,
    [++equal(st,f(s,t))]).

input_clause(clause_3,axiom,
    [++equal(ts,f(t,s))]).

input_clause(clause_4,axiom,
    [++equal(k,critical_point(t))]).

input_clause(clause_5,axiom,
    [++equal(sk,f(s,k))]).

input_clause(clause_6,axiom,
    [++equal(tk,f(t,k))]).

input_clause(clause_7,axiom,
    [++equal(stk,f(st,k))]).

input_clause(clause_8,axiom,
    [++equal(tsk,f(ts,k))]).

%----tt(tsk) < t(tsk), where k=crit(t) 
input_clause(prove_equation,conjecture,
    [--less(f(tt,tsk),f(t,tsk))]).
%--------------------------------------------------------------------------
