%--------------------------------------------------------------------------
% File     : MGT012+1 : TPTP v2.1.0. Released v2.0.0.
% Domain   : Management (Organisation Theory)
% Problem  : Complexity of an organization cannot get smaller by age
% Version  : [PB+94] axioms.
% English  : Complexity of an organization cannot get smaller by age in
%            lack of reorganization.

% Refs     : [PB+94] Peli et al. (1994), A Logical Approach to Formalizing 
%          : [Kam94] Kamps (1994), Email to G. Sutcliffe
%          : [Kam95] Kamps (1995), Email to G. Sutcliffe
% Source   : [Kam94]
% Names    :

% Status   : theorem
% Rating   : ? v2.0.0
% Syntax   : Number of formulae    :   20 (   1 unit)
%            Number of atoms       :   56 (  22 equality)
%            Maximal formula depth :    4 (   3 average)
%            Number of connectives :   36 (   0 ~  ;   0  |;  17  &)
%                                         (   0 <=>;  19 =>;   0 <=)
%                                         (   0 <~>;   0 ~|;   0 ~&)
%            Number of predicates  :    7 (   0 propositional; 2-3 arity)
%            Number of functors    :    0 (   0 constant; --- arity)
%            Number of variables   :   69 (   1 singleton;  68 !;   1 ?)
%            Maximal term depth    :    1 (   1 average)

% Comments : "Not published due to publication constraints." [Kam95].
%--------------------------------------------------------------------------
%----Include equality axioms
include('Axioms/EQU001+0.ax').
%--------------------------------------------------------------------------
%----Subsitution axioms
input_formula(class_substitution_1,axiom,(
    ! [A,B,C,D] : 
      ( ( equal(A,B)
        & class(A,C,D) )
     => class(B,C,D) )   )).

input_formula(class_substitution_2,axiom,(
    ! [A,B,C,D] : 
      ( ( equal(A,B)
        & class(C,A,D) )
     => class(C,B,D) )   )).

input_formula(class_substitution_3,axiom,(
    ! [A,B,C,D] : 
      ( ( equal(A,B)
        & class(C,D,A) )
     => class(C,D,B) )   )).

input_formula(complexity_substitution_1,axiom,(
    ! [A,B,C,D] : 
      ( ( equal(A,B)
        & complexity(A,C,D) )
     => complexity(B,C,D) )   )).

input_formula(complexity_substitution_2,axiom,(
    ! [A,B,C,D] : 
      ( ( equal(A,B)
        & complexity(C,A,D) )
     => complexity(C,B,D) )   )).

input_formula(complexity_substitution_3,axiom,(
    ! [A,B,C,D] : 
      ( ( equal(A,B)
        & complexity(C,D,A) )
     => complexity(C,D,B) )   )).

input_formula(greater_substitution_1,axiom,(
    ! [A,B,C] : 
      ( ( equal(A,B)
        & greater(A,C) )
     => greater(B,C) )   )).

input_formula(greater_substitution_2,axiom,(
    ! [A,B,C] : 
      ( ( equal(A,B)
        & greater(C,A) )
     => greater(C,B) )   )).

input_formula(inertia_substitution_1,axiom,(
    ! [A,B,C,D] : 
      ( ( equal(A,B)
        & inertia(A,C,D) )
     => inertia(B,C,D) )   )).

input_formula(inertia_substitution_2,axiom,(
    ! [A,B,C,D] : 
      ( ( equal(A,B)
        & inertia(C,A,D) )
     => inertia(C,B,D) )   )).

input_formula(inertia_substitution_3,axiom,(
    ! [A,B,C,D] : 
      ( ( equal(A,B)
        & inertia(C,D,A) )
     => inertia(C,D,B) )   )).

input_formula(organization_substitution_1,axiom,(
    ! [A,B,C] : 
      ( ( equal(A,B)
        & organization(A,C) )
     => organization(B,C) )   )).

input_formula(organization_substitution_2,axiom,(
    ! [A,B,C] : 
      ( ( equal(A,B)
        & organization(C,A) )
     => organization(C,B) )   )).

input_formula(reorganization_free_substitution_1,axiom,(
    ! [A,B,C,D] : 
      ( ( equal(A,B)
        & reorganization_free(A,C,D) )
     => reorganization_free(B,C,D) )   )).

input_formula(reorganization_free_substitution_2,axiom,(
    ! [A,B,C,D] : 
      ( ( equal(A,B)
        & reorganization_free(C,A,D) )
     => reorganization_free(C,B,D) )   )).

input_formula(reorganization_free_substitution_3,axiom,(
    ! [A,B,C,D] : 
      ( ( equal(A,B)
        & reorganization_free(C,D,A) )
     => reorganization_free(C,D,B) )   )).

%----Problem axioms
input_formula(mp5,axiom,(
    ! [X,T] : 
      ( organization(X,T)
     => ? [I] : inertia(X,I,T) )   )).

input_formula(mp6_1,axiom,(
    ! [X,Y] : 
      ~ ( greater(X,Y)
        & equal(X,Y) )   )).

input_formula(mp6_2,axiom,(
    ! [X,Y] : 
      ~ ( greater(X,Y)
        & greater(Y,X) )   )).

input_formula(mp9,axiom,(
    ! [X,T] : 
      ( organization(X,T)
     => ? [C] : class(X,C,T) )   )).

%----Class cannot change without reorganization.
input_formula(mp10,axiom,(
    ! [X,T1,T2,C1,C2] : 
      ( ( organization(X,T1)
        & organization(X,T2)
        & reorganization_free(X,T1,T2)
        & class(X,C1,T1)
        & class(X,C2,T2) )
     => equal(C1,C2) )   )).

input_formula(a12_FOL,hypothesis,(
    ! [X,Y,C,C1,C2,I1,I2,T1,T2] : 
      ( ( organization(X,T1)
        & organization(Y,T2)
        & class(X,C,T1)
        & class(Y,C,T2)
        & complexity(X,C1,T1)
        & complexity(Y,C2,T2)
        & inertia(X,I1,T1)
        & inertia(Y,I2,T2)
        & greater(C2,C1) )
     => greater(I2,I1) )   )).

input_formula(t2_FOL,hypothesis,(
    ! [X,I1,I2,T1,T2] : 
      ( ( organization(X,T1)
        & organization(X,T2)
        & reorganization_free(X,T1,T2)
        & inertia(X,I1,T1)
        & inertia(X,I2,T2)
        & greater(T2,T1) )
     => greater(I2,I1) )   )).

input_formula(t12_FOL,conjecture,(
    ! [X,C1,C2,T1,T2] : 
      ( ( organization(X,T1)
        & organization(X,T2)
        & reorganization_free(X,T1,T2)
        & complexity(X,C1,T1)
        & complexity(X,C2,T2)
        & greater(T2,T1) )
     => ~ greater(C1,C2) )   )).
%--------------------------------------------------------------------------
