%--------------------------------------------------------------------------
% File     : MSC009-1 : TPTP v2.1.0. Released v1.2.0.
% Domain   : Miscellaneous
% Problem  : Definitions of a family structure
% Version  : Special.
% English  : 

% Refs     : [FL+93] Fermuller et al. (1993), Resolution Methods for the De
% Source   : [FL+93]
% Names    : KL-ONE-example [FL+93]

% Status   : satisfiable
% Rating   : 0.00 v2.0.0
% Syntax   : Number of clauses    :   28 (   4 non-Horn;   0 unit;  27 RR)
%            Number of literals   :   70 (   0 equality)
%            Maximal clause size  :    4 (   2 average)
%            Number of predicates :   11 (   0 propositional; 1-2 arity)
%            Number of functors   :    6 (   0 constant; 1-1 arity)
%            Number of variables  :   35 (   0 singleton)
%            Maximal term depth   :    2 (   1 average)

% Comments : 
%--------------------------------------------------------------------------
input_clause(female1,conjecture,
    [--female(X),
     --male(X)]).

input_clause(female2,conjecture,
    [++male(X),
     ++female(X)]).

input_clause(person1,conjecture,
    [--person(X),
     ++sex(X,sex_of1(X))]).

input_clause(person2,conjecture,
    [--person(X),
     ++male(sex_of1(X)),
     ++female(sex_of1(X))]).

input_clause(person3,conjecture,
    [--sex(X,Y),
     --male(Y),
     ++person(X)]).

input_clause(person4,conjecture,
    [--sex(X,Y),
     --female(Y),
     ++person(X)]).

input_clause(parent1,conjecture,
    [--parent(X),
     ++person(X)]).

input_clause(parent2,conjecture,
    [--parent(X),
     ++child(X,child_of1(X))]).

input_clause(parent3,conjecture,
    [--parent(X),
     ++person(child_of1(X))]).

input_clause(parent4,conjecture,
    [--person(X),
     --child(X,Y),
     --person(Y),
     ++parent(X)]).

input_clause(mother1,conjecture,
    [--mother(X),
     ++parent(X)]).

input_clause(mother2,conjecture,
    [--mother(X),
     ++sex(X,sex_of2(X))]).

input_clause(mother3,conjecture,
    [--mother(X),
     ++female(sex_of2(X))]).

input_clause(mother4,conjecture,
    [--parent(X),
     --sex(X,Y),
     --female(Y),
     ++mother(X)]).

input_clause(father1,conjecture,
    [--father(X),
     ++parent(X)]).

input_clause(father2,conjecture,
    [--father(X),
     --mother(X)]).

input_clause(father3,conjecture,
    [--parent(X),
     ++mother(X),
     ++father(X)]).

input_clause(grandparent1,conjecture,
    [--grandparent(X),
     ++parent(X)]).

input_clause(grandparent2,conjecture,
    [--grandparent(X),
     ++child(X,child_of2(X))]).

input_clause(grandparent3,conjecture,
    [--grandparent(X),
     ++parent(child_of2(X))]).

input_clause(grandparent4,conjecture,
    [--parent(X),
     --child(X,Y),
     --parent(Y),
     ++grandparent(X)]).

input_clause(parent_with_sons_only1,conjecture,
    [--parent_with_sons_only(X),
     ++parent(X)]).

input_clause(parent_with_sons_only2,conjecture,
    [--parent_with_sons_only(X),
     --child(X,Y),
     ++child_with_parent(Y)]).

input_clause(parent_with_sons_only3,conjecture,
    [--parent(X),
     ++child(X,female_child_of(X)),
     ++parent_with_sons_only(X)]).

input_clause(parent_with_sons_only4,conjecture,
    [--parent(X),
     --child_with_parent(female_child_of(X)),
     ++parent_with_sons_only(X)]).

input_clause(parent_with_sons_only5,conjecture,
    [--child_with_parent(Y),
     ++sex(Y,sex_of3(Y))]).

input_clause(parent_with_sons_only6,conjecture,
    [--child_with_parent(Y),
     ++male(sex_of3(Y))]).

input_clause(parent_with_sons_only7,conjecture,
    [--sex(Y,Z),
     --male(Z),
     ++child_with_parent(Y)]).
%--------------------------------------------------------------------------
