%--------------------------------------------------------------------------
% File     : NUM021-1 : TPTP v2.1.0. Released v1.0.0.
% Domain   : Number Theory
% Problem  : If a <= b < c, then c cannot divide a
% Version  : [LS74] axioms : Incomplete.
% English  : 

% Refs     : [LS74]  Lawrence & Starkey (1974), Experimental Tests of Resol
%          : [WM76]  Wilson & Minker (1976), Resolution, Refinements, and S
% Source   : [SPRFN]
% Names    : ls65 [LS74]
%          : ls65 [WM76]

% Status   : unsatisfiable
% Rating   : 0.00 v2.0.0
% Syntax   : Number of clauses    :   19 (   1 non-Horn;   9 unit;  14 RR)
%            Number of literals   :   32 (   0 equality)
%            Maximal clause size  :    3 (   1 average)
%            Number of predicates :    3 (   0 propositional; 2-2 arity)
%            Number of functors   :    8 (   4 constant; 0-2 arity)
%            Number of variables  :   31 (   3 singleton)
%            Maximal term depth   :    4 (   1 average)

% Comments : Surplus transitivity axiom removed.
%          : This is dumb, because there is no need for the clause
%            prove_a_contradiction.
%--------------------------------------------------------------------------
%----Don't include equality axioms because it's incomplete
%include('Axioms/EQU001-0.ax').
%----Include recursive function + and * axioms 
include('Axioms/NUM001-0.ax').
%----Include recursive function less axioms 
include('Axioms/NUM001-1.ax').
%----Include recursive function divides axioms 
include('Axioms/NUM001-2.ax').
%--------------------------------------------------------------------------
input_clause(reflexivity,axiom,
    [++equalish(X,X)]).

input_clause(symmetry,axiom,
    [--equalish(X,Y),
     ++equalish(Y,X)]).

input_clause(transitivity,axiom,
    [--equalish(X,Y),
     --equalish(Y,Z),
     ++equalish(X,Z)]).

input_clause(b_less_than_c,hypothesis,
    [++less(b,c)]).

input_clause(b_greater_equal_a,hypothesis,
    [--less(b,a)]).

input_clause(impossible_c_divides_a,conjecture,
    [++divides(c,a)]).

input_clause(prove_a_contradiction,conjecture,
    [--equalish(successor(A),0)]).
%--------------------------------------------------------------------------
