%--------------------------------------------------------------------------
% File     : NUM117-1 : TPTP v2.1.0. Bugfixed v2.1.0.
% Domain   : Number Theory (Ordinals)
% Problem  : Corollary to ordinal class and numbers
% Version  : [Qua92] axioms.
% English  : 

% Refs     : [Qua92] Quaife (1992), Automated Deduction in von Neumann-Bern
% Source   : [Quaife]
% Names    : ORD15 [Quaife]

% Status   : unknown
% Rating   : ? v2.1.0
% Syntax   : Number of clauses    :  270 (  12 non-Horn;  49 unit; 181 RR)
%            Number of literals   :  577 ( 253 equality)
%            Maximal clause size  :    5 (   2 average)
%            Number of predicates :   18 (   0 propositional; 1-3 arity)
%            Number of functors   :   63 (  19 constant; 0-3 arity)
%            Number of variables  :  628 (  40 singleton)
%            Maximal term depth   :    6 (   1 average)

% Comments : Not in [Qua92]. Theorem ORD15 in [Quaife].
%          : Quaife proves all these problems by augmenting the axioms with 
%            all previously proved theorems. The user may create an augmented
%            version of this problem by adding all previously proved theorems.
%            These include all of [Qua92]'s set theory and Boolean algebra
%            theorems, available from the SET domain.
% Bugfixes : v1.0.1 - Bugfix in SET004-1.ax.
%          : v1.2.1 - Added missing ordinal_class axioms. Quaife has used
%            this theorem to remove ordinal class elsewhere.
%          : v2.1.0 - Bugfix in SET004-0.ax.
%--------------------------------------------------------------------------
%----Include axioms of equality 
include('Axioms/EQU001-0.ax').
%----Include von Neuman-Bernays-Godel set theory axioms 
include('Axioms/SET004-0.ax').
include('Axioms/SET004-0.eq').
%----Include Set theory (Boolean algebra) axioms based on NBG set theory 
include('Axioms/SET004-1.ax').
include('Axioms/SET004-1.eq').
%----Include ordinal number theory axioms.
include('Axioms/NUM004-0.ax').
include('Axioms/NUM004-0.eq').
%--------------------------------------------------------------------------
input_clause(ordinal_class1,axiom,
    [--ordinal_class(X),
     ++well_ordering(element_relation,X)]). 

input_clause(ordinal_class2,axiom,
    [--ordinal_class(X),
     ++subclass(sum_class(X),X)]).

input_clause(ordinal_class3,axiom,
    [--well_ordering(element_relation,X),
     --subclass(sum_class(X),X),
     ++ordinal_class(X)]).

input_clause(ordinal_class_substitution_1,axiom, 
    [--equal(A, B),
     --ordinal_class(A),
     ++ordinal_class(B)]).

input_clause(prove_corollary_to_ordinal_class_and_numbers_1,conjecture,
    [++ordinal_class(x)]).

input_clause(prove_corollary_to_ordinal_class_and_numbers_2,conjecture,
    [--subclass(x,ordinal_numbers)]).
%--------------------------------------------------------------------------
