%--------------------------------------------------------------------------
% File     : NUM232-1 : TPTP v2.1.0. Bugfixed v2.1.0.
% Domain   : Number Theory (Ordinals)
% Problem  : Transfinite recursion lemma 3
% Version  : [Qua92] axioms.
% English  : 

% Refs     : [Qua92] Quaife (1992), Automated Deduction in von Neumann-Bern
% Source   : [Quaife]
% Names    : TREC.LEMMA3 [Quaife]

% Status   : unsatisfiable
% Rating   : ? v2.1.0
% Syntax   : Number of clauses    :  268 (  12 non-Horn;  51 unit; 179 RR)
%            Number of literals   :  569 ( 253 equality)
%            Maximal clause size  :    5 (   2 average)
%            Number of predicates :   17 (   0 propositional; 1-3 arity)
%            Number of functors   :   65 (  21 constant; 0-3 arity)
%            Number of variables  :  623 (  40 singleton)
%            Maximal term depth   :    6 (   1 average)

% Comments : Not in [Qua92]. Theorem TREC.LEMMA3 in [Quaife].
%          : Quaife proves all these problems by augmenting the axioms with 
%            all previously proved theorems. The user may create an augmented
%            version of this problem by adding all previously proved theorems.
%            These include all of [Qua92]'s set theory and Boolean algebra
%            theorems, available from the SET domain.
% Bugfixes : v1.0.1 - Bugfix in SET004-1.ax.
%          : v2.1.0 - Bugfix in SET004-0.ax.
%--------------------------------------------------------------------------
%----Include axioms of equality 
include('Axioms/EQU001-0.ax').
%----Include von Neuman-Bernays-Godel set theory axioms 
include('Axioms/SET004-0.ax').
include('Axioms/SET004-0.eq').
%----Include Set theory (Boolean algebra) axioms based on NBG set theory 
include('Axioms/SET004-1.ax').
include('Axioms/SET004-1.eq').
%----Include ordinal number theory axioms.
include('Axioms/NUM004-0.ax').
include('Axioms/NUM004-0.eq').
%--------------------------------------------------------------------------
input_clause(prove_transfinite_recursion_lemma3_1,conjecture,
    [++member(x,recursion_equation_functions(z))]).

input_clause(prove_transfinite_recursion_lemma3_2,conjecture,
    [++member(y,recursion_equation_functions(z))]).

input_clause(prove_transfinite_recursion_lemma3_3,conjecture,
    [--subclass(x,y)]).

input_clause(prove_transfinite_recursion_lemma3_4,conjecture,
    [--equal(restrict(x,least(element_relation,domain_of(intersection(
complement(y),x))),universal_class),restrict(y,least(element_relation,
domain_of(intersection(complement(y),x))),universal_class))]).
%--------------------------------------------------------------------------
