%--------------------------------------------------------------------------
% File     : NUM284-1.014 : TPTP v2.1.0. Released v1.0.0.
% Domain   : Number Theory
% Problem  : Calculation of fibonacci numbers
% Version  : [SETHEO] axioms : Special.
% English  : Compute the 14th Fibonacci number.

% Refs     : 
% Source   : [SETHEO]
% Names    : fib3.lop (Size 3) [SETHEO]
%          : fib4.lop (Size 4) [SETHEO]
%          : fib5.lop (Size 5) [SETHEO]
%          : fib6.lop (Size 6) [SETHEO]
%          : fib9.lop (Size 9) [SETHEO]

% Status   : unsatisfiable
% Rating   : ? v2.0.0
% Syntax   : Number of clauses    :    6 (   0 non-Horn;   4 unit;   5 RR)
%            Number of literals   :   12 (   0 equality)
%            Maximal clause size  :    6 (   2 average)
%            Number of predicates :    2 (   0 propositional; 2-3 arity)
%            Number of functors   :    2 (   1 constant; 0-1 arity)
%            Number of variables  :   11 (   1 singleton)
%            Maximal term depth   :   15 (   1 average)

% Comments : 
%          : tptp2X: -f tptp -s14 NUM284-1.g 
%--------------------------------------------------------------------------
input_clause(fibonacci_0,axiom,
    [++fibonacci(0,successor(0))]).

input_clause(fibonacci_1,axiom,
    [++fibonacci(successor(0),successor(0))]).

input_clause(fibonacci_N,axiom,
    [--sum(N1,successor(0),N),
     --sum(N2,successor(successor(0)),N),
     --fibonacci(N1,F1),
     --fibonacci(N2,F2),
     --sum(F1,F2,FN),
     ++fibonacci(N,FN)]).

input_clause(add_0,axiom,
    [++sum(X,0,X)]).

input_clause(add,axiom,
    [--sum(X,Y,Z),
     ++sum(X,successor(Y),successor(Z))]).

input_clause(prove_fibonacci,conjecture,
    [--fibonacci(successor(successor(successor(successor(successor(successor(successor(successor(successor(successor(successor(successor(successor(successor(0)))))))))))))),Result)]).
%--------------------------------------------------------------------------
