%--------------------------------------------------------------------------
% File     : PLA001-1 : TPTP v2.1.0. Released v1.0.0.
% Domain   : Planning
% Problem  : Cheyenne to DesMoines, buying a loaf of bread on the way
% Version  : Special.
% English  : The problem is to drive from Cheyenne, Wyoming to Des Moines, 
%            Iowa and end up there with a loaf of bread. A portion of the 
%            road map is expressed in clause form. The allowable actions 
%            are to drive from a city to a neighboring city, to buy a loaf 
%            of bread at a city, and to wait_at at a city for one unit 
%            of time. Buying a loaf of bread takes one unit of time and 
%            driving to a neighboring city takes two units of time.

% Refs     : [Pla81] Plaisted (1981), Theorem Proving with Abstraction
% Source   : [Pla81]
% Names    : - [Pla81]

% Status   : unsatisfiable
% Rating   : 0.22 v2.1.0, 0.00 v2.0.0
% Syntax   : Number of clauses    :   16 (   0 non-Horn;  12 unit;  16 RR)
%            Number of literals   :   22 (   0 equality)
%            Maximal clause size  :    3 (   1 average)
%            Number of predicates :    2 (   0 propositional; 2-4 arity)
%            Number of functors   :   18 (  14 constant; 0-2 arity)
%            Number of variables  :   20 (   2 singleton)
%            Maximal term depth   :    3 (   1 average)

% Comments : 
%--------------------------------------------------------------------------
input_clause(drive1,axiom,
    [--at(FromCity,Loaves,Time,Situation),
     --next_to(FromCity,ToCity),
     ++at(ToCity,Loaves,s(s(Time)),drive(ToCity,Situation))]).

input_clause(drive2,axiom,
    [--at(FromCity,Loaves,Time,Situation),
     --next_to(ToCity,FromCity),
     ++at(ToCity,Loaves,s(s(Time)),drive(ToCity,Situation))]).

input_clause(wait_in_city,axiom,
    [--at(City,Loaves,Time,Situation),
     ++at(City,Loaves,s(Time),wait_at(Situation))]).

input_clause(buy_in_city,axiom,
    [--at(City,Loaves,Time,Situation),
     ++at(City,s(Loaves),s(Time),buy(Situation))]).

input_clause(map1,hypothesis,
    [++next_to(winnemucca,elko)]).

input_clause(map2,hypothesis,
    [++next_to(elko,saltLakeCity)]).

input_clause(map3,hypothesis,
    [++next_to(saltLakeCity,rockSprings)]).

input_clause(map4,hypothesis,
    [++next_to(rockSprings,laramie)]).

input_clause(map5,hypothesis,
    [++next_to(laramie,cheyenne)]).

input_clause(map6,hypothesis,
    [++next_to(cheyenne,northPlatte)]).

input_clause(map7,hypothesis,
    [++next_to(northPlatte,grandIsland)]).

input_clause(map8,hypothesis,
    [++next_to(grandIsland,lincoln)]).

input_clause(map9,hypothesis,
    [++next_to(lincoln,omaha)]).

input_clause(map10,hypothesis,
    [++next_to(omaha,desMoines)]).

input_clause(initial,hypothesis,
    [++at(cheyenne,none,start,initial_situation)]).

input_clause(prove_you_gat_get_there_with_bread,conjecture,
    [--at(desMoines,s(none),Time,Situation)]).
%--------------------------------------------------------------------------
