%--------------------------------------------------------------------------
% File     : PRV001-1 : TPTP v2.1.0. Released v1.0.0.
% Domain   : Program Verification
% Problem  : PV1
% Version  : Special.
% English  : These "clauses arose in a natural manner from work done in 
%            program verification" [MOW76] p.779.

% Refs     : [MOW76] McCharen et al. (1976), Problems and Experiments for a
% Source   : [MOW76]
% Names    : PV1 [MOW76]

% Status   : unsatisfiable
% Rating   : 0.00 v2.0.0
% Syntax   : Number of clauses    :   14 (   2 non-Horn;   2 unit;  12 RR)
%            Number of literals   :   36 (   0 equality)
%            Maximal clause size  :    4 (   2 average)
%            Number of predicates :    6 (   0 propositional; 2-3 arity)
%            Number of functors   :    3 (   3 constant; 0-0 arity)
%            Number of variables  :   30 (   2 singleton)
%            Maximal term depth   :    1 (   1 average)

% Comments : This problem was contributed to [MOW76] by E. McCharen. The
%            axioms are incomplete.
%--------------------------------------------------------------------------
input_clause(clause_1,axiom,
    [--q1(X,Y,Z),
     --less_or_equalish(X,Y),
     ++q2(X,Y,Z)]).

input_clause(clause_2,axiom,
    [--q1(X,Y,Z),
     ++less_or_equalish(X,Y),
     ++q3(X,Y,Z)]).

input_clause(clause_3,axiom,
    [--q2(X,Y,Z),
     ++q4(X,Y,Y)]).

input_clause(clause_4,axiom,
    [--q3(X,Y,Z),
     ++q4(X,Y,X)]).

input_clause(less_or_equal_reflexivity,axiom,
    [++less_or_equalish(X,X)]).

input_clause(less_or_equal_implies_equal,axiom,
    [--less_or_equalish(X,Y),
     --less_or_equalish(Y,X),
     ++equalish(X,Y)]).

input_clause(transitivity_of_less_or_equal,axiom,
    [--less_or_equalish(X,Y),
     --less_or_equalish(Y,Z),
     ++less_or_equalish(X,Z)]).

input_clause(all_less_or_equal,axiom,
    [++less_or_equalish(X,Y),
     ++less_or_equalish(Y,X)]).

input_clause(equal_implies_less_or_equal,axiom,
    [++less_or_equalish(X,Y),
     --equalish(X,Y)]).

input_clause(less_or_equal_substitution1,axiom,
    [--equalish(X,Y),
     --less_or_equalish(X,Z),
     ++less_or_equalish(Y,Z)]).

input_clause(less_or_equal_substitution2,axiom,
    [--equalish(X,Y),
     --less_or_equalish(Z,X),
     ++less_or_equalish(Z,Y)]).

input_clause(clause_5,conjecture,
    [++q1(a,b,c)]).

input_clause(clause_6,conjecture,
    [--q4(a,b,W),
     --less_or_equalish(a,W),
     --less_or_equalish(b,W),
     --less_or_equalish(W,a)]).

input_clause(clause_7,conjecture,
    [--q4(a,b,W),
     --less_or_equalish(a,W),
     --less_or_equalish(b,W),
     --less_or_equalish(W,b)]).
%--------------------------------------------------------------------------
