%--------------------------------------------------------------------------
% File     : PRV006-1 : TPTP v2.1.0. Released v1.0.0.
% Domain   : Program Verification
% Problem  : E5
% Version  : Special.
% English  : 

% Refs     : [MOW76] McCharen et al. (1976), Problems and Experiments for a
% Source   : [SETHEO]
% Names    : E5 [MOW76]
%          : v5.lop [SETHEO]

% Status   : unsatisfiable
% Rating   : 0.09 v2.1.0, 0.00 v2.0.0
% Syntax   : Number of clauses    :   26 (   2 non-Horn;  11 unit;  20 RR)
%            Number of literals   :   50 (  21 equality)
%            Maximal clause size  :    4 (   1 average)
%            Number of predicates :    2 (   0 propositional; 2-2 arity)
%            Number of functors   :    7 (   4 constant; 0-1 arity)
%            Number of variables  :   37 (   0 singleton)
%            Maximal term depth   :    3 (   1 average)

% Comments : This problem was contributed to [MOW76] in private
%            correspondance from G. Ernst. The axioms are incomplete.
%--------------------------------------------------------------------------
%----Include axioms of equality 
include('Axioms/EQU001-0.ax').
%----Include axioms for this program verification 
include('Axioms/PRV001-0.ax').
include('Axioms/PRV001-0.eq').
%--------------------------------------------------------------------------
input_clause(clause_1,conjecture,
    [--less_than(n,m)]).

input_clause(clause_2,conjecture,
    [++less_than(i,m)]).

input_clause(clause_3,conjecture,
    [++less_than(i,n)]).

input_clause(clause_4,conjecture,
    [--less_than(i,one)]).

input_clause(clause_5,conjecture,
    [++less_than(a(i),a(m))]).

input_clause(clause_6,conjecture,
    [++less_than(X,i),
     --less_than(X,successor(n)),
     --less_than(a(X),a(m))]).

input_clause(clause_7,conjecture,
    [++less_than(X,i),
     ++less_than(n,X),
     --less_than(one,i),
     --less_than(a(X),a(predecessor(i)))]).

input_clause(clause_8,conjecture,
    [--less_than(one,X),
     --less_than(X,i),
     --less_than(a(X),a(predecessor(X)))]).
%--------------------------------------------------------------------------
