%--------------------------------------------------------------------------
% File     : PUZ035-4 : TPTP v2.1.0. Released v2.0.0.
% Domain   : Puzzles
% Problem  : Knights and Knaves #36
% Version  : [Sto95] axioms : Augmented.
% English  : On an island, there live exactly two types of people: knights 
%            and knaves. Knights always tell the truth and knaves always 
%            lie. I landed on the island, met two inhabitants, asked one of 
%            them: "Is one of you a knight?" and he answered me. What can 
%            be said about the types of the asked and the other person 
%            depending on the answer I get?

% Refs     : [Smu78] Smullyan (1978), What is the Name of This Book? The Ri
%          : [Sto95] Stolzenburg (1995), Email to Geoff Sutcliffe.
%          : [BFS97] Baumgartner et al. (1997), Computing Answers with Mode
% Source   : [Sto95]
% Names    :

% Status   : unsatisfiable
% Rating   : 0.33 v2.1.0
% Syntax   : Number of clauses    :   14 (   5 non-Horn;   2 unit;  14 RR)
%            Number of literals   :   33 (   0 equality)
%            Maximal clause size  :    3 (   2 average)
%            Number of predicates :    3 (   0 propositional; 1-2 arity)
%            Number of functors   :    7 (   4 constant; 0-2 arity)
%            Number of variables  :   20 (   7 singleton)
%            Maximal term depth   :    4 (   1 average)

% Comments : The query allows for disjunctive answer P1/P2/S = 
%            knave/knave/* ; knave/knight/not(*) ; knight/knave/* ; 
%            knight/knight/*, where * stands for
%            or(isa(asked,knight),isa(other,knight))
%--------------------------------------------------------------------------
%----Everyone's either a knight or a knave
input_clause(everyone_a_knight_or_knave,axiom,
    [--person(P),
     ++true(isa(P,knight)),
     ++true(isa(P,knave))]).

input_clause(not_both_a_knight_and_knave,axiom,
    [--true(isa(P,knight)),
     --true(isa(P,knave))]).

input_clause(knights_make_true_statements1,axiom,
    [++true(S),
     --says(P,S),
     --true(isa(P,knight))]).

input_clause(knights_make_true_statements2,axiom,
    [++true(isa(P,knight)),
     --says(P,S),
     --true(S)]).

%----Possible answer scenarios
input_clause(one_is_knight_answer,axiom,
    [++says(asked,or(isa(asked,knight),isa(other,knight))),
     ++says(asked,not(or(isa(asked,knight),isa(other,knight))))]).

%----Axioms of truth and statements
input_clause(statements_are_true_or_false,axiom,
    [++true(S),
     ++true(not(S)),
     --says(Anyone,S)]).

input_clause(statements_are_true_or_false2,axiom,
    [++true(S),
     ++true(not(S)),
     --says(Anyone,not(S))]).

%----Replaces metarule
input_clause(statements_are_true_or_false3,axiom,
    [--true(S),
     --true(not(S))]).

%----Axioms for or and not
input_clause(or_def,axiom,
    [++true(S1),
     ++true(S2),
     --true(or(S1,S2))]).

input_clause(not1,axiom,
    [--true(S1),
     --true(not(or(S1,Anything)))]).

input_clause(not2,axiom,
    [--true(S2),
     --true(not(or(Anything,S2)))]).

%----Two people
input_clause(asked_person,axiom,
    [++person(asked)]).

input_clause(other_person,axiom,
    [++person(other)]).
 
input_clause(prove_answer,conjecture,
    [--true(isa(asked,P1)),
     --true(isa(other,P2)),
     --says(asked,S)]).
%--------------------------------------------------------------------------
