%--------------------------------------------------------------------------
% File     : RNG002-1 : TPTP v2.1.0. Released v1.0.0.
% Domain   : Ring Theory
% Problem  : Right cancellation for addition
% Version  : [MOW76] axioms.
% English  : 

% Refs     : [MOW76] McCharen et al. (1976), Problems and Experiments for a
%          : [OMW76] Overbeek et al. (1976), Complexity and Related Enhance
% Source   : [MOW76]
% Names    : Established lemma [MOW76]
%          : Lemma proved [OMW76]

% Status   : unsatisfiable
% Rating   : 0.33 v2.1.0, 0.00 v2.0.0
% Syntax   : Number of clauses    :   34 (   0 non-Horn;  10 unit;  23 RR)
%            Number of literals   :   87 (  25 equality)
%            Maximal clause size  :    5 (   2 average)
%            Number of predicates :    3 (   0 propositional; 2-3 arity)
%            Number of functors   :    8 (   5 constant; 0-2 arity)
%            Number of variables  :  115 (   0 singleton)
%            Maximal term depth   :    2 (   1 average)

% Comments : 
%--------------------------------------------------------------------------
%----Include Reflexivity, symmetry and transitivity, of equality 
include('Axioms/EQU001-0.ax').
%----Include ring theory axioms 
include('Axioms/RNG001-0.ax').
%----Include ring theory equality axioms 
include('Axioms/RNG001-0.eq').
%--------------------------------------------------------------------------
input_clause(a_plus_b_is_d,hypothesis,
    [++sum(a,b,d)]).

input_clause(a_plus_c_is_d,hypothesis,
    [++sum(a,c,d)]).

input_clause(prove_b_equals_c,conjecture,
    [--equal(b,c)]).
%--------------------------------------------------------------------------
