%--------------------------------------------------------------------------
% File     : RNG008-6 : TPTP v2.1.0. Released v1.0.0.
% Domain   : Ring Theory
% Problem  : Boolean rings are commutative
% Version  : [MOW76] axioms : Augmented.
% English  : Given a ring in which for all x, x * x = x, prove that for 
%            all x and y, x * y = y * x.

% Refs     : [MOW76] McCharen et al. (1976), Problems and Experiments for a
%          : [Ove90] Overbeek (1990), ATP competition announced at CADE-10
%          : [Ove93] Overbeek (1993), The CADE-11 Competitions: A Personal 
%          : [LM93]  Lusk & McCune (1993), Uniform Strategies: The CADE-11 
% Source   : [Ove90]
% Names    : CADE-11 Competition 3 [Ove90]
%          : THEOREM 3 [LM93]

% Status   : unsatisfiable
% Rating   : 0.67 v2.1.0, 0.75 v2.0.0
% Syntax   : Number of clauses    :   36 (   0 non-Horn;  12 unit;  22 RR)
%            Number of literals   :   89 (  24 equality)
%            Maximal clause size  :    5 (   2 average)
%            Number of predicates :    3 (   0 propositional; 2-3 arity)
%            Number of functors   :    7 (   4 constant; 0-2 arity)
%            Number of variables  :  118 (   2 singleton)
%            Maximal term depth   :    2 (   1 average)

% Comments : Supplies multiplication to identity as lemmas
%--------------------------------------------------------------------------
%----Include Reflexivity, symmetry and transitivity, of equality 
include('Axioms/EQU001-0.ax').
%----Include ring theory axioms 
include('Axioms/RNG001-0.ax').
%----Include ring theory equality axioms 
include('Axioms/RNG001-0.eq').
%--------------------------------------------------------------------------
input_clause(x_times_identity_x_is_identity,axiom,
    [++product(X,additive_identity,additive_identity)]).

input_clause(identity_times_x_is_identity,axiom,
    [++product(additive_identity,X,additive_identity)]).

input_clause(x_squared_is_x,hypothesis,
    [++product(X,X,X)]).

input_clause(a_times_b_is_c,hypothesis,
    [++product(a,b,c)]).

input_clause(prove_b_times_a_is_c,conjecture,
    [--product(b,a,c)]).
%--------------------------------------------------------------------------
