%--------------------------------------------------------------------------
% File     : RNG028-8 : TPTP v2.1.0. Released v1.0.0.
% Domain   : Ring Theory (Alternative)
% Problem  : Left Moufang identity
% Version  : [Ste87] (equality) axioms.
%            Theorem formulation : Associators.
% English  : 

% Refs     : [Ste87] Stevens (1987), Some Experiments in Nonassociative Rin
%          : [Ste88] Stevens (1988), Challenge Problems from Nonassociative
% Source   : [Ste87]
% Names    : m2' [Ste87]

% Status   : unknown
% Rating   : 1.00 v2.0.0
% Syntax   : Number of clauses    :   29 (   0 non-Horn;  17 unit;   4 RR)
%            Number of literals   :   42 (  42 equality)
%            Maximal clause size  :    3 (   1 average)
%            Number of predicates :    1 (   0 propositional; 2-2 arity)
%            Number of functors   :    9 (   4 constant; 0-3 arity)
%            Number of variables  :   65 (   2 singleton)
%            Maximal term depth   :    5 (   1 average)

% Comments : [Ste88] presents a slightly different set of axioms for proving
%            this theorem. The axioms are so similar to those in RNG004.ax
%            that a separate problems has not been created.
%--------------------------------------------------------------------------
%----Include equality axioms 
include('Axioms/EQU001-0.ax').
%----Include nonassociative ring axioms 
include('Axioms/RNG003-0.ax').
%--------------------------------------------------------------------------
input_clause(prove_left_moufang,conjecture,
    [--equal(associator(x,multiply(y,x),z),multiply(x,associator(
x,y,z)))]).
%--------------------------------------------------------------------------
