%--------------------------------------------------------------------------
% File     : ROB016-1 : TPTP v2.1.0. Released v1.0.0.
% Domain   : Robbins Algebra
% Problem  : If -(d + e) = -e then -(e + k(d + -(d + -e))) = -e, for k>0
% Version  : [Win90] (equality) axioms.
% English  : 

% Refs     : [Win90] Winker (1990), Robbins Algebra: Conditions that make a
% Source   : [Win90]
% Names    : Corollary 3.7 [Win90]

% Status   : unsatisfiable
% Rating   : 0.17 v2.1.0, 0.20 v2.0.0
% Syntax   : Number of clauses    :   21 (   0 non-Horn;   9 unit;  11 RR)
%            Number of literals   :   36 (  28 equality)
%            Maximal clause size  :    3 (   1 average)
%            Number of predicates :    2 (   0 propositional; 1-2 arity)
%            Number of functors   :    8 (   4 constant; 0-2 arity)
%            Number of variables  :   38 (   0 singleton)
%            Maximal term depth   :    8 (   1 average)

% Comments : The extra lemma is required for the proof.
%--------------------------------------------------------------------------
%----Include the axioms of equality 
include('Axioms/EQU001-0.ax').
%----Include axioms for Robbins algebra 
include('Axioms/ROB001-0.ax').
%----Include axioms for Robbins algebra numbers 
include('Axioms/ROB001-1.ax').
%--------------------------------------------------------------------------
input_clause(condition,hypothesis,
    [++equal(negate(add(d,e)),negate(e))]).

input_clause(k_positive,axiom,
    [++positive_integer(k)]).

%----Lemma 3.6 required 
input_clause(lemma_3_6,axiom,
    [--equal(negate(add(negate(Y),negate(add(X,negate(Y))))),X),
     --positive_integer(Vk),
     ++equal(negate(add(Y,multiply(Vk,add(X,negate(add(X,
negate(Y))))))),negate(Y))]).

input_clause(prove_result,conjecture,
    [--equal(negate(add(e,multiply(k,add(d,negate(add(d,
negate(e))))))),negate(e))]).
%--------------------------------------------------------------------------
