%--------------------------------------------------------------------------
% File     : SET010-1 : TPTP v2.1.0. Released v1.0.0.
% Domain   : Set Theory
% Problem  : c-a union c-b equals c-(the intersection of a and b)
% Version  : [LS74] axioms.
% English  : 

% Refs     : [LS74]  Lawrence & Starkey (1974), Experimental Tests of Resol
%          : [WM76]  Wilson & Minker (1976), Resolution, Refinements, and S
% Source   : [SPRFN]
% Names    : ls118 [LS74]
%          : ls118 [WM76]

% Status   : unsatisfiable
% Rating   : 1.00 v2.0.0
% Syntax   : Number of clauses    :   29 (   9 non-Horn;   5 unit;  24 RR)
%            Number of literals   :   79 (   0 equality)
%            Maximal clause size  :    4 (   2 average)
%            Number of predicates :    6 (   0 propositional; 2-3 arity)
%            Number of functors   :   11 (   7 constant; 0-3 arity)
%            Number of variables  :   76 (   6 singleton)
%            Maximal term depth   :    2 (   1 average)

% Comments : 
%--------------------------------------------------------------------------
%----Include the member and subset axioms 
include('Axioms/SET001-0.ax').
%----Include the member and union axioms 
include('Axioms/SET001-1.ax').
%----Include the member and intersection axioms 
include('Axioms/SET001-2.ax').
%----Include the member and difference axioms 
include('Axioms/SET001-3.ax').
%--------------------------------------------------------------------------
input_clause(a_intersection_b,hypothesis,
    [++intersection(a,b,aIb)]).

input_clause(c_minus_a,hypothesis,
    [++difference(c,a,cDa)]).

input_clause(c_minus_b,hypothesis,
    [++difference(c,b,cDb)]).

input_clause(c_minus_aIb,hypothesis,
    [++difference(c,aIb,cD_aIb)]).

input_clause(prove_cDa_union_cDb_is_cD_aIb,conjecture,
    [--union(cDa,cDb,cD_aIb)]).
%--------------------------------------------------------------------------
