%--------------------------------------------------------------------------
% File     : SET018-3 : TPTP v2.1.0. Released v1.0.0.
% Domain   : Set Theory
% Problem  : Second components of equal ordered pairs are equal
% Version  : [BL+86] axioms : Augmented.
% English  : 

% Refs     : [BL+86] Boyer et al. (1986), Set Theory in First-Order Logic: 
% Source   : [BL+86]
% Names    : Lemma 3 [BL+86]

% Status   : unknown
% Rating   : 1.00 v2.0.0
% Syntax   : Number of clauses    :  274 (  20 non-Horn;  18 unit; 172 RR)
%            Number of literals   :  643 ( 279 equality)
%            Maximal clause size  :    8 (   2 average)
%            Number of predicates :   14 (   0 propositional; 1-5 arity)
%            Number of functors   :   63 (  10 constant; 0-5 arity)
%            Number of variables  :  739 (  30 singleton)
%            Maximal term depth   :    4 (   1 average)

% Comments : 
%--------------------------------------------------------------------------
%----Include the axioms of equality 
include('Axioms/EQU001-0.ax').
%----Include Godel's set axioms 
include('Axioms/SET003-0.ax').
%----Include the equality axioms for Godel's set axioms 
include('Axioms/SET003-0.eq').
%--------------------------------------------------------------------------
%----Previously proved lemmas are added at each step 
input_clause(first_components_are_equal,axiom,
    [--little_set(X),
     --little_set(U),
     --equal(ordered_pair(X,Y),ordered_pair(U,V)),
     ++equal(X,U)]).

input_clause(left_cancellation,axiom,
    [--little_set(X),
     --little_set(Y),
     --equal(non_ordered_pair(Z,X),non_ordered_pair(Z,Y)),
     ++equal(X,Y)]).

input_clause(a_little_set,hypothesis,
    [++little_set(a)]).

input_clause(b_little_set,hypothesis,
    [++little_set(b)]).

input_clause(c_little_set,hypothesis,
    [++little_set(c)]).

input_clause(d_little_set,hypothesis,
    [++little_set(d)]).

input_clause(equal_ordered_pair,hypothesis,
    [++equal(ordered_pair(a,b),ordered_pair(c,d))]).

input_clause(prove_second_components_equal,conjecture,
    [--equal(b,d)]).
%--------------------------------------------------------------------------
