%--------------------------------------------------------------------------
% File     : SET035-6 : TPTP v2.1.0. Bugfixed v2.1.0.
% Domain   : Set Theory
% Problem  : Maps for composition
% Version  : [Qua92] axioms.
% English  : 

% Refs     : [BL+86] Boyer et al. (1986), Set Theory in First-Order Logic: 
%          : [Qua92] Quaife (1992), Automated Deduction in von Neumann-Bern
% Source   : [Quaife]
% Names    : MA1 [Quaife]

% Status   : unknown
% Rating   : ? v2.1.0
% Syntax   : Number of clauses    :  190 (   8 non-Horn;  41 unit; 121 RR)
%            Number of literals   :  389 ( 181 equality)
%            Maximal clause size  :    5 (   2 average)
%            Number of predicates :   11 (   0 propositional; 1-3 arity)
%            Number of functors   :   51 (  17 constant; 0-3 arity)
%            Number of variables  :  436 (  32 singleton)
%            Maximal term depth   :    6 (   1 average)

% Comments : Not in [Qua92].
%          : This problem has been removed from its position in Quaife's
%            order of presentation because it corresponds to one of [BL+86]
%            problems. If the user wishes to create augmented versions of
%            the Quaife problems, the theorem name above indicates its
%            position in Quaife's ordering.
% Bugfixes : v1.0.1 - Bugfix in SET004-1.ax.
%          : v2.1.0 - Bugfix in SET004-0.ax.
%--------------------------------------------------------------------------
%----Include axioms of equality 
include('Axioms/EQU001-0.ax').
%----Include von Neuman-Bernays-Godel set theory axioms 
include('Axioms/SET004-0.ax').
include('Axioms/SET004-0.eq').
%----Include von Neuman-Bernays-Godel Boolean Algebra definitions 
include('Axioms/SET004-1.ax').
include('Axioms/SET004-1.eq').
%--------------------------------------------------------------------------
input_clause(prove_composition_of_mappings_1,conjecture,
    [++maps(xf,u,v)]).

input_clause(prove_composition_of_mappings_2,conjecture,
    [++maps(xg,v,w)]).

input_clause(prove_composition_of_mappings_3,conjecture,
    [--maps(compose(xg,xf),u,w)]).
%--------------------------------------------------------------------------
