%--------------------------------------------------------------------------
% File     : SET430-6 : TPTP v2.1.0. Bugfixed v2.1.0.
% Domain   : Set Theory
% Problem  : In a single-valued class, each image is a singleton
% Version  : [Qua92] axioms.
% English  : 

% Refs     : [BL+86] Boyer et al. (1986), Set Theory in First-Order Logic: 
%          : [Qua92] Quaife (1992), Automated Deduction in von Neumann-Bern
% Source   : [Quaife]
% Names    : SV5 [Qua92]

% Status   : unknown
% Rating   : ? v2.1.0
% Syntax   : Number of clauses    :  191 (   8 non-Horn;  41 unit; 122 RR)
%            Number of literals   :  391 ( 184 equality)
%            Maximal clause size  :    5 (   2 average)
%            Number of predicates :   11 (   0 propositional; 1-3 arity)
%            Number of functors   :   49 (  14 constant; 0-3 arity)
%            Number of variables  :  438 (  32 singleton)
%            Maximal term depth   :    6 (   1 average)

% Comments : Quaife proves all these problems by augmenting the axioms with 
%            all previously proved theorems. With a few exceptions (the
%            problems that correspond to [BL+86] problems), the TPTP has
%            retained the order in which Quaife presents the problems. The
%            user may create an augmented version of this problem by adding
%            all previously proved theorems (the ones that correspond to
%            [BL+86] are easily identified and positioned using Quaife's
%            naming scheme).
% Bugfixes : v1.0.1 - Bugfix in SET004-1.ax.
%          : v2.1.0 - Bugfix in SET004-0.ax.
%--------------------------------------------------------------------------
%----Include axioms of equality 
include('Axioms/EQU001-0.ax').
%----Include von Neuman-Bernays-Godel set theory axioms 
include('Axioms/SET004-0.ax').
include('Axioms/SET004-0.eq').
%----Include von Neuman-Bernays-Godel Boolean Algebra definitions 
include('Axioms/SET004-1.ax').
include('Axioms/SET004-1.eq').
%--------------------------------------------------------------------------
input_clause(member_of_substitution1,axiom,
    [--equal(A,B),
     ++equal(member_of(A),member_of(B))]).

input_clause(prove_image_of_single_valued_class_domain_1,conjecture,
    [++single_valued_class(x)]).

input_clause(prove_image_of_single_valued_class_domain_2,conjecture,
    [++member(z,domain_of(x))]).

input_clause(prove_image_of_single_valued_class_domain_3,conjecture,
    [--equal(singleton(member_of(image(x,singleton(z)))),image(x,
singleton(z)))]).
%--------------------------------------------------------------------------
