%--------------------------------------------------------------------------
% File     : SYN013-1 : TPTP v2.1.0. Released v1.0.0.
% Domain   : Syntactic
% Problem  : A problem in quantification theory
% Version  : Special.
% English  : 

% Refs     : [Wan65] Wang (1965), Formalization and Automatic Theorem-Provi
%          : [Wos65] Wos (1965), Unpublished Note
%          : [MOW76] McCharen et al. (1976), Problems and Experiments for a
%          : [WM76]  Wilson & Minker (1976), Resolution, Refinements, and S
% Source   : [MOW76]
% Names    : ExQ1 [Wan65]
%          : EXQ1 [MOW76]
%          : wos31 [WM76]
%          : exq1.ver1.in [ANL]
%          : exq1.ver2.in [ANL]
%          : wang1.in [OTTER]

% Status   : unsatisfiable
% Rating   : 0.73 v2.1.0, 0.00 v2.0.0
% Syntax   : Number of clauses    :   23 (  11 non-Horn;   4 unit;  20 RR)
%            Number of literals   :   65 (  40 equality)
%            Maximal clause size  :    6 (   2 average)
%            Number of predicates :    2 (   0 propositional; 2-2 arity)
%            Number of functors   :    5 (   3 constant; 0-1 arity)
%            Number of variables  :   31 (   0 singleton)
%            Maximal term depth   :    2 (   1 average)

% Comments : 
%--------------------------------------------------------------------------
%----Include equality axioms 
include('Axioms/EQU001-0.ax').
%--------------------------------------------------------------------------
input_clause(element_substitution1,axiom,
    [--equal(X,Y),
     --element(X,Z),
     ++element(Y,Z)]).

input_clause(element_substitution2,axiom,
    [--equal(X,Y),
     --element(Z,X),
     ++element(Z,Y)]).

input_clause(f_substitution1,axiom,
    [--equal(X,Y),
     ++equal(f(X),f(Y))]).

input_clause(g_substitution1,axiom,
    [--equal(X,Y),
     ++equal(g(X),g(Y))]).

input_clause(c_1,conjecture,
    [--equal(m,n)]).

input_clause(c_2,conjecture,
    [--equal(n,k)]).

input_clause(c_3,conjecture,
    [--equal(k,m)]).

input_clause(c_4,conjecture,
    [++equal(Y,m),
     --element(Y,m),
     --equal(f(Y),m)]).

input_clause(c_5,conjecture,
    [++equal(Y,m),
     --element(Y,m),
     --equal(f(Y),Y)]).

input_clause(c_6,conjecture,
    [++equal(Y,m),
     --element(Y,m),
     ++element(Y,f(Y))]).

input_clause(c_7,conjecture,
    [++equal(Y,m),
     --element(Y,m),
     ++element(f(Y),Y)]).

input_clause(c_8,conjecture,
    [++equal(Y,m),
     ++element(Y,m),
     ++equal(V,m),
     ++equal(V,Y),
     --element(Y,V),
     --element(V,Y)]).

input_clause(c_9,conjecture,
    [++equal(Y,n),
     ++element(Y,n),
     --equal(g(Y),n)]).

input_clause(c_10,conjecture,
    [++equal(Y,n),
     ++element(Y,n),
     --equal(g(Y),Y)]).

input_clause(c_11,conjecture,
    [++equal(Y,n),
     ++element(Y,n),
     ++element(Y,g(Y))]).

input_clause(c_12,conjecture,
    [++equal(Y,n),
     ++element(Y,n),
     ++element(g(Y),Y)]).

input_clause(c_13,conjecture,
    [++equal(Y,n),
     --element(Y,n),
     ++equal(V,n),
     ++equal(V,Y),
     --element(Y,V),
     --element(V,Y)]).

input_clause(c_14,conjecture,
    [++equal(Y,k),
     --equal(Y,m),
     ++element(Y,k)]).

input_clause(c_15,conjecture,
    [++equal(Y,k),
     --equal(Y,n),
     ++element(Y,k)]).

input_clause(c_16,conjecture,
    [++equal(Y,k),
     ++equal(Y,m),
     ++equal(Y,n),
     --element(Y,k)]).
%--------------------------------------------------------------------------
