%--------------------------------------------------------------------------
% File     : SYN039-1 : TPTP v2.1.0. Released v1.0.0.
% Domain   : Syntactic
% Problem  : A challenge to resolution programs
% Version  : Special.
% English  : 

% Refs     : [Lif89] Lifschitz (1989), What is the Inverse Method?
% Source   : [OTTER]
% Names    : lifsch.in [OTTER]

% Status   : unsatisfiable
% Rating   : 0.33 v2.1.0, 0.37 v2.0.0
% Syntax   : Number of clauses    :   27 (  11 non-Horn;   0 unit;   7 RR)
%            Number of literals   :   81 (   0 equality)
%            Maximal clause size  :    3 (   3 average)
%            Number of predicates :    3 (   0 propositional; 2-2 arity)
%            Number of functors   :    1 (   0 constant; 2-2 arity)
%            Number of variables  :   84 (  21 singleton)
%            Maximal term depth   :    2 (   1 average)

% Comments : It is easily solved by Maslov's inverse method. "In a personal
%            communication, Minc quotes one problem that was successfully
%            solved by the program not later than 1968" [Lif89] p.14.
%--------------------------------------------------------------------------
% formula_list(sos).
% -(exists x exists x1 all y exists z exists z1
%      (  ( -p(y,y) | p(x,x)   | -s(z,x)  ) &
%         ( s(x,y)  | -s(y,z)  | q(z1,z1) ) &
%         ( q(x1,y) | -q(y,z1) | s(x1,x1) )  )).

input_clause(c_1,conjecture,
    [++p(f1(X,X1),f1(X,X1)),
     --s(X,f1(X,X1)),
     --q(X1,f1(X,X1))]).

input_clause(c_2,conjecture,
    [++p(f1(X,X1),f1(X,X1)),
     --s(X,f1(X,X1)),
     ++q(f1(X,X1),Z1)]).

input_clause(c_3,conjecture,
    [++p(f1(X,X1),f1(X,X1)),
     --s(X,f1(X,X1)),
     --s(X1,X1)]).

input_clause(c_4,conjecture,
    [++p(f1(X,X1),f1(X,X1)),
     ++s(f1(X,X1),Z),
     --q(X1,f1(X,X1))]).

input_clause(c_5,conjecture,
    [++p(f1(X,X1),f1(X,X1)),
     ++s(f1(X,X1),Z),
     ++q(f1(X,X1),Z1)]).

input_clause(c_6,conjecture,
    [++p(f1(X,X1),f1(X,X1)),
     ++s(f1(X,X1),Z),
     --s(X1,X1)]).

input_clause(c_7,conjecture,
    [++p(f1(X,X1),f1(X,X1)),
     --q(Z1,Z1),
     --q(X1,f1(X,X1))]).

input_clause(c_8,conjecture,
    [++p(f1(X,X1),f1(X,X1)),
     --q(Z1,Z1),
     ++q(f1(X,X1),Z1)]).

input_clause(c_9,conjecture,
    [++p(f1(X,X1),f1(X,X1)),
     --q(Z1,Z1),
     --s(X1,X1)]).

input_clause(c_10,conjecture,
    [--p(X,X),
     --s(X,f1(X,X1)),
     --q(X1,f1(X,X1))]).

input_clause(c_11,conjecture,
    [--p(X,X),
     --s(X,f1(X,X1)),
     ++q(f1(X,X1),Z1)]).

input_clause(c_12,conjecture,
    [--p(X,X),
     --s(X,f1(X,X1)),
     --s(X1,X1)]).

input_clause(c_13,conjecture,
    [--p(X,X),
     ++s(f1(X,X1),Z),
     --q(X1,f1(X,X1))]).

input_clause(c_14,conjecture,
    [--p(X,X),
     ++s(f1(X,X1),Z),
     ++q(f1(X,X1),Z1)]).

input_clause(c_15,conjecture,
    [--p(X,X),
     ++s(f1(X,X1),Z),
     --s(X1,X1)]).

input_clause(c_16,conjecture,
    [--p(X,X),
     --q(Z1,Z1),
     --q(X1,f1(X,X1))]).

input_clause(c_17,conjecture,
    [--p(X,X),
     --q(Z1,Z1),
     ++q(f1(X,X1),Z1)]).

input_clause(c_18,conjecture,
    [--p(X,X),
     --q(Z1,Z1),
     --s(X1,X1)]).

input_clause(c_19,conjecture,
    [++s(Z,X),
     --s(X,f1(X,X1)),
     --q(X1,f1(X,X1))]).

input_clause(c_20,conjecture,
    [++s(Z,X),
     --s(X,f1(X,X1)),
     ++q(f1(X,X1),Z1)]).

input_clause(c_21,conjecture,
    [++s(Z,X),
     --s(X,f1(X,X1)),
     --s(X1,X1)]).

input_clause(c_22,conjecture,
    [++s(Z,X),
     ++s(f1(X,X1),Z),
     --q(X1,f1(X,X1))]).

input_clause(c_23,conjecture,
    [++s(Z,X),
     ++s(f1(X,X1),Z),
     ++q(f1(X,X1),Z1)]).

input_clause(c_24,conjecture,
    [++s(Z,X),
     ++s(f1(X,X1),Z),
     --s(X1,X1)]).

input_clause(c_25,conjecture,
    [++s(Z,X),
     --q(Z1,Z1),
     --q(X1,f1(X,X1))]).

input_clause(c_26,conjecture,
    [++s(Z,X),
     --q(Z1,Z1),
     ++q(f1(X,X1),Z1)]).

input_clause(c_27,conjecture,
    [++s(Z,X),
     --q(Z1,Z1),
     --s(X1,X1)]).
%--------------------------------------------------------------------------
