%--------------------------------------------------------------------------
% File     : SYN067-1 : TPTP v2.1.0. Released v1.0.0.
% Domain   : Syntactic
% Problem  : Pelletier Problem 38
% Version  : Special.
% English  : 

% Refs     : [Pel86] Pelletier (1986), Seventy-five Problems for Testing Au
% Source   : [Pel86]
% Names    : Pelletier 38 [Pel86]
%          : p38a.in [ANL]
%          : p38b.in [ANL]

% Status   : unsatisfiable
% Rating   : 0.89 v2.1.0, 0.00 v2.0.0
% Syntax   : Number of clauses    :   84 (  69 non-Horn;   0 unit;  57 RR)
%            Number of literals   :  500 (   0 equality)
%            Maximal clause size  :    9 (   5 average)
%            Number of predicates :    2 (   0 propositional; 1-2 arity)
%            Number of functors   :   11 (   5 constant; 0-1 arity)
%            Number of variables  :  188 (   0 singleton)
%            Maximal term depth   :    2 (   1 average)

% Comments : A full predicate logic version of Pelletier 17 and 33.
%          : Evidently this CNF is erroneous, because the FOF is provable.
%            I cannot recall where I got this CNF from.
%          : Previous comment is weird, because SPASS found a proof.
%--------------------------------------------------------------------------
input_clause(clause_1,conjecture,
    [--big_p(a),
     ++big_p(X7),
     ++big_p(f2(X7)),
     --big_p(a),
     ++big_p(X1),
     ++big_p(f4(X1))]).

input_clause(clause_2,conjecture,
    [--big_p(a),
     ++big_p(X7),
     ++big_p(f2(X7)),
     --big_p(a),
     ++big_p(X1),
     ++big_r(X1,f3(X1))]).

input_clause(clause_3,conjecture,
    [--big_p(a),
     ++big_p(X7),
     ++big_p(f2(X7)),
     --big_p(a),
     ++big_p(X1),
     ++big_r(f3(X1),f4(X1))]).

input_clause(clause_4,conjecture,
    [--big_p(a),
     ++big_p(X7),
     ++big_p(f2(X7)),
     --big_p(a),
     --big_p(X2),
     --big_r(X1,X2),
     ++big_p(f6(X1))]).

input_clause(clause_5,conjecture,
    [--big_p(a),
     ++big_p(X7),
     ++big_p(f2(X7)),
     --big_p(a),
     --big_p(X2),
     --big_r(X1,X2),
     ++big_r(X1,f5(X1))]).

input_clause(clause_6,conjecture,
    [--big_p(a),
     ++big_p(X7),
     ++big_p(f2(X7)),
     --big_p(a),
     --big_p(X2),
     --big_r(X1,X2),
     ++big_r(f5(X1),f6(X1))]).

input_clause(clause_7,conjecture,
    [--big_p(a),
     ++big_p(X7),
     ++big_r(X7,f1(X7)),
     --big_p(a),
     ++big_p(X1),
     ++big_p(f4(X1))]).

input_clause(clause_8,conjecture,
    [--big_p(a),
     ++big_p(X7),
     ++big_r(X7,f1(X7)),
     --big_p(a),
     ++big_p(X1),
     ++big_r(X1,f3(X1))]).

input_clause(clause_9,conjecture,
    [--big_p(a),
     ++big_p(X7),
     ++big_r(X7,f1(X7)),
     --big_p(a),
     ++big_p(X1),
     ++big_r(f3(X1),f4(X1))]).

input_clause(clause_10,conjecture,
    [--big_p(a),
     ++big_p(X7),
     ++big_r(X7,f1(X7)),
     --big_p(a),
     --big_p(X2),
     --big_r(X1,X2),
     ++big_p(f6(X1))]).

input_clause(clause_11,conjecture,
    [--big_p(a),
     ++big_p(X7),
     ++big_r(X7,f1(X7)),
     --big_p(a),
     --big_p(X2),
     --big_r(X1,X2),
     ++big_r(X1,f5(X1))]).

input_clause(clause_12,conjecture,
    [--big_p(a),
     ++big_p(X7),
     ++big_r(X7,f1(X7)),
     --big_p(a),
     --big_p(X2),
     --big_r(X1,X2),
     ++big_r(f5(X1),f6(X1))]).

input_clause(clause_13,conjecture,
    [--big_p(a),
     ++big_p(X7),
     ++big_r(f1(X7),f2(X7)),
     --big_p(a),
     ++big_p(X1),
     ++big_p(f4(X1))]).

input_clause(clause_14,conjecture,
    [--big_p(a),
     ++big_p(X7),
     ++big_r(f1(X7),f2(X7)),
     --big_p(a),
     ++big_p(X1),
     ++big_r(X1,f3(X1))]).

input_clause(clause_15,conjecture,
    [--big_p(a),
     ++big_p(X7),
     ++big_r(f1(X7),f2(X7)),
     --big_p(a),
     ++big_p(X1),
     ++big_r(f3(X1),f4(X1))]).

input_clause(clause_16,conjecture,
    [--big_p(a),
     ++big_p(X7),
     ++big_r(f1(X7),f2(X7)),
     --big_p(a),
     --big_p(X2),
     --big_r(X1,X2),
     ++big_p(f6(X1))]).

input_clause(clause_17,conjecture,
    [--big_p(a),
     ++big_p(X7),
     ++big_r(f1(X7),f2(X7)),
     --big_p(a),
     --big_p(X2),
     --big_r(X1,X2),
     ++big_r(X1,f5(X1))]).

input_clause(clause_18,conjecture,
    [--big_p(a),
     ++big_p(X7),
     ++big_r(f1(X7),f2(X7)),
     --big_p(a),
     --big_p(X2),
     --big_r(X1,X2),
     ++big_r(f5(X1),f6(X1))]).

input_clause(clause_19,conjecture,
    [--big_p(a),
     --big_p(X8),
     --big_r(X7,X8),
     ++big_p(f2(X7)),
     --big_p(a),
     ++big_p(X1),
     ++big_p(f4(X1))]).

input_clause(clause_20,conjecture,
    [--big_p(a),
     --big_p(X8),
     --big_r(X7,X8),
     ++big_p(f2(X7)),
     --big_p(a),
     ++big_p(X1),
     ++big_r(X1,f3(X1))]).

input_clause(clause_21,conjecture,
    [--big_p(a),
     --big_p(X8),
     --big_r(X7,X8),
     ++big_p(f2(X7)),
     --big_p(a),
     ++big_p(X1),
     ++big_r(f3(X1),f4(X1))]).

input_clause(clause_22,conjecture,
    [--big_p(a),
     --big_p(X8),
     --big_r(X7,X8),
     ++big_p(f2(X7)),
     --big_p(a),
     --big_p(X2),
     --big_r(X1,X2),
     ++big_p(f6(X1))]).

input_clause(clause_23,conjecture,
    [--big_p(a),
     --big_p(X8),
     --big_r(X7,X8),
     ++big_p(f2(X7)),
     --big_p(a),
     --big_p(X2),
     --big_r(X1,X2),
     ++big_r(X1,f5(X1))]).

input_clause(clause_24,conjecture,
    [--big_p(a),
     --big_p(X8),
     --big_r(X7,X8),
     ++big_p(f2(X7)),
     --big_p(a),
     --big_p(X2),
     --big_r(X1,X2),
     ++big_r(f5(X1),f6(X1))]).

input_clause(clause_25,conjecture,
    [--big_p(a),
     --big_p(X8),
     --big_r(X7,X8),
     ++big_r(X7,f1(X7)),
     --big_p(a),
     ++big_p(X1),
     ++big_p(f4(X1))]).

input_clause(clause_26,conjecture,
    [--big_p(a),
     --big_p(X8),
     --big_r(X7,X8),
     ++big_r(X7,f1(X7)),
     --big_p(a),
     ++big_p(X1),
     ++big_r(X1,f3(X1))]).

input_clause(clause_27,conjecture,
    [--big_p(a),
     --big_p(X8),
     --big_r(X7,X8),
     ++big_r(X7,f1(X7)),
     --big_p(a),
     ++big_p(X1),
     ++big_r(f3(X1),f4(X1))]).

input_clause(clause_28,conjecture,
    [--big_p(a),
     --big_p(X8),
     --big_r(X7,X8),
     ++big_r(X7,f1(X7)),
     --big_p(a),
     --big_p(X2),
     --big_r(X1,X2),
     ++big_p(f6(X1))]).

input_clause(clause_29,conjecture,
    [--big_p(a),
     --big_p(X8),
     --big_r(X7,X8),
     ++big_r(X7,f1(X7)),
     --big_p(a),
     --big_p(X2),
     --big_r(X1,X2),
     ++big_r(X1,f5(X1))]).

input_clause(clause_30,conjecture,
    [--big_p(a),
     --big_p(X8),
     --big_r(X7,X8),
     ++big_r(X7,f1(X7)),
     --big_p(a),
     --big_p(X2),
     --big_r(X1,X2),
     ++big_r(f5(X1),f6(X1))]).

input_clause(clause_31,conjecture,
    [--big_p(a),
     --big_p(X8),
     --big_r(X7,X8),
     ++big_r(f1(X7),f2(X7)),
     --big_p(a),
     ++big_p(X1),
     ++big_p(f4(X1))]).

input_clause(clause_32,conjecture,
    [--big_p(a),
     --big_p(X8),
     --big_r(X7,X8),
     ++big_r(f1(X7),f2(X7)),
     --big_p(a),
     ++big_p(X1),
     ++big_r(X1,f3(X1))]).

input_clause(clause_33,conjecture,
    [--big_p(a),
     --big_p(X8),
     --big_r(X7,X8),
     ++big_r(f1(X7),f2(X7)),
     --big_p(a),
     ++big_p(X1),
     ++big_r(f3(X1),f4(X1))]).

input_clause(clause_34,conjecture,
    [--big_p(a),
     --big_p(X8),
     --big_r(X7,X8),
     ++big_r(f1(X7),f2(X7)),
     --big_p(a),
     --big_p(X2),
     --big_r(X1,X2),
     ++big_p(f6(X1))]).

input_clause(clause_35,conjecture,
    [--big_p(a),
     --big_p(X8),
     --big_r(X7,X8),
     ++big_r(f1(X7),f2(X7)),
     --big_p(a),
     --big_p(X2),
     --big_r(X1,X2),
     ++big_r(X1,f5(X1))]).

input_clause(clause_36,conjecture,
    [--big_p(a),
     --big_p(X8),
     --big_r(X7,X8),
     ++big_r(f1(X7),f2(X7)),
     --big_p(a),
     --big_p(X2),
     --big_r(X1,X2),
     ++big_r(f5(X1),f6(X1))]).

input_clause(clause_37,conjecture,
    [++big_p(a),
     ++big_p(a),
     ++big_p(a)]).

input_clause(clause_38,conjecture,
    [++big_p(a),
     ++big_p(a),
     ++big_p(c3)]).

input_clause(clause_39,conjecture,
    [++big_p(a),
     ++big_p(a),
     ++big_r(c4,c3)]).

input_clause(clause_40,conjecture,
    [++big_p(a),
     ++big_p(a),
     --big_p(X5),
     --big_r(c4,X6),
     --big_r(X6,X5)]).

input_clause(clause_41,conjecture,
    [++big_p(a),
     --big_p(c4),
     ++big_p(a)]).

input_clause(clause_42,conjecture,
    [++big_p(a),
     --big_p(c4),
     ++big_p(c3)]).

input_clause(clause_43,conjecture,
    [++big_p(a),
     --big_p(c4),
     ++big_r(c4,c3)]).

input_clause(clause_44,conjecture,
    [++big_p(a),
     --big_p(c4),
     --big_p(X5),
     --big_r(c4,X6),
     --big_r(X6,X5)]).

input_clause(clause_45,conjecture,
    [++big_p(a),
     --big_p(X3),
     --big_r(c4,X4),
     --big_r(X4,X3),
     ++big_p(a)]).

input_clause(clause_46,conjecture,
    [++big_p(a),
     --big_p(X3),
     --big_r(c4,X4),
     --big_r(X4,X3),
     ++big_p(c3)]).

input_clause(clause_47,conjecture,
    [++big_p(a),
     --big_p(X3),
     --big_r(c4,X4),
     --big_r(X4,X3),
     ++big_r(c4,c3)]).

input_clause(clause_48,conjecture,
    [++big_p(a),
     --big_p(X3),
     --big_r(c4,X4),
     --big_r(X4,X3),
     --big_p(X5),
     --big_r(c4,X6),
     --big_r(X6,X5)]).

input_clause(clause_49,conjecture,
    [--big_p(c2),
     ++big_p(c1),
     ++big_p(a),
     ++big_p(a)]).

input_clause(clause_50,conjecture,
    [--big_p(c2),
     ++big_p(c1),
     ++big_p(a),
     ++big_p(c3)]).

input_clause(clause_51,conjecture,
    [--big_p(c2),
     ++big_p(c1),
     ++big_p(a),
     ++big_r(c4,c3)]).

input_clause(clause_52,conjecture,
    [--big_p(c2),
     ++big_p(c1),
     ++big_p(a),
     --big_p(X5),
     --big_r(c4,X6),
     --big_r(X6,X5)]).

input_clause(clause_53,conjecture,
    [--big_p(c2),
     ++big_p(c1),
     --big_p(c4),
     ++big_p(a)]).

input_clause(clause_54,conjecture,
    [--big_p(c2),
     ++big_p(c1),
     --big_p(c4),
     ++big_p(c3)]).

input_clause(clause_55,conjecture,
    [--big_p(c2),
     ++big_p(c1),
     --big_p(c4),
     ++big_r(c4,c3)]).

input_clause(clause_56,conjecture,
    [--big_p(c2),
     ++big_p(c1),
     --big_p(c4),
     --big_p(X5),
     --big_r(c4,X6),
     --big_r(X6,X5)]).

input_clause(clause_57,conjecture,
    [--big_p(c2),
     ++big_p(c1),
     --big_p(X3),
     --big_r(c4,X4),
     --big_r(X4,X3),
     ++big_p(a)]).

input_clause(clause_58,conjecture,
    [--big_p(c2),
     ++big_p(c1),
     --big_p(X3),
     --big_r(c4,X4),
     --big_r(X4,X3),
     ++big_p(c3)]).

input_clause(clause_59,conjecture,
    [--big_p(c2),
     ++big_p(c1),
     --big_p(X3),
     --big_r(c4,X4),
     --big_r(X4,X3),
     ++big_r(c4,c3)]).

input_clause(clause_60,conjecture,
    [--big_p(c2),
     ++big_p(c1),
     --big_p(X3),
     --big_r(c4,X4),
     --big_r(X4,X3),
     --big_p(X5),
     --big_r(c4,X6),
     --big_r(X6,X5)]).

input_clause(clause_61,conjecture,
    [--big_p(c2),
     ++big_r(c2,c1),
     ++big_p(a),
     ++big_p(a)]).

input_clause(clause_62,conjecture,
    [--big_p(c2),
     ++big_r(c2,c1),
     ++big_p(a),
     ++big_p(c3)]).

input_clause(clause_63,conjecture,
    [--big_p(c2),
     ++big_r(c2,c1),
     ++big_p(a),
     ++big_r(c4,c3)]).

input_clause(clause_64,conjecture,
    [--big_p(c2),
     ++big_r(c2,c1),
     ++big_p(a),
     --big_p(X5),
     --big_r(c4,X6),
     --big_r(X6,X5)]).

input_clause(clause_65,conjecture,
    [--big_p(c2),
     ++big_r(c2,c1),
     --big_p(c4),
     ++big_p(a)]).

input_clause(clause_66,conjecture,
    [--big_p(c2),
     ++big_r(c2,c1),
     --big_p(c4),
     ++big_p(c3)]).

input_clause(clause_67,conjecture,
    [--big_p(c2),
     ++big_r(c2,c1),
     --big_p(c4),
     ++big_r(c4,c3)]).

input_clause(clause_68,conjecture,
    [--big_p(c2),
     ++big_r(c2,c1),
     --big_p(c4),
     --big_p(X5),
     --big_r(c4,X6),
     --big_r(X6,X5)]).

input_clause(clause_69,conjecture,
    [--big_p(c2),
     ++big_r(c2,c1),
     --big_p(X3),
     --big_r(c4,X4),
     --big_r(X4,X3),
     ++big_p(a)]).

input_clause(clause_70,conjecture,
    [--big_p(c2),
     ++big_r(c2,c1),
     --big_p(X3),
     --big_r(c4,X4),
     --big_r(X4,X3),
     ++big_p(c3)]).

input_clause(clause_71,conjecture,
    [--big_p(c2),
     ++big_r(c2,c1),
     --big_p(X3),
     --big_r(c4,X4),
     --big_r(X4,X3),
     ++big_r(c4,c3)]).

input_clause(clause_72,conjecture,
    [--big_p(c2),
     ++big_r(c2,c1),
     --big_p(X3),
     --big_r(c4,X4),
     --big_r(X4,X3),
     --big_p(X5),
     --big_r(c4,X6),
     --big_r(X6,X5)]).

input_clause(clause_73,conjecture,
    [--big_p(X9),
     --big_r(c2,X10),
     --big_r(X10,X9),
     ++big_p(a),
     ++big_p(a)]).

input_clause(clause_74,conjecture,
    [--big_p(X9),
     --big_r(c2,X10),
     --big_r(X10,X9),
     ++big_p(a),
     ++big_p(c3)]).

input_clause(clause_75,conjecture,
    [--big_p(X9),
     --big_r(c2,X10),
     --big_r(X10,X9),
     ++big_p(a),
     ++big_r(c4,c3)]).

input_clause(clause_76,conjecture,
    [--big_p(X9),
     --big_r(c2,X10),
     --big_r(X10,X9),
     ++big_p(a),
     --big_p(X5),
     --big_r(c4,X6),
     --big_r(X6,X5)]).

input_clause(clause_77,conjecture,
    [--big_p(X9),
     --big_r(c2,X10),
     --big_r(X10,X9),
     --big_p(c4),
     ++big_p(a)]).

input_clause(clause_78,conjecture,
    [--big_p(X9),
     --big_r(c2,X10),
     --big_r(X10,X9),
     --big_p(c4),
     ++big_p(c3)]).

input_clause(clause_79,conjecture,
    [--big_p(X9),
     --big_r(c2,X10),
     --big_r(X10,X9),
     --big_p(c4),
     ++big_r(c4,c3)]).

input_clause(clause_80,conjecture,
    [--big_p(X9),
     --big_r(c2,X10),
     --big_r(X10,X9),
     --big_p(c4),
     --big_p(X5),
     --big_r(c4,X6),
     --big_r(X6,X5)]).

input_clause(clause_81,conjecture,
    [--big_p(X9),
     --big_r(c2,X10),
     --big_r(X10,X9),
     --big_p(X3),
     --big_r(c4,X4),
     --big_r(X4,X3),
     ++big_p(a)]).

input_clause(clause_82,conjecture,
    [--big_p(X9),
     --big_r(c2,X10),
     --big_r(X10,X9),
     --big_p(X3),
     --big_r(c4,X4),
     --big_r(X4,X3),
     ++big_p(c3)]).

input_clause(clause_83,conjecture,
    [--big_p(X9),
     --big_r(c2,X10),
     --big_r(X10,X9),
     --big_p(X3),
     --big_r(c4,X4),
     --big_r(X4,X3),
     ++big_r(c4,c3)]).

input_clause(clause_84,conjecture,
    [--big_p(X9),
     --big_r(c2,X10),
     --big_r(X10,X9),
     --big_p(X3),
     --big_r(c4,X4),
     --big_r(X4,X3),
     --big_p(X5),
     --big_r(c4,X6),
     --big_r(X6,X5)]).
%--------------------------------------------------------------------------
