%--------------------------------------------------------------------------
% File     : SYN351-1 : TPTP v2.1.0. Released v1.2.0.
% Domain   : Syntactic
% Problem  : Church problem 46.18 (3)
% Version  : Special.
% English  : 

% Refs     : [Chu56] Church (1956), Introduction to Mathematical Logic I
%          : [FL+93] Fermuller et al. (1993), Resolution Methods for the De
%          : [Tam94] Tammet (1994), Email to Geoff Sutcliffe.
% Source   : [Tam94]
% Names    : Ch18N3 [Tam94]

% Status   : satisfiable
% Rating   : 0.67 v2.1.0, 1.00 v2.0.0
% Syntax   : Number of clauses    :    7 (   3 non-Horn;   1 unit;   3 RR)
%            Number of literals   :   14 (   0 equality)
%            Maximal clause size  :    3 (   2 average)
%            Number of predicates :    1 (   0 propositional; 4-4 arity)
%            Number of functors   :    3 (   2 constant; 0-2 arity)
%            Number of variables  :   14 (   1 singleton)
%            Maximal term depth   :    2 (   1 average)

% Comments : All the problems here can be decided by using a 
%            completeness-preserving term ordering strategies. See [FL+93].
%          : The conversion from the full 1st order form in [Chu56]
%            to clause form was done by hand by Tanel Tammet.
%--------------------------------------------------------------------------
input_clause(clause1,conjecture,
    [++f(a,Y,a,z(X,Y))]).

input_clause(clause2,conjecture,
    [++f(a,X,a,Y),
     --f(X,b,X,Y)]).

input_clause(clause3,conjecture,
    [--f(a,X,a,Y),
     ++f(X,b,X,Y)]).

input_clause(clause4,conjecture,
    [++f(a,X,a,Y),
     ++f(a,z(X,Y),X,z(X,Y))]).

input_clause(clause5,conjecture,
    [++f(a,X,a,Y),
     ++f(a,Y,X,Y)]).

input_clause(clause6,conjecture,
    [++f(a,Y,X,Y),
     ++f(a,z(X,Y),X,z(X,Y))]).

input_clause(clause7,conjecture,
    [--f(a,z(X,Y),X,z(X,Y)),
     --f(a,X,a,Y),
     --f(a,Y,X,Y)]).
%--------------------------------------------------------------------------
