%--------------------------------------------------------------------------
% File     : SYN424-1 : TPTP v2.1.0. Released v2.1.0.
% Domain   : Syntactic (Translated)
% Problem  : ALC, N=10, R=1, L=150, K=3, D=2, P=0, Index=009
% Version  : Special.
% English  : 

% Refs     : [OS95]  Ohlbach & Schmidt (1995), Functional Translation and S
%          : [WGR96] Weidenbach et al. (1996), SPASS and FLOTTER
%          : [HS97]  Hustadt & Schmidt (1997), On Evaluating Decision Proce
%          : [Wei97] Weidenbach (1997), Email to G. Sutcliffe
% Source   : [Wei97]
% Names    : alc-10-1-150-3-2-009.cnf [Wei97]

% Status   : satisfiable
% Rating   : ? v2.1.0
% Syntax   : Number of clauses    :  767 ( 493 non-Horn;   0 unit; 671 RR)
%            Number of literals   : 3438 (   0 equality)
%            Maximal clause size  :   16 (   4 average)
%            Number of predicates :   96 (  63 propositional; 0-2 arity)
%            Number of functors   :  227 ( 227 constant; 0-0 arity)
%            Number of variables  :  593 (   0 singleton)
%            Maximal term depth   :    1 (   1 average)

% Comments : These ALC problems have been translated from propositional 
%            multi-modal K logic formulae generated according to the scheme
%            described in [HS97], using the optimized functional translation
%            described in [OS95]. The finite model property holds, the
%            Herbrand Universe is finite, they are decidable (the complexity
%            is PSPACE-complete), resolution + subsumption + condensing is a
%            decision procedure, and the translated formulae belong to the
%            (CNF-translation of the) Bernays-Schoenfinkel class [Wei97].
%          : Translated from FOF using FLOTTER [WGR96].
%--------------------------------------------------------------------------
input_clause(clause1,conjecture,
    [++ndr1_0,++c2_0]).

input_clause(clause2,conjecture,
    [--ssSkC27,++ndr1_0]).

input_clause(clause3,conjecture,
    [++ndr1_0,++ssSkC47]).

input_clause(clause4,conjecture,
    [++ndr1_0,++ssSkC45]).

input_clause(clause5,conjecture,
    [++ndr1_0,++ssSkC44]).

input_clause(clause6,conjecture,
    [++ndr1_0,++ssSkC43]).

input_clause(clause7,conjecture,
    [++ndr1_0,++ssSkC41]).

input_clause(clause8,conjecture,
    [++ndr1_0,++ssSkC40]).

input_clause(clause9,conjecture,
    [++ndr1_0,++ssSkC39]).

input_clause(clause10,conjecture,
    [++ndr1_0,++ssSkC36]).

input_clause(clause11,conjecture,
    [++ndr1_0,++ssSkC35]).

input_clause(clause12,conjecture,
    [++ndr1_0,++ssSkC30]).

input_clause(clause13,conjecture,
    [++ndr1_0,++ssSkC28]).

input_clause(clause14,conjecture,
    [++ndr1_0,++ssSkC25]).

input_clause(clause15,conjecture,
    [++ndr1_0,++ssSkC24]).

input_clause(clause16,conjecture,
    [++ndr1_0,++ssSkC23]).

input_clause(clause17,conjecture,
    [++ndr1_0,++ssSkC22]).

input_clause(clause18,conjecture,
    [++ndr1_0,++ssSkC20]).

input_clause(clause19,conjecture,
    [++ndr1_0,++ssSkC18]).

input_clause(clause20,conjecture,
    [++ndr1_0,++ssSkC17]).

input_clause(clause21,conjecture,
    [++ndr1_0,++ssSkC16]).

input_clause(clause22,conjecture,
    [++ndr1_0,++ssSkC15]).

input_clause(clause23,conjecture,
    [++ndr1_0,++ssSkC14]).

input_clause(clause24,conjecture,
    [++ndr1_0,++ssSkC13]).

input_clause(clause25,conjecture,
    [++ndr1_0,++ssSkC11]).

input_clause(clause26,conjecture,
    [++ndr1_0,++ssSkC10]).

input_clause(clause27,conjecture,
    [++ndr1_0,++ssSkC8]).

input_clause(clause28,conjecture,
    [++ndr1_0,++ssSkC7]).

input_clause(clause29,conjecture,
    [++ndr1_0,++ssSkC6]).

input_clause(clause30,conjecture,
    [++ndr1_0,++ssSkC3]).

input_clause(clause31,conjecture,
    [++ndr1_0,++ssSkC2]).

input_clause(clause32,conjecture,
    [++ndr1_0,++ssSkC1]).

input_clause(clause33,conjecture,
    [++ndr1_0,++ssSkC0]).

input_clause(clause34,conjecture,
    [++ndr1_1(a1186),
     ++c2_0]).

input_clause(clause35,conjecture,
    [++c3_1(a1186),
     ++c2_0]).

input_clause(clause36,conjecture,
    [++ndr1_0,++c8_0,++c4_0]).

input_clause(clause37,conjecture,
    [--ssSkC44,++ndr1_0,++c7_0]).

input_clause(clause38,conjecture,
    [--ssSkC42,++ndr1_0,++c4_0]).

input_clause(clause39,conjecture,
    [--ssSkC40,++ndr1_0,++c6_0]).

input_clause(clause40,conjecture,
    [--ssSkC38,++ndr1_0,++c10_0]).

input_clause(clause41,conjecture,
    [--ssSkC36,++ndr1_0,++c8_0]).

input_clause(clause42,conjecture,
    [++ndr1_0,++c6_0,++c5_0]).

input_clause(clause43,conjecture,
    [--c2_0,++ndr1_0]).

input_clause(clause44,conjecture,
    [++ndr1_0,++c4_0,++c7_0]).

input_clause(clause45,conjecture,
    [--ssSkC26,++ndr1_0,++c1_0]).

input_clause(clause46,conjecture,
    [--ssSkC22,--ssSkC23,++ndr1_0]).

input_clause(clause47,conjecture,
    [--ssSkC20,--ssSkC21,++ndr1_0]).

input_clause(clause48,conjecture,
    [--ssSkC19,++ndr1_0,++c8_0]).

input_clause(clause49,conjecture,
    [++ndr1_0,++c9_0,++c4_0]).

input_clause(clause50,conjecture,
    [--ssSkC16,++ndr1_0,++c6_0]).

input_clause(clause51,conjecture,
    [--ssSkC12,--ssSkC13,++ndr1_0]).

input_clause(clause52,conjecture,
    [--ssSkC10,--ssSkC11,++ndr1_0]).

input_clause(clause53,conjecture,
    [--ssSkC6,--ssSkC7,++ndr1_0]).

input_clause(clause54,conjecture,
    [--c5_0,++ndr1_0]).

input_clause(clause55,conjecture,
    [++ndr1_0,++c1_0,++c6_0]).

input_clause(clause56,conjecture,
    [--ssSkC1,++ndr1_0,++c7_0]).

input_clause(clause57,conjecture,
    [++c4_0,++c8_0,++c5_0]).

input_clause(clause58,conjecture,
    [--c8_0,++c5_0]).

input_clause(clause59,conjecture,
    [--c3_0,++c7_0]).

input_clause(clause60,conjecture,
    [++c2_0,++c7_0,++c8_0]).

input_clause(clause61,conjecture,
    [++c3_0,++c8_0,++c1_0]).

input_clause(clause62,conjecture,
    [--c8_0,++c10_0]).

input_clause(clause63,conjecture,
    [++c6_0,++c9_0,++c7_0]).

input_clause(clause64,conjecture,
    [++c3_0,++c4_0,++c6_0]).

input_clause(clause65,conjecture,
    [--c7_0,++c1_0]).

input_clause(clause66,conjecture,
    [++ndr1_1(U),
     ++ssSkP11(U)]).

input_clause(clause67,conjecture,
    [++ndr1_1(U),
     ++ssSkP10(U)]).

input_clause(clause68,conjecture,
    [++ndr1_1(U),
     ++ssSkP9(U)]).

input_clause(clause69,conjecture,
    [++ndr1_1(a1165),
     ++ssSkC47]).

input_clause(clause70,conjecture,
    [++c10_1(a1165),
     ++ssSkC47]).

input_clause(clause71,conjecture,
    [++ndr1_1(U),
     ++ssSkP8(U)]).

input_clause(clause72,conjecture,
    [++ndr1_1(U),
     ++ssSkP7(U)]).

input_clause(clause73,conjecture,
    [++c6_1(a1155),
     ++ssSkC45]).

input_clause(clause74,conjecture,
    [++c4_1(a1153),
     ++ssSkC44]).

input_clause(clause75,conjecture,
    [++ndr1_1(U),
     ++ssSkP6(U)]).

input_clause(clause76,conjecture,
    [++c9_1(a1135),
     ++ssSkC40]).

input_clause(clause77,conjecture,
    [++c4_1(a1135),
     ++ssSkC40]).

input_clause(clause78,conjecture,
    [++ndr1_1(a1131),
     ++ssSkC39]).

input_clause(clause79,conjecture,
    [++ndr1_1(U),
     ++ssSkP5(U)]).

input_clause(clause80,conjecture,
    [++ndr1_1(a1118),
     ++ssSkC36]).

input_clause(clause81,conjecture,
    [++c7_1(a1118),
     ++ssSkC36]).

input_clause(clause82,conjecture,
    [++c6_1(a1118),
     ++ssSkC36]).

input_clause(clause83,conjecture,
    [++ndr1_1(a1115),
     ++ssSkC35]).

input_clause(clause84,conjecture,
    [++ndr1_1(U),
     ++ssSkP4(U)]).

input_clause(clause85,conjecture,
    [++ndr1_1(a1089),
     ++ssSkC30]).

input_clause(clause86,conjecture,
    [++c5_1(a1089),
     ++ssSkC30]).

input_clause(clause87,conjecture,
    [++ndr1_1(U),
     ++ssSkP3(U)]).

input_clause(clause88,conjecture,
    [++c1_1(a1079),
     ++ssSkC28]).

input_clause(clause89,conjecture,
    [++ndr1_1(U),
     ++ssSkP2(U)]).

input_clause(clause90,conjecture,
    [++ndr1_1(a1066),
     ++ssSkC25]).

input_clause(clause91,conjecture,
    [++c7_1(a1066),
     ++ssSkC25]).

input_clause(clause92,conjecture,
    [++c10_1(a1062),
     ++ssSkC24]).

input_clause(clause93,conjecture,
    [++ndr1_1(a1059),
     ++ssSkC23]).

input_clause(clause94,conjecture,
    [++ndr1_1(a1047),
     ++ssSkC20]).

input_clause(clause95,conjecture,
    [++c7_1(a1047),
     ++ssSkC20]).

input_clause(clause96,conjecture,
    [++c3_1(a1040),
     ++ssSkC18]).

input_clause(clause97,conjecture,
    [++ndr1_1(a1035),
     ++ssSkC17]).

input_clause(clause98,conjecture,
    [++ndr1_1(a1028),
     ++ssSkC16]).

input_clause(clause99,conjecture,
    [++ndr1_1(a1022),
     ++ssSkC15]).

input_clause(clause100,conjecture,
    [++ndr1_1(a1018),
     ++ssSkC14]).

input_clause(clause101,conjecture,
    [++c3_1(a1018),
     ++ssSkC14]).

input_clause(clause102,conjecture,
    [++ndr1_1(a1013),
     ++ssSkC13]).

input_clause(clause103,conjecture,
    [++c6_1(a1013),
     ++ssSkC13]).

input_clause(clause104,conjecture,
    [++ndr1_1(U),
     ++ssSkP1(U)]).

input_clause(clause105,conjecture,
    [++ndr1_1(a1005),
     ++ssSkC11]).

input_clause(clause106,conjecture,
    [++c6_1(a1005),
     ++ssSkC11]).

input_clause(clause107,conjecture,
    [++ndr1_1(a1003),
     ++ssSkC10]).

input_clause(clause108,conjecture,
    [++c2_1(a1003),
     ++ssSkC10]).

input_clause(clause109,conjecture,
    [++ndr1_1(a997),
     ++ssSkC8]).

input_clause(clause110,conjecture,
    [++c5_1(a997),
     ++ssSkC8]).

input_clause(clause111,conjecture,
    [++ndr1_1(a992),
     ++ssSkC7]).

input_clause(clause112,conjecture,
    [++ndr1_1(U),
     ++ssSkP0(U)]).

input_clause(clause113,conjecture,
    [++c7_1(a972),
     ++ssSkC3]).

input_clause(clause114,conjecture,
    [++c5_1(a970),
     ++ssSkC2]).

input_clause(clause115,conjecture,
    [++c6_1(a966),
     ++ssSkC1]).

input_clause(clause116,conjecture,
    [++ndr1_1(a960),
     ++ssSkC0]).

input_clause(clause117,conjecture,
    [++c3_2(a1186,a1188),
     ++c2_0]).

input_clause(clause118,conjecture,
    [++c3_2(a1186,a1187),
     ++c2_0]).

input_clause(clause119,conjecture,
    [++ndr1_1(a1170),
     ++c8_0,
     ++c4_0]).

input_clause(clause120,conjecture,
    [++c2_1(a1170),
     ++c8_0,
     ++c4_0]).

input_clause(clause121,conjecture,
    [--ssSkC47,
     ++ndr1_1(a1167),
     ++c2_0]).

input_clause(clause122,conjecture,
    [--ssSkC46,--c7_0,++ndr1_0]).

input_clause(clause123,conjecture,
    [--ssSkC44,
     ++c9_1(a1154),
     ++c7_0]).

input_clause(clause124,conjecture,
    [--c4_0,++ndr1_0,++c9_0]).

input_clause(clause125,conjecture,
    [--ssSkC42,
     ++c8_1(a1143),
     ++c4_0]).

input_clause(clause126,conjecture,
    [--ssSkC41,--c1_0,++ndr1_0]).

input_clause(clause127,conjecture,
    [--ssSkC40,
     ++ndr1_1(a1136),
     ++c6_0]).

input_clause(clause128,conjecture,
    [--ssSkC40,
     ++c1_1(a1136),
     ++c6_0]).

input_clause(clause129,conjecture,
    [--ssSkC39,--c9_0,++ndr1_0]).

input_clause(clause130,conjecture,
    [--c6_0,++ndr1_0,++c8_0]).

input_clause(clause131,conjecture,
    [--ssSkC37,--c7_0,++ndr1_0]).

input_clause(clause132,conjecture,
    [--ssSkC36,
     ++ndr1_1(a1120),
     ++c8_0]).

input_clause(clause133,conjecture,
    [--ssSkC36,
     ++c4_1(a1120),
     ++c8_0]).

input_clause(clause134,conjecture,
    [--c9_0,++ndr1_0,++c4_0]).

input_clause(clause135,conjecture,
    [--c2_0,
     ++ndr1_1(a1087)]).

input_clause(clause136,conjecture,
    [--ssSkC27,
     --c10_1(a1078)]).

input_clause(clause137,conjecture,
    [++ndr1_1(a1074),
     ++c4_0,
     ++c7_0]).

input_clause(clause138,conjecture,
    [++c7_1(a1074),
     ++c4_0,
     ++c7_0]).

input_clause(clause139,conjecture,
    [--ssSkC26,
     ++c9_1(a1072),
     ++c1_0]).

input_clause(clause140,conjecture,
    [--ssSkC26,
     ++c2_1(a1072),
     ++c1_0]).

input_clause(clause141,conjecture,
    [--ssSkC25,--c6_0,++ndr1_0]).

input_clause(clause142,conjecture,
    [--ssSkC22,
     --ssSkC23,
     ++c1_1(a1061)]).

input_clause(clause143,conjecture,
    [--ssSkC22,
     --ssSkC23,
     ++c8_1(a1061)]).

input_clause(clause144,conjecture,
    [--c8_0,++ndr1_0,++c6_0]).

input_clause(clause145,conjecture,
    [--ssSkC20,
     --ssSkC21,
     ++c5_1(a1050)]).

input_clause(clause146,conjecture,
    [--c1_0,++ndr1_0,++c7_0]).

input_clause(clause147,conjecture,
    [++ndr1_1(a1033),
     ++c9_0,
     ++c4_0]).

input_clause(clause148,conjecture,
    [--ssSkC16,
     ++ndr1_1(a1031),
     ++c6_0]).

input_clause(clause149,conjecture,
    [--ssSkC14,--c7_0,++ndr1_0]).

input_clause(clause150,conjecture,
    [--ssSkC12,
     --ssSkC13,
     ++ndr1_1(a1015)]).

input_clause(clause151,conjecture,
    [--ssSkC10,
     --ssSkC11,
     ++c10_1(a1007)]).

input_clause(clause152,conjecture,
    [--c5_0,
     ++ndr1_1(a980)]).

input_clause(clause153,conjecture,
    [++c8_1(a978),
     ++c1_0,
     ++c6_0]).

input_clause(clause154,conjecture,
    [--ssSkC5,--c3_0,++ndr1_0]).

input_clause(clause155,conjecture,
    [--ssSkC1,
     ++ndr1_1(a967),
     ++c7_0]).

input_clause(clause156,conjecture,
    [--ssSkC1,
     ++c4_1(a967),
     ++c7_0]).

input_clause(clause157,conjecture,
    [--c2_0,
     ++ndr1_1(a963)]).

input_clause(clause158,conjecture,
    [--c10_0,--c1_0]).

input_clause(clause159,conjecture,
    [--c6_0,++c5_0,++c1_0]).

input_clause(clause160,conjecture,
    [++c9_2(U,a1181),
     ++ssSkP11(U)]).

input_clause(clause161,conjecture,
    [++c3_2(U,a1181),
     ++ssSkP11(U)]).

input_clause(clause162,conjecture,
    [++c8_2(U,a1179),
     ++ssSkP10(U)]).

input_clause(clause163,conjecture,
    [++c9_2(U,a1177),
     ++ssSkP9(U)]).

input_clause(clause164,conjecture,
    [++c8_2(U,a1177),
     ++ssSkP9(U)]).

input_clause(clause165,conjecture,
    [++c6_2(U,a1177),
     ++ssSkP9(U)]).

input_clause(clause166,conjecture,
    [++c6_2(a1165,a1166),
     ++ssSkC47]).

input_clause(clause167,conjecture,
    [++c9_2(a1165,a1166),
     ++ssSkC47]).

input_clause(clause168,conjecture,
    [--c4_1(a1165),
     ++ssSkC47]).

input_clause(clause169,conjecture,
    [++c4_2(U,a1157),
     ++ssSkP8(U)]).

input_clause(clause170,conjecture,
    [++c6_2(U,a1157),
     ++ssSkP8(U)]).

input_clause(clause171,conjecture,
    [++c6_2(U,a1156),
     ++ssSkP7(U)]).

input_clause(clause172,conjecture,
    [--c9_1(a1153),
     ++ssSkC44]).

input_clause(clause173,conjecture,
    [++c2_2(U,a1151),
     ++ssSkP6(U)]).

input_clause(clause174,conjecture,
    [--c2_1(a1146),
     ++ssSkC43]).

input_clause(clause175,conjecture,
    [--c1_1(a1146),
     ++ssSkC43]).

input_clause(clause176,conjecture,
    [--c1_1(a1139),
     ++ssSkC41]).

input_clause(clause177,conjecture,
    [--c10_1(a1139),
     ++ssSkC41]).

input_clause(clause178,conjecture,
    [--c3_1(a1135),
     ++ssSkC40]).

input_clause(clause179,conjecture,
    [++c2_2(a1131,a1132),
     ++ssSkC39]).

input_clause(clause180,conjecture,
    [++c4_2(a1118,a1119),
     ++ssSkC36]).

input_clause(clause181,conjecture,
    [++c9_2(a1115,a1116),
     ++ssSkC35]).

input_clause(clause182,conjecture,
    [++c10_2(U,a1111),
     ++ssSkP4(U)]).

input_clause(clause183,conjecture,
    [++c9_2(U,a1111),
     ++ssSkP4(U)]).

input_clause(clause184,conjecture,
    [++c1_2(a1089,a1091),
     ++ssSkC30]).

input_clause(clause185,conjecture,
    [++c10_2(a1089,a1090),
     ++ssSkC30]).

input_clause(clause186,conjecture,
    [++c9_2(a1089,a1090),
     ++ssSkC30]).

input_clause(clause187,conjecture,
    [++c7_2(a1089,a1090),
     ++ssSkC30]).

input_clause(clause188,conjecture,
    [++c3_2(U,a1085),
     ++ssSkP3(U)]).

input_clause(clause189,conjecture,
    [--c9_1(a1079),
     ++ssSkC28]).

input_clause(clause190,conjecture,
    [--c8_1(a1079),
     ++ssSkC28]).

input_clause(clause191,conjecture,
    [++c8_2(U,a1076),
     ++ssSkP2(U)]).

input_clause(clause192,conjecture,
    [++c6_2(a1066,a1067),
     ++ssSkC25]).

input_clause(clause193,conjecture,
    [++c1_2(a1066,a1067),
     ++ssSkC25]).

input_clause(clause194,conjecture,
    [--c8_1(a1066),
     ++ssSkC25]).

input_clause(clause195,conjecture,
    [--c5_1(a1062),
     ++ssSkC24]).

input_clause(clause196,conjecture,
    [++c4_2(a1059,a1060),
     ++ssSkC23]).

input_clause(clause197,conjecture,
    [--c9_1(a1059),
     ++ssSkC23]).

input_clause(clause198,conjecture,
    [--c1_1(a1058),
     ++ssSkC22]).

input_clause(clause199,conjecture,
    [--c10_1(a1058),
     ++ssSkC22]).

input_clause(clause200,conjecture,
    [--c5_1(a1058),
     ++ssSkC22]).

input_clause(clause201,conjecture,
    [++c6_2(a1047,a1048),
     ++ssSkC20]).

input_clause(clause202,conjecture,
    [++c9_2(a1047,a1048),
     ++ssSkC20]).

input_clause(clause203,conjecture,
    [--c1_1(a1047),
     ++ssSkC20]).

input_clause(clause204,conjecture,
    [++c3_2(a1035,a1037),
     ++ssSkC17]).

input_clause(clause205,conjecture,
    [++c4_2(a1035,a1037),
     ++ssSkC17]).

input_clause(clause206,conjecture,
    [++c2_2(a1035,a1036),
     ++ssSkC17]).

input_clause(clause207,conjecture,
    [++c8_2(a1035,a1036),
     ++ssSkC17]).

input_clause(clause208,conjecture,
    [++c4_2(a1028,a1030),
     ++ssSkC16]).

input_clause(clause209,conjecture,
    [--c9_1(a1022),
     ++ssSkC15]).

input_clause(clause210,conjecture,
    [--c10_1(a1018),
     ++ssSkC14]).

input_clause(clause211,conjecture,
    [++c8_2(a1013,a1014),
     ++ssSkC13]).

input_clause(clause212,conjecture,
    [--c5_1(a1013),
     ++ssSkC13]).

input_clause(clause213,conjecture,
    [++c3_2(U,a1011),
     ++ssSkP1(U)]).

input_clause(clause214,conjecture,
    [++c2_2(a1005,a1006),
     ++ssSkC11]).

input_clause(clause215,conjecture,
    [++c5_2(a1005,a1006),
     ++ssSkC11]).

input_clause(clause216,conjecture,
    [--c1_1(a1005),
     ++ssSkC11]).

input_clause(clause217,conjecture,
    [++c1_2(a1003,a1004),
     ++ssSkC10]).

input_clause(clause218,conjecture,
    [--c1_1(a1003),
     ++ssSkC10]).

input_clause(clause219,conjecture,
    [++c3_2(a997,a998),
     ++ssSkC8]).

input_clause(clause220,conjecture,
    [++c9_2(a997,a998),
     ++ssSkC8]).

input_clause(clause221,conjecture,
    [++c7_2(a992,a994),
     ++ssSkC7]).

input_clause(clause222,conjecture,
    [++c6_2(a992,a993),
     ++ssSkC7]).

input_clause(clause223,conjecture,
    [--c3_1(a991),
     ++ssSkC6]).

input_clause(clause224,conjecture,
    [--c1_1(a991),
     ++ssSkC6]).

input_clause(clause225,conjecture,
    [--c7_1(a991),
     ++ssSkC6]).

input_clause(clause226,conjecture,
    [++c10_2(U,a988),
     ++ssSkP0(U)]).

input_clause(clause227,conjecture,
    [++c1_2(U,a988),
     ++ssSkP0(U)]).

input_clause(clause228,conjecture,
    [--c2_1(a970),
     ++ssSkC2]).

input_clause(clause229,conjecture,
    [--c9_1(a966),
     ++ssSkC1]).

input_clause(clause230,conjecture,
    [--c4_1(a966),
     ++ssSkC1]).

input_clause(clause231,conjecture,
    [--c6_1(a960),
     ++ssSkC0]).

input_clause(clause232,conjecture,
    [--c1_2(a1186,a1188),
     ++c2_0]).

input_clause(clause233,conjecture,
    [--c6_2(a1186,a1187),
     ++c2_0]).

input_clause(clause234,conjecture,
    [--ssSkC48,
     --c2_0,
     ++ndr1_1(a1173)]).

input_clause(clause235,conjecture,
    [--ssSkC48,
     --c2_0,
     ++c3_1(a1173)]).

input_clause(clause236,conjecture,
    [++c6_2(a1170,a1171),
     ++c8_0,
     ++c4_0]).

input_clause(clause237,conjecture,
    [++c10_2(a1170,a1171),
     ++c8_0,
     ++c4_0]).

input_clause(clause238,conjecture,
    [--ssSkC47,
     --c7_1(a1167),
     ++c2_0]).

input_clause(clause239,conjecture,
    [--c5_0,
     ++ndr1_1(a1162),
     ++c4_0]).

input_clause(clause240,conjecture,
    [--ssSkC46,
     --c7_0,
     ++ndr1_1(a1160)]).

input_clause(clause241,conjecture,
    [--ssSkC44,
     --c6_1(a1154),
     ++c7_0]).

input_clause(clause242,conjecture,
    [--c4_0,
     ++ndr1_1(a1144),
     ++c9_0]).

input_clause(clause243,conjecture,
    [--ssSkC42,
     --c7_1(a1143),
     ++c4_0]).

input_clause(clause244,conjecture,
    [--ssSkC41,
     --c1_0,
     ++ndr1_1(a1140)]).

input_clause(clause245,conjecture,
    [--ssSkC41,
     --c1_0,
     ++c6_1(a1140)]).

input_clause(clause246,conjecture,
    [--ssSkC40,
     ++c1_2(a1136,a1137),
     ++c6_0]).

input_clause(clause247,conjecture,
    [--ssSkC40,
     --c9_1(a1136),
     ++c6_0]).

input_clause(clause248,conjecture,
    [--ssSkC39,
     --c9_0,
     ++ndr1_1(a1133)]).

input_clause(clause249,conjecture,
    [--ssSkC39,
     --c9_0,
     ++c7_1(a1133)]).

input_clause(clause250,conjecture,
    [--ssSkC38,
     --c10_1(a1130),
     ++c10_0]).

input_clause(clause251,conjecture,
    [--ssSkC38,
     --c8_1(a1130),
     ++c10_0]).

input_clause(clause252,conjecture,
    [--c6_0,
     ++ndr1_1(a1125),
     ++c8_0]).

input_clause(clause253,conjecture,
    [--ssSkC37,
     --c7_0,
     ++c5_1(a1123)]).

input_clause(clause254,conjecture,
    [--ssSkC36,
     ++c2_2(a1120,a1121),
     ++c8_0]).

input_clause(clause255,conjecture,
    [--ssSkC36,
     ++c1_2(a1120,a1121),
     ++c8_0]).

input_clause(clause256,conjecture,
    [--ssSkC36,
     ++c9_2(a1120,a1121),
     ++c8_0]).

input_clause(clause257,conjecture,
    [--ssSkC36,
     --c1_1(a1120),
     ++c8_0]).

input_clause(clause258,conjecture,
    [--c9_0,
     ++c5_1(a1099),
     ++c4_0]).

input_clause(clause259,conjecture,
    [--c9_1(a1095),
     ++c6_0,
     ++c5_0]).

input_clause(clause260,conjecture,
    [--ssSkC26,
     --c5_1(a1072),
     ++c1_0]).

input_clause(clause261,conjecture,
    [--ssSkC25,
     --c6_0,
     ++ndr1_1(a1068)]).

input_clause(clause262,conjecture,
    [--ssSkC22,
     --ssSkC23,
     --c9_1(a1061)]).

input_clause(clause263,conjecture,
    [--c8_0,
     ++ndr1_1(a1055),
     ++c6_0]).

input_clause(clause264,conjecture,
    [--ssSkC19,
     --c9_1(a1046),
     ++c8_0]).

input_clause(clause265,conjecture,
    [++c10_2(a1033,a1034),
     ++c9_0,
     ++c4_0]).

input_clause(clause266,conjecture,
    [++c5_2(a1033,a1034),
     ++c9_0,
     ++c4_0]).

input_clause(clause267,conjecture,
    [++c8_2(a1033,a1034),
     ++c9_0,
     ++c4_0]).

input_clause(clause268,conjecture,
    [--c7_1(a1033),
     ++c9_0,
     ++c4_0]).

input_clause(clause269,conjecture,
    [--ssSkC16,
     ++c6_2(a1031,a1032),
     ++c6_0]).

input_clause(clause270,conjecture,
    [--ssSkC15,
     --c8_1(a1024),
     ++c2_0]).

input_clause(clause271,conjecture,
    [--ssSkC15,
     --c4_1(a1024),
     ++c2_0]).

input_clause(clause272,conjecture,
    [--ssSkC14,
     --c7_0,
     ++c3_1(a1020)]).

input_clause(clause273,conjecture,
    [--ssSkC14,
     --c7_0,
     ++c9_1(a1020)]).

input_clause(clause274,conjecture,
    [--ssSkC12,
     --ssSkC13,
     ++c9_2(a1015,a1017)]).

input_clause(clause275,conjecture,
    [--ssSkC12,
     --ssSkC13,
     ++c3_2(a1015,a1017)]).

input_clause(clause276,conjecture,
    [--ssSkC12,
     --ssSkC13,
     ++c3_2(a1015,a1016)]).

input_clause(clause277,conjecture,
    [--c7_0,--c1_0,++ndr1_0]).

input_clause(clause278,conjecture,
    [--c5_0,
     ++c6_2(a980,a981)]).

input_clause(clause279,conjecture,
    [--c5_0,
     ++c5_2(a980,a981)]).

input_clause(clause280,conjecture,
    [--c7_1(a980),
     --c5_0]).

input_clause(clause281,conjecture,
    [--c3_1(a978),
     ++c1_0,
     ++c6_0]).

input_clause(clause282,conjecture,
    [--ssSkC5,
     --c3_0,
     ++c9_1(a977)]).

input_clause(clause283,conjecture,
    [--ssSkC3,
     --c5_0,
     ++c9_1(a973)]).

input_clause(clause284,conjecture,
    [--ssSkC1,
     ++c1_2(a967,a968),
     ++c7_0]).

input_clause(clause285,conjecture,
    [--ssSkC1,
     ++c6_2(a967,a968),
     ++c7_0]).

input_clause(clause286,conjecture,
    [--ssSkC1,
     --c3_1(a967),
     ++c7_0]).

input_clause(clause287,conjecture,
    [--c2_0,
     ++c1_2(a963,a964)]).

input_clause(clause288,conjecture,
    [--c2_0,
     ++c4_2(a963,a964)]).

input_clause(clause289,conjecture,
    [--c6_1(a963),
     --c2_0]).

input_clause(clause290,conjecture,
    [--c3_0,--c8_0,++c4_0]).

input_clause(clause291,conjecture,
    [--c8_0,--c5_0,++c3_0]).

input_clause(clause292,conjecture,
    [--c4_0,--c5_0,++c3_0]).

input_clause(clause293,conjecture,
    [--c1_2(U,a1181),
     ++ssSkP11(U)]).

input_clause(clause294,conjecture,
    [--c2_2(U,a1179),
     ++ssSkP10(U)]).

input_clause(clause295,conjecture,
    [--c1_2(U,a1179),
     ++ssSkP10(U)]).

input_clause(clause296,conjecture,
    [--c5_2(a1165,a1166),
     ++ssSkC47]).

input_clause(clause297,conjecture,
    [--c10_2(U,a1157),
     ++ssSkP8(U)]).

input_clause(clause298,conjecture,
    [--c10_2(U,a1156),
     ++ssSkP7(U)]).

input_clause(clause299,conjecture,
    [--c9_2(U,a1156),
     ++ssSkP7(U)]).

input_clause(clause300,conjecture,
    [--c3_2(U,a1151),
     ++ssSkP6(U)]).

input_clause(clause301,conjecture,
    [--c5_2(U,a1151),
     ++ssSkP6(U)]).

input_clause(clause302,conjecture,
    [--c4_2(a1131,a1132),
     ++ssSkC39]).

input_clause(clause303,conjecture,
    [--c7_2(U,a1128),
     ++ssSkP5(U)]).

input_clause(clause304,conjecture,
    [--c10_2(U,a1128),
     ++ssSkP5(U)]).

input_clause(clause305,conjecture,
    [--c5_2(a1118,a1119),
     ++ssSkC36]).

input_clause(clause306,conjecture,
    [--c2_2(a1118,a1119),
     ++ssSkC36]).

input_clause(clause307,conjecture,
    [--c10_2(a1115,a1116),
     ++ssSkC35]).

input_clause(clause308,conjecture,
    [--c6_2(a1115,a1116),
     ++ssSkC35]).

input_clause(clause309,conjecture,
    [--c3_2(U,a1111),
     ++ssSkP4(U)]).

input_clause(clause310,conjecture,
    [--c7_2(a1089,a1091),
     ++ssSkC30]).

input_clause(clause311,conjecture,
    [--c2_2(U,a1085),
     ++ssSkP3(U)]).

input_clause(clause312,conjecture,
    [--c9_2(U,a1085),
     ++ssSkP3(U)]).

input_clause(clause313,conjecture,
    [--c9_2(U,a1076),
     ++ssSkP2(U)]).

input_clause(clause314,conjecture,
    [--c6_2(U,a1076),
     ++ssSkP2(U)]).

input_clause(clause315,conjecture,
    [--c4_2(a1066,a1067),
     ++ssSkC25]).

input_clause(clause316,conjecture,
    [--c9_2(a1059,a1060),
     ++ssSkC23]).

input_clause(clause317,conjecture,
    [--c5_2(a1059,a1060),
     ++ssSkC23]).

input_clause(clause318,conjecture,
    [--c3_2(a1047,a1048),
     ++ssSkC20]).

input_clause(clause319,conjecture,
    [--c9_2(a1035,a1038),
     ++ssSkC17]).

input_clause(clause320,conjecture,
    [--c1_2(a1035,a1038),
     ++ssSkC17]).

input_clause(clause321,conjecture,
    [--c10_2(a1035,a1038),
     ++ssSkC17]).

input_clause(clause322,conjecture,
    [--c7_2(a1035,a1037),
     ++ssSkC17]).

input_clause(clause323,conjecture,
    [--c9_2(a1035,a1036),
     ++ssSkC17]).

input_clause(clause324,conjecture,
    [--c9_2(a1028,a1030),
     ++ssSkC16]).

input_clause(clause325,conjecture,
    [--c8_2(a1028,a1030),
     ++ssSkC16]).

input_clause(clause326,conjecture,
    [--c9_2(a1028,a1029),
     ++ssSkC16]).

input_clause(clause327,conjecture,
    [--c8_2(a1028,a1029),
     ++ssSkC16]).

input_clause(clause328,conjecture,
    [--c4_2(a1028,a1029),
     ++ssSkC16]).

input_clause(clause329,conjecture,
    [--c3_2(a1022,a1023),
     ++ssSkC15]).

input_clause(clause330,conjecture,
    [--c8_2(a1022,a1023),
     ++ssSkC15]).

input_clause(clause331,conjecture,
    [--c4_2(a1022,a1023),
     ++ssSkC15]).

input_clause(clause332,conjecture,
    [--c7_2(a1018,a1019),
     ++ssSkC14]).

input_clause(clause333,conjecture,
    [--c3_2(a1018,a1019),
     ++ssSkC14]).

input_clause(clause334,conjecture,
    [--c10_2(a1018,a1019),
     ++ssSkC14]).

input_clause(clause335,conjecture,
    [--c1_2(a1013,a1014),
     ++ssSkC13]).

input_clause(clause336,conjecture,
    [--c1_2(U,a1011),
     ++ssSkP1(U)]).

input_clause(clause337,conjecture,
    [--c7_2(U,a1011),
     ++ssSkP1(U)]).

input_clause(clause338,conjecture,
    [--c6_2(a1003,a1004),
     ++ssSkC10]).

input_clause(clause339,conjecture,
    [--c5_2(a997,a998),
     ++ssSkC8]).

input_clause(clause340,conjecture,
    [--c8_2(a992,a994),
     ++ssSkC7]).

input_clause(clause341,conjecture,
    [--c7_2(a992,a993),
     ++ssSkC7]).

input_clause(clause342,conjecture,
    [--c9_2(a992,a993),
     ++ssSkC7]).

input_clause(clause343,conjecture,
    [--c5_2(U,a988),
     ++ssSkP0(U)]).

input_clause(clause344,conjecture,
    [--c10_2(a960,a961),
     ++ssSkC0]).

input_clause(clause345,conjecture,
    [--c1_2(a960,a961),
     ++ssSkC0]).

input_clause(clause346,conjecture,
    [--c5_2(a960,a961),
     ++ssSkC0]).

input_clause(clause347,conjecture,
    [--ssSkC48,
     --c2_0,
     ++c4_2(a1173,a1174)]).

input_clause(clause348,conjecture,
    [--c9_2(a1170,a1171),
     ++c8_0,
     ++c4_0]).

input_clause(clause349,conjecture,
    [--ssSkC47,
     --c10_2(a1167,a1168),
     ++c2_0]).

input_clause(clause350,conjecture,
    [--ssSkC47,
     --c7_2(a1167,a1168),
     ++c2_0]).

input_clause(clause351,conjecture,
    [--ssSkC47,
     --c3_2(a1167,a1168),
     ++c2_0]).

input_clause(clause352,conjecture,
    [--c5_0,
     ++c4_2(a1162,a1164),
     ++c4_0]).

input_clause(clause353,conjecture,
    [--c5_0,
     ++c8_2(a1162,a1164),
     ++c4_0]).

input_clause(clause354,conjecture,
    [--c6_1(a1162),
     --c5_0,
     ++c4_0]).

input_clause(clause355,conjecture,
    [--ssSkC46,
     --c7_0,
     ++c7_2(a1160,a1161)]).

input_clause(clause356,conjecture,
    [--ssSkC46,
     --c7_0,
     ++c2_2(a1160,a1161)]).

input_clause(clause357,conjecture,
    [--ssSkC46,
     --c6_1(a1160),
     --c7_0]).

input_clause(clause358,conjecture,
    [--c4_0,
     ++c4_2(a1144,a1145),
     ++c9_0]).

input_clause(clause359,conjecture,
    [--c4_0,
     ++c3_2(a1144,a1145),
     ++c9_0]).

input_clause(clause360,conjecture,
    [--c5_1(a1144),
     --c4_0,
     ++c9_0]).

input_clause(clause361,conjecture,
    [--c10_1(a1144),
     --c4_0,
     ++c9_0]).

input_clause(clause362,conjecture,
    [--ssSkC41,
     --c1_0,
     ++c9_2(a1140,a1141)]).

input_clause(clause363,conjecture,
    [--ssSkC40,
     --c3_2(a1136,a1137),
     ++c6_0]).

input_clause(clause364,conjecture,
    [--ssSkC40,
     --c6_2(a1136,a1137),
     ++c6_0]).

input_clause(clause365,conjecture,
    [--ssSkC39,
     --c9_0,
     ++c5_2(a1133,a1134)]).

input_clause(clause366,conjecture,
    [--ssSkC39,
     --c2_1(a1133),
     --c9_0]).

input_clause(clause367,conjecture,
    [--c6_0,
     ++c5_2(a1125,a1127),
     ++c8_0]).

input_clause(clause368,conjecture,
    [--c6_0,
     ++c4_2(a1125,a1127),
     ++c8_0]).

input_clause(clause369,conjecture,
    [--c6_0,
     ++c8_2(a1125,a1126),
     ++c8_0]).

input_clause(clause370,conjecture,
    [--c4_1(a1125),
     --c6_0,
     ++c8_0]).

input_clause(clause371,conjecture,
    [--c8_1(a1099),
     --c9_0,
     ++c4_0]).

input_clause(clause372,conjecture,
    [--c5_2(a1087,a1088),
     --c2_0]).

input_clause(clause373,conjecture,
    [--c4_2(a1087,a1088),
     --c2_0]).

input_clause(clause374,conjecture,
    [--c10_2(a1087,a1088),
     --c2_0]).

input_clause(clause375,conjecture,
    [--c8_0,
     --c5_0,
     ++ndr1_1(a1081)]).

input_clause(clause376,conjecture,
    [--c4_2(a1074,a1075),
     ++c4_0,
     ++c7_0]).

input_clause(clause377,conjecture,
    [--c3_2(a1074,a1075),
     ++c4_0,
     ++c7_0]).

input_clause(clause378,conjecture,
    [--c6_2(a1074,a1075),
     ++c4_0,
     ++c7_0]).

input_clause(clause379,conjecture,
    [--ssSkC25,
     --c6_0,
     ++c8_2(a1068,a1070)]).

input_clause(clause380,conjecture,
    [--ssSkC25,
     --c6_0,
     ++c1_2(a1068,a1070)]).

input_clause(clause381,conjecture,
    [--ssSkC25,
     --c3_1(a1068),
     --c6_0]).

input_clause(clause382,conjecture,
    [--c8_0,
     ++c3_2(a1055,a1057),
     ++c6_0]).

input_clause(clause383,conjecture,
    [--c8_0,
     ++c4_2(a1055,a1056),
     ++c6_0]).

input_clause(clause384,conjecture,
    [--c8_0,
     ++c10_2(a1055,a1056),
     ++c6_0]).

input_clause(clause385,conjecture,
    [--c8_0,
     ++c5_2(a1055,a1056),
     ++c6_0]).

input_clause(clause386,conjecture,
    [--c9_1(a1042),
     --c1_0,
     ++c7_0]).

input_clause(clause387,conjecture,
    [--ssSkC16,
     --c8_2(a1031,a1032),
     ++c6_0]).

input_clause(clause388,conjecture,
    [--ssSkC16,
     --c7_2(a1031,a1032),
     ++c6_0]).

input_clause(clause389,conjecture,
    [--ssSkC12,
     --ssSkC13,
     --c1_2(a1015,a1017)]).

input_clause(clause390,conjecture,
    [--ssSkC12,
     --ssSkC13,
     --c7_2(a1015,a1016)]).

input_clause(clause391,conjecture,
    [--c7_0,
     --c1_0,
     ++ndr1_1(a1008)]).

input_clause(clause392,conjecture,
    [--c10_0,
     --c5_0,
     ++ndr1_1(a986)]).

input_clause(clause393,conjecture,
    [--c4_2(a980,a981),
     --c5_0]).

input_clause(clause394,conjecture,
    [--ssSkC5,
     --c1_1(a977),
     --c3_0]).

input_clause(clause395,conjecture,
    [--ssSkC3,
     --c1_1(a973),
     --c5_0]).

input_clause(clause396,conjecture,
    [--ssSkC1,
     --c8_2(a967,a968),
     ++c7_0]).

input_clause(clause397,conjecture,
    [--c5_2(a963,a964),
     --c2_0]).

input_clause(clause398,conjecture,
    [--ndr1_0,
     ++ndr1_1(U),
     ++c10_1(U),
     ++ssSkC33]).

input_clause(clause399,conjecture,
    [--ssSkC48,
     --c5_2(a1173,a1174),
     --c2_0]).

input_clause(clause400,conjecture,
    [--c5_2(a1162,a1164),
     --c5_0,
     ++c4_0]).

input_clause(clause401,conjecture,
    [--c8_2(a1162,a1163),
     --c5_0,
     ++c4_0]).

input_clause(clause402,conjecture,
    [--c10_2(a1162,a1163),
     --c5_0,
     ++c4_0]).

input_clause(clause403,conjecture,
    [--c3_2(a1162,a1163),
     --c5_0,
     ++c4_0]).

input_clause(clause404,conjecture,
    [--ssSkC46,
     --c10_2(a1160,a1161),
     --c7_0]).

input_clause(clause405,conjecture,
    [--c1_2(a1144,a1145),
     --c4_0,
     ++c9_0]).

input_clause(clause406,conjecture,
    [--ssSkC41,
     --c1_2(a1140,a1141),
     --c1_0]).

input_clause(clause407,conjecture,
    [--ssSkC41,
     --c4_2(a1140,a1141),
     --c1_0]).

input_clause(clause408,conjecture,
    [--ssSkC39,
     --c2_2(a1133,a1134),
     --c9_0]).

input_clause(clause409,conjecture,
    [--ssSkC39,
     --c6_2(a1133,a1134),
     --c9_0]).

input_clause(clause410,conjecture,
    [--c1_2(a1125,a1127),
     --c6_0,
     ++c8_0]).

input_clause(clause411,conjecture,
    [--c3_2(a1125,a1126),
     --c6_0,
     ++c8_0]).

input_clause(clause412,conjecture,
    [--c10_2(a1125,a1126),
     --c6_0,
     ++c8_0]).

input_clause(clause413,conjecture,
    [--c8_0,
     --c5_0,
     ++c7_2(a1081,a1083)]).

input_clause(clause414,conjecture,
    [--c8_0,
     --c5_0,
     ++c3_2(a1081,a1083)]).

input_clause(clause415,conjecture,
    [--c8_0,
     --c5_0,
     ++c8_2(a1081,a1082)]).

input_clause(clause416,conjecture,
    [--ssSkC25,
     --c2_2(a1068,a1070),
     --c6_0]).

input_clause(clause417,conjecture,
    [--ssSkC25,
     --c2_2(a1068,a1069),
     --c6_0]).

input_clause(clause418,conjecture,
    [--ssSkC25,
     --c5_2(a1068,a1069),
     --c6_0]).

input_clause(clause419,conjecture,
    [--c2_2(a1055,a1057),
     --c8_0,
     ++c6_0]).

input_clause(clause420,conjecture,
    [--c9_2(a1055,a1057),
     --c8_0,
     ++c6_0]).

input_clause(clause421,conjecture,
    [--c7_0,
     --c1_0,
     ++c3_2(a1008,a1009)]).

input_clause(clause422,conjecture,
    [--c7_0,
     --c1_0,
     ++c8_2(a1008,a1009)]).

input_clause(clause423,conjecture,
    [--c10_0,
     --c5_0,
     ++c3_2(a986,a987)]).

input_clause(clause424,conjecture,
    [--c5_1(a986),
     --c10_0,
     --c5_0]).

input_clause(clause425,conjecture,
    [--c2_1(a986),
     --c10_0,
     --c5_0]).

input_clause(clause426,conjecture,
    [--ssSkC32,
     --ndr1_0,
     ++ndr1_1(U),
     ++c6_1(U),
     ++c3_1(U)]).

input_clause(clause427,conjecture,
    [--ndr1_0,
     --c9_0,
     ++ndr1_1(U),
     ++c3_1(U),
     ++c4_0]).

input_clause(clause428,conjecture,
    [--ssSkC33,
     --ssSkC34,
     --c7_1(U),
     --ndr1_0,
     ++ndr1_1(U)]).

input_clause(clause429,conjecture,
    [--c6_2(a1081,a1083),
     --c8_0,
     --c5_0]).

input_clause(clause430,conjecture,
    [--c9_2(a1081,a1082),
     --c8_0,
     --c5_0]).

input_clause(clause431,conjecture,
    [--c1_2(a1081,a1082),
     --c8_0,
     --c5_0]).

input_clause(clause432,conjecture,
    [--c1_2(a1008,a1010),
     --c7_0,
     --c1_0]).

input_clause(clause433,conjecture,
    [--c6_2(a1008,a1010),
     --c7_0,
     --c1_0]).

input_clause(clause434,conjecture,
    [--c2_2(a1008,a1010),
     --c7_0,
     --c1_0]).

input_clause(clause435,conjecture,
    [--c1_2(a986,a987),
     --c10_0,
     --c5_0]).

input_clause(clause436,conjecture,
    [--c9_2(a986,a987),
     --c10_0,
     --c5_0]).

input_clause(clause437,conjecture,
    [--ndr1_0,
     ++ndr1_1(U),
     ++c10_1(U),
     ++c8_1(U),
     ++ssSkC37]).

input_clause(clause438,conjecture,
    [--ndr1_0,
     ++ndr1_1(U),
     ++c8_1(U),
     ++c1_1(U),
     ++ssSkC31]).

input_clause(clause439,conjecture,
    [--ssSkP1(U),
     --ndr1_0,
     ++ndr1_1(U),
     ++c4_1(U),
     ++ssSkC12]).

input_clause(clause440,conjecture,
    [--ndr1_0,
     ++ndr1_1(U),
     ++c2_1(U),
     ++c7_1(U),
     ++ssSkC5]).

input_clause(clause441,conjecture,
    [--ndr1_0,
     ++ndr1_1(U),
     ++c6_1(U),
     ++c1_1(U),
     ++ssSkC4]).

input_clause(clause442,conjecture,
    [--ssSkP10(U),
     --ssSkC49,
     --ssSkC50,
     --ndr1_0,
     ++ndr1_1(U),
     ++c5_1(U)]).

input_clause(clause443,conjecture,
    [--ssSkP6(U),
     --c1_1(U),
     --ndr1_0,
     ++ndr1_1(U),
     ++c2_0]).

input_clause(clause444,conjecture,
    [--ssSkC32,
     --ndr1_0,
     ++c1_2(U,a1105),
     ++c6_1(U),
     ++c3_1(U)]).

input_clause(clause445,conjecture,
    [--c10_2(U,a1110),
     --ndr1_0,
     ++c10_1(U),
     ++ssSkC33]).

input_clause(clause446,conjecture,
    [--c7_2(U,a1110),
     --ndr1_0,
     ++c10_1(U),
     ++ssSkC33]).

input_clause(clause447,conjecture,
    [--c2_2(U,a1110),
     --ndr1_0,
     ++c10_1(U),
     ++ssSkC33]).

input_clause(clause448,conjecture,
    [--ndr1_0,
     --c9_0,
     ++c10_2(U,a1138),
     ++c3_1(U),
     ++c4_0]).

input_clause(clause449,conjecture,
    [--ndr1_0,
     --c9_0,
     ++c2_2(U,a1138),
     ++c3_1(U),
     ++c4_0]).

input_clause(clause450,conjecture,
    [--ndr1_0,
     --c9_0,
     ++c9_2(U,a1138),
     ++c3_1(U),
     ++c4_0]).

input_clause(clause451,conjecture,
    [--ssSkC33,
     --ssSkC34,
     --c7_1(U),
     --ndr1_0,
     ++c6_2(U,a1113)]).

input_clause(clause452,conjecture,
    [--ssSkC33,
     --ssSkC34,
     --c7_1(U),
     --ndr1_0,
     ++c3_2(U,a1113)]).

input_clause(clause453,conjecture,
    [--ssSkC33,
     --ssSkC34,
     --c7_1(U),
     --ndr1_0,
     ++c1_2(U,a1113)]).

input_clause(clause454,conjecture,
    [--ssSkP9(U),
     --c1_1(U),
     --ndr1_0,
     ++ndr1_1(U),
     ++ssSkC50]).

input_clause(clause455,conjecture,
    [--c7_1(U),
     --ndr1_0,
     ++ndr1_1(U),
     ++c4_1(U),
     ++ssSkC48]).

input_clause(clause456,conjecture,
    [--c2_1(U),
     --ndr1_0,
     ++ndr1_1(U),
     ++c5_1(U),
     ++ssSkC42]).

input_clause(clause457,conjecture,
    [--ndr1_0,
     ++c10_2(U,a1122),
     ++c10_1(U),
     ++c8_1(U),
     ++ssSkC37]).

input_clause(clause458,conjecture,
    [--ssSkP4(U),
     --c6_1(U),
     --ndr1_0,
     ++ndr1_1(U),
     ++ssSkC34]).

input_clause(clause459,conjecture,
    [--c2_1(U),
     --ndr1_0,
     ++ndr1_1(U),
     ++c3_1(U),
     ++ssSkC32]).

input_clause(clause460,conjecture,
    [--ndr1_0,
     ++c4_2(U,a1101),
     ++c8_1(U),
     ++c1_1(U),
     ++ssSkC31]).

input_clause(clause461,conjecture,
    [--ndr1_0,
     ++c5_2(U,a1101),
     ++c8_1(U),
     ++c1_1(U),
     ++ssSkC31]).

input_clause(clause462,conjecture,
    [--ndr1_0,
     ++c3_2(U,a1101),
     ++c8_1(U),
     ++c1_1(U),
     ++ssSkC31]).

input_clause(clause463,conjecture,
    [--ssSkP2(U),
     --c2_1(U),
     --ndr1_0,
     ++ndr1_1(U),
     ++ssSkC27]).

input_clause(clause464,conjecture,
    [--ssSkP1(U),
     --ndr1_0,
     ++c6_2(U,a1012),
     ++c4_1(U),
     ++ssSkC12]).

input_clause(clause465,conjecture,
    [--ssSkP1(U),
     --ndr1_0,
     ++c7_2(U,a1012),
     ++c4_1(U),
     ++ssSkC12]).

input_clause(clause466,conjecture,
    [--ndr1_0,
     ++c8_2(U,a976),
     ++c2_1(U),
     ++c7_1(U),
     ++ssSkC5]).

input_clause(clause467,conjecture,
    [--ndr1_0,
     ++c1_2(U,a974),
     ++c6_1(U),
     ++c1_1(U),
     ++ssSkC4]).

input_clause(clause468,conjecture,
    [--ssSkP10(U),
     --ssSkC49,
     --ssSkC50,
     --ndr1_0,
     ++c10_2(U,a1180),
     ++c5_1(U)]).

input_clause(clause469,conjecture,
    [--ssSkP7(U),
     --ssSkP8(U),
     --ssSkC45,
     --ndr1_0,
     --c10_0,
     ++ndr1_1(U)]).

input_clause(clause470,conjecture,
    [--ssSkP6(U),
     --c1_1(U),
     --ndr1_0,
     ++c8_2(U,a1152),
     ++c2_0]).

input_clause(clause471,conjecture,
    [--ssSkC43,
     --ndr1_0,
     --c8_0,
     ++ndr1_1(U),
     ++c7_1(U),
     ++c8_1(U)]).

input_clause(clause472,conjecture,
    [--ssSkC35,
     --ndr1_0,
     --c10_0,
     ++ndr1_1(U),
     ++c6_1(U),
     ++c3_1(U)]).

input_clause(clause473,conjecture,
    [--ssSkC32,
     --c5_2(U,a1105),
     --ndr1_0,
     ++c6_1(U),
     ++c3_1(U)]).

input_clause(clause474,conjecture,
    [--ssSkC32,
     --c8_2(U,a1105),
     --ndr1_0,
     ++c6_1(U),
     ++c3_1(U)]).

input_clause(clause475,conjecture,
    [--c1_1(U),
     --ndr1_0,
     ++ndr1_1(U),
     ++c4_1(U),
     ++c9_0,
     ++c6_0]).

input_clause(clause476,conjecture,
    [--ssSkP3(U),
     --ssSkC29,
     --ndr1_0,
     --c7_0,
     ++ndr1_1(U),
     ++c6_1(U)]).

input_clause(clause477,conjecture,
    [--c5_1(U),
     --ndr1_0,
     --c10_0,
     ++ndr1_1(U),
     ++c2_1(U)]).

input_clause(clause478,conjecture,
    [--ssSkP0(U),
     --c6_1(U),
     --ndr1_0,
     ++ndr1_1(U),
     ++c3_0,
     ++c5_0]).

input_clause(clause479,conjecture,
    [--ndr1_1(a1074),
     ++c5_2(a1074,U),
     ++c8_2(a1074,U),
     ++c4_0,
     ++c7_0]).

input_clause(clause480,conjecture,
    [--ndr1_1(a980),
     --c5_0,
     ++c1_2(a980,U),
     ++c3_2(a980,U)]).

input_clause(clause481,conjecture,
    [--ssSkP9(U),
     --c1_1(U),
     --ndr1_0,
     ++c2_2(U,a1178),
     ++ssSkC50]).

input_clause(clause482,conjecture,
    [--ssSkP9(U),
     --c1_1(U),
     --ndr1_0,
     ++c1_2(U,a1178),
     ++ssSkC50]).

input_clause(clause483,conjecture,
    [--c7_1(U),
     --ndr1_0,
     ++c4_2(U,a1172),
     ++c4_1(U),
     ++ssSkC48]).

input_clause(clause484,conjecture,
    [--c7_1(U),
     --ndr1_0,
     ++c1_2(U,a1172),
     ++c4_1(U),
     ++ssSkC48]).

input_clause(clause485,conjecture,
    [--c7_1(U),
     --ndr1_0,
     ++c10_2(U,a1172),
     ++c4_1(U),
     ++ssSkC48]).

input_clause(clause486,conjecture,
    [--c9_2(U,a1122),
     --ndr1_0,
     ++c10_1(U),
     ++c8_1(U),
     ++ssSkC37]).

input_clause(clause487,conjecture,
    [--c2_2(U,a1122),
     --ndr1_0,
     ++c10_1(U),
     ++c8_1(U),
     ++ssSkC37]).

input_clause(clause488,conjecture,
    [--ssSkP4(U),
     --c6_1(U),
     --ndr1_0,
     ++c7_2(U,a1112),
     ++ssSkC34]).

input_clause(clause489,conjecture,
    [--ssSkP4(U),
     --c6_1(U),
     --ndr1_0,
     ++c5_2(U,a1112),
     ++ssSkC34]).

input_clause(clause490,conjecture,
    [--c2_1(U),
     --ndr1_0,
     ++c9_2(U,a1104),
     ++c3_1(U),
     ++ssSkC32]).

input_clause(clause491,conjecture,
    [--ssSkP2(U),
     --c2_1(U),
     --ndr1_0,
     ++c4_2(U,a1077),
     ++ssSkC27]).

input_clause(clause492,conjecture,
    [--ssSkP1(U),
     --c2_2(U,a1012),
     --ndr1_0,
     ++c4_1(U),
     ++ssSkC12]).

input_clause(clause493,conjecture,
    [--c1_2(U,a976),
     --ndr1_0,
     ++c2_1(U),
     ++c7_1(U),
     ++ssSkC5]).

input_clause(clause494,conjecture,
    [--c6_2(U,a976),
     --ndr1_0,
     ++c2_1(U),
     ++c7_1(U),
     ++ssSkC5]).

input_clause(clause495,conjecture,
    [--c9_2(U,a974),
     --ndr1_0,
     ++c6_1(U),
     ++c1_1(U),
     ++ssSkC4]).

input_clause(clause496,conjecture,
    [--c4_2(U,a974),
     --ndr1_0,
     ++c6_1(U),
     ++c1_1(U),
     ++ssSkC4]).

input_clause(clause497,conjecture,
    [--ssSkP10(U),
     --ssSkC49,
     --ssSkC50,
     --c5_2(U,a1180),
     --ndr1_0,
     ++c5_1(U)]).

input_clause(clause498,conjecture,
    [--ssSkP10(U),
     --ssSkC49,
     --ssSkC50,
     --c1_2(U,a1180),
     --ndr1_0,
     ++c5_1(U)]).

input_clause(clause499,conjecture,
    [--ssSkP7(U),
     --ssSkP8(U),
     --ssSkC45,
     --ndr1_0,
     --c10_0,
     ++c6_2(U,a1158)]).

input_clause(clause500,conjecture,
    [--ssSkP6(U),
     --c10_2(U,a1152),
     --c1_1(U),
     --ndr1_0,
     ++c2_0]).

input_clause(clause501,conjecture,
    [--ssSkP6(U),
     --c4_2(U,a1152),
     --c1_1(U),
     --ndr1_0,
     ++c2_0]).

input_clause(clause502,conjecture,
    [--ssSkC30,
     --c2_1(U),
     --ndr1_0,
     ++c7_1(U),
     ++c10_1(U),
     ++ndr1_1(a1092)]).

input_clause(clause503,conjecture,
    [--ssSkP3(U),
     --ssSkC29,
     --ndr1_0,
     --c7_0,
     ++c9_2(U,a1086),
     ++c6_1(U)]).

input_clause(clause504,conjecture,
    [--ssSkP3(U),
     --ssSkC29,
     --ndr1_0,
     --c7_0,
     ++c4_2(U,a1086),
     ++c6_1(U)]).

input_clause(clause505,conjecture,
    [--c5_1(U),
     --ndr1_0,
     --c10_0,
     ++c4_2(U,a1025),
     ++c2_1(U)]).

input_clause(clause506,conjecture,
    [--c5_1(U),
     --ndr1_0,
     --c10_0,
     ++c9_2(U,a1025),
     ++c2_1(U)]).

input_clause(clause507,conjecture,
    [--ssSkP0(U),
     --c6_1(U),
     --ndr1_0,
     ++c9_2(U,a989),
     ++c3_0,
     ++c5_0]).

input_clause(clause508,conjecture,
    [--c2_1(U),
     --ndr1_0,
     --c5_0,
     ++ndr1_1(U),
     ++c1_1(U),
     ++c9_0]).

input_clause(clause509,conjecture,
    [--c3_1(U),
     --ndr1_0,
     --c4_0,
     ++ndr1_1(U),
     ++c2_1(U),
     ++c6_0]).

input_clause(clause510,conjecture,
    [--ssSkC4,
     --c1_1(U),
     --ndr1_0,
     --c8_0,
     ++ndr1_1(U),
     ++c6_1(U)]).

input_clause(clause511,conjecture,
    [--c3_1(U),
     --ndr1_0,
     --c6_0,
     ++ndr1_1(U),
     ++c9_1(U),
     ++c3_0]).

input_clause(clause512,conjecture,
    [--c7_1(U),
     --ndr1_0,
     --c5_0,
     ++c3_1(U),
     ++c10_1(U),
     ++c8_0]).

input_clause(clause513,conjecture,
    [--c3_1(U),
     --c8_1(U),
     --ndr1_0,
     --c1_0,
     ++ndr1_1(a1106)]).

input_clause(clause514,conjecture,
    [--ssSkC6,
     --ssSkC7,
     --c9_2(a995,U),
     --ndr1_1(a995),
     ++c1_2(a995,U)]).

input_clause(clause515,conjecture,
    [--c6_2(a978,U),
     --ndr1_1(a978),
     ++c4_2(a978,U),
     ++c1_0,
     ++c6_0]).

input_clause(clause516,conjecture,
    [--ssSkP9(U),
     --c4_2(U,a1178),
     --c1_1(U),
     --ndr1_0,
     ++ssSkC50]).

input_clause(clause517,conjecture,
    [--c1_2(U,a1142),
     --c2_1(U),
     --ndr1_0,
     ++c5_1(U),
     ++ssSkC42]).

input_clause(clause518,conjecture,
    [--c8_2(U,a1142),
     --c2_1(U),
     --ndr1_0,
     ++c5_1(U),
     ++ssSkC42]).

input_clause(clause519,conjecture,
    [--c4_2(U,a1142),
     --c2_1(U),
     --ndr1_0,
     ++c5_1(U),
     ++ssSkC42]).

input_clause(clause520,conjecture,
    [--ssSkP4(U),
     --c9_2(U,a1112),
     --c6_1(U),
     --ndr1_0,
     ++ssSkC34]).

input_clause(clause521,conjecture,
    [--c3_2(U,a1104),
     --c2_1(U),
     --ndr1_0,
     ++c3_1(U),
     ++ssSkC32]).

input_clause(clause522,conjecture,
    [--c2_2(U,a1104),
     --c2_1(U),
     --ndr1_0,
     ++c3_1(U),
     ++ssSkC32]).

input_clause(clause523,conjecture,
    [--ssSkP2(U),
     --c6_2(U,a1077),
     --c2_1(U),
     --ndr1_0,
     ++ssSkC27]).

input_clause(clause524,conjecture,
    [--ssSkP2(U),
     --c5_2(U,a1077),
     --c2_1(U),
     --ndr1_0,
     ++ssSkC27]).

input_clause(clause525,conjecture,
    [--ssSkP7(U),
     --ssSkP8(U),
     --ssSkC45,
     --c7_2(U,a1158),
     --ndr1_0,
     --c10_0]).

input_clause(clause526,conjecture,
    [--ssSkP7(U),
     --ssSkP8(U),
     --ssSkC45,
     --c8_2(U,a1158),
     --ndr1_0,
     --c10_0]).

input_clause(clause527,conjecture,
    [--ssSkC43,
     --c9_2(U,a1147),
     --ndr1_0,
     --c8_0,
     ++c7_1(U),
     ++c8_1(U)]).

input_clause(clause528,conjecture,
    [--ssSkC43,
     --c3_2(U,a1147),
     --ndr1_0,
     --c8_0,
     ++c7_1(U),
     ++c8_1(U)]).

input_clause(clause529,conjecture,
    [--ssSkC43,
     --c6_2(U,a1147),
     --ndr1_0,
     --c8_0,
     ++c7_1(U),
     ++c8_1(U)]).

input_clause(clause530,conjecture,
    [--c7_1(U),
     --ndr1_0,
     --c4_0,
     ++c6_1(U),
     ++c10_1(U),
     ++c7_1(a1124)]).

input_clause(clause531,conjecture,
    [--ssSkC35,
     --c10_2(U,a1117),
     --ndr1_0,
     --c10_0,
     ++c6_1(U),
     ++c3_1(U)]).

input_clause(clause532,conjecture,
    [--ssSkC35,
     --c1_2(U,a1117),
     --ndr1_0,
     --c10_0,
     ++c6_1(U),
     ++c3_1(U)]).

input_clause(clause533,conjecture,
    [--c2_2(U,a1103),
     --c1_1(U),
     --ndr1_0,
     ++c4_1(U),
     ++c9_0,
     ++c6_0]).

input_clause(clause534,conjecture,
    [--c7_2(U,a1103),
     --c1_1(U),
     --ndr1_0,
     ++c4_1(U),
     ++c9_0,
     ++c6_0]).

input_clause(clause535,conjecture,
    [--c2_1(U),
     --c5_1(U),
     --ndr1_0,
     --c2_0,
     ++ndr1_1(U),
     ++c5_0]).

input_clause(clause536,conjecture,
    [--ssSkC30,
     --c2_1(U),
     --ndr1_0,
     ++c7_1(U),
     ++c10_1(U),
     ++c10_2(a1092,a1094)]).

input_clause(clause537,conjecture,
    [--ssSkC30,
     --c2_1(U),
     --ndr1_0,
     --c10_1(a1092),
     ++c7_1(U),
     ++c10_1(U)]).

input_clause(clause538,conjecture,
    [--ssSkP3(U),
     --ssSkC29,
     --c2_2(U,a1086),
     --ndr1_0,
     --c7_0,
     ++c6_1(U)]).

input_clause(clause539,conjecture,
    [--c5_2(U,a1025),
     --c5_1(U),
     --ndr1_0,
     --c10_0,
     ++c2_1(U)]).

input_clause(clause540,conjecture,
    [--c10_1(U),
     --ndr1_0,
     --c7_0,
     --c9_0,
     ++ndr1_1(U),
     ++c8_1(U)]).

input_clause(clause541,conjecture,
    [--ssSkP0(U),
     --c6_2(U,a989),
     --c6_1(U),
     --ndr1_0,
     ++c3_0,
     ++c5_0]).

input_clause(clause542,conjecture,
    [--ssSkP0(U),
     --c8_2(U,a989),
     --c6_1(U),
     --ndr1_0,
     ++c3_0,
     ++c5_0]).

input_clause(clause543,conjecture,
    [--c2_1(U),
     --ndr1_0,
     --c5_0,
     ++c10_2(U,a983),
     ++c1_1(U),
     ++c9_0]).

input_clause(clause544,conjecture,
    [--c3_1(U),
     --ndr1_0,
     --c4_0,
     ++c7_2(U,a979),
     ++c2_1(U),
     ++c6_0]).

input_clause(clause545,conjecture,
    [--ssSkC4,
     --c1_1(U),
     --ndr1_0,
     --c8_0,
     ++c8_2(U,a975),
     ++c6_1(U)]).

input_clause(clause546,conjecture,
    [--c3_1(U),
     --ndr1_0,
     --c6_0,
     ++c8_2(U,a969),
     ++c9_1(U),
     ++c3_0]).

input_clause(clause547,conjecture,
    [--c3_1(U),
     --ndr1_0,
     --c6_0,
     ++c10_2(U,a969),
     ++c9_1(U),
     ++c3_0]).

input_clause(clause548,conjecture,
    [--ssSkC46,
     --c9_2(a1160,U),
     --ndr1_1(a1160),
     --c7_0,
     ++c10_2(a1160,U)]).

input_clause(clause549,conjecture,
    [--c3_1(U),
     --c8_1(U),
     --ndr1_0,
     --c1_0,
     ++c4_2(a1106,a1107)]).

input_clause(clause550,conjecture,
    [--c3_1(U),
     --c8_1(U),
     --ndr1_0,
     --c1_0,
     ++c9_2(a1106,a1107)]).

input_clause(clause551,conjecture,
    [--ndr1_1(a1155),
     ++c9_2(a1155,U),
     ++c4_2(a1155,U),
     ++c8_2(a1155,U),
     ++ssSkC45]).

input_clause(clause552,conjecture,
    [--ndr1_1(a1146),
     ++c9_2(a1146,U),
     ++c8_2(a1146,U),
     ++c10_2(a1146,U),
     ++ssSkC43]).

input_clause(clause553,conjecture,
    [--ndr1_1(a1131),
     ++c4_2(a1131,U),
     ++c6_2(a1131,U),
     ++c3_2(a1131,U),
     ++ssSkC39]).

input_clause(clause554,conjecture,
    [--ndr1_1(a1115),
     ++c9_2(a1115,U),
     ++c2_2(a1115,U),
     ++c7_2(a1115,U),
     ++ssSkC35]).

input_clause(clause555,conjecture,
    [--ndr1_1(a992),
     ++c9_2(a992,U),
     ++c6_2(a992,U),
     ++c4_2(a992,U),
     ++ssSkC7]).

input_clause(clause556,conjecture,
    [--ssSkC38,
     --ndr1_1(a1130),
     ++c9_2(a1130,U),
     ++c1_2(a1130,U),
     ++c10_2(a1130,U),
     ++c10_0]).

input_clause(clause557,conjecture,
    [--c7_1(U),
     --ndr1_0,
     --c2_1(a1124),
     --c4_0,
     ++c6_1(U),
     ++c10_1(U)]).

input_clause(clause558,conjecture,
    [--c5_1(U),
     --c1_1(U),
     --ndr1_0,
     --c5_0,
     ++c4_1(U),
     ++c9_1(a1114)]).

input_clause(clause559,conjecture,
    [--c5_1(U),
     --c1_1(U),
     --ndr1_0,
     --c5_0,
     ++c4_1(U),
     ++c2_1(a1114)]).

input_clause(clause560,conjecture,
    [--c2_1(U),
     --c5_1(U),
     --ndr1_0,
     --c2_0,
     ++c8_2(U,a1100),
     ++c5_0]).

input_clause(clause561,conjecture,
    [--ssSkC30,
     --c2_1(U),
     --ndr1_0,
     --c5_2(a1092,a1094),
     ++c7_1(U),
     ++c10_1(U)]).

input_clause(clause562,conjecture,
    [--ssSkC30,
     --c2_1(U),
     --ndr1_0,
     --c3_2(a1092,a1094),
     ++c7_1(U),
     ++c10_1(U)]).

input_clause(clause563,conjecture,
    [--ssSkC30,
     --c2_1(U),
     --ndr1_0,
     --c4_2(a1092,a1093),
     ++c7_1(U),
     ++c10_1(U)]).

input_clause(clause564,conjecture,
    [--ssSkC30,
     --c2_1(U),
     --ndr1_0,
     --c10_2(a1092,a1093),
     ++c7_1(U),
     ++c10_1(U)]).

input_clause(clause565,conjecture,
    [--ssSkC30,
     --c2_1(U),
     --ndr1_0,
     --c7_2(a1092,a1093),
     ++c7_1(U),
     ++c10_1(U)]).

input_clause(clause566,conjecture,
    [--ndr1_1(a1087),
     --c2_0,
     ++c9_2(a1087,U),
     ++c5_2(a1087,U),
     ++c6_2(a1087,U)]).

input_clause(clause567,conjecture,
    [--ssSkC27,
     --c6_2(a1078,U),
     --ndr1_1(a1078),
     ++c1_2(a1078,U),
     ++c10_2(a1078,U)]).

input_clause(clause568,conjecture,
    [--ssSkC18,
     --c1_1(U),
     --c7_1(U),
     --ndr1_0,
     --c3_1(a1041),
     ++c10_1(U)]).

input_clause(clause569,conjecture,
    [--c10_1(U),
     --ndr1_0,
     --c7_0,
     --c9_0,
     ++c5_2(U,a1021),
     ++c8_1(U)]).

input_clause(clause570,conjecture,
    [--c2_2(U,a983),
     --c2_1(U),
     --ndr1_0,
     --c5_0,
     ++c1_1(U),
     ++c9_0]).

input_clause(clause571,conjecture,
    [--c4_2(U,a983),
     --c2_1(U),
     --ndr1_0,
     --c5_0,
     ++c1_1(U),
     ++c9_0]).

input_clause(clause572,conjecture,
    [--c5_2(U,a979),
     --c3_1(U),
     --ndr1_0,
     --c4_0,
     ++c2_1(U),
     ++c6_0]).

input_clause(clause573,conjecture,
    [--c2_2(U,a979),
     --c3_1(U),
     --ndr1_0,
     --c4_0,
     ++c2_1(U),
     ++c6_0]).

input_clause(clause574,conjecture,
    [--ssSkC4,
     --c9_2(U,a975),
     --c1_1(U),
     --ndr1_0,
     --c8_0,
     ++c6_1(U)]).

input_clause(clause575,conjecture,
    [--ssSkC4,
     --c7_2(U,a975),
     --c1_1(U),
     --ndr1_0,
     --c8_0,
     ++c6_1(U)]).

input_clause(clause576,conjecture,
    [--c5_2(U,a969),
     --c3_1(U),
     --ndr1_0,
     --c6_0,
     ++c9_1(U),
     ++c3_0]).

input_clause(clause577,conjecture,
    [--ndr1_1(a963),
     --c2_0,
     ++c9_2(a963,U),
     ++c10_2(a963,U),
     ++c3_2(a963,U)]).

input_clause(clause578,conjecture,
    [--c3_1(U),
     --c8_1(U),
     --ndr1_0,
     --c10_2(a1106,a1108),
     --c1_0]).

input_clause(clause579,conjecture,
    [--c3_1(U),
     --c8_1(U),
     --ndr1_0,
     --c3_2(a1106,a1108),
     --c1_0]).

input_clause(clause580,conjecture,
    [--c3_1(U),
     --c8_1(U),
     --ndr1_0,
     --c8_2(a1106,a1108),
     --c1_0]).

input_clause(clause581,conjecture,
    [--c3_1(U),
     --c8_1(U),
     --ndr1_0,
     --c6_2(a1106,a1107),
     --c1_0]).

input_clause(clause582,conjecture,
    [--ssSkC14,
     --c2_2(a1020,U),
     --c1_2(a1020,U),
     --ndr1_1(a1020),
     --c7_0]).

input_clause(clause583,conjecture,
    [--ssSkC3,
     --c7_2(a973,U),
     --c1_2(a973,U),
     --ndr1_1(a973),
     --c5_0]).

input_clause(clause584,conjecture,
    [--c9_2(a1155,U),
     --ndr1_1(a1155),
     ++c3_2(a1155,U),
     ++c1_2(a1155,U),
     ++ssSkC45]).

input_clause(clause585,conjecture,
    [--c10_2(a1153,U),
     --ndr1_1(a1153),
     ++c6_2(a1153,U),
     ++c9_2(a1153,U),
     ++ssSkC44]).

input_clause(clause586,conjecture,
    [--c6_2(a1139,U),
     --ndr1_1(a1139),
     ++c7_2(a1139,U),
     ++c5_2(a1139,U),
     ++ssSkC41]).

input_clause(clause587,conjecture,
    [--c2_2(a1059,U),
     --ndr1_1(a1059),
     ++c1_2(a1059,U),
     ++c8_2(a1059,U),
     ++ssSkC23]).

input_clause(clause588,conjecture,
    [--c7_2(a1040,U),
     --ndr1_1(a1040),
     ++c4_2(a1040,U),
     ++c8_2(a1040,U),
     ++ssSkC18]).

input_clause(clause589,conjecture,
    [--c3_2(a1028,U),
     --ndr1_1(a1028),
     ++c9_2(a1028,U),
     ++c5_2(a1028,U),
     ++ssSkC16]).

input_clause(clause590,conjecture,
    [--c2_2(a1022,U),
     --ndr1_1(a1022),
     ++c10_2(a1022,U),
     ++c8_2(a1022,U),
     ++ssSkC15]).

input_clause(clause591,conjecture,
    [--c3_2(a997,U),
     --ndr1_1(a997),
     ++c4_2(a997,U),
     ++c6_2(a997,U),
     ++ssSkC8]).

input_clause(clause592,conjecture,
    [--c4_2(a972,U),
     --ndr1_1(a972),
     ++c7_2(a972,U),
     ++c8_2(a972,U),
     ++ssSkC3]).

input_clause(clause593,conjecture,
    [--c1_2(a970,U),
     --ndr1_1(a970),
     ++c10_2(a970,U),
     ++c5_2(a970,U),
     ++ssSkC2]).

input_clause(clause594,conjecture,
    [--c6_2(a1170,U),
     --ndr1_1(a1170),
     ++c8_2(a1170,U),
     ++c10_2(a1170,U),
     ++c8_0,
     ++c4_0]).

input_clause(clause595,conjecture,
    [--ssSkC44,
     --c9_2(a1154,U),
     --ndr1_1(a1154),
     ++c4_2(a1154,U),
     ++c7_2(a1154,U),
     ++c7_0]).

input_clause(clause596,conjecture,
    [--ssSkC37,
     --ndr1_1(a1123),
     --c7_0,
     ++c7_2(a1123,U),
     ++c1_2(a1123,U),
     ++c6_2(a1123,U)]).

input_clause(clause597,conjecture,
    [--c5_1(U),
     --c1_1(U),
     --ndr1_0,
     --c1_1(a1114),
     --c5_0,
     ++c4_1(U)]).

input_clause(clause598,conjecture,
    [--c10_2(U,a1100),
     --c2_1(U),
     --c5_1(U),
     --ndr1_0,
     --c2_0,
     ++c5_0]).

input_clause(clause599,conjecture,
    [--ndr1_1(a1099),
     --c9_0,
     ++c7_2(a1099,U),
     ++c8_2(a1099,U),
     ++c3_2(a1099,U),
     ++c4_0]).

input_clause(clause600,conjecture,
    [--c9_2(a1095,U),
     --ndr1_1(a1095),
     ++c8_2(a1095,U),
     ++c2_2(a1095,U),
     ++c6_0,
     ++c5_0]).

input_clause(clause601,conjecture,
    [--ssSkC27,
     --c6_2(a1078,U),
     --c10_2(a1078,U),
     --ndr1_1(a1078),
     ++c2_2(a1078,U)]).

input_clause(clause602,conjecture,
    [--ssSkC20,
     --ssSkC21,
     --c9_2(a1050,U),
     --ndr1_1(a1050),
     ++c4_2(a1050,U),
     ++c8_2(a1050,U)]).

input_clause(clause603,conjecture,
    [--c4_2(a1033,U),
     --ndr1_1(a1033),
     ++c7_2(a1033,U),
     ++c2_2(a1033,U),
     ++c9_0,
     ++c4_0]).

input_clause(clause604,conjecture,
    [--ssSkC15,
     --c7_2(a1024,U),
     --ndr1_1(a1024),
     ++c3_2(a1024,U),
     ++c4_2(a1024,U),
     ++c2_0]).

input_clause(clause605,conjecture,
    [--c9_2(U,a1021),
     --c10_1(U),
     --ndr1_0,
     --c7_0,
     --c9_0,
     ++c8_1(U)]).

input_clause(clause606,conjecture,
    [--c1_2(U,a1021),
     --c10_1(U),
     --ndr1_0,
     --c7_0,
     --c9_0,
     ++c8_1(U)]).

input_clause(clause607,conjecture,
    [--c1_1(U),
     --ndr1_0,
     --c2_1(V),
     --c6_1(V),
     ++c3_1(U),
     ++ndr1_1(V),
     ++c3_0]).

input_clause(clause608,conjecture,
    [--ssSkC0,
     --ndr1_1(a962),
     --c5_0,
     ++c7_2(a962,U),
     ++c9_2(a962,U),
     ++c10_2(a962,U)]).

input_clause(clause609,conjecture,
    [--ndr1_1(U),
     --c10_1(U),
     --c2_1(U),
     --ndr1_0,
     ++c3_2(U,V),
     ++c2_2(U,V)]).

input_clause(clause610,conjecture,
    [--ssSkC51,
     --ndr1_1(U),
     --c10_1(U),
     --ndr1_0,
     ++c8_2(U,V),
     ++c1_2(U,V),
     ++ndr1_1(a1183)]).

input_clause(clause611,conjecture,
    [--c3_2(a1131,U),
     --c1_2(a1131,U),
     --ndr1_1(a1131),
     ++c4_2(a1131,U),
     ++ssSkC39]).

input_clause(clause612,conjecture,
    [--c8_2(a1115,U),
     --c5_2(a1115,U),
     --ndr1_1(a1115),
     ++c9_2(a1115,U),
     ++ssSkC35]).

input_clause(clause613,conjecture,
    [--ssSkC48,
     --c9_2(a1173,U),
     --ndr1_1(a1173),
     --c2_0,
     ++c5_2(a1173,U),
     ++c4_2(a1173,U)]).

input_clause(clause614,conjecture,
    [--c9_2(a1095,U),
     --c5_2(a1095,U),
     --ndr1_1(a1095),
     ++c2_2(a1095,U),
     ++c6_0,
     ++c5_0]).

input_clause(clause615,conjecture,
    [--c8_2(a1087,U),
     --c3_2(a1087,U),
     --ndr1_1(a1087),
     --c2_0,
     ++c6_2(a1087,U)]).

input_clause(clause616,conjecture,
    [--ssSkC20,
     --ssSkC21,
     --c8_2(a1050,U),
     --c4_2(a1050,U),
     --ndr1_1(a1050),
     ++c10_2(a1050,U)]).

input_clause(clause617,conjecture,
    [--ssSkC19,
     --c3_2(a1046,U),
     --c8_2(a1046,U),
     --ndr1_1(a1046),
     ++c10_2(a1046,U),
     ++c8_0]).

input_clause(clause618,conjecture,
    [--c3_2(a1042,U),
     --ndr1_1(a1042),
     --c1_0,
     ++c4_2(a1042,U),
     ++c6_2(a1042,U),
     ++c7_0]).

input_clause(clause619,conjecture,
    [--ssSkC16,
     --c6_2(a1031,U),
     --c2_2(a1031,U),
     --ndr1_1(a1031),
     ++c4_2(a1031,U),
     ++c6_0]).

input_clause(clause620,conjecture,
    [--c1_1(U),
     --ndr1_0,
     --c2_1(V),
     --c6_1(V),
     ++c3_1(U),
     ++c1_2(V,a1002),
     ++c3_0]).

input_clause(clause621,conjecture,
    [--c1_1(U),
     --ndr1_0,
     --c2_1(V),
     --c6_1(V),
     ++c3_1(U),
     ++c7_2(V,a1002),
     ++c3_0]).

input_clause(clause622,conjecture,
    [--ssSkC51,
     --ndr1_1(U),
     --c10_1(U),
     --ndr1_0,
     ++c8_2(U,V),
     ++c1_2(U,V),
     ++c5_2(a1183,a1185)]).

input_clause(clause623,conjecture,
    [--ssSkC51,
     --ndr1_1(U),
     --c10_1(U),
     --ndr1_0,
     ++c8_2(U,V),
     ++c1_2(U,V),
     ++c10_2(a1183,a1185)]).

input_clause(clause624,conjecture,
    [--ssSkC51,
     --ndr1_1(U),
     --c10_1(U),
     --ndr1_0,
     ++c8_2(U,V),
     ++c1_2(U,V),
     ++c8_2(a1183,a1184)]).

input_clause(clause625,conjecture,
    [--ssSkC51,
     --ndr1_1(U),
     --c10_1(U),
     --ndr1_0,
     ++c8_2(U,V),
     ++c1_2(U,V),
     ++c3_2(a1183,a1184)]).

input_clause(clause626,conjecture,
    [--ssSkC51,
     --ndr1_1(U),
     --c10_1(U),
     --ndr1_0,
     --c10_1(a1183),
     ++c8_2(U,V),
     ++c1_2(U,V)]).

input_clause(clause627,conjecture,
    [--ssSkC37,
     --c1_2(a1123,U),
     --c10_2(a1123,U),
     --ndr1_1(a1123),
     --c7_0,
     ++c6_2(a1123,U)]).

input_clause(clause628,conjecture,
    [--c3_2(a1081,U),
     --ndr1_1(a1081),
     --c8_0,
     --c5_0,
     ++c6_2(a1081,U),
     ++c1_2(a1081,U)]).

input_clause(clause629,conjecture,
    [--c7_2(a1042,U),
     --c10_2(a1042,U),
     --ndr1_1(a1042),
     --c1_0,
     ++c3_2(a1042,U),
     ++c7_0]).

input_clause(clause630,conjecture,
    [--c4_2(a1008,U),
     --ndr1_1(a1008),
     --c7_0,
     --c1_0,
     ++c7_2(a1008,U),
     ++c10_2(a1008,U)]).

input_clause(clause631,conjecture,
    [--c1_1(U),
     --ndr1_0,
     --c5_2(V,a1002),
     --c2_1(V),
     --c6_1(V),
     ++c3_1(U),
     ++c3_0]).

input_clause(clause632,conjecture,
    [--ssSkC6,
     --ssSkC7,
     --c9_2(a995,U),
     --c7_2(a995,U),
     --c8_2(a995,U),
     --ndr1_1(a995)]).

input_clause(clause633,conjecture,
    [--ssSkC5,
     --c1_2(a977,U),
     --c9_2(a977,U),
     --ndr1_1(a977),
     --c3_0,
     ++c5_2(a977,U)]).

input_clause(clause634,conjecture,
    [--ssSkC0,
     --c7_2(a962,U),
     --c5_2(a962,U),
     --ndr1_1(a962),
     --c5_0,
     ++c8_2(a962,U)]).

input_clause(clause635,conjecture,
    [--ssSkC0,
     --c7_2(a962,U),
     --c3_2(a962,U),
     --ndr1_1(a962),
     --c5_0,
     ++c1_2(a962,U)]).

input_clause(clause636,conjecture,
    [--ssSkC51,
     --ndr1_1(U),
     --c10_1(U),
     --ndr1_0,
     --c7_2(a1183,a1185),
     ++c8_2(U,V),
     ++c1_2(U,V)]).

input_clause(clause637,conjecture,
    [--ssSkC51,
     --ndr1_1(U),
     --c10_1(U),
     --ndr1_0,
     --c9_2(a1183,a1184),
     ++c8_2(U,V),
     ++c1_2(U,V)]).

input_clause(clause638,conjecture,
    [--ssSkC24,
     --ndr1_1(U),
     --ndr1_0,
     --c4_0,
     ++c1_2(U,V),
     ++c6_2(U,V),
     ++c9_2(U,V),
     ++c6_2(U,a1063)]).

input_clause(clause639,conjecture,
    [--ndr1_1(U),
     --ndr1_0,
     ++c3_2(U,V),
     ++c4_2(U,V),
     ++c7_2(U,V),
     ++c6_2(U,a1176),
     ++c9_1(U),
     ++ssSkC49]).

input_clause(clause640,conjecture,
    [--ndr1_1(U),
     --ndr1_0,
     ++c3_2(U,V),
     ++c4_2(U,V),
     ++c7_2(U,V),
     ++c7_2(U,a1176),
     ++c9_1(U),
     ++ssSkC49]).

input_clause(clause641,conjecture,
    [--c8_2(U,V),
     --c2_2(U,V),
     --ndr1_1(U),
     --ndr1_0,
     ++c8_2(U,a1045),
     ++c10_1(U),
     ++ssSkC19]).

input_clause(clause642,conjecture,
    [--c8_2(U,V),
     --c2_2(U,V),
     --ndr1_1(U),
     --ndr1_0,
     ++c4_2(U,a1045),
     ++c10_1(U),
     ++ssSkC19]).

input_clause(clause643,conjecture,
    [--c4_2(a1055,U),
     --c6_2(a1055,U),
     --c8_2(a1055,U),
     --ndr1_1(a1055),
     --c8_0,
     ++c6_0]).

input_clause(clause644,conjecture,
    [--c1_2(U,V),
     --c3_2(U,V),
     --ndr1_1(U),
     --ndr1_0,
     ++c5_1(U),
     ++c1_1(U),
     ++ndr1_1(a1053),
     ++c7_0]).

input_clause(clause645,conjecture,
    [--c1_2(U,V),
     --c3_2(U,V),
     --ndr1_1(U),
     --ndr1_0,
     ++c5_1(U),
     ++c1_1(U),
     ++c1_1(a1053),
     ++c7_0]).

input_clause(clause646,conjecture,
    [--c4_2(U,V),
     --ndr1_1(U),
     --ndr1_0,
     --c6_0,
     ++c5_2(U,V),
     ++c2_1(U),
     ++c5_1(U),
     ++ndr1_1(a1043)]).

input_clause(clause647,conjecture,
    [--c4_2(U,V),
     --ndr1_1(U),
     --ndr1_0,
     --c6_0,
     ++c5_2(U,V),
     ++c2_1(U),
     ++c5_1(U),
     ++c8_1(a1043)]).

input_clause(clause648,conjecture,
    [--c4_2(U,V),
     --ndr1_1(U),
     --ndr1_0,
     --c6_0,
     ++c5_2(U,V),
     ++c2_1(U),
     ++c5_1(U),
     ++c5_1(a1043)]).

input_clause(clause649,conjecture,
    [--ndr1_1(U),
     --c1_1(U),
     --ndr1_0,
     --c8_0,
     ++c2_2(U,V),
     ++c5_2(U,V),
     ++c2_2(U,a982),
     ++c3_0]).

input_clause(clause650,conjecture,
    [--ndr1_1(U),
     --c6_1(U),
     --c3_1(U),
     --ndr1_0,
     --c7_0,
     ++c5_2(U,V),
     ++c9_2(U,V),
     ++c4_0]).

input_clause(clause651,conjecture,
    [--ssSkC24,
     --ndr1_1(U),
     --c9_2(U,a1063),
     --ndr1_0,
     --c4_0,
     ++c1_2(U,V),
     ++c6_2(U,V),
     ++c9_2(U,V)]).

input_clause(clause652,conjecture,
    [--ssSkC24,
     --ndr1_1(U),
     --c5_2(U,a1063),
     --ndr1_0,
     --c4_0,
     ++c1_2(U,V),
     ++c6_2(U,V),
     ++c9_2(U,V)]).

input_clause(clause653,conjecture,
    [--ssSkP11(U),
     --c8_2(U,V),
     --ndr1_1(U),
     --ndr1_0,
     ++c10_2(U,V),
     ++c1_2(U,V),
     ++c8_2(U,a1182),
     ++ssSkC51]).

input_clause(clause654,conjecture,
    [--ndr1_1(U),
     --c1_2(U,a1176),
     --ndr1_0,
     ++c3_2(U,V),
     ++c4_2(U,V),
     ++c7_2(U,V),
     ++c9_1(U),
     ++ssSkC49]).

input_clause(clause655,conjecture,
    [--c1_2(U,V),
     --ndr1_1(U),
     --c2_2(U,a1084),
     --c2_1(U),
     --ndr1_0,
     ++c6_2(U,V),
     ++ssSkC29]).

input_clause(clause656,conjecture,
    [--c1_2(U,V),
     --ndr1_1(U),
     --c9_2(U,a1084),
     --c2_1(U),
     --ndr1_0,
     ++c6_2(U,V),
     ++ssSkC29]).

input_clause(clause657,conjecture,
    [--c1_2(U,V),
     --ndr1_1(U),
     --c5_2(U,a1084),
     --c2_1(U),
     --ndr1_0,
     ++c6_2(U,V),
     ++ssSkC29]).

input_clause(clause658,conjecture,
    [--c7_2(U,V),
     --ndr1_1(U),
     --ndr1_0,
     ++c4_2(U,V),
     ++c3_2(U,V),
     ++c8_2(U,a1049),
     ++c8_1(U),
     ++ssSkC21]).

input_clause(clause659,conjecture,
    [--c8_2(U,V),
     --c2_2(U,V),
     --ndr1_1(U),
     --c2_2(U,a1045),
     --ndr1_0,
     ++c10_1(U),
     ++ssSkC19]).

input_clause(clause660,conjecture,
    [--c1_2(U,V),
     --c3_2(U,V),
     --ndr1_1(U),
     --ndr1_0,
     ++c5_1(U),
     ++c1_1(U),
     ++c10_2(a1053,a1054),
     ++c7_0]).

input_clause(clause661,conjecture,
    [--c1_2(U,V),
     --c3_2(U,V),
     --ndr1_1(U),
     --ndr1_0,
     ++c5_1(U),
     ++c1_1(U),
     ++c3_2(a1053,a1054),
     ++c7_0]).

input_clause(clause662,conjecture,
    [--c4_2(U,V),
     --ndr1_1(U),
     --ndr1_0,
     --c6_0,
     ++c5_2(U,V),
     ++c2_1(U),
     ++c5_1(U),
     ++c4_2(a1043,a1044)]).

input_clause(clause663,conjecture,
    [--c4_2(U,V),
     --ndr1_1(U),
     --ndr1_0,
     ++c10_2(U,V),
     ++c6_2(U,V),
     ++c5_1(U),
     ++c8_1(U),
     ++ndr1_1(a1026),
     ++c10_0]).

input_clause(clause664,conjecture,
    [--c4_2(U,V),
     --ndr1_1(U),
     --ndr1_0,
     ++c10_2(U,V),
     ++c6_2(U,V),
     ++c5_1(U),
     ++c8_1(U),
     ++c5_1(a1026),
     ++c10_0]).

input_clause(clause665,conjecture,
    [--ndr1_1(U),
     --c6_2(U,a982),
     --c1_1(U),
     --ndr1_0,
     --c8_0,
     ++c2_2(U,V),
     ++c5_2(U,V),
     ++c3_0]).

input_clause(clause666,conjecture,
    [--ndr1_1(U),
     --c10_2(U,a982),
     --c1_1(U),
     --ndr1_0,
     --c8_0,
     ++c2_2(U,V),
     ++c5_2(U,V),
     ++c3_0]).

input_clause(clause667,conjecture,
    [--c6_2(U,V),
     --ndr1_1(U),
     --ndr1_0,
     --c3_0,
     ++c10_2(U,V),
     ++c3_2(U,V),
     ++c4_1(U),
     ++c7_1(U),
     ++c5_0]).

input_clause(clause668,conjecture,
    [--ssSkC2,
     --c5_2(U,V),
     --c4_2(U,V),
     --ndr1_1(U),
     --ndr1_0,
     --c9_1(a971),
     ++c6_2(U,V),
     ++c9_1(U)]).

input_clause(clause669,conjecture,
    [--ssSkC2,
     --c5_2(U,V),
     --c4_2(U,V),
     --ndr1_1(U),
     --ndr1_0,
     --c4_1(a971),
     ++c6_2(U,V),
     ++c9_1(U)]).

input_clause(clause670,conjecture,
    [--ssSkP11(U),
     --c8_2(U,V),
     --ndr1_1(U),
     --c9_2(U,a1182),
     --ndr1_0,
     ++c10_2(U,V),
     ++c1_2(U,V),
     ++ssSkC51]).

input_clause(clause671,conjecture,
    [--ssSkP11(U),
     --c8_2(U,V),
     --ndr1_1(U),
     --c4_2(U,a1182),
     --ndr1_0,
     ++c10_2(U,V),
     ++c1_2(U,V),
     ++ssSkC51]).

input_clause(clause672,conjecture,
    [--c8_2(U,V),
     --c5_2(U,V),
     --ndr1_1(U),
     --ndr1_0,
     ++c9_2(U,V),
     ++c2_2(U,a1159),
     ++c9_1(U),
     ++ssSkC46]).

input_clause(clause673,conjecture,
    [--c8_2(U,V),
     --c5_2(U,V),
     --ndr1_1(U),
     --ndr1_0,
     ++c9_2(U,V),
     ++c10_2(U,a1159),
     ++c9_1(U),
     ++ssSkC46]).

input_clause(clause674,conjecture,
    [--c7_2(U,V),
     --ndr1_1(U),
     --c10_2(U,a1049),
     --ndr1_0,
     ++c4_2(U,V),
     ++c3_2(U,V),
     ++c8_1(U),
     ++ssSkC21]).

input_clause(clause675,conjecture,
    [--c7_2(U,V),
     --ndr1_1(U),
     --c9_2(U,a1049),
     --ndr1_0,
     ++c4_2(U,V),
     ++c3_2(U,V),
     ++c8_1(U),
     ++ssSkC21]).

input_clause(clause676,conjecture,
    [--ssSkC31,
     --c2_2(U,V),
     --c1_2(U,V),
     --ndr1_1(U),
     --ndr1_0,
     ++c10_2(U,V),
     ++c8_2(U,a1102),
     ++c3_1(U),
     ++c3_0]).

input_clause(clause677,conjecture,
    [--c3_2(U,V),
     --c7_2(U,V),
     --ndr1_1(U),
     --c6_1(U),
     --ndr1_0,
     --c4_0,
     ++c6_2(U,a1096),
     ++c2_0]).

input_clause(clause678,conjecture,
    [--c1_2(U,V),
     --c3_2(U,V),
     --ndr1_1(U),
     --ndr1_0,
     --c2_2(a1053,a1054),
     ++c5_1(U),
     ++c1_1(U),
     ++c7_0]).

input_clause(clause679,conjecture,
    [--c4_2(U,V),
     --ndr1_1(U),
     --ndr1_0,
     --c6_2(a1043,a1044),
     --c6_0,
     ++c5_2(U,V),
     ++c2_1(U),
     ++c5_1(U)]).

input_clause(clause680,conjecture,
    [--c4_2(U,V),
     --ndr1_1(U),
     --ndr1_0,
     --c1_2(a1043,a1044),
     --c6_0,
     ++c5_2(U,V),
     ++c2_1(U),
     ++c5_1(U)]).

input_clause(clause681,conjecture,
    [--ssSkC17,
     --c5_2(U,V),
     --c8_2(U,V),
     --ndr1_1(U),
     --ndr1_0,
     ++c4_2(U,V),
     ++c6_2(U,a1039),
     ++c1_1(U),
     ++c8_0]).

input_clause(clause682,conjecture,
    [--c5_2(U,V),
     --ndr1_1(U),
     --c6_1(U),
     --ndr1_0,
     ++c2_2(U,V),
     ++c6_2(U,V),
     ++ndr1_1(W),
     ++c3_1(W),
     ++c6_1(W)]).

input_clause(clause683,conjecture,
    [--ndr1_1(U),
     --c10_1(U),
     --c3_1(U),
     --ndr1_0,
     --c4_0,
     ++c6_2(U,V),
     ++c1_2(U,V),
     ++c10_2(U,V),
     ++c9_0]).

input_clause(clause684,conjecture,
    [--c8_2(U,V),
     --c5_2(U,V),
     --ndr1_1(U),
     --c9_2(U,a1159),
     --ndr1_0,
     ++c9_2(U,V),
     ++c9_1(U),
     ++ssSkC46]).

input_clause(clause685,conjecture,
    [--ssSkP5(U),
     --c7_2(U,V),
     --c3_2(U,V),
     --c1_2(U,V),
     --ndr1_1(U),
     --ndr1_0,
     ++c1_2(U,a1129),
     ++ssSkC38]).

input_clause(clause686,conjecture,
    [--c3_2(U,V),
     --c5_2(U,V),
     --ndr1_1(U),
     --c1_1(U),
     --ndr1_0,
     ++c7_2(U,V),
     ++c9_2(U,a1071),
     ++ssSkC26]).

input_clause(clause687,conjecture,
    [--c6_2(U,V),
     --c7_2(U,V),
     --ndr1_1(U),
     --c6_2(U,a1000),
     --ndr1_0,
     ++c10_2(U,V),
     ++c4_1(U),
     ++ssSkC9]).

input_clause(clause688,conjecture,
    [--c6_2(U,V),
     --c7_2(U,V),
     --ndr1_1(U),
     --c2_2(U,a1000),
     --ndr1_0,
     ++c10_2(U,V),
     ++c4_1(U),
     ++ssSkC9]).

input_clause(clause689,conjecture,
    [--c1_2(U,V),
     --ndr1_1(U),
     --c9_1(U),
     --ndr1_0,
     --c6_0,
     ++c3_2(U,V),
     ++c5_2(U,V),
     ++c1_2(U,a1189),
     ++c1_0]).

input_clause(clause690,conjecture,
    [--c1_2(U,V),
     --ndr1_1(U),
     --c9_1(U),
     --ndr1_0,
     --c6_0,
     ++c3_2(U,V),
     ++c5_2(U,V),
     ++c2_2(U,a1189),
     ++c1_0]).

input_clause(clause691,conjecture,
    [--c5_2(U,V),
     --ndr1_1(U),
     --c7_1(U),
     --c2_1(U),
     --ndr1_0,
     ++c4_2(U,V),
     ++c8_2(U,V),
     ++c10_1(a1150),
     ++c2_0]).

input_clause(clause692,conjecture,
    [--c5_2(U,V),
     --ndr1_1(U),
     --c7_1(U),
     --c2_1(U),
     --ndr1_0,
     ++c4_2(U,V),
     ++c8_2(U,V),
     ++c5_1(a1150),
     ++c2_0]).

input_clause(clause693,conjecture,
    [--c5_2(U,V),
     --ndr1_1(U),
     --c7_1(U),
     --c2_1(U),
     --ndr1_0,
     ++c4_2(U,V),
     ++c8_2(U,V),
     ++c1_1(a1150),
     ++c2_0]).

input_clause(clause694,conjecture,
    [--ndr1_1(U),
     --c5_1(U),
     --ndr1_0,
     --c4_0,
     --c2_0,
     ++c7_2(U,V),
     ++c9_2(U,V),
     ++c6_2(U,V),
     ++c9_2(U,a1149)]).

input_clause(clause695,conjecture,
    [--ssSkC31,
     --c2_2(U,V),
     --c1_2(U,V),
     --ndr1_1(U),
     --c4_2(U,a1102),
     --ndr1_0,
     ++c10_2(U,V),
     ++c3_1(U),
     ++c3_0]).

input_clause(clause696,conjecture,
    [--ssSkC31,
     --c2_2(U,V),
     --c1_2(U,V),
     --ndr1_1(U),
     --c5_2(U,a1102),
     --ndr1_0,
     ++c10_2(U,V),
     ++c3_1(U),
     ++c3_0]).

input_clause(clause697,conjecture,
    [--c4_2(U,V),
     --ndr1_1(U),
     --c1_1(U),
     --c2_1(U),
     --ndr1_0,
     --c8_1(a1098),
     ++c8_2(U,V),
     ++c7_2(U,V)]).

input_clause(clause698,conjecture,
    [--c4_2(U,V),
     --ndr1_1(U),
     --c1_1(U),
     --c2_1(U),
     --ndr1_0,
     --c5_1(a1098),
     ++c8_2(U,V),
     ++c7_2(U,V)]).

input_clause(clause699,conjecture,
    [--c3_2(U,V),
     --c7_2(U,V),
     --ndr1_1(U),
     --c4_2(U,a1096),
     --c6_1(U),
     --ndr1_0,
     --c4_0,
     ++c2_0]).

input_clause(clause700,conjecture,
    [--c3_2(U,V),
     --c7_2(U,V),
     --ndr1_1(U),
     --c7_2(U,a1096),
     --c6_1(U),
     --ndr1_0,
     --c4_0,
     ++c2_0]).

input_clause(clause701,conjecture,
    [--ssSkC17,
     --c5_2(U,V),
     --c8_2(U,V),
     --ndr1_1(U),
     --c5_2(U,a1039),
     --ndr1_0,
     ++c4_2(U,V),
     ++c1_1(U),
     ++c8_0]).

input_clause(clause702,conjecture,
    [--ssSkC17,
     --c5_2(U,V),
     --c8_2(U,V),
     --ndr1_1(U),
     --c8_2(U,a1039),
     --ndr1_0,
     ++c4_2(U,V),
     ++c1_1(U),
     ++c8_0]).

input_clause(clause703,conjecture,
    [--c4_2(U,V),
     --ndr1_1(U),
     --ndr1_0,
     --c5_2(a1026,a1027),
     ++c10_2(U,V),
     ++c6_2(U,V),
     ++c5_1(U),
     ++c8_1(U),
     ++c10_0]).

input_clause(clause704,conjecture,
    [--c4_2(U,V),
     --ndr1_1(U),
     --ndr1_0,
     --c4_2(a1026,a1027),
     ++c10_2(U,V),
     ++c6_2(U,V),
     ++c5_1(U),
     ++c8_1(U),
     ++c10_0]).

input_clause(clause705,conjecture,
    [--c4_2(U,V),
     --ndr1_1(U),
     --ndr1_0,
     --c3_2(a1026,a1027),
     ++c10_2(U,V),
     ++c6_2(U,V),
     ++c5_1(U),
     ++c8_1(U),
     ++c10_0]).

input_clause(clause706,conjecture,
    [--ssSkC9,
     --c6_2(U,V),
     --ndr1_1(U),
     --c8_1(U),
     --ndr1_0,
     --c10_0,
     ++c9_2(U,V),
     ++c10_2(U,V),
     ++c8_2(U,a1001)]).

input_clause(clause707,conjecture,
    [--ssSkC9,
     --c6_2(U,V),
     --ndr1_1(U),
     --c8_1(U),
     --ndr1_0,
     --c10_0,
     ++c9_2(U,V),
     ++c10_2(U,V),
     ++c4_2(U,a1001)]).

input_clause(clause708,conjecture,
    [--ssSkC9,
     --c6_2(U,V),
     --ndr1_1(U),
     --c8_1(U),
     --ndr1_0,
     --c10_0,
     ++c9_2(U,V),
     ++c10_2(U,V),
     ++c10_2(U,a1001)]).

input_clause(clause709,conjecture,
    [--c5_2(U,V),
     --ndr1_1(U),
     --c6_1(U),
     --ndr1_0,
     ++c2_2(U,V),
     ++c6_2(U,V),
     ++c10_2(W,a984),
     ++c3_1(W),
     ++c6_1(W)]).

input_clause(clause710,conjecture,
    [--c5_2(U,V),
     --ndr1_1(U),
     --c6_1(U),
     --ndr1_0,
     ++c2_2(U,V),
     ++c6_2(U,V),
     ++c6_2(W,a984),
     ++c3_1(W),
     ++c6_1(W)]).

input_clause(clause711,conjecture,
    [--c8_2(U,V),
     --c7_2(U,V),
     --ndr1_1(U),
     --c9_1(U),
     --ndr1_0,
     --c1_0,
     ++c2_2(U,V),
     ++c3_1(U),
     ++c3_0]).

input_clause(clause712,conjecture,
    [--c3_2(U,V),
     --ndr1_1(U),
     --ndr1_0,
     ++c10_2(U,V),
     ++c8_2(U,V),
     ++c10_2(U,W),
     ++c2_2(U,W),
     ++c4_2(U,a1109),
     ++c9_0,
     ++c4_0]).

input_clause(clause713,conjecture,
    [--c10_2(U,V),
     --c9_2(U,V),
     --c8_2(U,V),
     --ndr1_1(U),
     --c10_1(U),
     --ndr1_0,
     --c9_0,
     --c1_0]).

input_clause(clause714,conjecture,
    [--ssSkP5(U),
     --c7_2(U,V),
     --c3_2(U,V),
     --c1_2(U,V),
     --ndr1_1(U),
     --c4_2(U,a1129),
     --ndr1_0,
     ++ssSkC38]).

input_clause(clause715,conjecture,
    [--ssSkP5(U),
     --c7_2(U,V),
     --c3_2(U,V),
     --c1_2(U,V),
     --ndr1_1(U),
     --c6_2(U,a1129),
     --ndr1_0,
     ++ssSkC38]).

input_clause(clause716,conjecture,
    [--c3_2(U,V),
     --c5_2(U,V),
     --ndr1_1(U),
     --c6_2(U,a1071),
     --c1_1(U),
     --ndr1_0,
     ++c7_2(U,V),
     ++ssSkC26]).

input_clause(clause717,conjecture,
    [--c3_2(U,V),
     --c5_2(U,V),
     --ndr1_1(U),
     --c7_2(U,a1071),
     --c1_1(U),
     --ndr1_0,
     ++c7_2(U,V),
     ++ssSkC26]).

input_clause(clause718,conjecture,
    [--c1_2(U,V),
     --ndr1_1(U),
     --c6_2(U,a1189),
     --c9_1(U),
     --ndr1_0,
     --c6_0,
     ++c3_2(U,V),
     ++c5_2(U,V),
     ++c1_0]).

input_clause(clause719,conjecture,
    [--ndr1_1(U),
     --c7_2(U,a1149),
     --c5_1(U),
     --ndr1_0,
     --c4_0,
     --c2_0,
     ++c7_2(U,V),
     ++c9_2(U,V),
     ++c6_2(U,V)]).

input_clause(clause720,conjecture,
    [--c6_2(U,V),
     --c8_2(U,V),
     --ndr1_1(U),
     --c9_1(U),
     --ndr1_0,
     --c10_0,
     ++c10_2(U,V),
     ++c7_1(U),
     ++ndr1_1(a1064)]).

input_clause(clause721,conjecture,
    [--c5_2(U,V),
     --ndr1_1(U),
     --c6_1(U),
     --ndr1_0,
     --c7_2(W,a984),
     ++c2_2(U,V),
     ++c6_2(U,V),
     ++c3_1(W),
     ++c6_1(W)]).

input_clause(clause722,conjecture,
    [--c6_2(U,V),
     --c2_2(U,V),
     --c3_2(U,V),
     --ndr1_1(U),
     --c5_1(U),
     --c7_1(U),
     --ndr1_0,
     ++c8_0,
     ++c9_0]).

input_clause(clause723,conjecture,
    [--c8_2(U,V),
     --ndr1_1(U),
     --c5_1(U),
     --ndr1_0,
     --c2_1(W),
     --c5_0,
     ++c2_2(U,V),
     ++c10_1(U),
     ++ndr1_1(W),
     ++c9_1(W)]).

input_clause(clause724,conjecture,
    [--c3_2(U,V),
     --ndr1_1(U),
     --c1_2(U,a1109),
     --ndr1_0,
     ++c10_2(U,V),
     ++c8_2(U,V),
     ++c10_2(U,W),
     ++c2_2(U,W),
     ++c9_0,
     ++c4_0]).

input_clause(clause725,conjecture,
    [--c3_2(U,V),
     --ndr1_1(U),
     --c2_2(U,a1109),
     --ndr1_0,
     ++c10_2(U,V),
     ++c8_2(U,V),
     ++c10_2(U,W),
     ++c2_2(U,W),
     ++c9_0,
     ++c4_0]).

input_clause(clause726,conjecture,
    [--c6_2(U,V),
     --c8_2(U,V),
     --ndr1_1(U),
     --c9_1(U),
     --ndr1_0,
     --c10_0,
     ++c10_2(U,V),
     ++c7_1(U),
     ++c8_2(a1064,a1065)]).

input_clause(clause727,conjecture,
    [--c8_2(U,V),
     --ndr1_1(U),
     --c5_1(U),
     --ndr1_0,
     --c2_1(W),
     --c5_0,
     ++c2_2(U,V),
     ++c10_1(U),
     ++c4_2(W,a1148),
     ++c9_1(W)]).

input_clause(clause728,conjecture,
    [--c7_1(U),
     --ndr1_0,
     --c4_2(a1124,V),
     --c8_2(a1124,V),
     --ndr1_1(a1124),
     --c4_0,
     ++c6_1(U),
     ++c10_1(U),
     ++c6_2(a1124,V)]).

input_clause(clause729,conjecture,
    [--ssSkC18,
     --c1_1(U),
     --c7_1(U),
     --ndr1_0,
     --c8_2(a1041,V),
     --c1_2(a1041,V),
     --ndr1_1(a1041),
     ++c10_1(U),
     ++c5_2(a1041,V)]).

input_clause(clause730,conjecture,
    [--c9_1(U),
     --ndr1_0,
     --c7_2(V,W),
     --c6_2(V,W),
     --ndr1_1(V),
     ++c2_1(U),
     ++c6_1(U),
     ++c5_2(V,W),
     ++c5_1(V),
     ++c4_1(V),
     ++c9_0]).

input_clause(clause731,conjecture,
    [--c6_2(U,V),
     --c8_2(U,V),
     --ndr1_1(U),
     --c9_1(U),
     --ndr1_0,
     --c1_2(a1064,a1065),
     --c10_0,
     ++c10_2(U,V),
     ++c7_1(U)]).

input_clause(clause732,conjecture,
    [--c6_2(U,V),
     --c8_2(U,V),
     --ndr1_1(U),
     --c9_1(U),
     --ndr1_0,
     --c2_2(a1064,a1065),
     --c10_0,
     ++c10_2(U,V),
     ++c7_1(U)]).

input_clause(clause733,conjecture,
    [--c8_2(U,V),
     --ndr1_1(U),
     --c5_1(U),
     --ndr1_0,
     --c8_2(W,a1148),
     --c2_1(W),
     --c5_0,
     ++c2_2(U,V),
     ++c10_1(U),
     ++c9_1(W)]).

input_clause(clause734,conjecture,
    [--c8_2(U,V),
     --ndr1_1(U),
     --c5_1(U),
     --ndr1_0,
     --c5_0,
     ++c6_2(U,V),
     ++c2_2(U,V),
     ++c9_2(U,W),
     ++c1_2(U,W),
     ++c4_2(U,W),
     ++c1_0]).

input_clause(clause735,conjecture,
    [--c6_2(U,V),
     --ndr1_1(U),
     --c3_2(U,W),
     --c7_2(U,W),
     --c9_2(U,W),
     --ndr1_0,
     ++c2_2(U,V),
     ++c8_2(U,V),
     ++c7_1(U),
     ++c7_0]).

input_clause(clause736,conjecture,
    [--ssSkC28,
     --c2_2(U,V),
     --c9_2(U,V),
     --ndr1_1(U),
     --c8_2(U,W),
     --ndr1_0,
     ++c10_2(U,V),
     ++c9_2(U,W),
     ++c5_2(U,W),
     ++c4_1(U),
     ++c3_1(a1080)]).

input_clause(clause737,conjecture,
    [--c6_2(U,V),
     --ndr1_1(U),
     --c4_2(U,W),
     --c2_2(U,W),
     --ndr1_0,
     --c3_0,
     --c9_0,
     ++c10_2(U,V),
     ++c6_2(U,W),
     ++c10_2(U,a965)]).

input_clause(clause738,conjecture,
    [--ssSkC8,
     --c2_1(U),
     --c7_1(U),
     --ndr1_0,
     --c5_2(V,W),
     --c3_2(V,W),
     --ndr1_1(V),
     --c9_1(V),
     ++c4_1(U),
     ++c6_2(V,W),
     ++c3_2(V,a999)]).

input_clause(clause739,conjecture,
    [--c9_2(U,V),
     --ndr1_1(U),
     --c1_2(U,W),
     --ndr1_0,
     --c8_0,
     --c5_0,
     ++c4_2(U,V),
     ++c1_2(U,V),
     ++c6_2(U,W),
     ++c7_2(U,W),
     ++c6_2(U,a996)]).

input_clause(clause740,conjecture,
    [--c9_2(U,V),
     --ndr1_1(U),
     --c1_2(U,W),
     --ndr1_0,
     --c8_0,
     --c5_0,
     ++c4_2(U,V),
     ++c1_2(U,V),
     ++c6_2(U,W),
     ++c7_2(U,W),
     ++c3_2(U,a996)]).

input_clause(clause741,conjecture,
    [--c6_2(U,V),
     --ndr1_1(U),
     --c4_2(U,W),
     --c2_2(U,W),
     --c4_2(U,a965),
     --ndr1_0,
     --c3_0,
     --c9_0,
     ++c10_2(U,V),
     ++c6_2(U,W)]).

input_clause(clause742,conjecture,
    [--c6_2(U,V),
     --ndr1_1(U),
     --c4_2(U,W),
     --c2_2(U,W),
     --c1_2(U,a965),
     --ndr1_0,
     --c3_0,
     --c9_0,
     ++c10_2(U,V),
     ++c6_2(U,W)]).

input_clause(clause743,conjecture,
    [--c2_2(U,V),
     --c6_2(U,V),
     --c1_2(U,V),
     --ndr1_1(U),
     --c1_2(U,W),
     --c8_2(U,W),
     --c5_1(U),
     --ndr1_0,
     --c7_0,
     ++c8_0]).

input_clause(clause744,conjecture,
    [--c1_2(U,V),
     --c3_2(U,V),
     --ndr1_1(U),
     --ndr1_0,
     --c3_2(a1053,W),
     --ndr1_1(a1053),
     ++c5_1(U),
     ++c1_1(U),
     ++c8_2(a1053,W),
     ++c2_2(a1053,W),
     ++c7_0]).

input_clause(clause745,conjecture,
    [--ssSkC8,
     --c2_1(U),
     --c7_1(U),
     --ndr1_0,
     --c5_2(V,W),
     --c3_2(V,W),
     --ndr1_1(V),
     --c2_2(V,a999),
     --c9_1(V),
     ++c4_1(U),
     ++c6_2(V,W)]).

input_clause(clause746,conjecture,
    [--ssSkC2,
     --c5_2(U,V),
     --c4_2(U,V),
     --ndr1_1(U),
     --ndr1_0,
     --c7_2(a971,W),
     --ndr1_1(a971),
     ++c6_2(U,V),
     ++c9_1(U),
     ++c8_2(a971,W),
     ++c1_2(a971,W)]).

input_clause(clause747,conjecture,
    [--c4_2(U,V),
     --ndr1_1(U),
     --ndr1_0,
     --c6_2(a1026,W),
     --ndr1_1(a1026),
     ++c10_2(U,V),
     ++c6_2(U,V),
     ++c5_1(U),
     ++c8_1(U),
     ++c3_2(a1026,W),
     ++c5_2(a1026,W),
     ++c10_0]).

input_clause(clause748,conjecture,
    [--c4_2(U,V),
     --ndr1_1(U),
     --c1_1(U),
     --c2_1(U),
     --ndr1_0,
     --c9_2(a1098,W),
     --c2_2(a1098,W),
     --ndr1_1(a1098),
     ++c8_2(U,V),
     ++c7_2(U,V),
     ++c3_2(a1098,W)]).

input_clause(clause749,conjecture,
    [--c6_2(U,V),
     --c8_2(U,V),
     --ndr1_1(U),
     --c9_1(U),
     --ndr1_0,
     --ndr1_1(a1064),
     --c10_0,
     ++c10_2(U,V),
     ++c7_1(U),
     ++c1_2(a1064,W),
     ++c8_2(a1064,W),
     ++c3_2(a1064,W)]).

input_clause(clause750,conjecture,
    [--c8_2(U,V),
     --ndr1_1(U),
     --ndr1_0,
     --c4_2(W,X),
     --ndr1_1(W),
     --c10_0,
     ++c10_2(U,V),
     ++c7_2(U,V),
     ++c5_1(U),
     ++c9_1(U),
     ++c10_2(W,X),
     ++c3_2(W,X),
     ++c5_2(W,a985),
     ++c10_1(W)]).

input_clause(clause751,conjecture,
    [--c8_2(U,V),
     --ndr1_1(U),
     --ndr1_0,
     --c4_2(W,X),
     --ndr1_1(W),
     --c10_0,
     ++c10_2(U,V),
     ++c7_2(U,V),
     ++c5_1(U),
     ++c9_1(U),
     ++c10_2(W,X),
     ++c3_2(W,X),
     ++c4_2(W,a985),
     ++c10_1(W)]).

input_clause(clause752,conjecture,
    [--c6_2(U,V),
     --ndr1_1(U),
     --ndr1_0,
     --c1_2(W,X),
     --c9_2(W,X),
     --ndr1_1(W),
     --c4_1(W),
     ++c7_2(U,V),
     ++c9_2(U,V),
     ++c7_1(U),
     ++c3_1(U),
     ++c6_2(W,X),
     ++c9_2(W,a1097),
     ++c6_0]).

input_clause(clause753,conjecture,
    [--c1_2(U,V),
     --c5_2(U,V),
     --ndr1_1(U),
     --ndr1_0,
     --c1_2(W,X),
     --ndr1_1(W),
     --c4_1(W),
     ++c2_2(U,V),
     ++c10_1(U),
     ++c3_1(U),
     ++c9_2(W,X),
     ++c10_2(W,X),
     ++c3_2(W,a1073),
     ++c3_0]).

input_clause(clause754,conjecture,
    [--c1_2(U,V),
     --c5_2(U,V),
     --ndr1_1(U),
     --ndr1_0,
     --c1_2(W,X),
     --ndr1_1(W),
     --c4_1(W),
     ++c2_2(U,V),
     ++c10_1(U),
     ++c3_1(U),
     ++c9_2(W,X),
     ++c10_2(W,X),
     ++c10_2(W,a1073),
     ++c3_0]).

input_clause(clause755,conjecture,
    [--c6_2(U,V),
     --c8_2(U,V),
     --ndr1_1(U),
     --c9_1(U),
     --ndr1_0,
     --c6_2(a1064,W),
     --c7_2(a1064,W),
     --ndr1_1(a1064),
     --c10_0,
     ++c10_2(U,V),
     ++c7_1(U),
     ++c10_2(a1064,W)]).

input_clause(clause756,conjecture,
    [--c8_2(U,V),
     --ndr1_1(U),
     --ndr1_0,
     --c4_2(W,X),
     --ndr1_1(W),
     --c3_2(W,a985),
     --c10_0,
     ++c10_2(U,V),
     ++c7_2(U,V),
     ++c5_1(U),
     ++c9_1(U),
     ++c10_2(W,X),
     ++c3_2(W,X),
     ++c10_1(W)]).

input_clause(clause757,conjecture,
    [--ndr1_1(U),
     --c5_1(U),
     --c3_1(U),
     --ndr1_0,
     --c4_2(V,W),
     --ndr1_1(V),
     --c5_1(V),
     --c2_1(V),
     ++c8_2(U,X),
     ++c1_2(U,X),
     ++c4_2(U,X),
     ++c9_2(V,W),
     ++c6_2(V,W),
     ++c10_0]).

input_clause(clause758,conjecture,
    [--c6_2(U,V),
     --ndr1_1(U),
     --ndr1_0,
     --c1_2(W,X),
     --c9_2(W,X),
     --ndr1_1(W),
     --c6_2(W,a1097),
     --c4_1(W),
     ++c7_2(U,V),
     ++c9_2(U,V),
     ++c7_1(U),
     ++c3_1(U),
     ++c6_2(W,X),
     ++c6_0]).

input_clause(clause759,conjecture,
    [--ssSkC28,
     --c2_2(U,V),
     --c9_2(U,V),
     --ndr1_1(U),
     --c8_2(U,W),
     --ndr1_0,
     --c1_2(a1080,X),
     --c9_2(a1080,X),
     --ndr1_1(a1080),
     ++c10_2(U,V),
     ++c9_2(U,W),
     ++c5_2(U,W),
     ++c4_1(U),
     ++c10_2(a1080,X)]).

input_clause(clause760,conjecture,
    [--ssSkC28,
     --c2_2(U,V),
     --c9_2(U,V),
     --ndr1_1(U),
     --c8_2(U,W),
     --ndr1_0,
     --c6_2(a1080,X),
     --c7_2(a1080,X),
     --c9_2(a1080,X),
     --ndr1_1(a1080),
     ++c10_2(U,V),
     ++c9_2(U,W),
     ++c5_2(U,W),
     ++c4_1(U)]).

input_clause(clause761,conjecture,
    [--c7_2(U,V),
     --ndr1_1(U),
     --c8_1(U),
     --ndr1_0,
     --c7_2(W,X),
     --c3_2(W,X),
     --c5_2(W,X),
     --ndr1_1(W),
     --c6_1(W),
     --c7_1(W),
     --c8_0,
     ++c2_2(U,V),
     ++c4_2(U,V),
     ++c10_2(U,Y),
     ++c9_2(U,Y)]).

input_clause(clause762,conjecture,
    [--c6_2(U,V),
     --c1_2(U,V),
     --c8_2(U,V),
     --ndr1_1(U),
     --c8_1(U),
     --c10_1(U),
     --ndr1_0,
     --c9_2(W,X),
     --ndr1_1(W),
     --c9_2(W,Y),
     --c8_2(W,Y),
     ++c2_2(W,X),
     ++c3_2(W,X),
     ++c2_2(W,Y),
     ++c7_2(W,a1169),
     ++c2_0]).

input_clause(clause763,conjecture,
    [--ndr1_1(U),
     --c1_2(U,V),
     --c8_2(U,V),
     --c8_1(U),
     --ndr1_0,
     --c7_2(W,X),
     --c2_2(W,X),
     --ndr1_1(W),
     --c8_2(W,a990),
     --c1_1(W),
     --c2_0,
     ++c3_2(U,Y),
     ++c7_2(U,Y),
     ++c1_2(U,Y),
     ++c3_2(U,V),
     ++c3_2(W,X)]).

input_clause(clause764,conjecture,
    [--ndr1_1(U),
     --c1_2(U,V),
     --c8_2(U,V),
     --c8_1(U),
     --ndr1_0,
     --c7_2(W,X),
     --c2_2(W,X),
     --ndr1_1(W),
     --c7_2(W,a990),
     --c1_1(W),
     --c2_0,
     ++c3_2(U,Y),
     ++c7_2(U,Y),
     ++c1_2(U,Y),
     ++c3_2(U,V),
     ++c3_2(W,X)]).

input_clause(clause765,conjecture,
    [--ndr1_1(U),
     --c1_2(U,V),
     --c8_2(U,V),
     --c8_1(U),
     --ndr1_0,
     --c7_2(W,X),
     --c2_2(W,X),
     --ndr1_1(W),
     --c10_2(W,a990),
     --c1_1(W),
     --c2_0,
     ++c3_2(U,Y),
     ++c7_2(U,Y),
     ++c1_2(U,Y),
     ++c3_2(U,V),
     ++c3_2(W,X)]).

input_clause(clause766,conjecture,
    [--c6_2(U,V),
     --c1_2(U,V),
     --c8_2(U,V),
     --ndr1_1(U),
     --c8_1(U),
     --c10_1(U),
     --ndr1_0,
     --c9_2(W,X),
     --ndr1_1(W),
     --c9_2(W,Y),
     --c8_2(W,Y),
     --c10_2(W,a1169),
     ++c2_2(W,X),
     ++c3_2(W,X),
     ++c2_2(W,Y),
     ++c2_0]).

input_clause(clause767,conjecture,
    [--c6_2(U,V),
     --c1_2(U,V),
     --c8_2(U,V),
     --ndr1_1(U),
     --c8_1(U),
     --c10_1(U),
     --ndr1_0,
     --c9_2(W,X),
     --ndr1_1(W),
     --c9_2(W,Y),
     --c8_2(W,Y),
     --c1_2(W,a1169),
     ++c2_2(W,X),
     ++c3_2(W,X),
     ++c2_2(W,Y),
     ++c2_0]).
%--------------------------------------------------------------------------
