%--------------------------------------------------------------------------
% File     : SYN426-1 : TPTP v2.1.0. Released v2.1.0.
% Domain   : Syntactic (Translated)
% Problem  : ALC, N=10, R=1, L=150, K=3, D=2, P=0, Index=050
% Version  : Special.
% English  : 

% Refs     : [OS95]  Ohlbach & Schmidt (1995), Functional Translation and S
%          : [WGR96] Weidenbach et al. (1996), SPASS and FLOTTER
%          : [HS97]  Hustadt & Schmidt (1997), On Evaluating Decision Proce
%          : [Wei97] Weidenbach (1997), Email to G. Sutcliffe
% Source   : [Wei97]
% Names    : alc-10-1-150-3-2-050.cnf [Wei97]

% Status   : satisfiable
% Rating   : ? v2.1.0
% Syntax   : Number of clauses    :  724 ( 468 non-Horn;   1 unit; 623 RR)
%            Number of literals   : 3331 (   0 equality)
%            Maximal clause size  :   23 (   4 average)
%            Number of predicates :   96 (  54 propositional; 0-2 arity)
%            Number of functors   :  212 ( 212 constant; 0-0 arity)
%            Number of variables  :  641 (   5 singleton)
%            Maximal term depth   :    1 (   1 average)

% Comments : These ALC problems have been translated from propositional 
%            multi-modal K logic formulae generated according to the scheme
%            described in [HS97], using the optimized functional translation
%            described in [OS95]. The finite model property holds, the
%            Herbrand Universe is finite, they are decidable (the complexity
%            is PSPACE-complete), resolution + subsumption + condensing is a
%            decision procedure, and the translated formulae belong to the
%            (CNF-translation of the) Bernays-Schoenfinkel class [Wei97].
%          : Translated from FOF using FLOTTER [WGR96].
%--------------------------------------------------------------------------
input_clause(clause1,conjecture,
    [--ssSkC42,++ndr1_0]).

input_clause(clause2,conjecture,
    [--ssSkC33,++ndr1_0]).

input_clause(clause3,conjecture,
    [++ndr1_0,++c6_0]).

input_clause(clause4,conjecture,
    [--ssSkC3,++ndr1_0]).

input_clause(clause5,conjecture,
    [++ndr1_0,++c7_0]).

input_clause(clause6,conjecture,
    [++ndr1_0,++c4_0]).

input_clause(clause7,conjecture,
    [++ndr1_0,++c2_0]).

input_clause(clause8,conjecture,
    [--c5_0]).

input_clause(clause9,conjecture,
    [++ndr1_0,++ssSkC42]).

input_clause(clause10,conjecture,
    [++ndr1_0,++ssSkC41]).

input_clause(clause11,conjecture,
    [++ndr1_0,++ssSkC40]).

input_clause(clause12,conjecture,
    [++ndr1_0,++ssSkC39]).

input_clause(clause13,conjecture,
    [++ndr1_0,++ssSkC38]).

input_clause(clause14,conjecture,
    [++ndr1_0,++ssSkC35]).

input_clause(clause15,conjecture,
    [++ndr1_0,++ssSkC32]).

input_clause(clause16,conjecture,
    [++ndr1_0,++ssSkC26]).

input_clause(clause17,conjecture,
    [++ndr1_0,++ssSkC24]).

input_clause(clause18,conjecture,
    [++ndr1_0,++ssSkC19]).

input_clause(clause19,conjecture,
    [++ndr1_0,++ssSkC16]).

input_clause(clause20,conjecture,
    [++ndr1_0,++ssSkC15]).

input_clause(clause21,conjecture,
    [++ndr1_0,++ssSkC14]).

input_clause(clause22,conjecture,
    [++ndr1_0,++ssSkC12]).

input_clause(clause23,conjecture,
    [++ndr1_0,++ssSkC2]).

input_clause(clause24,conjecture,
    [--ssSkC42,
     ++ndr1_1(a429)]).

input_clause(clause25,conjecture,
    [--ssSkC42,
     ++c2_1(a429)]).

input_clause(clause26,conjecture,
    [--ssSkC40,--ssSkC41,++ndr1_0]).

input_clause(clause27,conjecture,
    [--ssSkC37,--ssSkC38,++ndr1_0]).

input_clause(clause28,conjecture,
    [--ssSkC34,--ssSkC35,++ndr1_0]).

input_clause(clause29,conjecture,
    [--ssSkC33,
     ++ndr1_1(a403)]).

input_clause(clause30,conjecture,
    [--ssSkC33,
     ++c2_1(a403)]).

input_clause(clause31,conjecture,
    [--ssSkC30,--ssSkC31,++ndr1_0]).

input_clause(clause32,conjecture,
    [--ssSkC23,--ssSkC24,++ndr1_0]).

input_clause(clause33,conjecture,
    [--c1_0,++ndr1_0]).

input_clause(clause34,conjecture,
    [--ssSkC12,++ndr1_0,++c9_0]).

input_clause(clause35,conjecture,
    [--ssSkC11,++ndr1_0,++c9_0]).

input_clause(clause36,conjecture,
    [++ndr1_1(a281),
     ++c6_0]).

input_clause(clause37,conjecture,
    [--ssSkC3,
     ++c5_1(a269)]).

input_clause(clause38,conjecture,
    [--c9_0,++ndr1_0]).

input_clause(clause39,conjecture,
    [--c6_0,++ndr1_0]).

input_clause(clause40,conjecture,
    [++c1_1(a262),
     ++c7_0]).

input_clause(clause41,conjecture,
    [++ndr1_1(a247),
     ++c4_0]).

input_clause(clause42,conjecture,
    [++ndr1_0,++c3_0,++c8_0]).

input_clause(clause43,conjecture,
    [++ndr1_1(a239),
     ++c2_0]).

input_clause(clause44,conjecture,
    [++c2_1(a239),
     ++c2_0]).

input_clause(clause45,conjecture,
    [--ssSkC1,++ndr1_0,++c10_0]).

input_clause(clause46,conjecture,
    [--ssSkC0,++ndr1_0,++c10_0]).

input_clause(clause47,conjecture,
    [++ndr1_0,++c1_0,++c3_0]).

input_clause(clause48,conjecture,
    [++c1_0,++c4_0,++c8_0]).

input_clause(clause49,conjecture,
    [++c2_0,++c3_0,++c9_0]).

input_clause(clause50,conjecture,
    [++c3_0,++c8_0,++c9_0]).

input_clause(clause51,conjecture,
    [++c4_0,++c6_0,++c8_0]).

input_clause(clause52,conjecture,
    [--c6_0,++c9_0]).

input_clause(clause53,conjecture,
    [++ndr1_1(a427),
     ++ssSkC42]).

input_clause(clause54,conjecture,
    [++c10_1(a427),
     ++ssSkC42]).

input_clause(clause55,conjecture,
    [++c5_1(a424),
     ++ssSkC41]).

input_clause(clause56,conjecture,
    [++c10_1(a423),
     ++ssSkC40]).

input_clause(clause57,conjecture,
    [++ndr1_1(a420),
     ++ssSkC39]).

input_clause(clause58,conjecture,
    [++c1_1(a420),
     ++ssSkC39]).

input_clause(clause59,conjecture,
    [++c5_1(a420),
     ++ssSkC39]).

input_clause(clause60,conjecture,
    [++c2_1(a417),
     ++ssSkC38]).

input_clause(clause61,conjecture,
    [++c3_1(a417),
     ++ssSkC38]).

input_clause(clause62,conjecture,
    [++c5_1(a417),
     ++ssSkC38]).

input_clause(clause63,conjecture,
    [++ndr1_1(a406),
     ++ssSkC35]).

input_clause(clause64,conjecture,
    [++c4_1(a406),
     ++ssSkC35]).

input_clause(clause65,conjecture,
    [++c9_1(a406),
     ++ssSkC35]).

input_clause(clause66,conjecture,
    [++ndr1_1(U),
     ++ssSkP20(U)]).

input_clause(clause67,conjecture,
    [++ndr1_1(a380),
     ++ssSkC26]).

input_clause(clause68,conjecture,
    [++ndr1_1(U),
     ++ssSkP19(U)]).

input_clause(clause69,conjecture,
    [++ndr1_1(a374),
     ++ssSkC24]).

input_clause(clause70,conjecture,
    [++c10_1(a374),
     ++ssSkC24]).

input_clause(clause71,conjecture,
    [++c2_1(a374),
     ++ssSkC24]).

input_clause(clause72,conjecture,
    [++ndr1_1(U),
     ++ssSkP18(U)]).

input_clause(clause73,conjecture,
    [++ndr1_1(U),
     ++ssSkP17(U)]).

input_clause(clause74,conjecture,
    [++ndr1_1(a355),
     ++ssSkC19]).

input_clause(clause75,conjecture,
    [++c3_1(a355),
     ++ssSkC19]).

input_clause(clause76,conjecture,
    [++ndr1_1(U),
     ++ssSkP16(U)]).

input_clause(clause77,conjecture,
    [++c3_1(a339),
     ++ssSkC16]).

input_clause(clause78,conjecture,
    [++ndr1_1(a335),
     ++ssSkC15]).

input_clause(clause79,conjecture,
    [++c3_1(a335),
     ++ssSkC15]).

input_clause(clause80,conjecture,
    [++ndr1_1(a328),
     ++ssSkC14]).

input_clause(clause81,conjecture,
    [++c2_1(a328),
     ++ssSkC14]).

input_clause(clause82,conjecture,
    [++ndr1_1(a316),
     ++ssSkC12]).

input_clause(clause83,conjecture,
    [++c8_1(a316),
     ++ssSkC12]).

input_clause(clause84,conjecture,
    [++ndr1_1(U),
     ++ssSkP15(U)]).

input_clause(clause85,conjecture,
    [++ndr1_1(U),
     ++ssSkP14(U)]).

input_clause(clause86,conjecture,
    [++ndr1_1(U),
     ++ssSkP13(U)]).

input_clause(clause87,conjecture,
    [++ndr1_1(U),
     ++ssSkP12(U)]).

input_clause(clause88,conjecture,
    [++ndr1_1(U),
     ++ssSkP11(U)]).

input_clause(clause89,conjecture,
    [++ndr1_1(U),
     ++ssSkP10(U)]).

input_clause(clause90,conjecture,
    [++ndr1_1(U),
     ++ssSkP9(U)]).

input_clause(clause91,conjecture,
    [++ndr1_1(U),
     ++ssSkP8(U)]).

input_clause(clause92,conjecture,
    [++ndr1_1(U),
     ++ssSkP7(U)]).

input_clause(clause93,conjecture,
    [++ndr1_1(U),
     ++ssSkP6(U)]).

input_clause(clause94,conjecture,
    [++ndr1_1(U),
     ++ssSkP5(U)]).

input_clause(clause95,conjecture,
    [++ndr1_1(U),
     ++ssSkP4(U)]).

input_clause(clause96,conjecture,
    [++ndr1_1(U),
     ++ssSkP3(U)]).

input_clause(clause97,conjecture,
    [++c7_1(a241),
     ++ssSkC2]).

input_clause(clause98,conjecture,
    [++ndr1_1(U),
     ++ssSkP2(U)]).

input_clause(clause99,conjecture,
    [++ndr1_1(U),
     ++ssSkP1(U)]).

input_clause(clause100,conjecture,
    [++ndr1_1(U),
     ++ssSkP0(U)]).

input_clause(clause101,conjecture,
    [--ssSkC42,
     ++c1_2(a429,a430)]).

input_clause(clause102,conjecture,
    [--ssSkC42,
     ++c2_2(a429,a430)]).

input_clause(clause103,conjecture,
    [--ssSkC42,
     ++c5_2(a429,a430)]).

input_clause(clause104,conjecture,
    [--ssSkC42,
     --c8_1(a429)]).

input_clause(clause105,conjecture,
    [--ssSkC40,
     --ssSkC41,
     ++ndr1_1(a425)]).

input_clause(clause106,conjecture,
    [--ssSkC40,
     --ssSkC41,
     ++c7_1(a425)]).

input_clause(clause107,conjecture,
    [--ssSkC37,
     --ssSkC38,
     ++ndr1_1(a418)]).

input_clause(clause108,conjecture,
    [--ssSkC37,
     --ssSkC38,
     ++c7_1(a418)]).

input_clause(clause109,conjecture,
    [--ssSkC37,
     --ssSkC38,
     ++c8_1(a418)]).

input_clause(clause110,conjecture,
    [--ssSkC34,
     --ssSkC35,
     ++ndr1_1(a408)]).

input_clause(clause111,conjecture,
    [--ssSkC33,
     ++c10_2(a403,a404)]).

input_clause(clause112,conjecture,
    [--ssSkC33,
     ++c5_2(a403,a404)]).

input_clause(clause113,conjecture,
    [--ssSkC33,
     ++c8_2(a403,a404)]).

input_clause(clause114,conjecture,
    [--ssSkC33,
     --c4_1(a403)]).

input_clause(clause115,conjecture,
    [--ssSkC30,
     --ssSkC31,
     ++ndr1_1(a397)]).

input_clause(clause116,conjecture,
    [--ssSkC23,
     --ssSkC24,
     ++c8_1(a376)]).

input_clause(clause117,conjecture,
    [--ssSkC19,--c7_0,++ndr1_0]).

input_clause(clause118,conjecture,
    [--ssSkC18,--c4_0,++ndr1_0]).

input_clause(clause119,conjecture,
    [--ssSkC16,--c2_0,++ndr1_0]).

input_clause(clause120,conjecture,
    [--ssSkC15,--c10_0,++ndr1_0]).

input_clause(clause121,conjecture,
    [--c1_0,
     ++c10_1(a327)]).

input_clause(clause122,conjecture,
    [--c1_0,
     ++c6_1(a327)]).

input_clause(clause123,conjecture,
    [--ssSkC11,
     ++ndr1_1(a314),
     ++c9_0]).

input_clause(clause124,conjecture,
    [--c4_0,++ndr1_0,++c9_0]).

input_clause(clause125,conjecture,
    [--ssSkC7,
     ++c7_1(a293),
     ++c7_0]).

input_clause(clause126,conjecture,
    [--ssSkC7,
     ++c9_1(a293),
     ++c7_0]).

input_clause(clause127,conjecture,
    [++ndr1_1(a283),
     ++c7_0,
     ++c8_0]).

input_clause(clause128,conjecture,
    [++c8_2(a281,a282),
     ++c6_0]).

input_clause(clause129,conjecture,
    [--c5_1(a281),
     ++c6_0]).

input_clause(clause130,conjecture,
    [--c9_0,
     ++ndr1_1(a265)]).

input_clause(clause131,conjecture,
    [--c9_0,
     ++c8_1(a265)]).

input_clause(clause132,conjecture,
    [--c6_0,
     ++c6_1(a264)]).

input_clause(clause133,conjecture,
    [--c6_0,
     ++c8_1(a264)]).

input_clause(clause134,conjecture,
    [--c6_1(a262),
     ++c7_0]).

input_clause(clause135,conjecture,
    [--c4_1(a259),
     ++c6_0]).

input_clause(clause136,conjecture,
    [--c5_1(a259),
     ++c6_0]).

input_clause(clause137,conjecture,
    [++c2_2(a247,a249),
     ++c4_0]).

input_clause(clause138,conjecture,
    [++c9_2(a247,a249),
     ++c4_0]).

input_clause(clause139,conjecture,
    [++c10_2(a247,a248),
     ++c4_0]).

input_clause(clause140,conjecture,
    [++c9_2(a247,a248),
     ++c4_0]).

input_clause(clause141,conjecture,
    [++ndr1_1(a245),
     ++c3_0,
     ++c8_0]).

input_clause(clause142,conjecture,
    [++c9_1(a245),
     ++c3_0,
     ++c8_0]).

input_clause(clause143,conjecture,
    [++c7_1(a244),
     ++c3_0,
     ++c7_0]).

input_clause(clause144,conjecture,
    [++c9_2(a239,a240),
     ++c2_0]).

input_clause(clause145,conjecture,
    [--ssSkC1,
     ++ndr1_1(a229),
     ++c10_0]).

input_clause(clause146,conjecture,
    [--ssSkC0,
     ++c9_1(a227),
     ++c10_0]).

input_clause(clause147,conjecture,
    [--c7_0,++ndr1_0,++c10_0]).

input_clause(clause148,conjecture,
    [--c10_0,++ndr1_0,++c1_0]).

input_clause(clause149,conjecture,
    [++c3_1(a218),
     ++c1_0,
     ++c3_0]).

input_clause(clause150,conjecture,
    [--c4_0,++c1_0,++c8_0]).

input_clause(clause151,conjecture,
    [--c10_0,++c2_0,++c3_0]).

input_clause(clause152,conjecture,
    [--c8_0,++c2_0,++c3_0]).

input_clause(clause153,conjecture,
    [--c1_0,--c6_0]).

input_clause(clause154,conjecture,
    [--c9_0,++c7_0,++c8_0]).

input_clause(clause155,conjecture,
    [--c6_0,--c9_0]).

input_clause(clause156,conjecture,
    [++c9_2(a427,a428),
     ++ssSkC42]).

input_clause(clause157,conjecture,
    [--c5_1(a423),
     ++ssSkC40]).

input_clause(clause158,conjecture,
    [--c6_1(a423),
     ++ssSkC40]).

input_clause(clause159,conjecture,
    [--c3_1(a400),
     ++ssSkC32]).

input_clause(clause160,conjecture,
    [++c1_2(U,a393),
     ++ssSkP20(U)]).

input_clause(clause161,conjecture,
    [++c7_2(U,a393),
     ++ssSkP20(U)]).

input_clause(clause162,conjecture,
    [++c7_2(a380,a382),
     ++ssSkC26]).

input_clause(clause163,conjecture,
    [++c1_2(a380,a381),
     ++ssSkC26]).

input_clause(clause164,conjecture,
    [++c7_2(a380,a381),
     ++ssSkC26]).

input_clause(clause165,conjecture,
    [++c2_2(U,a378),
     ++ssSkP19(U)]).

input_clause(clause166,conjecture,
    [++c7_2(U,a378),
     ++ssSkP19(U)]).

input_clause(clause167,conjecture,
    [++c10_2(a374,a375),
     ++ssSkC24]).

input_clause(clause168,conjecture,
    [++c3_2(a374,a375),
     ++ssSkC24]).

input_clause(clause169,conjecture,
    [++c2_2(U,a365),
     ++ssSkP17(U)]).

input_clause(clause170,conjecture,
    [++c4_2(U,a365),
     ++ssSkP17(U)]).

input_clause(clause171,conjecture,
    [++c9_2(U,a348),
     ++ssSkP16(U)]).

input_clause(clause172,conjecture,
    [--c6_1(a339),
     ++ssSkC16]).

input_clause(clause173,conjecture,
    [++c2_2(a335,a336),
     ++ssSkC15]).

input_clause(clause174,conjecture,
    [++c8_2(a335,a336),
     ++ssSkC15]).

input_clause(clause175,conjecture,
    [--c7_1(a335),
     ++ssSkC15]).

input_clause(clause176,conjecture,
    [++c10_2(a328,a329),
     ++ssSkC14]).

input_clause(clause177,conjecture,
    [++c6_2(a328,a329),
     ++ssSkC14]).

input_clause(clause178,conjecture,
    [++c2_2(a316,a317),
     ++ssSkC12]).

input_clause(clause179,conjecture,
    [++c7_2(a316,a317),
     ++ssSkC12]).

input_clause(clause180,conjecture,
    [++c4_2(U,a311),
     ++ssSkP15(U)]).

input_clause(clause181,conjecture,
    [++c1_2(U,a307),
     ++ssSkP14(U)]).

input_clause(clause182,conjecture,
    [++c6_2(U,a307),
     ++ssSkP14(U)]).

input_clause(clause183,conjecture,
    [++c5_2(U,a305),
     ++ssSkP13(U)]).

input_clause(clause184,conjecture,
    [++c6_2(U,a305),
     ++ssSkP13(U)]).

input_clause(clause185,conjecture,
    [++c8_2(U,a305),
     ++ssSkP13(U)]).

input_clause(clause186,conjecture,
    [++c5_2(U,a302),
     ++ssSkP12(U)]).

input_clause(clause187,conjecture,
    [++c9_2(U,a302),
     ++ssSkP12(U)]).

input_clause(clause188,conjecture,
    [++c2_2(U,a300),
     ++ssSkP11(U)]).

input_clause(clause189,conjecture,
    [++c4_2(U,a300),
     ++ssSkP11(U)]).

input_clause(clause190,conjecture,
    [++c1_2(U,a290),
     ++ssSkP9(U)]).

input_clause(clause191,conjecture,
    [++c5_2(U,a290),
     ++ssSkP9(U)]).

input_clause(clause192,conjecture,
    [++c7_2(U,a290),
     ++ssSkP9(U)]).

input_clause(clause193,conjecture,
    [++c1_2(U,a277),
     ++ssSkP7(U)]).

input_clause(clause194,conjecture,
    [++c9_2(U,a277),
     ++ssSkP7(U)]).

input_clause(clause195,conjecture,
    [++c2_2(U,a275),
     ++ssSkP6(U)]).

input_clause(clause196,conjecture,
    [++c7_2(U,a275),
     ++ssSkP6(U)]).

input_clause(clause197,conjecture,
    [++c3_2(U,a271),
     ++ssSkP5(U)]).

input_clause(clause198,conjecture,
    [++c8_2(U,a271),
     ++ssSkP5(U)]).

input_clause(clause199,conjecture,
    [++c10_2(U,a260),
     ++ssSkP4(U)]).

input_clause(clause200,conjecture,
    [++c4_2(U,a260),
     ++ssSkP4(U)]).

input_clause(clause201,conjecture,
    [++c1_2(U,a254),
     ++ssSkP3(U)]).

input_clause(clause202,conjecture,
    [++c2_2(U,a254),
     ++ssSkP3(U)]).

input_clause(clause203,conjecture,
    [--c10_1(a241),
     ++ssSkC2]).

input_clause(clause204,conjecture,
    [--c9_1(a241),
     ++ssSkC2]).

input_clause(clause205,conjecture,
    [++c4_2(U,a232),
     ++ssSkP2(U)]).

input_clause(clause206,conjecture,
    [++c8_2(U,a232),
     ++ssSkP2(U)]).

input_clause(clause207,conjecture,
    [++c10_2(U,a231),
     ++ssSkP1(U)]).

input_clause(clause208,conjecture,
    [++c8_2(U,a231),
     ++ssSkP1(U)]).

input_clause(clause209,conjecture,
    [++c6_2(U,a225),
     ++ssSkP0(U)]).

input_clause(clause210,conjecture,
    [++c7_2(U,a225),
     ++ssSkP0(U)]).

input_clause(clause211,conjecture,
    [--ssSkC40,
     --ssSkC41,
     ++c5_2(a425,a426)]).

input_clause(clause212,conjecture,
    [--ssSkC40,
     --ssSkC41,
     ++c6_2(a425,a426)]).

input_clause(clause213,conjecture,
    [--ssSkC40,
     --ssSkC41,
     --c8_1(a425)]).

input_clause(clause214,conjecture,
    [--ssSkC37,
     --ssSkC38,
     ++c10_2(a418,a419)]).

input_clause(clause215,conjecture,
    [--ssSkC37,
     --ssSkC38,
     ++c5_2(a418,a419)]).

input_clause(clause216,conjecture,
    [--ssSkC34,
     --ssSkC35,
     ++c1_2(a408,a409)]).

input_clause(clause217,conjecture,
    [--ssSkC34,
     --ssSkC35,
     ++c4_2(a408,a409)]).

input_clause(clause218,conjecture,
    [--ssSkC34,
     --ssSkC35,
     --c2_1(a408)]).

input_clause(clause219,conjecture,
    [--ssSkC30,
     --ssSkC31,
     ++c8_2(a397,a399)]).

input_clause(clause220,conjecture,
    [--ssSkC30,
     --ssSkC31,
     ++c10_2(a397,a398)]).

input_clause(clause221,conjecture,
    [--ssSkC30,
     --ssSkC31,
     ++c4_2(a397,a398)]).

input_clause(clause222,conjecture,
    [--ssSkC30,
     --ssSkC31,
     --c8_1(a397)]).

input_clause(clause223,conjecture,
    [--ssSkC23,
     --ssSkC24,
     --c6_1(a376)]).

input_clause(clause224,conjecture,
    [--ssSkC22,
     --c9_0,
     ++ndr1_1(a369)]).

input_clause(clause225,conjecture,
    [--ssSkC19,
     --c7_0,
     ++c9_1(a357)]).

input_clause(clause226,conjecture,
    [--ssSkC18,
     --c4_0,
     ++ndr1_1(a350)]).

input_clause(clause227,conjecture,
    [--c3_0,--c7_0,++ndr1_0]).

input_clause(clause228,conjecture,
    [--ssSkC16,
     --c2_0,
     ++ndr1_1(a340)]).

input_clause(clause229,conjecture,
    [--c10_0,--c8_0,++ndr1_0]).

input_clause(clause230,conjecture,
    [--c3_1(a327),
     --c1_0]).

input_clause(clause231,conjecture,
    [--ssSkC12,
     --c10_1(a318),
     ++c9_0]).

input_clause(clause232,conjecture,
    [--ssSkC12,
     --c8_1(a318),
     ++c9_0]).

input_clause(clause233,conjecture,
    [--ssSkC11,
     ++c4_2(a314,a315),
     ++c9_0]).

input_clause(clause234,conjecture,
    [--ssSkC11,
     ++c7_2(a314,a315),
     ++c9_0]).

input_clause(clause235,conjecture,
    [--ssSkC11,
     --c4_1(a314),
     ++c9_0]).

input_clause(clause236,conjecture,
    [--c9_0,
     ++ndr1_1(a295),
     ++c8_0]).

input_clause(clause237,conjecture,
    [--c9_0,
     ++c1_1(a295),
     ++c8_0]).

input_clause(clause238,conjecture,
    [--ssSkC7,
     --c1_1(a293),
     ++c7_0]).

input_clause(clause239,conjecture,
    [--c10_0,
     ++ndr1_1(a287),
     ++c7_0]).

input_clause(clause240,conjecture,
    [--c10_0,
     ++c10_1(a287),
     ++c7_0]).

input_clause(clause241,conjecture,
    [++c10_2(a283,a285),
     ++c7_0,
     ++c8_0]).

input_clause(clause242,conjecture,
    [++c2_2(a283,a285),
     ++c7_0,
     ++c8_0]).

input_clause(clause243,conjecture,
    [++c8_2(a283,a285),
     ++c7_0,
     ++c8_0]).

input_clause(clause244,conjecture,
    [++c1_2(a283,a284),
     ++c7_0,
     ++c8_0]).

input_clause(clause245,conjecture,
    [++c7_2(a283,a284),
     ++c7_0,
     ++c8_0]).

input_clause(clause246,conjecture,
    [--c9_1(a283),
     ++c7_0,
     ++c8_0]).

input_clause(clause247,conjecture,
    [--c4_2(a281,a282),
     ++c6_0]).

input_clause(clause248,conjecture,
    [--c9_0,
     ++c4_2(a265,a266)]).

input_clause(clause249,conjecture,
    [--c9_0,
     ++c7_2(a265,a266)]).

input_clause(clause250,conjecture,
    [--c10_1(a265),
     --c9_0]).

input_clause(clause251,conjecture,
    [--c1_1(a264),
     --c6_0]).

input_clause(clause252,conjecture,
    [--c9_0,
     ++c10_1(a256),
     ++c4_0]).

input_clause(clause253,conjecture,
    [--c10_0,
     ++ndr1_1(a252),
     ++c4_0]).

input_clause(clause254,conjecture,
    [--c10_0,
     ++c1_1(a252),
     ++c4_0]).

input_clause(clause255,conjecture,
    [--c10_0,
     ++c6_1(a252),
     ++c4_0]).

input_clause(clause256,conjecture,
    [--c7_1(a250),
     ++c4_0,
     ++c9_0]).

input_clause(clause257,conjecture,
    [--c10_2(a247,a249),
     ++c4_0]).

input_clause(clause258,conjecture,
    [--c1_2(a247,a248),
     ++c4_0]).

input_clause(clause259,conjecture,
    [++c5_2(a245,a246),
     ++c3_0,
     ++c8_0]).

input_clause(clause260,conjecture,
    [++c7_2(a245,a246),
     ++c3_0,
     ++c8_0]).

input_clause(clause261,conjecture,
    [--c4_2(a239,a240),
     ++c2_0]).

input_clause(clause262,conjecture,
    [--c8_2(a239,a240),
     ++c2_0]).

input_clause(clause263,conjecture,
    [--ssSkC1,
     ++c1_2(a229,a230),
     ++c10_0]).

input_clause(clause264,conjecture,
    [--ssSkC1,
     ++c7_2(a229,a230),
     ++c10_0]).

input_clause(clause265,conjecture,
    [--ssSkC1,
     --c4_1(a229),
     ++c10_0]).

input_clause(clause266,conjecture,
    [--ssSkC0,
     --c1_1(a227),
     ++c10_0]).

input_clause(clause267,conjecture,
    [--ssSkC0,
     --c10_1(a227),
     ++c10_0]).

input_clause(clause268,conjecture,
    [--c10_0,
     ++ndr1_1(a219),
     ++c1_0]).

input_clause(clause269,conjecture,
    [--c7_1(a218),
     ++c1_0,
     ++c3_0]).

input_clause(clause270,conjecture,
    [--c4_0,--c7_0,++c3_0]).

input_clause(clause271,conjecture,
    [--ndr1_0,
     ++ndr1_1(U),
     ++ssSkC3]).

input_clause(clause272,conjecture,
    [--c10_2(a427,a428),
     ++ssSkC42]).

input_clause(clause273,conjecture,
    [--c7_2(a427,a428),
     ++ssSkC42]).

input_clause(clause274,conjecture,
    [--c1_2(a420,a421),
     ++ssSkC39]).

input_clause(clause275,conjecture,
    [--c8_2(a420,a421),
     ++ssSkC39]).

input_clause(clause276,conjecture,
    [--c2_2(a406,a407),
     ++ssSkC35]).

input_clause(clause277,conjecture,
    [--c7_2(a406,a407),
     ++ssSkC35]).

input_clause(clause278,conjecture,
    [--c8_2(a406,a407),
     ++ssSkC35]).

input_clause(clause279,conjecture,
    [--c3_2(U,a393),
     ++ssSkP20(U)]).

input_clause(clause280,conjecture,
    [--c1_2(a380,a382),
     ++ssSkC26]).

input_clause(clause281,conjecture,
    [--c8_2(a380,a382),
     ++ssSkC26]).

input_clause(clause282,conjecture,
    [--c5_2(a380,a381),
     ++ssSkC26]).

input_clause(clause283,conjecture,
    [--c8_2(U,a378),
     ++ssSkP19(U)]).

input_clause(clause284,conjecture,
    [--c9_2(a374,a375),
     ++ssSkC24]).

input_clause(clause285,conjecture,
    [--c1_2(U,a367),
     ++ssSkP18(U)]).

input_clause(clause286,conjecture,
    [--c2_2(U,a367),
     ++ssSkP18(U)]).

input_clause(clause287,conjecture,
    [--c6_2(U,a367),
     ++ssSkP18(U)]).

input_clause(clause288,conjecture,
    [--c3_2(U,a365),
     ++ssSkP17(U)]).

input_clause(clause289,conjecture,
    [--c10_2(a355,a356),
     ++ssSkC19]).

input_clause(clause290,conjecture,
    [--c7_2(a355,a356),
     ++ssSkC19]).

input_clause(clause291,conjecture,
    [--c9_2(a355,a356),
     ++ssSkC19]).

input_clause(clause292,conjecture,
    [--c3_2(U,a348),
     ++ssSkP16(U)]).

input_clause(clause293,conjecture,
    [--c4_2(U,a348),
     ++ssSkP16(U)]).

input_clause(clause294,conjecture,
    [--c4_2(a335,a336),
     ++ssSkC15]).

input_clause(clause295,conjecture,
    [--c8_2(a328,a329),
     ++ssSkC14]).

input_clause(clause296,conjecture,
    [--c8_2(a316,a317),
     ++ssSkC12]).

input_clause(clause297,conjecture,
    [--c2_2(U,a311),
     ++ssSkP15(U)]).

input_clause(clause298,conjecture,
    [--c9_2(U,a311),
     ++ssSkP15(U)]).

input_clause(clause299,conjecture,
    [--c9_2(U,a307),
     ++ssSkP14(U)]).

input_clause(clause300,conjecture,
    [--c8_2(U,a302),
     ++ssSkP12(U)]).

input_clause(clause301,conjecture,
    [--c3_2(U,a300),
     ++ssSkP11(U)]).

input_clause(clause302,conjecture,
    [--c1_2(U,a298),
     ++ssSkP10(U)]).

input_clause(clause303,conjecture,
    [--c5_2(U,a298),
     ++ssSkP10(U)]).

input_clause(clause304,conjecture,
    [--c9_2(U,a298),
     ++ssSkP10(U)]).

input_clause(clause305,conjecture,
    [--c2_2(U,a279),
     ++ssSkP8(U)]).

input_clause(clause306,conjecture,
    [--c8_2(U,a279),
     ++ssSkP8(U)]).

input_clause(clause307,conjecture,
    [--c9_2(U,a279),
     ++ssSkP8(U)]).

input_clause(clause308,conjecture,
    [--c10_2(U,a277),
     ++ssSkP7(U)]).

input_clause(clause309,conjecture,
    [--c10_2(U,a271),
     ++ssSkP5(U)]).

input_clause(clause310,conjecture,
    [--c3_2(U,a260),
     ++ssSkP4(U)]).

input_clause(clause311,conjecture,
    [--c3_2(U,a254),
     ++ssSkP3(U)]).

input_clause(clause312,conjecture,
    [--c2_2(U,a232),
     ++ssSkP2(U)]).

input_clause(clause313,conjecture,
    [--c9_2(U,a231),
     ++ssSkP1(U)]).

input_clause(clause314,conjecture,
    [--c3_2(U,a225),
     ++ssSkP0(U)]).

input_clause(clause315,conjecture,
    [--ssSkC37,
     --ssSkC38,
     --c4_2(a418,a419)]).

input_clause(clause316,conjecture,
    [--ssSkC34,
     --ssSkC35,
     --c5_2(a408,a409)]).

input_clause(clause317,conjecture,
    [--ssSkC30,
     --ssSkC31,
     --c1_2(a397,a399)]).

input_clause(clause318,conjecture,
    [--ssSkC30,
     --ssSkC31,
     --c10_2(a397,a399)]).

input_clause(clause319,conjecture,
    [--ssSkC30,
     --ssSkC31,
     --c6_2(a397,a398)]).

input_clause(clause320,conjecture,
    [--ssSkC22,
     --c9_0,
     ++c7_2(a369,a372)]).

input_clause(clause321,conjecture,
    [--ssSkC22,
     --c9_0,
     ++c9_2(a369,a372)]).

input_clause(clause322,conjecture,
    [--ssSkC22,
     --c9_0,
     ++c5_2(a369,a371)]).

input_clause(clause323,conjecture,
    [--ssSkC22,
     --c9_0,
     ++c7_2(a369,a371)]).

input_clause(clause324,conjecture,
    [--ssSkC22,
     --c9_0,
     ++c3_2(a369,a370)]).

input_clause(clause325,conjecture,
    [--ssSkC22,
     --c9_0,
     ++c8_2(a369,a370)]).

input_clause(clause326,conjecture,
    [--ssSkC18,
     --c4_0,
     ++c7_2(a350,a352)]).

input_clause(clause327,conjecture,
    [--ssSkC18,
     --c4_0,
     ++c5_2(a350,a351)]).

input_clause(clause328,conjecture,
    [--ssSkC16,
     --c2_0,
     ++c1_2(a340,a341)]).

input_clause(clause329,conjecture,
    [--ssSkC16,
     --c2_0,
     ++c7_2(a340,a341)]).

input_clause(clause330,conjecture,
    [--ssSkC16,
     --c2_0,
     ++c9_2(a340,a341)]).

input_clause(clause331,conjecture,
    [--ssSkC16,
     --c8_1(a340),
     --c2_0]).

input_clause(clause332,conjecture,
    [--ssSkC15,
     --c5_1(a337),
     --c10_0]).

input_clause(clause333,conjecture,
    [--ssSkC15,
     --c9_1(a337),
     --c10_0]).

input_clause(clause334,conjecture,
    [--ssSkC14,
     --c10_1(a330),
     --c1_0]).

input_clause(clause335,conjecture,
    [--ssSkC14,
     --c8_1(a330),
     --c1_0]).

input_clause(clause336,conjecture,
    [--ssSkC14,
     --c9_1(a330),
     --c1_0]).

input_clause(clause337,conjecture,
    [--c1_0,
     --c10_0,
     ++ndr1_1(a319)]).

input_clause(clause338,conjecture,
    [--ssSkC11,
     --c5_2(a314,a315),
     ++c9_0]).

input_clause(clause339,conjecture,
    [--c6_1(a309),
     --c4_0,
     ++c9_0]).

input_clause(clause340,conjecture,
    [--c9_0,
     ++c10_2(a295,a296),
     ++c8_0]).

input_clause(clause341,conjecture,
    [--c9_0,
     ++c3_2(a295,a296),
     ++c8_0]).

input_clause(clause342,conjecture,
    [--c1_1(a289),
     --c10_0,
     ++c7_0]).

input_clause(clause343,conjecture,
    [--c9_1(a289),
     --c10_0,
     ++c7_0]).

input_clause(clause344,conjecture,
    [--c10_0,
     ++c3_2(a287,a288),
     ++c7_0]).

input_clause(clause345,conjecture,
    [--c10_0,
     ++c8_2(a287,a288),
     ++c7_0]).

input_clause(clause346,conjecture,
    [--c6_2(a283,a284),
     ++c7_0,
     ++c8_0]).

input_clause(clause347,conjecture,
    [--c5_2(a265,a266),
     --c9_0]).

input_clause(clause348,conjecture,
    [--c9_1(a256),
     --c9_0,
     ++c4_0]).

input_clause(clause349,conjecture,
    [--c10_0,
     ++c8_2(a252,a253),
     ++c4_0]).

input_clause(clause350,conjecture,
    [--c9_2(a245,a246),
     ++c3_0,
     ++c8_0]).

input_clause(clause351,conjecture,
    [--ssSkC1,
     --c6_2(a229,a230),
     ++c10_0]).

input_clause(clause352,conjecture,
    [--c1_1(a222),
     --c7_0,
     ++c10_0]).

input_clause(clause353,conjecture,
    [--c7_1(a222),
     --c7_0,
     ++c10_0]).

input_clause(clause354,conjecture,
    [--c10_0,
     ++c6_2(a219,a221),
     ++c1_0]).

input_clause(clause355,conjecture,
    [--c10_0,
     ++c7_2(a219,a221),
     ++c1_0]).

input_clause(clause356,conjecture,
    [--c10_0,
     ++c2_2(a219,a220),
     ++c1_0]).

input_clause(clause357,conjecture,
    [--ndr1_0,
     ++c4_2(U,a268),
     ++ssSkC3]).

input_clause(clause358,conjecture,
    [--ndr1_0,
     ++ndr1_1(U),
     ++c8_1(U),
     ++ssSkC33]).

input_clause(clause359,conjecture,
    [--ndr1_0,
     ++ndr1_1(U),
     ++c4_1(U),
     ++ssSkC17]).

input_clause(clause360,conjecture,
    [--ssSkC22,
     --c4_2(a369,a372),
     --c9_0]).

input_clause(clause361,conjecture,
    [--ssSkC22,
     --c9_2(a369,a371),
     --c9_0]).

input_clause(clause362,conjecture,
    [--ssSkC22,
     --c9_2(a369,a370),
     --c9_0]).

input_clause(clause363,conjecture,
    [--ssSkC18,
     --c4_2(a350,a352),
     --c4_0]).

input_clause(clause364,conjecture,
    [--ssSkC18,
     --c5_2(a350,a352),
     --c4_0]).

input_clause(clause365,conjecture,
    [--ssSkC18,
     --c6_2(a350,a351),
     --c4_0]).

input_clause(clause366,conjecture,
    [--c2_1(a342),
     --c3_0,
     --c7_0]).

input_clause(clause367,conjecture,
    [--c3_1(a342),
     --c3_0,
     --c7_0]).

input_clause(clause368,conjecture,
    [--c1_1(a332),
     --c10_0,
     --c8_0]).

input_clause(clause369,conjecture,
    [--c4_1(a332),
     --c10_0,
     --c8_0]).

input_clause(clause370,conjecture,
    [--c1_0,
     --c10_0,
     ++c4_2(a319,a320)]).

input_clause(clause371,conjecture,
    [--c1_0,
     --c10_0,
     ++c5_2(a319,a320)]).

input_clause(clause372,conjecture,
    [--c1_0,
     --c10_0,
     ++c6_2(a319,a320)]).

input_clause(clause373,conjecture,
    [--c8_1(a319),
     --c1_0,
     --c10_0]).

input_clause(clause374,conjecture,
    [--ssSkP14(U),
     --ssSkC10,
     --ndr1_0,
     ++ndr1_1(U),
     ++c8_0]).

input_clause(clause375,conjecture,
    [--c9_2(a295,a296),
     --c9_0,
     ++c8_0]).

input_clause(clause376,conjecture,
    [--c9_2(a287,a288),
     --c10_0,
     ++c7_0]).

input_clause(clause377,conjecture,
    [--c1_2(a252,a253),
     --c10_0,
     ++c4_0]).

input_clause(clause378,conjecture,
    [--c2_2(a252,a253),
     --c10_0,
     ++c4_0]).

input_clause(clause379,conjecture,
    [--ndr1_0,
     ++ndr1_1(U),
     ++c2_1(U),
     ++c3_0,
     ++c4_0]).

input_clause(clause380,conjecture,
    [--c1_2(a219,a220),
     --c10_0,
     ++c1_0]).

input_clause(clause381,conjecture,
    [--c3_2(a219,a220),
     --c10_0,
     ++c1_0]).

input_clause(clause382,conjecture,
    [--c3_1(U),
     --ndr1_0,
     ++c9_1(U),
     ++c2_0]).

input_clause(clause383,conjecture,
    [--c2_2(U,a268),
     --ndr1_0,
     ++ssSkC3]).

input_clause(clause384,conjecture,
    [--c3_2(U,a268),
     --ndr1_0,
     ++ssSkC3]).

input_clause(clause385,conjecture,
    [--ssSkP4(U),
     --ndr1_0,
     ++ndr1_1(U),
     ++c5_1(U),
     ++c7_0]).

input_clause(clause386,conjecture,
    [--ndr1_0,
     ++c2_2(U,a402),
     ++c8_1(U),
     ++ssSkC33]).

input_clause(clause387,conjecture,
    [--ndr1_0,
     ++c1_2(U,a344),
     ++c4_1(U),
     ++ssSkC17]).

input_clause(clause388,conjecture,
    [--ndr1_0,
     ++c6_2(U,a344),
     ++c4_1(U),
     ++ssSkC17]).

input_clause(clause389,conjecture,
    [--c2_2(a319,a321),
     --c1_0,
     --c10_0]).

input_clause(clause390,conjecture,
    [--ssSkP14(U),
     --ssSkC10,
     --ndr1_0,
     ++c7_2(U,a308),
     ++c8_0]).

input_clause(clause391,conjecture,
    [--ndr1_0,
     ++c2_2(U,a243),
     ++c2_1(U),
     ++c3_0,
     ++c4_0]).

input_clause(clause392,conjecture,
    [--ndr1_0,
     ++ndr1_1(U),
     ++c3_1(U),
     ++c7_1(U),
     ++ssSkC27]).

input_clause(clause393,conjecture,
    [--ndr1_0,
     ++ndr1_1(U),
     ++c3_1(U),
     ++c9_1(U),
     ++ssSkC20]).

input_clause(clause394,conjecture,
    [--ssSkP16(U),
     --ndr1_0,
     ++ndr1_1(U),
     ++c7_1(U),
     ++ssSkC18]).

input_clause(clause395,conjecture,
    [--c8_2(a328,U),
     --ndr1_1(a328),
     ++ssSkC14]).

input_clause(clause396,conjecture,
    [--ssSkP11(U),
     --ndr1_0,
     ++ndr1_1(U),
     ++c4_1(U),
     ++ssSkC9]).

input_clause(clause397,conjecture,
    [--ssSkP6(U),
     --ssSkC5,
     --ndr1_0,
     ++ndr1_1(U),
     ++c6_1(U),
     ++c6_0]).

input_clause(clause398,conjecture,
    [--c2_1(U),
     --ndr1_0,
     ++ndr1_1(U),
     ++c3_1(U),
     ++c6_0]).

input_clause(clause399,conjecture,
    [--ssSkP5(U),
     --ssSkC4,
     --ndr1_0,
     ++ndr1_1(U),
     ++c6_1(U),
     ++c6_0]).

input_clause(clause400,conjecture,
    [--ssSkP4(U),
     --ndr1_0,
     ++c7_2(U,a261),
     ++c5_1(U),
     ++c7_0]).

input_clause(clause401,conjecture,
    [--c1_2(U,a402),
     --ndr1_0,
     ++c8_1(U),
     ++ssSkC33]).

input_clause(clause402,conjecture,
    [--c3_2(U,a402),
     --ndr1_0,
     ++c8_1(U),
     ++ssSkC33]).

input_clause(clause403,conjecture,
    [--c9_2(U,a344),
     --ndr1_0,
     ++c4_1(U),
     ++ssSkC17]).

input_clause(clause404,conjecture,
    [--ndr1_0,
     --c10_0,
     --c3_0,
     ++ndr1_1(U),
     ++c5_1(U)]).

input_clause(clause405,conjecture,
    [--ssSkP14(U),
     --ssSkC10,
     --c4_2(U,a308),
     --ndr1_0,
     ++c8_0]).

input_clause(clause406,conjecture,
    [--ssSkP14(U),
     --ssSkC10,
     --c5_2(U,a308),
     --ndr1_0,
     ++c8_0]).

input_clause(clause407,conjecture,
    [--c3_2(U,a243),
     --ndr1_0,
     ++c2_1(U),
     ++c3_0,
     ++c4_0]).

input_clause(clause408,conjecture,
    [--c8_2(U,a243),
     --ndr1_0,
     ++c2_1(U),
     ++c3_0,
     ++c4_0]).

input_clause(clause409,conjecture,
    [--c2_1(U),
     --ndr1_0,
     ++ndr1_1(U),
     ++c9_1(U),
     ++ssSkC34]).

input_clause(clause410,conjecture,
    [--c9_1(U),
     --ndr1_0,
     ++ndr1_1(U),
     ++c5_1(U),
     ++ssSkC30]).

input_clause(clause411,conjecture,
    [--c1_1(U),
     --ndr1_0,
     ++ndr1_1(U),
     ++c5_1(U),
     ++ssSkC28]).

input_clause(clause412,conjecture,
    [--ndr1_0,
     ++c6_2(U,a386),
     ++c3_1(U),
     ++c7_1(U),
     ++ssSkC27]).

input_clause(clause413,conjecture,
    [--c4_1(U),
     --ndr1_0,
     ++ndr1_1(U),
     ++c2_1(U),
     ++ssSkC25]).

input_clause(clause414,conjecture,
    [--c8_1(U),
     --ndr1_0,
     ++ndr1_1(U),
     ++c1_1(U),
     ++ssSkC23]).

input_clause(clause415,conjecture,
    [--c10_1(U),
     --ndr1_0,
     ++ndr1_1(U),
     ++c1_1(U),
     ++ssSkC21]).

input_clause(clause416,conjecture,
    [--ndr1_0,
     ++c1_2(U,a358),
     ++c3_1(U),
     ++c9_1(U),
     ++ssSkC20]).

input_clause(clause417,conjecture,
    [--ndr1_0,
     ++c8_2(U,a358),
     ++c3_1(U),
     ++c9_1(U),
     ++ssSkC20]).

input_clause(clause418,conjecture,
    [--c1_1(U),
     --ndr1_0,
     ++ndr1_1(U),
     ++c4_1(U),
     ++ssSkC8]).

input_clause(clause419,conjecture,
    [--ssSkP7(U),
     --c2_1(U),
     --ndr1_0,
     ++ndr1_1(U),
     ++ssSkC6]).

input_clause(clause420,conjecture,
    [--c4_1(U),
     --ndr1_0,
     ++ndr1_1(U),
     ++c3_1(U),
     ++ssSkC5]).

input_clause(clause421,conjecture,
    [--ssSkP0(U),
     --c5_1(U),
     --ndr1_0,
     ++ndr1_1(U),
     ++ssSkC0]).

input_clause(clause422,conjecture,
    [--ssSkP20(U),
     --ssSkC28,
     --ssSkC29,
     --c9_1(U),
     --ndr1_0,
     ++ndr1_1(U)]).

input_clause(clause423,conjecture,
    [--ssSkP17(U),
     --c2_1(U),
     --ndr1_0,
     --c9_0,
     ++ndr1_1(U)]).

input_clause(clause424,conjecture,
    [--c9_1(U),
     --ndr1_0,
     --c7_0,
     ++ndr1_1(U),
     ++c8_1(U)]).

input_clause(clause425,conjecture,
    [--ssSkC17,
     --ndr1_0,
     --c3_0,
     ++ndr1_1(U),
     ++c7_1(U),
     ++c9_1(U)]).

input_clause(clause426,conjecture,
    [--ssSkP15(U),
     --ndr1_0,
     --c7_0,
     ++ndr1_1(U),
     ++c9_1(U),
     ++c9_0]).

input_clause(clause427,conjecture,
    [--ssSkP12(U),
     --ssSkC9,
     --c8_1(U),
     --ndr1_0,
     ++ndr1_1(U),
     ++c8_0]).

input_clause(clause428,conjecture,
    [--ssSkP9(U),
     --ndr1_0,
     --c4_0,
     ++ndr1_1(U),
     ++c5_1(U),
     ++c7_0]).

input_clause(clause429,conjecture,
    [--ssSkP6(U),
     --ssSkC5,
     --ndr1_0,
     ++c5_2(U,a276),
     ++c6_1(U),
     ++c6_0]).

input_clause(clause430,conjecture,
    [--c2_1(U),
     --ndr1_0,
     ++c2_2(U,a273),
     ++c3_1(U),
     ++c6_0]).

input_clause(clause431,conjecture,
    [--c2_1(U),
     --ndr1_0,
     ++c5_2(U,a273),
     ++c3_1(U),
     ++c6_0]).

input_clause(clause432,conjecture,
    [--c2_1(U),
     --ndr1_0,
     ++c6_2(U,a273),
     ++c3_1(U),
     ++c6_0]).

input_clause(clause433,conjecture,
    [--ssSkP5(U),
     --ssSkC4,
     --ndr1_0,
     ++c6_2(U,a272),
     ++c6_1(U),
     ++c6_0]).

input_clause(clause434,conjecture,
    [--ssSkP5(U),
     --ssSkC4,
     --ndr1_0,
     ++c8_2(U,a272),
     ++c6_1(U),
     ++c6_0]).

input_clause(clause435,conjecture,
    [--ssSkP4(U),
     --c1_2(U,a261),
     --ndr1_0,
     ++c5_1(U),
     ++c7_0]).

input_clause(clause436,conjecture,
    [--ssSkP4(U),
     --c4_2(U,a261),
     --ndr1_0,
     ++c5_1(U),
     ++c7_0]).

input_clause(clause437,conjecture,
    [--ssSkP1(U),
     --ssSkP2(U),
     --ndr1_0,
     --c3_0,
     ++ndr1_1(U),
     ++c2_0]).

input_clause(clause438,conjecture,
    [--ndr1_0,
     --c10_0,
     --c3_0,
     ++c6_2(U,a331),
     ++c5_1(U)]).

input_clause(clause439,conjecture,
    [--ndr1_0,
     --c10_0,
     --c3_0,
     ++c8_2(U,a331),
     ++c5_1(U)]).

input_clause(clause440,conjecture,
    [--c2_1(U),
     --ndr1_0,
     --c1_0,
     --c4_0,
     ++ndr1_1(U)]).

input_clause(clause441,conjecture,
    [--c4_2(a262,U),
     --ndr1_1(a262),
     ++c5_2(a262,U),
     ++c7_0]).

input_clause(clause442,conjecture,
    [--c8_1(U),
     --ndr1_0,
     --c10_0,
     --c6_0,
     ++c6_1(U)]).

input_clause(clause443,conjecture,
    [--c1_1(U),
     --c5_1(U),
     --ndr1_0,
     ++ndr1_1(U),
     ++ssSkC37]).

input_clause(clause444,conjecture,
    [--c2_1(U),
     --ndr1_0,
     ++c4_2(U,a405),
     ++c9_1(U),
     ++ssSkC34]).

input_clause(clause445,conjecture,
    [--c9_1(U),
     --ndr1_0,
     ++c10_2(U,a395),
     ++c5_1(U),
     ++ssSkC30]).

input_clause(clause446,conjecture,
    [--c9_1(U),
     --ndr1_0,
     ++c3_2(U,a395),
     ++c5_1(U),
     ++ssSkC30]).

input_clause(clause447,conjecture,
    [--c1_1(U),
     --ndr1_0,
     ++c5_2(U,a391),
     ++c5_1(U),
     ++ssSkC28]).

input_clause(clause448,conjecture,
    [--c1_1(U),
     --ndr1_0,
     ++c7_2(U,a391),
     ++c5_1(U),
     ++ssSkC28]).

input_clause(clause449,conjecture,
    [--c7_2(U,a386),
     --ndr1_0,
     ++c3_1(U),
     ++c7_1(U),
     ++ssSkC27]).

input_clause(clause450,conjecture,
    [--c8_2(U,a386),
     --ndr1_0,
     ++c3_1(U),
     ++c7_1(U),
     ++ssSkC27]).

input_clause(clause451,conjecture,
    [--c4_1(U),
     --ndr1_0,
     ++c4_2(U,a377),
     ++c2_1(U),
     ++ssSkC25]).

input_clause(clause452,conjecture,
    [--c4_1(U),
     --ndr1_0,
     ++c5_2(U,a377),
     ++c2_1(U),
     ++ssSkC25]).

input_clause(clause453,conjecture,
    [--c4_1(U),
     --ndr1_0,
     ++c6_2(U,a377),
     ++c2_1(U),
     ++ssSkC25]).

input_clause(clause454,conjecture,
    [--c8_1(U),
     --ndr1_0,
     ++c3_2(U,a373),
     ++c1_1(U),
     ++ssSkC23]).

input_clause(clause455,conjecture,
    [--c10_1(U),
     --ndr1_0,
     ++c6_2(U,a360),
     ++c1_1(U),
     ++ssSkC21]).

input_clause(clause456,conjecture,
    [--c10_1(U),
     --ndr1_0,
     ++c9_2(U,a360),
     ++c1_1(U),
     ++ssSkC21]).

input_clause(clause457,conjecture,
    [--c3_2(U,a358),
     --ndr1_0,
     ++c3_1(U),
     ++c9_1(U),
     ++ssSkC20]).

input_clause(clause458,conjecture,
    [--ssSkP16(U),
     --c1_2(U,a349),
     --ndr1_0,
     ++c7_1(U),
     ++ssSkC18]).

input_clause(clause459,conjecture,
    [--ssSkP16(U),
     --c2_2(U,a349),
     --ndr1_0,
     ++c7_1(U),
     ++ssSkC18]).

input_clause(clause460,conjecture,
    [--ssSkP16(U),
     --c5_2(U,a349),
     --ndr1_0,
     ++c7_1(U),
     ++ssSkC18]).

input_clause(clause461,conjecture,
    [--c5_1(U),
     --c6_1(U),
     --ndr1_0,
     ++ndr1_1(U),
     ++ssSkC11]).

input_clause(clause462,conjecture,
    [--ssSkP11(U),
     --c1_2(U,a301),
     --ndr1_0,
     ++c4_1(U),
     ++ssSkC9]).

input_clause(clause463,conjecture,
    [--ssSkP11(U),
     --c4_2(U,a301),
     --ndr1_0,
     ++c4_1(U),
     ++ssSkC9]).

input_clause(clause464,conjecture,
    [--ssSkP11(U),
     --c9_2(U,a301),
     --ndr1_0,
     ++c4_1(U),
     ++ssSkC9]).

input_clause(clause465,conjecture,
    [--c5_1(U),
     --c6_1(U),
     --ndr1_0,
     ++ndr1_1(U),
     ++ssSkC7]).

input_clause(clause466,conjecture,
    [--ssSkP7(U),
     --c2_1(U),
     --ndr1_0,
     ++c7_2(U,a278),
     ++ssSkC6]).

input_clause(clause467,conjecture,
    [--ssSkP7(U),
     --c2_1(U),
     --ndr1_0,
     ++c8_2(U,a278),
     ++ssSkC6]).

input_clause(clause468,conjecture,
    [--c4_1(U),
     --ndr1_0,
     ++c2_2(U,a274),
     ++c3_1(U),
     ++ssSkC5]).

input_clause(clause469,conjecture,
    [--c4_1(U),
     --ndr1_0,
     ++c3_2(U,a274),
     ++c3_1(U),
     ++ssSkC5]).

input_clause(clause470,conjecture,
    [--ssSkP0(U),
     --c5_1(U),
     --ndr1_0,
     ++c6_2(U,a226),
     ++ssSkC0]).

input_clause(clause471,conjecture,
    [--ssSkP20(U),
     --ssSkC28,
     --ssSkC29,
     --c9_1(U),
     --ndr1_0,
     ++c1_2(U,a394)]).

input_clause(clause472,conjecture,
    [--c9_1(U),
     --ndr1_0,
     --c7_0,
     ++c1_2(U,a354),
     ++c8_1(U)]).

input_clause(clause473,conjecture,
    [--c9_1(U),
     --ndr1_0,
     --c7_0,
     ++c10_2(U,a354),
     ++c8_1(U)]).

input_clause(clause474,conjecture,
    [--ndr1_0,
     --c4_0,
     --c7_0,
     ++ndr1_1(U),
     ++c1_1(U),
     ++c7_1(U)]).

input_clause(clause475,conjecture,
    [--ssSkC17,
     --ndr1_0,
     --c3_0,
     ++c3_2(U,a345),
     ++c7_1(U),
     ++c9_1(U)]).

input_clause(clause476,conjecture,
    [--ssSkC17,
     --ndr1_0,
     --c3_0,
     ++c7_2(U,a345),
     ++c7_1(U),
     ++c9_1(U)]).

input_clause(clause477,conjecture,
    [--ssSkP15(U),
     --ndr1_0,
     --c7_0,
     ++c8_2(U,a312),
     ++c9_1(U),
     ++c9_0]).

input_clause(clause478,conjecture,
    [--ssSkP15(U),
     --ndr1_0,
     --c7_0,
     ++c9_2(U,a312),
     ++c9_1(U),
     ++c9_0]).

input_clause(clause479,conjecture,
    [--ssSkP12(U),
     --ssSkC9,
     --c8_1(U),
     --ndr1_0,
     ++c5_2(U,a303),
     ++c8_0]).

input_clause(clause480,conjecture,
    [--ssSkP6(U),
     --ssSkC5,
     --c10_2(U,a276),
     --ndr1_0,
     ++c6_1(U),
     ++c6_0]).

input_clause(clause481,conjecture,
    [--ssSkP6(U),
     --ssSkC5,
     --c4_2(U,a276),
     --ndr1_0,
     ++c6_1(U),
     ++c6_0]).

input_clause(clause482,conjecture,
    [--ssSkP5(U),
     --ssSkC4,
     --c2_2(U,a272),
     --ndr1_0,
     ++c6_1(U),
     ++c6_0]).

input_clause(clause483,conjecture,
    [--c6_1(U),
     --ndr1_0,
     --c1_0,
     ++ndr1_1(U),
     ++c5_1(U),
     ++c4_0]).

input_clause(clause484,conjecture,
    [--ssSkP1(U),
     --ssSkP2(U),
     --ndr1_0,
     --c3_0,
     ++c6_2(U,a233),
     ++c2_0]).

input_clause(clause485,conjecture,
    [--c7_1(U),
     --ndr1_0,
     ++c1_1(U),
     ++c9_1(U),
     ++ndr1_1(a223),
     ++c10_0]).

input_clause(clause486,conjecture,
    [--c8_1(U),
     --ndr1_0,
     --c1_0,
     ++c1_1(U),
     ++c6_1(U),
     ++c9_0]).

input_clause(clause487,conjecture,
    [--c7_2(U,a331),
     --ndr1_0,
     --c10_0,
     --c3_0,
     ++c5_1(U)]).

input_clause(clause488,conjecture,
    [--c2_1(U),
     --ndr1_0,
     --c1_0,
     --c4_0,
     ++c4_2(U,a322)]).

input_clause(clause489,conjecture,
    [--c10_1(U),
     --c3_1(U),
     --ndr1_0,
     --c4_1(a304),
     ++c8_0]).

input_clause(clause490,conjecture,
    [--c10_1(U),
     --c3_1(U),
     --ndr1_0,
     --c5_1(a304),
     ++c8_0]).

input_clause(clause491,conjecture,
    [--c1_1(U),
     --c5_1(U),
     --ndr1_0,
     ++c9_2(U,a416),
     ++ssSkC37]).

input_clause(clause492,conjecture,
    [--c5_2(U,a405),
     --c2_1(U),
     --ndr1_0,
     ++c9_1(U),
     ++ssSkC34]).

input_clause(clause493,conjecture,
    [--c9_2(U,a395),
     --c9_1(U),
     --ndr1_0,
     ++c5_1(U),
     ++ssSkC30]).

input_clause(clause494,conjecture,
    [--c6_2(U,a391),
     --c1_1(U),
     --ndr1_0,
     ++c5_1(U),
     ++ssSkC28]).

input_clause(clause495,conjecture,
    [--c1_2(U,a373),
     --c8_1(U),
     --ndr1_0,
     ++c1_1(U),
     ++ssSkC23]).

input_clause(clause496,conjecture,
    [--c8_2(U,a373),
     --c8_1(U),
     --ndr1_0,
     ++c1_1(U),
     ++ssSkC23]).

input_clause(clause497,conjecture,
    [--c10_2(U,a360),
     --c10_1(U),
     --ndr1_0,
     ++c1_1(U),
     ++ssSkC21]).

input_clause(clause498,conjecture,
    [--c5_1(U),
     --c6_1(U),
     --ndr1_0,
     ++c3_2(U,a313),
     ++ssSkC11]).

input_clause(clause499,conjecture,
    [--c2_2(U,a297),
     --c1_1(U),
     --ndr1_0,
     ++c4_1(U),
     ++ssSkC8]).

input_clause(clause500,conjecture,
    [--c6_2(U,a297),
     --c1_1(U),
     --ndr1_0,
     ++c4_1(U),
     ++ssSkC8]).

input_clause(clause501,conjecture,
    [--c7_2(U,a297),
     --c1_1(U),
     --ndr1_0,
     ++c4_1(U),
     ++ssSkC8]).

input_clause(clause502,conjecture,
    [--c5_1(U),
     --c6_1(U),
     --ndr1_0,
     ++c7_2(U,a292),
     ++ssSkC7]).

input_clause(clause503,conjecture,
    [--ssSkP7(U),
     --c9_2(U,a278),
     --c2_1(U),
     --ndr1_0,
     ++ssSkC6]).

input_clause(clause504,conjecture,
    [--c4_2(U,a274),
     --c4_1(U),
     --ndr1_0,
     ++c3_1(U),
     ++ssSkC5]).

input_clause(clause505,conjecture,
    [--ssSkP0(U),
     --c4_2(U,a226),
     --c5_1(U),
     --ndr1_0,
     ++ssSkC0]).

input_clause(clause506,conjecture,
    [--ssSkP0(U),
     --c7_2(U,a226),
     --c5_1(U),
     --ndr1_0,
     ++ssSkC0]).

input_clause(clause507,conjecture,
    [--c1_1(U),
     --c5_1(U),
     --c8_1(U),
     --ndr1_0,
     ++ndr1_1(a414)]).

input_clause(clause508,conjecture,
    [--c1_1(U),
     --c5_1(U),
     --c8_1(U),
     --ndr1_0,
     ++c10_1(a414)]).

input_clause(clause509,conjecture,
    [--c1_1(U),
     --c5_1(U),
     --c8_1(U),
     --ndr1_0,
     ++c9_1(a414)]).

input_clause(clause510,conjecture,
    [--ssSkP20(U),
     --ssSkC28,
     --ssSkC29,
     --c9_2(U,a394),
     --c9_1(U),
     --ndr1_0]).

input_clause(clause511,conjecture,
    [--ssSkP17(U),
     --c1_2(U,a366),
     --c2_1(U),
     --ndr1_0,
     --c9_0]).

input_clause(clause512,conjecture,
    [--ssSkP17(U),
     --c7_2(U,a366),
     --c2_1(U),
     --ndr1_0,
     --c9_0]).

input_clause(clause513,conjecture,
    [--ssSkP17(U),
     --c9_2(U,a366),
     --c2_1(U),
     --ndr1_0,
     --c9_0]).

input_clause(clause514,conjecture,
    [--c2_2(U,a354),
     --c9_1(U),
     --ndr1_0,
     --c7_0,
     ++c8_1(U)]).

input_clause(clause515,conjecture,
    [--ndr1_0,
     --c4_0,
     --c7_0,
     ++c2_2(U,a347),
     ++c1_1(U),
     ++c7_1(U)]).

input_clause(clause516,conjecture,
    [--ndr1_0,
     --c4_0,
     --c7_0,
     ++c8_2(U,a347),
     ++c1_1(U),
     ++c7_1(U)]).

input_clause(clause517,conjecture,
    [--ssSkC17,
     --c9_2(U,a345),
     --ndr1_0,
     --c3_0,
     ++c7_1(U),
     ++c9_1(U)]).

input_clause(clause518,conjecture,
    [--ssSkP15(U),
     --c6_2(U,a312),
     --ndr1_0,
     --c7_0,
     ++c9_1(U),
     ++c9_0]).

input_clause(clause519,conjecture,
    [--ssSkP12(U),
     --ssSkC9,
     --c8_2(U,a303),
     --c8_1(U),
     --ndr1_0,
     ++c8_0]).

input_clause(clause520,conjecture,
    [--c7_1(U),
     --c8_1(U),
     --ndr1_0,
     --c10_0,
     ++ndr1_1(U),
     ++c8_0]).

input_clause(clause521,conjecture,
    [--ssSkP9(U),
     --c5_2(U,a291),
     --ndr1_0,
     --c4_0,
     ++c5_1(U),
     ++c7_0]).

input_clause(clause522,conjecture,
    [--ssSkP9(U),
     --c6_2(U,a291),
     --ndr1_0,
     --c4_0,
     ++c5_1(U),
     ++c7_0]).

input_clause(clause523,conjecture,
    [--ssSkP9(U),
     --c9_2(U,a291),
     --ndr1_0,
     --c4_0,
     ++c5_1(U),
     ++c7_0]).

input_clause(clause524,conjecture,
    [--c6_1(U),
     --ndr1_0,
     --c1_0,
     ++c10_2(U,a251),
     ++c5_1(U),
     ++c4_0]).

input_clause(clause525,conjecture,
    [--c6_1(U),
     --ndr1_0,
     --c1_0,
     ++c8_2(U,a251),
     ++c5_1(U),
     ++c4_0]).

input_clause(clause526,conjecture,
    [--ssSkP1(U),
     --ssSkP2(U),
     --c10_2(U,a233),
     --ndr1_0,
     --c3_0,
     ++c2_0]).

input_clause(clause527,conjecture,
    [--ssSkP1(U),
     --ssSkP2(U),
     --c8_2(U,a233),
     --ndr1_0,
     --c3_0,
     ++c2_0]).

input_clause(clause528,conjecture,
    [--c7_1(U),
     --ndr1_0,
     ++c1_1(U),
     ++c9_1(U),
     ++c9_2(a223,a224),
     ++c10_0]).

input_clause(clause529,conjecture,
    [--c7_1(U),
     --ndr1_0,
     --c7_1(a223),
     ++c1_1(U),
     ++c9_1(U),
     ++c10_0]).

input_clause(clause530,conjecture,
    [--c6_2(a316,U),
     --c9_2(a316,U),
     --ndr1_1(a316),
     ++ssSkC12]).

input_clause(clause531,conjecture,
    [--ssSkC15,
     --c10_2(a337,U),
     --ndr1_1(a337),
     --c10_0,
     ++c9_2(a337,U)]).

input_clause(clause532,conjecture,
    [--c10_2(U,a322),
     --c2_1(U),
     --ndr1_0,
     --c1_0,
     --c4_0]).

input_clause(clause533,conjecture,
    [--c9_2(U,a322),
     --c2_1(U),
     --ndr1_0,
     --c1_0,
     --c4_0]).

input_clause(clause534,conjecture,
    [--c5_2(a256,U),
     --ndr1_1(a256),
     --c9_0,
     ++c3_2(a256,U),
     ++c4_0]).

input_clause(clause535,conjecture,
    [--c6_2(U,a416),
     --c1_1(U),
     --c5_1(U),
     --ndr1_0,
     ++ssSkC37]).

input_clause(clause536,conjecture,
    [--c9_2(U,a313),
     --c5_1(U),
     --c6_1(U),
     --ndr1_0,
     ++ssSkC11]).

input_clause(clause537,conjecture,
    [--c1_2(U,a292),
     --c5_1(U),
     --c6_1(U),
     --ndr1_0,
     ++ssSkC7]).

input_clause(clause538,conjecture,
    [--c9_2(U,a292),
     --c5_1(U),
     --c6_1(U),
     --ndr1_0,
     ++ssSkC7]).

input_clause(clause539,conjecture,
    [--ssSkC36,
     --c3_1(U),
     --c7_1(U),
     --c8_1(U),
     --ndr1_0,
     ++ndr1_1(a411)]).

input_clause(clause540,conjecture,
    [--c5_1(U),
     --c7_1(U),
     --ndr1_0,
     --c9_0,
     ++c3_1(U),
     ++ndr1_1(a362)]).

input_clause(clause541,conjecture,
    [--c5_1(U),
     --c7_1(U),
     --ndr1_0,
     --c9_0,
     ++c3_1(U),
     ++c3_1(a362)]).

input_clause(clause542,conjecture,
    [--c7_2(U,a347),
     --ndr1_0,
     --c4_0,
     --c7_0,
     ++c1_1(U),
     ++c7_1(U)]).

input_clause(clause543,conjecture,
    [--c7_1(U),
     --c8_1(U),
     --ndr1_0,
     --c10_0,
     ++c9_2(U,a294),
     ++c8_0]).

input_clause(clause544,conjecture,
    [--ssSkC3,
     --c9_2(a269,U),
     --ndr1_1(a269),
     ++c5_2(a269,U),
     ++c6_2(a269,U)]).

input_clause(clause545,conjecture,
    [--c1_2(U,a251),
     --c6_1(U),
     --ndr1_0,
     --c1_0,
     ++c5_1(U),
     ++c4_0]).

input_clause(clause546,conjecture,
    [--ssSkC1,
     --ndr1_1(a229),
     ++c2_2(a229,U),
     ++c4_2(a229,U),
     ++c7_2(a229,U),
     ++c10_0]).

input_clause(clause547,conjecture,
    [--c7_1(U),
     --ndr1_0,
     --c1_2(a223,a224),
     ++c1_1(U),
     ++c9_1(U),
     ++c10_0]).

input_clause(clause548,conjecture,
    [--c7_1(U),
     --ndr1_0,
     --c10_2(a223,a224),
     ++c1_1(U),
     ++c9_1(U),
     ++c10_0]).

input_clause(clause549,conjecture,
    [--c3_2(a400,U),
     --ndr1_1(a400),
     ++c1_2(a400,U),
     ++c10_2(a400,U),
     ++ssSkC32]).

input_clause(clause550,conjecture,
    [--c1_1(U),
     --c5_1(U),
     --c8_1(U),
     --ndr1_0,
     --c10_2(a414,a415)]).

input_clause(clause551,conjecture,
    [--c1_1(U),
     --c5_1(U),
     --c8_1(U),
     --ndr1_0,
     --c4_2(a414,a415)]).

input_clause(clause552,conjecture,
    [--c1_1(U),
     --c5_1(U),
     --c8_1(U),
     --ndr1_0,
     --c7_2(a414,a415)]).

input_clause(clause553,conjecture,
    [--ssSkC36,
     --c3_1(U),
     --c7_1(U),
     --c8_1(U),
     --ndr1_0,
     ++c3_2(a411,a412)]).

input_clause(clause554,conjecture,
    [--ssSkC34,
     --ssSkC35,
     --c4_2(a408,U),
     --ndr1_1(a408),
     ++c8_2(a408,U),
     ++c9_2(a408,U)]).

input_clause(clause555,conjecture,
    [--c5_1(U),
     --c7_1(U),
     --ndr1_0,
     --c9_0,
     ++c3_1(U),
     ++c3_2(a362,a363)]).

input_clause(clause556,conjecture,
    [--c5_1(U),
     --c7_1(U),
     --ndr1_0,
     --c8_1(a362),
     --c9_0,
     ++c3_1(U)]).

input_clause(clause557,conjecture,
    [--c2_2(U,a294),
     --c7_1(U),
     --c8_1(U),
     --ndr1_0,
     --c10_0,
     ++c8_0]).

input_clause(clause558,conjecture,
    [--c8_2(U,a294),
     --c7_1(U),
     --c8_1(U),
     --ndr1_0,
     --c10_0,
     ++c8_0]).

input_clause(clause559,conjecture,
    [--c2_2(a281,U),
     --c3_2(a281,U),
     --ndr1_1(a281),
     ++c7_2(a281,U),
     ++c6_0]).

input_clause(clause560,conjecture,
    [--c3_2(a247,U),
     --c6_2(a247,U),
     --ndr1_1(a247),
     ++c9_2(a247,U),
     ++c4_0]).

input_clause(clause561,conjecture,
    [--ssSkC2,
     --c2_2(a242,U),
     --ndr1_1(a242),
     ++c10_2(a242,U),
     ++c9_2(a242,U),
     ++c2_0]).

input_clause(clause562,conjecture,
    [--ndr1_1(U),
     --ndr1_0,
     ++c3_2(U,V),
     ++c6_2(U,V),
     ++c1_2(U,a410),
     ++c9_1(U),
     ++ssSkC36]).

input_clause(clause563,conjecture,
    [--ndr1_1(U),
     --ndr1_0,
     ++c3_2(U,V),
     ++c6_2(U,V),
     ++c5_2(U,a410),
     ++c9_1(U),
     ++ssSkC36]).

input_clause(clause564,conjecture,
    [--ndr1_1(U),
     --ndr1_0,
     ++c3_2(U,V),
     ++c6_2(U,V),
     ++c6_2(U,a410),
     ++c9_1(U),
     ++ssSkC36]).

input_clause(clause565,conjecture,
    [--ssSkC36,
     --c3_1(U),
     --c7_1(U),
     --c8_1(U),
     --ndr1_0,
     --c4_2(a411,a413)]).

input_clause(clause566,conjecture,
    [--ssSkC36,
     --c3_1(U),
     --c7_1(U),
     --c8_1(U),
     --ndr1_0,
     --c8_2(a411,a413)]).

input_clause(clause567,conjecture,
    [--ssSkC36,
     --c3_1(U),
     --c7_1(U),
     --c8_1(U),
     --ndr1_0,
     --c9_2(a411,a413)]).

input_clause(clause568,conjecture,
    [--ssSkC36,
     --c3_1(U),
     --c7_1(U),
     --c8_1(U),
     --ndr1_0,
     --c6_2(a411,a412)]).

input_clause(clause569,conjecture,
    [--ssSkC23,
     --ssSkC24,
     --c3_2(a376,U),
     --c5_2(a376,U),
     --ndr1_1(a376),
     ++c2_2(a376,U)]).

input_clause(clause570,conjecture,
    [--c5_1(U),
     --c7_1(U),
     --ndr1_0,
     --c1_2(a362,a363),
     --c9_0,
     ++c3_1(U)]).

input_clause(clause571,conjecture,
    [--c5_1(U),
     --c7_1(U),
     --ndr1_0,
     --c4_2(a362,a363),
     --c9_0,
     ++c3_1(U)]).

input_clause(clause572,conjecture,
    [--ssSkC19,
     --c9_2(a357,U),
     --ndr1_1(a357),
     --c7_0,
     ++c10_2(a357,U),
     ++c4_2(a357,U)]).

input_clause(clause573,conjecture,
    [--ssSkC19,
     --c8_2(a357,U),
     --ndr1_1(a357),
     --c7_0,
     ++c4_2(a357,U),
     ++c5_2(a357,U)]).

input_clause(clause574,conjecture,
    [--ssSkC13,
     --c7_2(a326,U),
     --ndr1_1(a326),
     --c1_0,
     ++c4_2(a326,U),
     ++c6_2(a326,U)]).

input_clause(clause575,conjecture,
    [--ssSkC11,
     --c4_2(a314,U),
     --c8_2(a314,U),
     --ndr1_1(a314),
     ++c7_2(a314,U),
     ++c9_0]).

input_clause(clause576,conjecture,
    [--c6_2(a309,U),
     --ndr1_1(a309),
     --c4_0,
     ++c10_2(a309,U),
     ++c9_2(a309,U),
     ++c9_0]).

input_clause(clause577,conjecture,
    [--c10_2(a289,U),
     --ndr1_1(a289),
     --c10_0,
     ++c2_2(a289,U),
     ++c6_2(a289,U),
     ++c7_0]).

input_clause(clause578,conjecture,
    [--c7_2(a287,U),
     --ndr1_1(a287),
     --c10_0,
     ++c6_2(a287,U),
     ++c9_2(a287,U),
     ++c7_0]).

input_clause(clause579,conjecture,
    [--c1_2(a244,U),
     --c10_2(a244,U),
     --ndr1_1(a244),
     ++c2_2(a244,U),
     ++c3_0,
     ++c7_0]).

input_clause(clause580,conjecture,
    [--c7_2(a244,U),
     --c8_2(a244,U),
     --ndr1_1(a244),
     ++c6_2(a244,U),
     ++c3_0,
     ++c7_0]).

input_clause(clause581,conjecture,
    [--ssSkC2,
     --c1_2(a242,U),
     --c2_2(a242,U),
     --ndr1_1(a242),
     ++c10_2(a242,U),
     ++c2_0]).

input_clause(clause582,conjecture,
    [--ssSkC2,
     --c1_2(a242,U),
     --c5_2(a242,U),
     --ndr1_1(a242),
     ++c8_2(a242,U),
     ++c2_0]).

input_clause(clause583,conjecture,
    [--c1_2(a424,U),
     --c2_2(a424,U),
     --c5_2(a424,U),
     --ndr1_1(a424),
     ++ssSkC41]).

input_clause(clause584,conjecture,
    [--c3_2(a424,U),
     --c6_2(a424,U),
     --c8_2(a424,U),
     --ndr1_1(a424),
     ++ssSkC41]).

input_clause(clause585,conjecture,
    [--c1_2(a400,U),
     --c7_2(a400,U),
     --c9_2(a400,U),
     --ndr1_1(a400),
     ++ssSkC32]).

input_clause(clause586,conjecture,
    [--c4_2(a355,U),
     --c6_2(a355,U),
     --c8_2(a355,U),
     --ndr1_1(a355),
     ++ssSkC19]).

input_clause(clause587,conjecture,
    [--ssSkC18,
     --c1_2(a350,U),
     --c5_2(a350,U),
     --ndr1_1(a350),
     --c4_0,
     ++c8_2(a350,U)]).

input_clause(clause588,conjecture,
    [--c3_2(a342,U),
     --ndr1_1(a342),
     --c3_0,
     --c7_0,
     ++c6_2(a342,U),
     ++c8_2(a342,U)]).

input_clause(clause589,conjecture,
    [--c1_2(a332,U),
     --ndr1_1(a332),
     --c10_0,
     --c8_0,
     ++c10_2(a332,U),
     ++c9_2(a332,U)]).

input_clause(clause590,conjecture,
    [--ssSkC12,
     --c10_2(a318,U),
     --c4_2(a318,U),
     --c7_2(a318,U),
     --ndr1_1(a318),
     ++c9_0]).

input_clause(clause591,conjecture,
    [--c10_2(a309,U),
     --c4_2(a309,U),
     --ndr1_1(a309),
     --c4_0,
     ++c5_2(a309,U),
     ++c9_0]).

input_clause(clause592,conjecture,
    [--c1_2(a222,U),
     --c2_2(a222,U),
     --ndr1_1(a222),
     --c7_0,
     ++c3_2(a222,U),
     ++c10_0]).

input_clause(clause593,conjecture,
    [--c10_2(a219,U),
     --c5_2(a219,U),
     --ndr1_1(a219),
     --c10_0,
     ++c3_2(a219,U),
     ++c1_0]).

input_clause(clause594,conjecture,
    [--ndr1_1(U),
     --ndr1_0,
     --c1_1(V),
     ++c2_2(U,W),
     ++c3_2(U,W),
     ++c6_2(U,W),
     ++c4_1(U),
     ++ndr1_1(V)]).

input_clause(clause595,conjecture,
    [--c7_2(U,V),
     --ndr1_1(U),
     --c8_1(U),
     --ndr1_0,
     ++c6_2(U,V),
     ++c2_2(U,a396),
     ++ssSkC31]).

input_clause(clause596,conjecture,
    [--c7_2(U,V),
     --ndr1_1(U),
     --c8_1(U),
     --ndr1_0,
     ++c6_2(U,V),
     ++c6_2(U,a396),
     ++ssSkC31]).

input_clause(clause597,conjecture,
    [--c8_2(U,V),
     --ndr1_1(U),
     --c8_1(U),
     --ndr1_0,
     ++c6_2(U,V),
     ++c3_2(U,a228),
     ++ssSkC1]).

input_clause(clause598,conjecture,
    [--c8_2(U,V),
     --ndr1_1(U),
     --c8_1(U),
     --ndr1_0,
     ++c6_2(U,V),
     ++c4_2(U,a228),
     ++ssSkC1]).

input_clause(clause599,conjecture,
    [--ssSkC13,
     --c10_2(a326,U),
     --c5_2(a326,U),
     --c9_2(a326,U),
     --ndr1_1(a326),
     --c1_0]).

input_clause(clause600,conjecture,
    [--ssSkP8(U),
     --ssSkC6,
     --c7_2(U,V),
     --ndr1_1(U),
     --c4_2(U,a280),
     --ndr1_0,
     ++c3_2(U,V),
     ++c6_0]).

input_clause(clause601,conjecture,
    [--ssSkP8(U),
     --ssSkC6,
     --c7_2(U,V),
     --ndr1_1(U),
     --c5_2(U,a280),
     --ndr1_0,
     ++c3_2(U,V),
     ++c6_0]).

input_clause(clause602,conjecture,
    [--c3_2(U,V),
     --c8_2(U,V),
     --ndr1_1(U),
     --ndr1_0,
     ++c2_2(U,V),
     ++c5_1(U),
     ++c8_1(U),
     ++c4_0]).

input_clause(clause603,conjecture,
    [--c6_2(U,V),
     --ndr1_1(U),
     --c2_1(U),
     --c3_1(U),
     --ndr1_0,
     ++c10_2(U,V),
     ++c9_2(U,V)]).

input_clause(clause604,conjecture,
    [--ndr1_1(U),
     --ndr1_0,
     --c1_1(V),
     ++c2_2(U,W),
     ++c3_2(U,W),
     ++c6_2(U,W),
     ++c4_1(U),
     ++c8_2(V,a267)]).

input_clause(clause605,conjecture,
    [--c7_2(U,V),
     --ndr1_1(U),
     --c8_2(U,a396),
     --c8_1(U),
     --ndr1_0,
     ++c6_2(U,V),
     ++ssSkC31]).

input_clause(clause606,conjecture,
    [--c8_2(U,V),
     --ndr1_1(U),
     --c7_2(U,a228),
     --c8_1(U),
     --ndr1_0,
     ++c6_2(U,V),
     ++ssSkC1]).

input_clause(clause607,conjecture,
    [--ssSkC32,
     --c4_1(U),
     --ndr1_0,
     --c8_2(a401,V),
     --ndr1_1(a401),
     ++c6_1(U),
     ++c8_1(U),
     ++c5_2(a401,V)]).

input_clause(clause608,conjecture,
    [--ndr1_1(U),
     --ndr1_0,
     --c3_2(V,a267),
     --c1_1(V),
     ++c2_2(U,W),
     ++c3_2(U,W),
     ++c6_2(U,W),
     ++c4_1(U)]).

input_clause(clause609,conjecture,
    [--ndr1_1(U),
     --ndr1_0,
     --c9_2(V,a267),
     --c1_1(V),
     ++c2_2(U,W),
     ++c3_2(U,W),
     ++c6_2(U,W),
     ++c4_1(U)]).

input_clause(clause610,conjecture,
    [--c6_2(U,V),
     --ndr1_1(U),
     --c7_1(U),
     --ndr1_0,
     ++c2_2(U,V),
     ++c7_2(U,V),
     ++c2_2(U,a392),
     ++ssSkC29]).

input_clause(clause611,conjecture,
    [--c6_2(U,V),
     --ndr1_1(U),
     --c7_1(U),
     --ndr1_0,
     ++c2_2(U,V),
     ++c7_2(U,V),
     ++c3_2(U,a392),
     ++ssSkC29]).

input_clause(clause612,conjecture,
    [--ssSkP13(U),
     --c10_2(U,V),
     --c7_2(U,V),
     --ndr1_1(U),
     --ndr1_0,
     ++c1_2(U,V),
     ++c5_2(U,a306),
     ++ssSkC10]).

input_clause(clause613,conjecture,
    [--c6_2(U,V),
     --c7_2(U,V),
     --ndr1_1(U),
     --ndr1_0,
     ++c8_2(U,V),
     ++c1_2(U,a270),
     ++c10_1(U),
     ++ssSkC4]).

input_clause(clause614,conjecture,
    [--c6_2(U,V),
     --c7_2(U,V),
     --ndr1_1(U),
     --ndr1_0,
     ++c8_2(U,V),
     ++c3_2(U,a270),
     ++c10_1(U),
     ++ssSkC4]).

input_clause(clause615,conjecture,
    [--c6_2(U,V),
     --ndr1_1(U),
     --ndr1_0,
     --c1_0,
     ++c1_2(U,V),
     ++c2_2(U,V),
     ++c1_1(U),
     ++c4_1(U),
     ++ndr1_1(a323)]).

input_clause(clause616,conjecture,
    [--c6_2(U,V),
     --ndr1_1(U),
     --ndr1_0,
     --c1_0,
     ++c1_2(U,V),
     ++c2_2(U,V),
     ++c1_1(U),
     ++c4_1(U),
     ++c7_1(a323)]).

input_clause(clause617,conjecture,
    [--c5_2(U,V),
     --c7_2(U,V),
     --ndr1_1(U),
     --ndr1_0,
     --c10_0,
     ++c10_2(U,V),
     ++c3_2(U,a263),
     ++c7_1(U)]).

input_clause(clause618,conjecture,
    [--c5_2(U,V),
     --c7_2(U,V),
     --ndr1_1(U),
     --ndr1_0,
     --c10_0,
     ++c10_2(U,V),
     ++c8_2(U,a263),
     ++c7_1(U)]).

input_clause(clause619,conjecture,
    [--ssSkP3(U),
     --c2_2(U,V),
     --c3_2(U,V),
     --ndr1_1(U),
     --c5_2(U,a255),
     --ndr1_0,
     --c7_0,
     ++c4_0]).

input_clause(clause620,conjecture,
    [--ssSkP3(U),
     --c2_2(U,V),
     --c3_2(U,V),
     --ndr1_1(U),
     --c8_2(U,a255),
     --ndr1_0,
     --c7_0,
     ++c4_0]).

input_clause(clause621,conjecture,
    [--c3_2(U,V),
     --c8_2(U,V),
     --ndr1_1(U),
     --ndr1_0,
     ++c7_2(U,V),
     ++c6_1(U),
     ++c7_1(U),
     ++c6_1(a234),
     ++c2_0]).

input_clause(clause622,conjecture,
    [--c6_2(U,V),
     --ndr1_1(U),
     --c9_2(U,a392),
     --c7_1(U),
     --ndr1_0,
     ++c2_2(U,V),
     ++c7_2(U,V),
     ++ssSkC29]).

input_clause(clause623,conjecture,
    [--ssSkP18(U),
     --c4_2(U,V),
     --c6_2(U,V),
     --ndr1_1(U),
     --c1_2(U,a368),
     --ndr1_0,
     ++c7_2(U,V),
     ++ssSkC22]).

input_clause(clause624,conjecture,
    [--ssSkP18(U),
     --c4_2(U,V),
     --c6_2(U,V),
     --ndr1_1(U),
     --c4_2(U,a368),
     --ndr1_0,
     ++c7_2(U,V),
     ++ssSkC22]).

input_clause(clause625,conjecture,
    [--ssSkP18(U),
     --c4_2(U,V),
     --c6_2(U,V),
     --ndr1_1(U),
     --c5_2(U,a368),
     --ndr1_0,
     ++c7_2(U,V),
     ++ssSkC22]).

input_clause(clause626,conjecture,
    [--c1_2(U,V),
     --c5_2(U,V),
     --ndr1_1(U),
     --c2_1(U),
     --ndr1_0,
     ++c10_2(U,V),
     ++c3_2(U,a325),
     ++ssSkC13]).

input_clause(clause627,conjecture,
    [--c1_2(U,V),
     --c5_2(U,V),
     --ndr1_1(U),
     --c2_1(U),
     --ndr1_0,
     ++c10_2(U,V),
     ++c4_2(U,a325),
     ++ssSkC13]).

input_clause(clause628,conjecture,
    [--ssSkP13(U),
     --c10_2(U,V),
     --c7_2(U,V),
     --ndr1_1(U),
     --c4_2(U,a306),
     --ndr1_0,
     ++c1_2(U,V),
     ++ssSkC10]).

input_clause(clause629,conjecture,
    [--ssSkP13(U),
     --c10_2(U,V),
     --c7_2(U,V),
     --ndr1_1(U),
     --c9_2(U,a306),
     --ndr1_0,
     ++c1_2(U,V),
     ++ssSkC10]).

input_clause(clause630,conjecture,
    [--c6_2(U,V),
     --c7_2(U,V),
     --ndr1_1(U),
     --c10_2(U,a270),
     --ndr1_0,
     ++c8_2(U,V),
     ++c10_1(U),
     ++ssSkC4]).

input_clause(clause631,conjecture,
    [--ssSkC39,
     --ndr1_1(U),
     --c2_1(U),
     --c6_1(U),
     --ndr1_0,
     --c1_1(a422),
     ++c1_2(U,V),
     ++c4_2(U,V),
     ++c5_2(U,V)]).

input_clause(clause632,conjecture,
    [--ssSkC39,
     --ndr1_1(U),
     --c2_1(U),
     --c6_1(U),
     --ndr1_0,
     --c10_1(a422),
     ++c1_2(U,V),
     ++c4_2(U,V),
     ++c5_2(U,V)]).

input_clause(clause633,conjecture,
    [--ssSkC26,
     --c3_2(U,V),
     --c8_2(U,V),
     --ndr1_1(U),
     --c7_1(U),
     --ndr1_0,
     ++c9_2(U,V),
     ++c2_1(U),
     ++ndr1_1(a383)]).

input_clause(clause634,conjecture,
    [--c2_2(U,V),
     --ndr1_1(U),
     --c7_1(U),
     --ndr1_0,
     --c10_0,
     ++c8_2(U,V),
     ++c9_2(U,V),
     ++c5_1(U),
     ++ndr1_1(a333)]).

input_clause(clause635,conjecture,
    [--c2_2(U,V),
     --ndr1_1(U),
     --c7_1(U),
     --ndr1_0,
     --c10_0,
     ++c8_2(U,V),
     ++c9_2(U,V),
     ++c5_1(U),
     ++c7_1(a333)]).

input_clause(clause636,conjecture,
    [--c6_2(U,V),
     --ndr1_1(U),
     --ndr1_0,
     --c1_0,
     ++c1_2(U,V),
     ++c2_2(U,V),
     ++c1_1(U),
     ++c4_1(U),
     ++c1_2(a323,a324)]).

input_clause(clause637,conjecture,
    [--c6_2(U,V),
     --ndr1_1(U),
     --ndr1_0,
     --c1_0,
     ++c1_2(U,V),
     ++c2_2(U,V),
     ++c1_1(U),
     ++c4_1(U),
     ++c2_2(a323,a324)]).

input_clause(clause638,conjecture,
    [--ssSkP10(U),
     --ssSkC8,
     --c1_2(U,V),
     --c7_2(U,V),
     --ndr1_1(U),
     --c3_2(U,a299),
     --ndr1_0,
     ++c3_2(U,V),
     ++c8_0]).

input_clause(clause639,conjecture,
    [--ssSkP10(U),
     --ssSkC8,
     --c1_2(U,V),
     --c7_2(U,V),
     --ndr1_1(U),
     --c4_2(U,a299),
     --ndr1_0,
     ++c3_2(U,V),
     ++c8_0]).

input_clause(clause640,conjecture,
    [--ssSkP10(U),
     --ssSkC8,
     --c1_2(U,V),
     --c7_2(U,V),
     --ndr1_1(U),
     --c8_2(U,a299),
     --ndr1_0,
     ++c3_2(U,V),
     ++c8_0]).

input_clause(clause641,conjecture,
    [--c5_2(U,V),
     --c7_2(U,V),
     --ndr1_1(U),
     --c4_2(U,a263),
     --ndr1_0,
     --c10_0,
     ++c10_2(U,V),
     ++c7_1(U)]).

input_clause(clause642,conjecture,
    [--c4_2(U,V),
     --c5_2(U,V),
     --ndr1_1(U),
     --c2_1(U),
     --c5_1(U),
     --ndr1_0,
     --c1_1(a364),
     --c9_0]).

input_clause(clause643,conjecture,
    [--ssSkC21,
     --c4_2(U,V),
     --c6_2(U,V),
     --ndr1_1(U),
     --c9_1(U),
     --ndr1_0,
     --c9_0,
     ++c2_2(U,V),
     ++c9_2(U,a361)]).

input_clause(clause644,conjecture,
    [--ssSkC20,
     --c2_2(U,V),
     --c5_2(U,V),
     --ndr1_1(U),
     --c10_2(U,a359),
     --ndr1_0,
     --c8_0,
     ++c3_2(U,V),
     ++c8_1(U)]).

input_clause(clause645,conjecture,
    [--ssSkC20,
     --c2_2(U,V),
     --c5_2(U,V),
     --ndr1_1(U),
     --c2_2(U,a359),
     --ndr1_0,
     --c8_0,
     ++c3_2(U,V),
     ++c8_1(U)]).

input_clause(clause646,conjecture,
    [--ssSkC20,
     --c2_2(U,V),
     --c5_2(U,V),
     --ndr1_1(U),
     --c6_2(U,a359),
     --ndr1_0,
     --c8_0,
     ++c3_2(U,V),
     ++c8_1(U)]).

input_clause(clause647,conjecture,
    [--c8_2(U,V),
     --c9_2(U,V),
     --ndr1_1(U),
     --ndr1_0,
     --c2_0,
     --c8_0,
     ++c10_2(U,V),
     ++c10_2(U,a338),
     ++c8_1(U)]).

input_clause(clause648,conjecture,
    [--c8_2(U,V),
     --c9_2(U,V),
     --ndr1_1(U),
     --ndr1_0,
     --c2_0,
     --c8_0,
     ++c10_2(U,V),
     ++c2_2(U,a338),
     ++c8_1(U)]).

input_clause(clause649,conjecture,
    [--c2_2(U,V),
     --ndr1_1(U),
     --c7_1(U),
     --ndr1_0,
     --c10_0,
     ++c8_2(U,V),
     ++c9_2(U,V),
     ++c5_1(U),
     ++c10_2(a333,a334)]).

input_clause(clause650,conjecture,
    [--c2_2(U,V),
     --ndr1_1(U),
     --c7_1(U),
     --ndr1_0,
     --c10_1(a333),
     --c10_0,
     ++c8_2(U,V),
     ++c9_2(U,V),
     ++c5_1(U)]).

input_clause(clause651,conjecture,
    [--c6_2(U,V),
     --ndr1_1(U),
     --ndr1_0,
     --c3_2(a323,a324),
     --c1_0,
     ++c1_2(U,V),
     ++c2_2(U,V),
     ++c1_1(U),
     ++c4_1(U)]).

input_clause(clause652,conjecture,
    [--c10_1(U),
     --c3_1(U),
     --ndr1_0,
     --c5_2(a304,V),
     --c8_2(a304,V),
     --ndr1_1(a304),
     ++c4_2(a304,V),
     ++c8_0]).

input_clause(clause653,conjecture,
    [--c10_2(U,V),
     --c9_2(U,V),
     --ndr1_1(U),
     --c3_1(U),
     --c4_1(U),
     --ndr1_0,
     --c9_0,
     ++c4_2(U,V),
     ++c3_0]).

input_clause(clause654,conjecture,
    [--ssSkC32,
     --c4_1(U),
     --ndr1_0,
     --c2_2(a401,V),
     --c4_2(a401,V),
     --ndr1_1(a401),
     ++c6_1(U),
     ++c8_1(U),
     ++c8_2(a401,V)]).

input_clause(clause655,conjecture,
    [--ssSkP19(U),
     --ssSkC25,
     --c2_2(V,W),
     --c9_2(V,W),
     --ndr1_1(V),
     --c9_1(V),
     --ndr1_0,
     --c3_1(U),
     ++c7_1(V),
     ++ndr1_1(U)]).

input_clause(clause656,conjecture,
    [--c1_2(U,V),
     --c7_2(U,V),
     --c9_2(U,V),
     --ndr1_1(U),
     --ndr1_0,
     ++c8_2(U,W),
     ++c9_2(U,W),
     ++c4_2(U,a258),
     ++c4_0]).

input_clause(clause657,conjecture,
    [--ndr1_1(U),
     --ndr1_0,
     ++c2_2(U,V),
     ++c4_2(U,V),
     ++c8_2(U,V),
     ++c2_2(U,W),
     ++c3_2(U,W),
     ++c4_2(U,W),
     ++c10_1(U),
     ++c3_1(a257),
     ++c4_0]).

input_clause(clause658,conjecture,
    [--ndr1_1(U),
     --ndr1_0,
     ++c2_2(U,V),
     ++c4_2(U,V),
     ++c8_2(U,V),
     ++c2_2(U,W),
     ++c3_2(U,W),
     ++c4_2(U,W),
     ++c10_1(U),
     ++c4_1(a257),
     ++c4_0]).

input_clause(clause659,conjecture,
    [--ndr1_1(U),
     --ndr1_0,
     ++c2_2(U,V),
     ++c4_2(U,V),
     ++c8_2(U,V),
     ++c2_2(U,W),
     ++c3_2(U,W),
     ++c4_2(U,W),
     ++c10_1(U),
     ++c5_1(a257),
     ++c4_0]).

input_clause(clause660,conjecture,
    [--ssSkC26,
     --c3_2(U,V),
     --c8_2(U,V),
     --ndr1_1(U),
     --c7_1(U),
     --ndr1_0,
     --c10_2(a383,a385),
     ++c9_2(U,V),
     ++c2_1(U)]).

input_clause(clause661,conjecture,
    [--ssSkC26,
     --c3_2(U,V),
     --c8_2(U,V),
     --ndr1_1(U),
     --c7_1(U),
     --ndr1_0,
     --c3_2(a383,a385),
     ++c9_2(U,V),
     ++c2_1(U)]).

input_clause(clause662,conjecture,
    [--ssSkC26,
     --c3_2(U,V),
     --c8_2(U,V),
     --ndr1_1(U),
     --c7_1(U),
     --ndr1_0,
     --c5_2(a383,a385),
     ++c9_2(U,V),
     ++c2_1(U)]).

input_clause(clause663,conjecture,
    [--ssSkC26,
     --c3_2(U,V),
     --c8_2(U,V),
     --ndr1_1(U),
     --c7_1(U),
     --ndr1_0,
     --c1_2(a383,a384),
     ++c9_2(U,V),
     ++c2_1(U)]).

input_clause(clause664,conjecture,
    [--ssSkC26,
     --c3_2(U,V),
     --c8_2(U,V),
     --ndr1_1(U),
     --c7_1(U),
     --ndr1_0,
     --c6_2(a383,a384),
     ++c9_2(U,V),
     ++c2_1(U)]).

input_clause(clause665,conjecture,
    [--ssSkC21,
     --c4_2(U,V),
     --c6_2(U,V),
     --ndr1_1(U),
     --c2_2(U,a361),
     --c9_1(U),
     --ndr1_0,
     --c9_0,
     ++c2_2(U,V)]).

input_clause(clause666,conjecture,
    [--ssSkC21,
     --c4_2(U,V),
     --c6_2(U,V),
     --ndr1_1(U),
     --c8_2(U,a361),
     --c9_1(U),
     --ndr1_0,
     --c9_0,
     ++c2_2(U,V)]).

input_clause(clause667,conjecture,
    [--c8_2(U,V),
     --c9_2(U,V),
     --ndr1_1(U),
     --c7_2(U,a338),
     --ndr1_0,
     --c2_0,
     --c8_0,
     ++c10_2(U,V),
     ++c8_1(U)]).

input_clause(clause668,conjecture,
    [--c2_2(U,V),
     --ndr1_1(U),
     --c7_1(U),
     --ndr1_0,
     --c7_2(a333,a334),
     --c10_0,
     ++c8_2(U,V),
     ++c9_2(U,V),
     ++c5_1(U)]).

input_clause(clause669,conjecture,
    [--c2_2(U,V),
     --ndr1_1(U),
     --c7_1(U),
     --ndr1_0,
     --c9_2(a333,a334),
     --c10_0,
     ++c8_2(U,V),
     ++c9_2(U,V),
     ++c5_1(U)]).

input_clause(clause670,conjecture,
    [--c5_2(U,V),
     --ndr1_1(U),
     --c8_2(U,W),
     --ndr1_0,
     ++c2_2(U,V),
     ++c8_2(U,V),
     ++c2_2(U,W),
     ++c7_2(U,W),
     ++ndr1_1(a237),
     ++c2_0]).

input_clause(clause671,conjecture,
    [--c5_2(U,V),
     --ndr1_1(U),
     --c8_2(U,W),
     --ndr1_0,
     ++c2_2(U,V),
     ++c8_2(U,V),
     ++c2_2(U,W),
     ++c7_2(U,W),
     ++c9_1(a237),
     ++c2_0]).

input_clause(clause672,conjecture,
    [--ssSkC36,
     --c3_1(U),
     --c7_1(U),
     --c8_1(U),
     --ndr1_0,
     --c2_2(a411,V),
     --ndr1_1(a411),
     ++c3_2(a411,V),
     ++c8_2(a411,V)]).

input_clause(clause673,conjecture,
    [--ssSkC32,
     --c4_1(U),
     --ndr1_0,
     --c1_2(a401,V),
     --c10_2(a401,V),
     --c2_2(a401,V),
     --ndr1_1(a401),
     ++c6_1(U),
     ++c8_1(U)]).

input_clause(clause674,conjecture,
    [--ssSkP19(U),
     --ssSkC25,
     --c2_2(V,W),
     --c9_2(V,W),
     --ndr1_1(V),
     --c9_1(V),
     --ndr1_0,
     --c3_1(U),
     ++c7_1(V),
     ++c3_2(U,a379)]).

input_clause(clause675,conjecture,
    [--c1_2(U,V),
     --c7_2(U,V),
     --c9_2(U,V),
     --ndr1_1(U),
     --c2_2(U,a258),
     --ndr1_0,
     ++c8_2(U,W),
     ++c9_2(U,W),
     ++c4_0]).

input_clause(clause676,conjecture,
    [--c1_2(U,V),
     --c7_2(U,V),
     --c9_2(U,V),
     --ndr1_1(U),
     --c3_2(U,a258),
     --ndr1_0,
     ++c8_2(U,W),
     ++c9_2(U,W),
     ++c4_0]).

input_clause(clause677,conjecture,
    [--c7_1(U),
     --ndr1_0,
     --c1_2(a223,V),
     --c7_2(a223,V),
     --c8_2(a223,V),
     --ndr1_1(a223),
     ++c1_1(U),
     ++c9_1(U),
     ++c10_0]).

input_clause(clause678,conjecture,
    [--c10_2(U,V),
     --c3_2(U,V),
     --c5_2(U,V),
     --ndr1_1(U),
     --c9_2(U,W),
     --ndr1_0,
     --c4_0,
     ++c5_2(U,W),
     ++c3_1(U)]).

input_clause(clause679,conjecture,
    [--c7_2(U,V),
     --ndr1_1(U),
     --c8_1(U),
     --ndr1_0,
     --c7_0,
     ++c1_2(U,V),
     ++c2_2(U,V),
     ++c3_1(U),
     ++c1_1(W),
     ++c4_1(W),
     ++c8_1(W)]).

input_clause(clause680,conjecture,
    [--c5_2(U,V),
     --ndr1_1(U),
     --c8_2(U,W),
     --ndr1_0,
     ++c2_2(U,V),
     ++c8_2(U,V),
     ++c2_2(U,W),
     ++c7_2(U,W),
     ++c10_2(a237,a238),
     ++c2_0]).

input_clause(clause681,conjecture,
    [--c5_2(U,V),
     --ndr1_1(U),
     --c8_2(U,W),
     --ndr1_0,
     --c4_1(a237),
     ++c2_2(U,V),
     ++c8_2(U,V),
     ++c2_2(U,W),
     ++c7_2(U,W),
     ++c2_0]).

input_clause(clause682,conjecture,
    [--c5_2(U,V),
     --ndr1_1(U),
     --ndr1_0,
     --c10_1(W),
     --c3_1(W),
     ++c6_2(U,V),
     ++c8_2(U,V),
     ++c6_1(U),
     ++c9_1(U),
     ++c4_1(W),
     ++ndr1_1(a389)]).

input_clause(clause683,conjecture,
    [--ssSkP19(U),
     --ssSkC25,
     --c2_2(V,W),
     --c9_2(V,W),
     --ndr1_1(V),
     --c9_1(V),
     --ndr1_0,
     --c1_2(U,a379),
     --c3_1(U),
     ++c7_1(V)]).

input_clause(clause684,conjecture,
    [--ssSkP19(U),
     --ssSkC25,
     --c2_2(V,W),
     --c9_2(V,W),
     --ndr1_1(V),
     --c9_1(V),
     --ndr1_0,
     --c10_2(U,a379),
     --c3_1(U),
     ++c7_1(V)]).

input_clause(clause685,conjecture,
    [--c1_2(U,V),
     --ndr1_1(U),
     --c3_2(U,W),
     --ndr1_0,
     ++c6_2(U,V),
     ++c9_2(U,V),
     ++c10_2(U,W),
     ++c8_2(U,W),
     ++c2_2(U,a286),
     ++c7_0,
     ++c9_0]).

input_clause(clause686,conjecture,
    [--c5_2(U,V),
     --ndr1_1(U),
     --c8_2(U,W),
     --ndr1_0,
     --c5_2(a237,a238),
     ++c2_2(U,V),
     ++c8_2(U,V),
     ++c2_2(U,W),
     ++c7_2(U,W),
     ++c2_0]).

input_clause(clause687,conjecture,
    [--c5_2(U,V),
     --ndr1_1(U),
     --c8_2(U,W),
     --ndr1_0,
     --c7_2(a237,a238),
     ++c2_2(U,V),
     ++c8_2(U,V),
     ++c2_2(U,W),
     ++c7_2(U,W),
     ++c2_0]).

input_clause(clause688,conjecture,
    [--c5_2(U,V),
     --ndr1_1(U),
     --ndr1_0,
     --c10_1(W),
     --c3_1(W),
     ++c6_2(U,V),
     ++c8_2(U,V),
     ++c6_1(U),
     ++c9_1(U),
     ++c4_1(W),
     ++c2_2(a389,a390)]).

input_clause(clause689,conjecture,
    [--c5_2(U,V),
     --ndr1_1(U),
     --ndr1_0,
     --c10_1(W),
     --c3_1(W),
     ++c6_2(U,V),
     ++c8_2(U,V),
     ++c6_1(U),
     ++c9_1(U),
     ++c4_1(W),
     ++c4_2(a389,a390)]).

input_clause(clause690,conjecture,
    [--c5_2(U,V),
     --ndr1_1(U),
     --ndr1_0,
     --c10_1(W),
     --c3_1(W),
     --c3_1(a389),
     ++c6_2(U,V),
     ++c8_2(U,V),
     ++c6_1(U),
     ++c9_1(U),
     ++c4_1(W)]).

input_clause(clause691,conjecture,
    [--c4_1(U),
     --c5_1(U),
     --ndr1_0,
     --ndr1_1(V),
     --c7_1(V),
     --c7_0,
     ++c3_1(U),
     ++c1_2(V,W),
     ++c2_2(V,W),
     ++c3_2(V,W),
     ++c4_2(V,a353)]).

input_clause(clause692,conjecture,
    [--c1_2(U,V),
     --ndr1_1(U),
     --c3_2(U,W),
     --c1_2(U,a286),
     --ndr1_0,
     ++c6_2(U,V),
     ++c9_2(U,V),
     ++c10_2(U,W),
     ++c8_2(U,W),
     ++c7_0,
     ++c9_0]).

input_clause(clause693,conjecture,
    [--c1_2(U,V),
     --ndr1_1(U),
     --c3_2(U,W),
     --c4_2(U,a286),
     --ndr1_0,
     ++c6_2(U,V),
     ++c9_2(U,V),
     ++c10_2(U,W),
     ++c8_2(U,W),
     ++c7_0,
     ++c9_0]).

input_clause(clause694,conjecture,
    [--c9_2(U,V),
     --ndr1_1(U),
     --c10_2(U,W),
     --c5_1(U),
     --ndr1_0,
     ++c3_2(U,V),
     ++c7_2(U,V),
     ++c3_2(U,W),
     ++c5_2(U,W),
     ++ndr1_1(a235),
     ++c2_0]).

input_clause(clause695,conjecture,
    [--c9_2(U,V),
     --ndr1_1(U),
     --c10_2(U,W),
     --c5_1(U),
     --ndr1_0,
     ++c3_2(U,V),
     ++c7_2(U,V),
     ++c3_2(U,W),
     ++c5_2(U,W),
     ++c9_1(a235),
     ++c2_0]).

input_clause(clause696,conjecture,
    [--c3_2(U,V),
     --c5_2(U,V),
     --ndr1_1(U),
     --c3_2(U,W),
     --ndr1_0,
     --c9_0,
     ++c8_2(U,V),
     ++c1_2(U,W),
     ++c8_2(U,W),
     ++c1_1(U),
     ++c1_0]).

input_clause(clause697,conjecture,
    [--c4_2(U,V),
     --ndr1_1(U),
     --c1_2(U,W),
     --c9_2(U,W),
     --ndr1_0,
     --c4_0,
     ++c5_2(U,V),
     ++c6_2(U,V),
     ++c10_2(U,W),
     ++c9_1(U),
     ++c8_0]).

input_clause(clause698,conjecture,
    [--c5_2(U,V),
     --c6_2(U,V),
     --c8_2(U,V),
     --ndr1_1(U),
     --c10_2(U,W),
     --c2_2(U,W),
     --ndr1_0,
     --c9_0,
     ++c1_2(U,W),
     ++c6_0]).

input_clause(clause699,conjecture,
    [--ssSkC27,
     --c10_2(U,V),
     --c6_2(U,V),
     --c8_2(U,V),
     --ndr1_1(U),
     --c7_2(U,W),
     --ndr1_0,
     ++c3_2(U,W),
     ++c8_2(U,W),
     ++c3_1(U),
     ++ndr1_1(a387)]).

input_clause(clause700,conjecture,
    [--c4_1(U),
     --c5_1(U),
     --ndr1_0,
     --ndr1_1(V),
     --c1_2(V,a353),
     --c7_1(V),
     --c7_0,
     ++c3_1(U),
     ++c1_2(V,W),
     ++c2_2(V,W),
     ++c3_2(V,W)]).

input_clause(clause701,conjecture,
    [--c4_1(U),
     --c5_1(U),
     --ndr1_0,
     --ndr1_1(V),
     --c9_2(V,a353),
     --c7_1(V),
     --c7_0,
     ++c3_1(U),
     ++c1_2(V,W),
     ++c2_2(V,W),
     ++c3_2(V,W)]).

input_clause(clause702,conjecture,
    [--c9_2(U,V),
     --ndr1_1(U),
     --c10_2(U,W),
     --c5_1(U),
     --ndr1_0,
     ++c3_2(U,V),
     ++c7_2(U,V),
     ++c3_2(U,W),
     ++c5_2(U,W),
     ++c4_2(a235,a236),
     ++c2_0]).

input_clause(clause703,conjecture,
    [--c9_2(U,V),
     --ndr1_1(U),
     --c10_2(U,W),
     --c5_1(U),
     --ndr1_0,
     ++c3_2(U,V),
     ++c7_2(U,V),
     ++c3_2(U,W),
     ++c5_2(U,W),
     ++c7_2(a235,a236),
     ++c2_0]).

input_clause(clause704,conjecture,
    [--c9_2(U,V),
     --ndr1_1(U),
     --c10_2(U,W),
     --c5_1(U),
     --ndr1_0,
     --c5_1(a235),
     ++c3_2(U,V),
     ++c7_2(U,V),
     ++c3_2(U,W),
     ++c5_2(U,W),
     ++c2_0]).

input_clause(clause705,conjecture,
    [--c3_1(U),
     --c5_1(U),
     --c9_1(U),
     --ndr1_0,
     --c1_2(V,W),
     --ndr1_1(V),
     --c8_1(V),
     --c7_0,
     ++c3_2(V,W),
     ++c5_2(V,W),
     ++c4_1(V)]).

input_clause(clause706,conjecture,
    [--ssSkC27,
     --c10_2(U,V),
     --c6_2(U,V),
     --c8_2(U,V),
     --ndr1_1(U),
     --c7_2(U,W),
     --ndr1_0,
     ++c3_2(U,W),
     ++c8_2(U,W),
     ++c3_1(U),
     ++c1_2(a387,a388)]).

input_clause(clause707,conjecture,
    [--ssSkC27,
     --c10_2(U,V),
     --c6_2(U,V),
     --c8_2(U,V),
     --ndr1_1(U),
     --c7_2(U,W),
     --ndr1_0,
     ++c3_2(U,W),
     ++c8_2(U,W),
     ++c3_1(U),
     ++c6_2(a387,a388)]).

input_clause(clause708,conjecture,
    [--ssSkC27,
     --c10_2(U,V),
     --c6_2(U,V),
     --c8_2(U,V),
     --ndr1_1(U),
     --c7_2(U,W),
     --ndr1_0,
     ++c3_2(U,W),
     ++c8_2(U,W),
     ++c3_1(U),
     ++c7_2(a387,a388)]).

input_clause(clause709,conjecture,
    [--c9_2(U,V),
     --ndr1_1(U),
     --c10_2(U,W),
     --c5_1(U),
     --ndr1_0,
     --c9_2(a235,a236),
     ++c3_2(U,V),
     ++c7_2(U,V),
     ++c3_2(U,W),
     ++c5_2(U,W),
     ++c2_0]).

input_clause(clause710,conjecture,
    [--c1_2(U,V),
     --c10_2(U,V),
     --c8_2(U,V),
     --ndr1_1(U),
     --c2_2(U,W),
     --ndr1_0,
     --c2_0,
     --c9_0,
     ++c1_2(U,W),
     ++c7_2(U,W),
     ++c1_1(U)]).

input_clause(clause711,conjecture,
    [--ssSkC39,
     --ndr1_1(U),
     --c2_1(U),
     --c6_1(U),
     --ndr1_0,
     --c6_2(a422,V),
     --ndr1_1(a422),
     ++c1_2(U,W),
     ++c4_2(U,W),
     ++c5_2(U,W),
     ++c3_2(a422,V),
     ++c4_2(a422,V)]).

input_clause(clause712,conjecture,
    [--c3_2(U,V),
     --c8_2(U,V),
     --ndr1_1(U),
     --ndr1_0,
     --c6_2(a234,W),
     --ndr1_1(a234),
     ++c7_2(U,V),
     ++c6_1(U),
     ++c7_1(U),
     ++c10_2(a234,W),
     ++c4_2(a234,W),
     ++c2_0]).

input_clause(clause713,conjecture,
    [--c4_2(U,V),
     --c5_2(U,V),
     --ndr1_1(U),
     --c2_1(U),
     --c5_1(U),
     --ndr1_0,
     --c4_2(a364,W),
     --ndr1_1(a364),
     --c9_0,
     ++c3_2(a364,W),
     ++c8_2(a364,W)]).

input_clause(clause714,conjecture,
    [--c6_2(U,V),
     --ndr1_1(U),
     --ndr1_0,
     --c10_2(a323,W),
     --c9_2(a323,W),
     --ndr1_1(a323),
     --c1_0,
     ++c1_2(U,V),
     ++c2_2(U,V),
     ++c1_1(U),
     ++c4_1(U),
     ++c6_2(a323,W)]).

input_clause(clause715,conjecture,
    [--c3_2(U,V),
     --c8_2(U,V),
     --ndr1_1(U),
     --ndr1_0,
     --c2_2(a234,W),
     --c4_2(a234,W),
     --ndr1_1(a234),
     ++c7_2(U,V),
     ++c6_1(U),
     ++c7_1(U),
     ++c1_2(a234,W),
     ++c2_0]).

input_clause(clause716,conjecture,
    [--c4_2(U,V),
     --c5_2(U,V),
     --ndr1_1(U),
     --c2_1(U),
     --c5_1(U),
     --ndr1_0,
     --c10_2(a364,W),
     --c6_2(a364,W),
     --c8_2(a364,W),
     --ndr1_1(a364),
     --c9_0]).

input_clause(clause717,conjecture,
    [--c3_2(U,V),
     --c7_2(U,V),
     --ndr1_1(U),
     --c3_2(U,W),
     --c8_2(U,W),
     --c6_2(U,X),
     --ndr1_0,
     --c3_0,
     ++c4_2(U,V),
     ++c10_2(U,W),
     ++c10_2(U,X),
     ++c8_2(U,X),
     ++c5_1(a346)]).

input_clause(clause718,conjecture,
    [--c5_2(U,V),
     --ndr1_1(U),
     --ndr1_0,
     --c10_1(W),
     --c3_1(W),
     --c8_2(a389,X),
     --ndr1_1(a389),
     ++c6_2(U,V),
     ++c8_2(U,V),
     ++c6_1(U),
     ++c9_1(U),
     ++c4_1(W),
     ++c2_2(a389,X),
     ++c5_2(a389,X)]).

input_clause(clause719,conjecture,
    [--ssSkC27,
     --c10_2(U,V),
     --c6_2(U,V),
     --c8_2(U,V),
     --ndr1_1(U),
     --c7_2(U,W),
     --ndr1_0,
     --c9_2(a387,X),
     --ndr1_1(a387),
     ++c3_2(U,W),
     ++c8_2(U,W),
     ++c3_1(U),
     ++c2_2(a387,X),
     ++c4_2(a387,X)]).

input_clause(clause720,conjecture,
    [--c3_2(U,V),
     --ndr1_1(U),
     --ndr1_0,
     --c2_2(W,X),
     --c3_2(W,X),
     --ndr1_1(W),
     --c4_2(W,Y),
     --c9_2(W,Y),
     --c3_0,
     ++c6_2(U,V),
     ++c8_2(U,V),
     ++c10_1(U),
     ++c2_1(U),
     ++c6_2(W,X),
     ++c1_2(W,Y),
     ++c9_2(W,a343)]).

input_clause(clause721,conjecture,
    [--c3_2(U,V),
     --ndr1_1(U),
     --ndr1_0,
     --c2_2(W,X),
     --c3_2(W,X),
     --ndr1_1(W),
     --c4_2(W,Y),
     --c9_2(W,Y),
     --c3_2(W,a343),
     --c3_0,
     ++c6_2(U,V),
     ++c8_2(U,V),
     ++c10_1(U),
     ++c2_1(U),
     ++c6_2(W,X),
     ++c1_2(W,Y)]).

input_clause(clause722,conjecture,
    [--c3_2(U,V),
     --ndr1_1(U),
     --ndr1_0,
     --c2_2(W,X),
     --c3_2(W,X),
     --ndr1_1(W),
     --c4_2(W,Y),
     --c9_2(W,Y),
     --c4_2(W,a343),
     --c3_0,
     ++c6_2(U,V),
     ++c8_2(U,V),
     ++c10_1(U),
     ++c2_1(U),
     ++c6_2(W,X),
     ++c1_2(W,Y)]).

input_clause(clause723,conjecture,
    [--c3_2(U,V),
     --c7_2(U,V),
     --ndr1_1(U),
     --c3_2(U,W),
     --c8_2(U,W),
     --c6_2(U,X),
     --ndr1_0,
     --c3_2(a346,Y),
     --c6_2(a346,Y),
     --c7_2(a346,Y),
     --ndr1_1(a346),
     --c3_0,
     ++c4_2(U,V),
     ++c10_2(U,W),
     ++c10_2(U,X),
     ++c8_2(U,X)]).

input_clause(clause724,conjecture,
    [--c8_2(U,V),
     --ndr1_1(U),
     --c2_2(U,W),
     --c6_2(U,W),
     --c5_1(U),
     --ndr1_0,
     --c9_2(X,Y),
     --ndr1_1(X),
     --c6_2(X,Z),
     --c4_1(X),
     --c2_2(X1,X2),
     --ndr1_1(X1),
     --c6_1(X1),
     ++c7_2(U,V),
     ++c9_2(U,V),
     ++c3_2(U,W),
     ++c10_2(X,Y),
     ++c4_2(X,Y),
     ++c1_2(X,Z),
     ++c4_2(X,Z),
     ++c10_2(X1,X2),
     ++c6_2(X1,X2),
     ++c10_1(X1)]).
%--------------------------------------------------------------------------
