%--------------------------------------------------------------------------
% File     : SYN433-1 : TPTP v2.1.0. Released v2.1.0.
% Domain   : Syntactic (Translated)
% Problem  : ALC, N=4, R=1, L=20, K=3, D=1, P=0, Index=036
% Version  : Special.
% English  : 

% Refs     : [OS95]  Ohlbach & Schmidt (1995), Functional Translation and S
%          : [WGR96] Weidenbach et al. (1996), SPASS and FLOTTER
%          : [HS97]  Hustadt & Schmidt (1997), On Evaluating Decision Proce
%          : [Wei97] Weidenbach (1997), Email to G. Sutcliffe
% Source   : [Wei97]
% Names    : alc-4-1-20-3-1-036.cnf [Wei97]

% Status   : satisfiable
% Rating   : ? v2.1.0
% Syntax   : Number of clauses    :  124 (  20 non-Horn;   0 unit; 119 RR)
%            Number of literals   :  351 (   0 equality)
%            Maximal clause size  :   10 (   2 average)
%            Number of predicates :   31 (  27 propositional; 0-1 arity)
%            Number of functors   :   26 (  26 constant; 0-0 arity)
%            Number of variables  :   33 (   0 singleton)
%            Maximal term depth   :    1 (   1 average)

% Comments : These ALC problems have been translated from propositional 
%            multi-modal K logic formulae generated according to the scheme
%            described in [HS97], using the optimized functional translation
%            described in [OS95]. The finite model property holds, the
%            Herbrand Universe is finite, they are decidable (the complexity
%            is PSPACE-complete), resolution + subsumption + condensing is a
%            decision procedure, and the translated formulae belong to the
%            (CNF-translation of the) Bernays-Schoenfinkel class [Wei97].
%          : Translated from FOF using FLOTTER [WGR96].
%--------------------------------------------------------------------------
input_clause(clause1,conjecture,
    [--hskp25,++ndr1_0]).

input_clause(clause2,conjecture,
    [--hskp24,++ndr1_0]).

input_clause(clause3,conjecture,
    [--hskp23,++ndr1_0]).

input_clause(clause4,conjecture,
    [--hskp22,++ndr1_0]).

input_clause(clause5,conjecture,
    [--hskp21,++ndr1_0]).

input_clause(clause6,conjecture,
    [--hskp20,++ndr1_0]).

input_clause(clause7,conjecture,
    [--hskp19,++ndr1_0]).

input_clause(clause8,conjecture,
    [--hskp18,++ndr1_0]).

input_clause(clause9,conjecture,
    [--hskp17,++ndr1_0]).

input_clause(clause10,conjecture,
    [--hskp16,++ndr1_0]).

input_clause(clause11,conjecture,
    [--hskp15,++ndr1_0]).

input_clause(clause12,conjecture,
    [--hskp14,++ndr1_0]).

input_clause(clause13,conjecture,
    [--hskp13,++ndr1_0]).

input_clause(clause14,conjecture,
    [--hskp12,++ndr1_0]).

input_clause(clause15,conjecture,
    [--hskp11,++ndr1_0]).

input_clause(clause16,conjecture,
    [--hskp10,++ndr1_0]).

input_clause(clause17,conjecture,
    [--hskp9,++ndr1_0]).

input_clause(clause18,conjecture,
    [--hskp8,++ndr1_0]).

input_clause(clause19,conjecture,
    [--hskp7,++ndr1_0]).

input_clause(clause20,conjecture,
    [--hskp6,++ndr1_0]).

input_clause(clause21,conjecture,
    [--hskp5,++ndr1_0]).

input_clause(clause22,conjecture,
    [--hskp4,++ndr1_0]).

input_clause(clause23,conjecture,
    [--hskp3,++ndr1_0]).

input_clause(clause24,conjecture,
    [--hskp2,++ndr1_0]).

input_clause(clause25,conjecture,
    [--hskp1,++ndr1_0]).

input_clause(clause26,conjecture,
    [--hskp0,++ndr1_0]).

input_clause(clause27,conjecture,
    [++hskp2,++hskp16,++hskp17]).

input_clause(clause28,conjecture,
    [++hskp3,++hskp18,++hskp4]).

input_clause(clause29,conjecture,
    [++hskp8,++hskp21,++hskp9]).

input_clause(clause30,conjecture,
    [--hskp25,
     ++c1_1(a220)]).

input_clause(clause31,conjecture,
    [--hskp25,
     ++c2_1(a220)]).

input_clause(clause32,conjecture,
    [--hskp25,
     ++c0_1(a220)]).

input_clause(clause33,conjecture,
    [--hskp24,
     ++c2_1(a219)]).

input_clause(clause34,conjecture,
    [--hskp24,
     ++c1_1(a219)]).

input_clause(clause35,conjecture,
    [--hskp24,
     ++c0_1(a219)]).

input_clause(clause36,conjecture,
    [--hskp23,
     ++c2_1(a218)]).

input_clause(clause37,conjecture,
    [--hskp23,
     ++c0_1(a218)]).

input_clause(clause38,conjecture,
    [--hskp23,
     ++c3_1(a218)]).

input_clause(clause39,conjecture,
    [--hskp22,
     ++c2_1(a216)]).

input_clause(clause40,conjecture,
    [--hskp22,
     ++c3_1(a216)]).

input_clause(clause41,conjecture,
    [--hskp22,
     ++c0_1(a216)]).

input_clause(clause42,conjecture,
    [--hskp21,
     ++c2_1(a214)]).

input_clause(clause43,conjecture,
    [--hskp21,
     ++c0_1(a214)]).

input_clause(clause44,conjecture,
    [--hskp20,
     ++c0_1(a209)]).

input_clause(clause45,conjecture,
    [--hskp20,
     ++c1_1(a209)]).

input_clause(clause46,conjecture,
    [--hskp19,
     ++c2_1(a208)]).

input_clause(clause47,conjecture,
    [--hskp19,
     ++c0_1(a208)]).

input_clause(clause48,conjecture,
    [--hskp19,
     ++c1_1(a208)]).

input_clause(clause49,conjecture,
    [--hskp18,
     ++c1_1(a206)]).

input_clause(clause50,conjecture,
    [--hskp18,
     ++c3_1(a206)]).

input_clause(clause51,conjecture,
    [--hskp18,
     ++c0_1(a206)]).

input_clause(clause52,conjecture,
    [--hskp17,
     ++c2_1(a204)]).

input_clause(clause53,conjecture,
    [--hskp17,
     ++c3_1(a204)]).

input_clause(clause54,conjecture,
    [--hskp16,
     ++c3_1(a203)]).

input_clause(clause55,conjecture,
    [--hskp16,
     ++c0_1(a203)]).

input_clause(clause56,conjecture,
    [--hskp15,
     ++c2_1(a200)]).

input_clause(clause57,conjecture,
    [--hskp15,
     ++c3_1(a200)]).

input_clause(clause58,conjecture,
    [--hskp14,
     ++c0_1(a199)]).

input_clause(clause59,conjecture,
    [--hskp14,
     ++c3_1(a199)]).

input_clause(clause60,conjecture,
    [--hskp13,
     ++c3_1(a196)]).

input_clause(clause61,conjecture,
    [--hskp12,
     ++c3_1(a222)]).

input_clause(clause62,conjecture,
    [--hskp12,
     ++c0_1(a222)]).

input_clause(clause63,conjecture,
    [--hskp10,
     ++c0_1(a217)]).

input_clause(clause64,conjecture,
    [--hskp8,
     ++c2_1(a213)]).

input_clause(clause65,conjecture,
    [--hskp7,
     ++c1_1(a212)]).

input_clause(clause66,conjecture,
    [--hskp6,
     ++c2_1(a211)]).

input_clause(clause67,conjecture,
    [--hskp4,
     ++c0_1(a207)]).

input_clause(clause68,conjecture,
    [--hskp3,
     ++c0_1(a205)]).

input_clause(clause69,conjecture,
    [--hskp2,
     ++c2_1(a202)]).

input_clause(clause70,conjecture,
    [--hskp2,
     ++c0_1(a202)]).

input_clause(clause71,conjecture,
    [--hskp1,
     ++c3_1(a198)]).

input_clause(clause72,conjecture,
    [--hskp1,
     ++c0_1(a198)]).

input_clause(clause73,conjecture,
    [--hskp0,
     ++c1_1(a197)]).

input_clause(clause74,conjecture,
    [--c3_1(a214),
     --hskp21]).

input_clause(clause75,conjecture,
    [--c2_1(a209),
     --hskp20]).

input_clause(clause76,conjecture,
    [--c0_1(a204),
     --hskp17]).

input_clause(clause77,conjecture,
    [--c1_1(a203),
     --hskp16]).

input_clause(clause78,conjecture,
    [--c0_1(a200),
     --hskp15]).

input_clause(clause79,conjecture,
    [--c2_1(a199),
     --hskp14]).

input_clause(clause80,conjecture,
    [--c2_1(a196),
     --hskp13]).

input_clause(clause81,conjecture,
    [--c0_1(a196),
     --hskp13]).

input_clause(clause82,conjecture,
    [--c2_1(a222),
     --hskp12]).

input_clause(clause83,conjecture,
    [--c1_1(a221),
     --hskp11]).

input_clause(clause84,conjecture,
    [--c2_1(a221),
     --hskp11]).

input_clause(clause85,conjecture,
    [--c3_1(a221),
     --hskp11]).

input_clause(clause86,conjecture,
    [--c3_1(a217),
     --hskp10]).

input_clause(clause87,conjecture,
    [--c1_1(a217),
     --hskp10]).

input_clause(clause88,conjecture,
    [--c2_1(a215),
     --hskp9]).

input_clause(clause89,conjecture,
    [--c1_1(a215),
     --hskp9]).

input_clause(clause90,conjecture,
    [--c0_1(a215),
     --hskp9]).

input_clause(clause91,conjecture,
    [--c3_1(a213),
     --hskp8]).

input_clause(clause92,conjecture,
    [--c0_1(a213),
     --hskp8]).

input_clause(clause93,conjecture,
    [--c0_1(a212),
     --hskp7]).

input_clause(clause94,conjecture,
    [--c3_1(a212),
     --hskp7]).

input_clause(clause95,conjecture,
    [--c3_1(a211),
     --hskp6]).

input_clause(clause96,conjecture,
    [--c0_1(a211),
     --hskp6]).

input_clause(clause97,conjecture,
    [--c3_1(a210),
     --hskp5]).

input_clause(clause98,conjecture,
    [--c2_1(a210),
     --hskp5]).

input_clause(clause99,conjecture,
    [--c1_1(a210),
     --hskp5]).

input_clause(clause100,conjecture,
    [--c3_1(a207),
     --hskp4]).

input_clause(clause101,conjecture,
    [--c1_1(a207),
     --hskp4]).

input_clause(clause102,conjecture,
    [--c2_1(a205),
     --hskp3]).

input_clause(clause103,conjecture,
    [--c1_1(a205),
     --hskp3]).

input_clause(clause104,conjecture,
    [--c3_1(a202),
     --hskp2]).

input_clause(clause105,conjecture,
    [--c1_1(a198),
     --hskp1]).

input_clause(clause106,conjecture,
    [--c3_1(a197),
     --hskp0]).

input_clause(clause107,conjecture,
    [--c0_1(a197),
     --hskp0]).

input_clause(clause108,conjecture,
    [--ndr1_0,
     ++c3_1(U),
     ++c2_1(U),
     ++c0_1(U),
     ++hskp13,
     ++hskp0]).

input_clause(clause109,conjecture,
    [--ndr1_0,
     ++c0_1(U),
     ++c1_1(U),
     ++c3_1(U),
     ++hskp23,
     ++hskp24]).

input_clause(clause110,conjecture,
    [--c0_1(U),
     --ndr1_0,
     ++c2_1(U),
     ++c3_1(U),
     ++hskp20,
     ++hskp5]).

input_clause(clause111,conjecture,
    [--c3_1(U),
     --ndr1_0,
     ++c1_1(U),
     ++c0_1(U),
     ++hskp6,
     ++hskp7]).

input_clause(clause112,conjecture,
    [--c2_1(U),
     --c0_1(U),
     --ndr1_0,
     ++c1_1(U),
     ++hskp25,
     ++hskp11]).

input_clause(clause113,conjecture,
    [--c2_1(U),
     --ndr1_0,
     --c2_1(V),
     ++c1_1(U),
     ++c0_1(U),
     ++c0_1(V),
     ++c3_1(V),
     ++hskp10]).

input_clause(clause114,conjecture,
    [--c1_1(U),
     --c0_1(U),
     --c3_1(U),
     --ndr1_0,
     ++c0_1(V),
     ++c3_1(V),
     ++c2_1(V),
     ++hskp15]).

input_clause(clause115,conjecture,
    [--c3_1(U),
     --ndr1_0,
     --c3_1(V),
     --c2_1(V),
     ++c0_1(U),
     ++c2_1(U),
     ++c0_1(V),
     ++hskp0]).

input_clause(clause116,conjecture,
    [--c0_1(U),
     --c2_1(U),
     --ndr1_0,
     --c1_1(V),
     ++c1_1(U),
     ++c0_1(V),
     ++c2_1(V),
     ++hskp19]).

input_clause(clause117,conjecture,
    [--c0_1(U),
     --c3_1(U),
     --ndr1_0,
     --c0_1(V),
     ++c1_1(U),
     ++c2_1(V),
     ++c3_1(V),
     ++hskp22]).

input_clause(clause118,conjecture,
    [--c2_1(U),
     --c3_1(U),
     --c1_1(U),
     --ndr1_0,
     ++c1_1(V),
     ++c0_1(V),
     ++c2_1(V),
     ++hskp12]).

input_clause(clause119,conjecture,
    [--c3_1(U),
     --c1_1(U),
     --ndr1_0,
     --c0_1(V),
     --c1_1(V),
     ++c2_1(U),
     ++c3_1(V),
     ++hskp1]).

input_clause(clause120,conjecture,
    [--c0_1(U),
     --ndr1_0,
     --c2_1(V),
     --c0_1(V),
     --c1_1(V),
     ++c2_1(U),
     ++c1_1(U),
     ++hskp14]).

input_clause(clause121,conjecture,
    [--ndr1_0,
     --c0_1(U),
     ++c1_1(V),
     ++c2_1(V),
     ++c3_1(V),
     ++c3_1(U),
     ++c1_1(U),
     ++c2_1(W),
     ++c0_1(W),
     ++c1_1(W)]).

input_clause(clause122,conjecture,
    [--c0_1(U),
     --ndr1_0,
     --c2_1(V),
     --c3_1(V),
     --c1_1(V),
     --c1_1(W),
     ++c1_1(U),
     ++c3_1(U),
     ++c3_1(W),
     ++c0_1(W)]).

input_clause(clause123,conjecture,
    [--c0_1(U),
     --c3_1(U),
     --c2_1(U),
     --ndr1_0,
     --c2_1(V),
     --c3_1(W),
     ++c0_1(V),
     ++c1_1(V),
     ++c0_1(W),
     ++c1_1(W)]).

input_clause(clause124,conjecture,
    [--c0_1(U),
     --ndr1_0,
     --c2_1(V),
     --c0_1(V),
     --c0_1(W),
     --c3_1(W),
     ++c1_1(U),
     ++c3_1(U),
     ++c1_1(V),
     ++c1_1(W)]).
%--------------------------------------------------------------------------
