%--------------------------------------------------------------------------
% File     : SYN460-1 : TPTP v2.1.0. Released v2.1.0.
% Domain   : Syntactic (Translated)
% Problem  : ALC, N=4, R=1, L=60, K=3, D=1, P=0, Index=077
% Version  : Special.
% English  : 

% Refs     : [OS95]  Ohlbach & Schmidt (1995), Functional Translation and S
%          : [WGR96] Weidenbach et al. (1996), SPASS and FLOTTER
%          : [HS97]  Hustadt & Schmidt (1997), On Evaluating Decision Proce
%          : [Wei97] Weidenbach (1997), Email to G. Sutcliffe
% Source   : [Wei97]
% Names    : alc-4-1-60-3-1-077.cnf [Wei97]

% Status   : unsatisfiable
% Rating   : ? v2.1.0
% Syntax   : Number of clauses    :  296 (  59 non-Horn;   0 unit; 285 RR)
%            Number of literals   :  905 (   0 equality)
%            Maximal clause size  :   10 (   3 average)
%            Number of predicates :   64 (  60 propositional; 0-1 arity)
%            Number of functors   :   59 (  59 constant; 0-0 arity)
%            Number of variables  :  101 (   0 singleton)
%            Maximal term depth   :    1 (   1 average)

% Comments : These ALC problems have been translated from propositional 
%            multi-modal K logic formulae generated according to the scheme
%            described in [HS97], using the optimized functional translation
%            described in [OS95]. The finite model property holds, the
%            Herbrand Universe is finite, they are decidable (the complexity
%            is PSPACE-complete), resolution + subsumption + condensing is a
%            decision procedure, and the translated formulae belong to the
%            (CNF-translation of the) Bernays-Schoenfinkel class [Wei97].
%          : Translated from FOF using FLOTTER [WGR96].
%--------------------------------------------------------------------------
input_clause(clause1,conjecture,
    [--hskp58,++ndr1_0]).

input_clause(clause2,conjecture,
    [--hskp57,++ndr1_0]).

input_clause(clause3,conjecture,
    [--hskp56,++ndr1_0]).

input_clause(clause4,conjecture,
    [--hskp55,++ndr1_0]).

input_clause(clause5,conjecture,
    [--hskp54,++ndr1_0]).

input_clause(clause6,conjecture,
    [--hskp53,++ndr1_0]).

input_clause(clause7,conjecture,
    [--hskp52,++ndr1_0]).

input_clause(clause8,conjecture,
    [--hskp51,++ndr1_0]).

input_clause(clause9,conjecture,
    [--hskp50,++ndr1_0]).

input_clause(clause10,conjecture,
    [--hskp49,++ndr1_0]).

input_clause(clause11,conjecture,
    [--hskp48,++ndr1_0]).

input_clause(clause12,conjecture,
    [--hskp47,++ndr1_0]).

input_clause(clause13,conjecture,
    [--hskp46,++ndr1_0]).

input_clause(clause14,conjecture,
    [--hskp45,++ndr1_0]).

input_clause(clause15,conjecture,
    [--hskp44,++ndr1_0]).

input_clause(clause16,conjecture,
    [--hskp43,++ndr1_0]).

input_clause(clause17,conjecture,
    [--hskp42,++ndr1_0]).

input_clause(clause18,conjecture,
    [--hskp41,++ndr1_0]).

input_clause(clause19,conjecture,
    [--hskp40,++ndr1_0]).

input_clause(clause20,conjecture,
    [--hskp39,++ndr1_0]).

input_clause(clause21,conjecture,
    [--hskp38,++ndr1_0]).

input_clause(clause22,conjecture,
    [--hskp37,++ndr1_0]).

input_clause(clause23,conjecture,
    [--hskp36,++ndr1_0]).

input_clause(clause24,conjecture,
    [--hskp35,++ndr1_0]).

input_clause(clause25,conjecture,
    [--hskp34,++ndr1_0]).

input_clause(clause26,conjecture,
    [--hskp33,++ndr1_0]).

input_clause(clause27,conjecture,
    [--hskp32,++ndr1_0]).

input_clause(clause28,conjecture,
    [--hskp31,++ndr1_0]).

input_clause(clause29,conjecture,
    [--hskp30,++ndr1_0]).

input_clause(clause30,conjecture,
    [--hskp29,++ndr1_0]).

input_clause(clause31,conjecture,
    [--hskp28,++ndr1_0]).

input_clause(clause32,conjecture,
    [--hskp27,++ndr1_0]).

input_clause(clause33,conjecture,
    [--hskp26,++ndr1_0]).

input_clause(clause34,conjecture,
    [--hskp25,++ndr1_0]).

input_clause(clause35,conjecture,
    [--hskp24,++ndr1_0]).

input_clause(clause36,conjecture,
    [--hskp23,++ndr1_0]).

input_clause(clause37,conjecture,
    [--hskp22,++ndr1_0]).

input_clause(clause38,conjecture,
    [--hskp21,++ndr1_0]).

input_clause(clause39,conjecture,
    [--hskp20,++ndr1_0]).

input_clause(clause40,conjecture,
    [--hskp19,++ndr1_0]).

input_clause(clause41,conjecture,
    [--hskp18,++ndr1_0]).

input_clause(clause42,conjecture,
    [--hskp17,++ndr1_0]).

input_clause(clause43,conjecture,
    [--hskp16,++ndr1_0]).

input_clause(clause44,conjecture,
    [--hskp15,++ndr1_0]).

input_clause(clause45,conjecture,
    [--hskp14,++ndr1_0]).

input_clause(clause46,conjecture,
    [--hskp13,++ndr1_0]).

input_clause(clause47,conjecture,
    [--hskp12,++ndr1_0]).

input_clause(clause48,conjecture,
    [--hskp11,++ndr1_0]).

input_clause(clause49,conjecture,
    [--hskp10,++ndr1_0]).

input_clause(clause50,conjecture,
    [--hskp9,++ndr1_0]).

input_clause(clause51,conjecture,
    [--hskp8,++ndr1_0]).

input_clause(clause52,conjecture,
    [--hskp7,++ndr1_0]).

input_clause(clause53,conjecture,
    [--hskp6,++ndr1_0]).

input_clause(clause54,conjecture,
    [--hskp5,++ndr1_0]).

input_clause(clause55,conjecture,
    [--hskp4,++ndr1_0]).

input_clause(clause56,conjecture,
    [--hskp3,++ndr1_0]).

input_clause(clause57,conjecture,
    [--hskp2,++ndr1_0]).

input_clause(clause58,conjecture,
    [--hskp1,++ndr1_0]).

input_clause(clause59,conjecture,
    [--hskp0,++ndr1_0]).

input_clause(clause60,conjecture,
    [++hskp29,++hskp30,++hskp31]).

input_clause(clause61,conjecture,
    [++hskp5,++hskp35,++hskp36]).

input_clause(clause62,conjecture,
    [++hskp34,++hskp37,++hskp6]).

input_clause(clause63,conjecture,
    [++hskp11,++hskp3,++hskp12]).

input_clause(clause64,conjecture,
    [++hskp21,++hskp54,++hskp55]).

input_clause(clause65,conjecture,
    [--hskp58,
     ++c0_1(a2252)]).

input_clause(clause66,conjecture,
    [--hskp57,
     ++c1_1(a2243)]).

input_clause(clause67,conjecture,
    [--hskp57,
     ++c0_1(a2243)]).

input_clause(clause68,conjecture,
    [--hskp57,
     ++c3_1(a2243)]).

input_clause(clause69,conjecture,
    [--hskp56,
     ++c2_1(a2242)]).

input_clause(clause70,conjecture,
    [--hskp55,
     ++c1_1(a2241)]).

input_clause(clause71,conjecture,
    [--hskp55,
     ++c0_1(a2241)]).

input_clause(clause72,conjecture,
    [--hskp55,
     ++c2_1(a2241)]).

input_clause(clause73,conjecture,
    [--hskp54,
     ++c1_1(a2240)]).

input_clause(clause74,conjecture,
    [--hskp54,
     ++c3_1(a2240)]).

input_clause(clause75,conjecture,
    [--hskp54,
     ++c0_1(a2240)]).

input_clause(clause76,conjecture,
    [--hskp53,
     ++c0_1(a2235)]).

input_clause(clause77,conjecture,
    [--hskp53,
     ++c2_1(a2235)]).

input_clause(clause78,conjecture,
    [--hskp53,
     ++c3_1(a2235)]).

input_clause(clause79,conjecture,
    [--hskp52,
     ++c1_1(a2234)]).

input_clause(clause80,conjecture,
    [--hskp52,
     ++c3_1(a2234)]).

input_clause(clause81,conjecture,
    [--hskp52,
     ++c2_1(a2234)]).

input_clause(clause82,conjecture,
    [--hskp51,
     ++c0_1(a2232)]).

input_clause(clause83,conjecture,
    [--hskp51,
     ++c3_1(a2232)]).

input_clause(clause84,conjecture,
    [--hskp51,
     ++c2_1(a2232)]).

input_clause(clause85,conjecture,
    [--hskp50,
     ++c2_1(a2231)]).

input_clause(clause86,conjecture,
    [--hskp50,
     ++c1_1(a2231)]).

input_clause(clause87,conjecture,
    [--hskp49,
     ++c0_1(a2229)]).

input_clause(clause88,conjecture,
    [--hskp49,
     ++c3_1(a2229)]).

input_clause(clause89,conjecture,
    [--hskp48,
     ++c3_1(a2228)]).

input_clause(clause90,conjecture,
    [--hskp48,
     ++c2_1(a2228)]).

input_clause(clause91,conjecture,
    [--hskp47,
     ++c2_1(a2226)]).

input_clause(clause92,conjecture,
    [--hskp47,
     ++c0_1(a2226)]).

input_clause(clause93,conjecture,
    [--hskp46,
     ++c0_1(a2218)]).

input_clause(clause94,conjecture,
    [--hskp46,
     ++c2_1(a2218)]).

input_clause(clause95,conjecture,
    [--hskp45,
     ++c2_1(a2216)]).

input_clause(clause96,conjecture,
    [--hskp45,
     ++c3_1(a2216)]).

input_clause(clause97,conjecture,
    [--hskp45,
     ++c0_1(a2216)]).

input_clause(clause98,conjecture,
    [--hskp44,
     ++c2_1(a2215)]).

input_clause(clause99,conjecture,
    [--hskp44,
     ++c1_1(a2215)]).

input_clause(clause100,conjecture,
    [--hskp43,
     ++c3_1(a2208)]).

input_clause(clause101,conjecture,
    [--hskp43,
     ++c0_1(a2208)]).

input_clause(clause102,conjecture,
    [--hskp42,
     ++c1_1(a2207)]).

input_clause(clause103,conjecture,
    [--hskp42,
     ++c0_1(a2207)]).

input_clause(clause104,conjecture,
    [--hskp41,
     ++c2_1(a2205)]).

input_clause(clause105,conjecture,
    [--hskp41,
     ++c1_1(a2205)]).

input_clause(clause106,conjecture,
    [--hskp40,
     ++c2_1(a2204)]).

input_clause(clause107,conjecture,
    [--hskp40,
     ++c3_1(a2204)]).

input_clause(clause108,conjecture,
    [--hskp39,
     ++c3_1(a2201)]).

input_clause(clause109,conjecture,
    [--hskp38,
     ++c1_1(a2200)]).

input_clause(clause110,conjecture,
    [--hskp37,
     ++c1_1(a2196)]).

input_clause(clause111,conjecture,
    [--hskp37,
     ++c2_1(a2196)]).

input_clause(clause112,conjecture,
    [--hskp36,
     ++c3_1(a2194)]).

input_clause(clause113,conjecture,
    [--hskp36,
     ++c1_1(a2194)]).

input_clause(clause114,conjecture,
    [--hskp35,
     ++c2_1(a2193)]).

input_clause(clause115,conjecture,
    [--hskp35,
     ++c3_1(a2193)]).

input_clause(clause116,conjecture,
    [--hskp34,
     ++c1_1(a2189)]).

input_clause(clause117,conjecture,
    [--hskp34,
     ++c3_1(a2189)]).

input_clause(clause118,conjecture,
    [--hskp33,
     ++c1_1(a2188)]).

input_clause(clause119,conjecture,
    [--hskp32,
     ++c0_1(a2186)]).

input_clause(clause120,conjecture,
    [--hskp31,
     ++c1_1(a2185)]).

input_clause(clause121,conjecture,
    [--hskp31,
     ++c3_1(a2185)]).

input_clause(clause122,conjecture,
    [--hskp30,
     ++c0_1(a2184)]).

input_clause(clause123,conjecture,
    [--hskp29,
     ++c2_1(a2183)]).

input_clause(clause124,conjecture,
    [--hskp29,
     ++c3_1(a2183)]).

input_clause(clause125,conjecture,
    [--hskp28,
     ++c3_1(a2180)]).

input_clause(clause126,conjecture,
    [--hskp28,
     ++c1_1(a2180)]).

input_clause(clause127,conjecture,
    [--hskp28,
     ++c2_1(a2180)]).

input_clause(clause128,conjecture,
    [--hskp27,
     ++c0_1(a2179)]).

input_clause(clause129,conjecture,
    [--hskp26,
     ++c0_1(a2178)]).

input_clause(clause130,conjecture,
    [--hskp26,
     ++c2_1(a2178)]).

input_clause(clause131,conjecture,
    [--hskp25,
     ++c3_1(a2249)]).

input_clause(clause132,conjecture,
    [--hskp25,
     ++c2_1(a2249)]).

input_clause(clause133,conjecture,
    [--hskp24,
     ++c1_1(a2246)]).

input_clause(clause134,conjecture,
    [--hskp23,
     ++c3_1(a2245)]).

input_clause(clause135,conjecture,
    [--hskp23,
     ++c0_1(a2245)]).

input_clause(clause136,conjecture,
    [--hskp22,
     ++c0_1(a2244)]).

input_clause(clause137,conjecture,
    [--hskp21,
     ++c2_1(a2239)]).

input_clause(clause138,conjecture,
    [--hskp20,
     ++c1_1(a2237)]).

input_clause(clause139,conjecture,
    [--hskp20,
     ++c0_1(a2237)]).

input_clause(clause140,conjecture,
    [--hskp18,
     ++c0_1(a2222)]).

input_clause(clause141,conjecture,
    [--hskp18,
     ++c3_1(a2222)]).

input_clause(clause142,conjecture,
    [--hskp17,
     ++c2_1(a2221)]).

input_clause(clause143,conjecture,
    [--hskp15,
     ++c1_1(a2217)]).

input_clause(clause144,conjecture,
    [--hskp14,
     ++c2_1(a2213)]).

input_clause(clause145,conjecture,
    [--hskp13,
     ++c0_1(a2212)]).

input_clause(clause146,conjecture,
    [--hskp13,
     ++c2_1(a2212)]).

input_clause(clause147,conjecture,
    [--hskp12,
     ++c2_1(a2211)]).

input_clause(clause148,conjecture,
    [--hskp11,
     ++c0_1(a2209)]).

input_clause(clause149,conjecture,
    [--hskp9,
     ++c0_1(a2203)]).

input_clause(clause150,conjecture,
    [--hskp7,
     ++c2_1(a2198)]).

input_clause(clause151,conjecture,
    [--hskp7,
     ++c0_1(a2198)]).

input_clause(clause152,conjecture,
    [--hskp5,
     ++c1_1(a2192)]).

input_clause(clause153,conjecture,
    [--hskp4,
     ++c3_1(a2191)]).

input_clause(clause154,conjecture,
    [--hskp3,
     ++c2_1(a2190)]).

input_clause(clause155,conjecture,
    [--hskp2,
     ++c3_1(a2187)]).

input_clause(clause156,conjecture,
    [--hskp2,
     ++c1_1(a2187)]).

input_clause(clause157,conjecture,
    [--hskp1,
     ++c3_1(a2182)]).

input_clause(clause158,conjecture,
    [--c2_1(a2252),
     --hskp58]).

input_clause(clause159,conjecture,
    [--c1_1(a2252),
     --hskp58]).

input_clause(clause160,conjecture,
    [--c1_1(a2242),
     --hskp56]).

input_clause(clause161,conjecture,
    [--c3_1(a2242),
     --hskp56]).

input_clause(clause162,conjecture,
    [--c3_1(a2231),
     --hskp50]).

input_clause(clause163,conjecture,
    [--c1_1(a2229),
     --hskp49]).

input_clause(clause164,conjecture,
    [--c0_1(a2228),
     --hskp48]).

input_clause(clause165,conjecture,
    [--c1_1(a2226),
     --hskp47]).

input_clause(clause166,conjecture,
    [--c3_1(a2218),
     --hskp46]).

input_clause(clause167,conjecture,
    [--c0_1(a2215),
     --hskp44]).

input_clause(clause168,conjecture,
    [--c2_1(a2208),
     --hskp43]).

input_clause(clause169,conjecture,
    [--c3_1(a2207),
     --hskp42]).

input_clause(clause170,conjecture,
    [--c0_1(a2205),
     --hskp41]).

input_clause(clause171,conjecture,
    [--c1_1(a2204),
     --hskp40]).

input_clause(clause172,conjecture,
    [--c1_1(a2201),
     --hskp39]).

input_clause(clause173,conjecture,
    [--c0_1(a2201),
     --hskp39]).

input_clause(clause174,conjecture,
    [--c0_1(a2200),
     --hskp38]).

input_clause(clause175,conjecture,
    [--c2_1(a2200),
     --hskp38]).

input_clause(clause176,conjecture,
    [--c0_1(a2196),
     --hskp37]).

input_clause(clause177,conjecture,
    [--c2_1(a2194),
     --hskp36]).

input_clause(clause178,conjecture,
    [--c0_1(a2193),
     --hskp35]).

input_clause(clause179,conjecture,
    [--c0_1(a2189),
     --hskp34]).

input_clause(clause180,conjecture,
    [--c3_1(a2188),
     --hskp33]).

input_clause(clause181,conjecture,
    [--c2_1(a2188),
     --hskp33]).

input_clause(clause182,conjecture,
    [--c3_1(a2186),
     --hskp32]).

input_clause(clause183,conjecture,
    [--c2_1(a2186),
     --hskp32]).

input_clause(clause184,conjecture,
    [--c2_1(a2185),
     --hskp31]).

input_clause(clause185,conjecture,
    [--c3_1(a2184),
     --hskp30]).

input_clause(clause186,conjecture,
    [--c1_1(a2184),
     --hskp30]).

input_clause(clause187,conjecture,
    [--c0_1(a2183),
     --hskp29]).

input_clause(clause188,conjecture,
    [--c1_1(a2179),
     --hskp27]).

input_clause(clause189,conjecture,
    [--c2_1(a2179),
     --hskp27]).

input_clause(clause190,conjecture,
    [--c3_1(a2178),
     --hskp26]).

input_clause(clause191,conjecture,
    [--c0_1(a2249),
     --hskp25]).

input_clause(clause192,conjecture,
    [--c0_1(a2246),
     --hskp24]).

input_clause(clause193,conjecture,
    [--c3_1(a2246),
     --hskp24]).

input_clause(clause194,conjecture,
    [--c1_1(a2245),
     --hskp23]).

input_clause(clause195,conjecture,
    [--c2_1(a2244),
     --hskp22]).

input_clause(clause196,conjecture,
    [--c1_1(a2244),
     --hskp22]).

input_clause(clause197,conjecture,
    [--c0_1(a2239),
     --hskp21]).

input_clause(clause198,conjecture,
    [--c3_1(a2239),
     --hskp21]).

input_clause(clause199,conjecture,
    [--c3_1(a2237),
     --hskp20]).

input_clause(clause200,conjecture,
    [--c0_1(a2233),
     --hskp19]).

input_clause(clause201,conjecture,
    [--c1_1(a2233),
     --hskp19]).

input_clause(clause202,conjecture,
    [--c3_1(a2233),
     --hskp19]).

input_clause(clause203,conjecture,
    [--c2_1(a2222),
     --hskp18]).

input_clause(clause204,conjecture,
    [--c0_1(a2221),
     --hskp17]).

input_clause(clause205,conjecture,
    [--c3_1(a2221),
     --hskp17]).

input_clause(clause206,conjecture,
    [--c2_1(a2220),
     --hskp16]).

input_clause(clause207,conjecture,
    [--c1_1(a2220),
     --hskp16]).

input_clause(clause208,conjecture,
    [--c3_1(a2220),
     --hskp16]).

input_clause(clause209,conjecture,
    [--c3_1(a2217),
     --hskp15]).

input_clause(clause210,conjecture,
    [--c0_1(a2217),
     --hskp15]).

input_clause(clause211,conjecture,
    [--c1_1(a2213),
     --hskp14]).

input_clause(clause212,conjecture,
    [--c0_1(a2213),
     --hskp14]).

input_clause(clause213,conjecture,
    [--c3_1(a2212),
     --hskp13]).

input_clause(clause214,conjecture,
    [--c1_1(a2211),
     --hskp12]).

input_clause(clause215,conjecture,
    [--c3_1(a2211),
     --hskp12]).

input_clause(clause216,conjecture,
    [--c1_1(a2209),
     --hskp11]).

input_clause(clause217,conjecture,
    [--c2_1(a2209),
     --hskp11]).

input_clause(clause218,conjecture,
    [--c2_1(a2206),
     --hskp10]).

input_clause(clause219,conjecture,
    [--c0_1(a2206),
     --hskp10]).

input_clause(clause220,conjecture,
    [--c3_1(a2206),
     --hskp10]).

input_clause(clause221,conjecture,
    [--c1_1(a2203),
     --hskp9]).

input_clause(clause222,conjecture,
    [--c3_1(a2203),
     --hskp9]).

input_clause(clause223,conjecture,
    [--c2_1(a2202),
     --hskp8]).

input_clause(clause224,conjecture,
    [--c1_1(a2202),
     --hskp8]).

input_clause(clause225,conjecture,
    [--c0_1(a2202),
     --hskp8]).

input_clause(clause226,conjecture,
    [--c3_1(a2198),
     --hskp7]).

input_clause(clause227,conjecture,
    [--c0_1(a2197),
     --hskp6]).

input_clause(clause228,conjecture,
    [--c3_1(a2197),
     --hskp6]).

input_clause(clause229,conjecture,
    [--c1_1(a2197),
     --hskp6]).

input_clause(clause230,conjecture,
    [--c0_1(a2192),
     --hskp5]).

input_clause(clause231,conjecture,
    [--c3_1(a2192),
     --hskp5]).

input_clause(clause232,conjecture,
    [--c2_1(a2191),
     --hskp4]).

input_clause(clause233,conjecture,
    [--c1_1(a2191),
     --hskp4]).

input_clause(clause234,conjecture,
    [--c1_1(a2190),
     --hskp3]).

input_clause(clause235,conjecture,
    [--c0_1(a2190),
     --hskp3]).

input_clause(clause236,conjecture,
    [--c2_1(a2187),
     --hskp2]).

input_clause(clause237,conjecture,
    [--c0_1(a2182),
     --hskp1]).

input_clause(clause238,conjecture,
    [--c2_1(a2182),
     --hskp1]).

input_clause(clause239,conjecture,
    [--c0_1(a2181),
     --hskp0]).

input_clause(clause240,conjecture,
    [--c1_1(a2181),
     --hskp0]).

input_clause(clause241,conjecture,
    [--c2_1(a2181),
     --hskp0]).

input_clause(clause242,conjecture,
    [--ndr1_0,
     ++c3_1(U),
     ++c1_1(U),
     ++c2_1(U),
     ++hskp27,
     ++hskp28]).

input_clause(clause243,conjecture,
    [--ndr1_0,
     ++c3_1(U),
     ++c1_1(U),
     ++c0_1(U),
     ++hskp32,
     ++hskp2]).

input_clause(clause244,conjecture,
    [--ndr1_0,
     ++c1_1(U),
     ++c3_1(U),
     ++c0_1(U),
     ++hskp42,
     ++hskp43]).

input_clause(clause245,conjecture,
    [--c1_1(U),
     --ndr1_0,
     ++c3_1(U),
     ++hskp18,
     ++c2_1(U)]).

input_clause(clause246,conjecture,
    [--c3_1(U),
     --ndr1_0,
     ++c2_1(U),
     ++hskp58,
     ++c1_1(U)]).

input_clause(clause247,conjecture,
    [--c0_1(U),
     --ndr1_0,
     ++c2_1(U),
     ++c3_1(U),
     ++hskp7,
     ++hskp37]).

input_clause(clause248,conjecture,
    [--c0_1(U),
     --ndr1_0,
     ++c2_1(U),
     ++c1_1(U),
     ++hskp8,
     ++hskp9]).

input_clause(clause249,conjecture,
    [--c2_1(U),
     --ndr1_0,
     ++c3_1(U),
     ++c0_1(U),
     ++hskp41,
     ++hskp10]).

input_clause(clause250,conjecture,
    [--c0_1(U),
     --ndr1_0,
     ++c3_1(U),
     ++c2_1(U),
     ++hskp14,
     ++hskp4]).

input_clause(clause251,conjecture,
    [--c2_1(U),
     --ndr1_0,
     ++c0_1(U),
     ++c1_1(U),
     ++hskp16,
     ++hskp17]).

input_clause(clause252,conjecture,
    [--c3_1(U),
     --ndr1_0,
     ++c0_1(U),
     ++c1_1(U),
     ++hskp49,
     ++hskp31]).

input_clause(clause253,conjecture,
    [--c2_1(U),
     --ndr1_0,
     ++c3_1(U),
     ++c0_1(U),
     ++hskp19,
     ++hskp52]).

input_clause(clause254,conjecture,
    [--c1_1(U),
     --ndr1_0,
     ++c0_1(U),
     ++c3_1(U),
     ++hskp57,
     ++hskp22]).

input_clause(clause255,conjecture,
    [--c2_1(U),
     --c1_1(U),
     --ndr1_0,
     ++c3_1(U),
     ++hskp17]).

input_clause(clause256,conjecture,
    [--c1_1(U),
     --c0_1(U),
     --c2_1(U),
     --ndr1_0,
     ++hskp0]).

input_clause(clause257,conjecture,
    [--c0_1(U),
     --c2_1(U),
     --ndr1_0,
     ++c1_1(U),
     ++hskp33,
     ++hskp34]).

input_clause(clause258,conjecture,
    [--c3_1(U),
     --c2_1(U),
     --ndr1_0,
     ++c1_1(U),
     ++hskp45,
     ++hskp15]).

input_clause(clause259,conjecture,
    [--c0_1(U),
     --c3_1(U),
     --ndr1_0,
     ++c1_1(U),
     ++hskp46,
     ++hskp34]).

input_clause(clause260,conjecture,
    [--c1_1(U),
     --c2_1(U),
     --ndr1_0,
     ++c3_1(U),
     ++hskp18,
     ++hskp31]).

input_clause(clause261,conjecture,
    [--c1_1(U),
     --c2_1(U),
     --ndr1_0,
     ++c0_1(U),
     ++hskp50,
     ++hskp51]).

input_clause(clause262,conjecture,
    [--c0_1(U),
     --c3_1(U),
     --ndr1_0,
     ++c1_1(U),
     ++hskp23,
     ++hskp24]).

input_clause(clause263,conjecture,
    [--ndr1_0,
     --c1_1(U),
     ++c3_1(V),
     ++c1_1(V),
     ++c0_1(V),
     ++c0_1(U),
     ++c3_1(U),
     ++hskp1]).

input_clause(clause264,conjecture,
    [--ndr1_0,
     --c3_1(U),
     ++c1_1(V),
     ++c2_1(V),
     ++c3_1(V),
     ++c0_1(U),
     ++c2_1(U),
     ++hskp47]).

input_clause(clause265,conjecture,
    [--ndr1_0,
     --c0_1(U),
     ++c3_1(V),
     ++c2_1(V),
     ++c1_1(V),
     ++c3_1(U),
     ++c1_1(U),
     ++hskp53]).

input_clause(clause266,conjecture,
    [--ndr1_0,
     --c1_1(U),
     --c0_1(U),
     ++c2_1(V),
     ++c1_1(V),
     ++c0_1(V),
     ++c3_1(U),
     ++hskp38]).

input_clause(clause267,conjecture,
    [--c3_1(U),
     --ndr1_0,
     --c0_1(V),
     ++c1_1(U),
     ++c2_1(U),
     ++c1_1(V),
     ++c3_1(V),
     ++hskp40]).

input_clause(clause268,conjecture,
    [--c0_1(U),
     --ndr1_0,
     --c3_1(V),
     ++c3_1(U),
     ++c1_1(U),
     ++c0_1(V),
     ++c1_1(V),
     ++hskp13]).

input_clause(clause269,conjecture,
    [--c1_1(U),
     --ndr1_0,
     --c0_1(V),
     ++c2_1(U),
     ++c0_1(U),
     ++c1_1(V),
     ++c3_1(V),
     ++hskp33]).

input_clause(clause270,conjecture,
    [--c3_1(U),
     --ndr1_0,
     --c0_1(V),
     ++c2_1(U),
     ++c1_1(U),
     ++c1_1(V),
     ++c2_1(V),
     ++hskp32]).

input_clause(clause271,conjecture,
    [--ndr1_0,
     --c3_1(U),
     --c2_1(U),
     ++c3_1(V),
     ++c0_1(V),
     ++c2_1(V),
     ++c0_1(U),
     ++hskp25]).

input_clause(clause272,conjecture,
    [--c1_1(U),
     --c3_1(U),
     --ndr1_0,
     --c2_1(V),
     ++c0_1(U),
     ++c0_1(V),
     ++c1_1(V),
     ++hskp26]).

input_clause(clause273,conjecture,
    [--c2_1(U),
     --ndr1_0,
     --c3_1(V),
     --c2_1(V),
     ++c3_1(U),
     ++c1_1(U),
     ++c1_1(V),
     ++hskp3]).

input_clause(clause274,conjecture,
    [--c1_1(U),
     --ndr1_0,
     --c1_1(V),
     --c2_1(V),
     ++c2_1(U),
     ++c3_1(U),
     ++c0_1(V),
     ++hskp4]).

input_clause(clause275,conjecture,
    [--c3_1(U),
     --ndr1_0,
     --c2_1(V),
     --c0_1(V),
     ++c2_1(U),
     ++c1_1(U),
     ++c3_1(V),
     ++hskp10]).

input_clause(clause276,conjecture,
    [--c0_1(U),
     --c2_1(U),
     --ndr1_0,
     --c0_1(V),
     ++c1_1(U),
     ++c1_1(V),
     ++c2_1(V),
     ++hskp56]).

input_clause(clause277,conjecture,
    [--c2_1(U),
     --c0_1(U),
     --ndr1_0,
     --c2_1(V),
     ++c3_1(U),
     ++c3_1(V),
     ++c0_1(V),
     ++hskp56]).

input_clause(clause278,conjecture,
    [--c3_1(U),
     --c0_1(U),
     --ndr1_0,
     --c3_1(V),
     --c0_1(V),
     ++c1_1(U),
     ++c2_1(V),
     ++hskp44]).

input_clause(clause279,conjecture,
    [--c2_1(U),
     --c1_1(U),
     --ndr1_0,
     --c1_1(V),
     --c3_1(V),
     ++c0_1(U),
     ++c0_1(V),
     ++hskp48]).

input_clause(clause280,conjecture,
    [--c0_1(U),
     --ndr1_0,
     --c1_1(V),
     --c3_1(V),
     --c2_1(V),
     ++c3_1(U),
     ++c1_1(U),
     ++hskp20]).

input_clause(clause281,conjecture,
    [--c3_1(U),
     --c0_1(U),
     --ndr1_0,
     --c3_1(V),
     --c1_1(V),
     ++c2_1(U),
     ++c2_1(V),
     ++hskp10]).

input_clause(clause282,conjecture,
    [--c3_1(U),
     --c2_1(U),
     --ndr1_0,
     --c3_1(V),
     --c0_1(V),
     ++c0_1(U),
     ++c2_1(V),
     ++hskp40]).

input_clause(clause283,conjecture,
    [--c1_1(U),
     --c0_1(U),
     --c2_1(U),
     --ndr1_0,
     --c0_1(V),
     --c1_1(V),
     ++c2_1(V),
     ++hskp39]).

input_clause(clause284,conjecture,
    [--c2_1(U),
     --c1_1(U),
     --ndr1_0,
     --c1_1(V),
     --c3_1(V),
     --c2_1(V),
     ++c0_1(U),
     ++hskp33]).

input_clause(clause285,conjecture,
    [--ndr1_0,
     --c3_1(U),
     --c0_1(U),
     ++c1_1(V),
     ++c2_1(V),
     ++c3_1(V),
     ++c3_1(W),
     ++c2_1(W),
     ++c0_1(W),
     ++c2_1(U)]).

input_clause(clause286,conjecture,
    [--c0_1(U),
     --c3_1(U),
     --ndr1_0,
     ++c2_1(U),
     ++c0_1(V),
     ++c1_1(V),
     ++c3_1(V),
     ++c1_1(W),
     ++c2_1(W),
     ++c3_1(W)]).

input_clause(clause287,conjecture,
    [--c1_1(U),
     --ndr1_0,
     --c1_1(V),
     --c2_1(V),
     --c0_1(V),
     ++c3_1(U),
     ++c2_1(U),
     ++c1_1(W),
     ++c0_1(W),
     ++c2_1(W)]).

input_clause(clause288,conjecture,
    [--c2_1(U),
     --ndr1_0,
     --c0_1(V),
     --c2_1(V),
     --c0_1(W),
     ++c0_1(U),
     ++c1_1(U),
     ++c3_1(V),
     ++c3_1(W),
     ++c1_1(W)]).

input_clause(clause289,conjecture,
    [--c2_1(U),
     --c3_1(U),
     --ndr1_0,
     --c2_1(V),
     --c2_1(W),
     ++c1_1(U),
     ++c1_1(V),
     ++c0_1(V),
     ++c0_1(W),
     ++c3_1(W)]).

input_clause(clause290,conjecture,
    [--c0_1(U),
     --ndr1_0,
     --c3_1(V),
     --c2_1(V),
     --c2_1(W),
     ++c2_1(U),
     ++c1_1(U),
     ++c1_1(V),
     ++c0_1(W),
     ++c1_1(W)]).

input_clause(clause291,conjecture,
    [--c0_1(U),
     --c2_1(U),
     --ndr1_0,
     --c2_1(V),
     --c0_1(W),
     ++c3_1(U),
     ++c0_1(V),
     ++c1_1(V),
     ++c3_1(W),
     ++c2_1(W)]).

input_clause(clause292,conjecture,
    [--c0_1(U),
     --ndr1_0,
     --c3_1(V),
     --c1_1(W),
     --c0_1(W),
     --c2_1(W),
     ++c2_1(U),
     ++c3_1(U),
     ++c1_1(V),
     ++c2_1(V)]).

input_clause(clause293,conjecture,
    [--c3_1(U),
     --c1_1(U),
     --ndr1_0,
     --c0_1(V),
     --c1_1(V),
     --c1_1(W),
     ++c2_1(U),
     ++c2_1(V),
     ++c2_1(W),
     ++c0_1(W)]).

input_clause(clause294,conjecture,
    [--c1_1(U),
     --c0_1(U),
     --ndr1_0,
     --c2_1(V),
     --c3_1(W),
     --c1_1(W),
     ++c3_1(U),
     ++c3_1(V),
     ++c0_1(V),
     ++c0_1(W)]).

input_clause(clause295,conjecture,
    [--c2_1(U),
     --c0_1(U),
     --c3_1(U),
     --ndr1_0,
     --c1_1(V),
     --c3_1(W),
     ++c0_1(V),
     ++c2_1(V),
     ++c2_1(W),
     ++c0_1(W)]).

input_clause(clause296,conjecture,
    [--c3_1(U),
     --c1_1(U),
     --ndr1_0,
     --c0_1(V),
     --c3_1(V),
     --c2_1(V),
     --c2_1(W),
     ++c0_1(U),
     ++c3_1(W),
     ++c0_1(W)]).
%--------------------------------------------------------------------------
