%--------------------------------------------------------------------------
% File     : SYN464-1 : TPTP v2.1.0. Released v2.1.0.
% Domain   : Syntactic (Translated)
% Problem  : ALC, N=4, R=1, L=60, K=3, D=1, P=0, Index=093
% Version  : Special.
% English  : 

% Refs     : [OS95]  Ohlbach & Schmidt (1995), Functional Translation and S
%          : [WGR96] Weidenbach et al. (1996), SPASS and FLOTTER
%          : [HS97]  Hustadt & Schmidt (1997), On Evaluating Decision Proce
%          : [Wei97] Weidenbach (1997), Email to G. Sutcliffe
% Source   : [Wei97]
% Names    : alc-4-1-60-3-1-093.cnf [Wei97]

% Status   : satisfiable
% Rating   : ? v2.1.0
% Syntax   : Number of clauses    :  340 (  59 non-Horn;   0 unit; 330 RR)
%            Number of literals   :  975 (   0 equality)
%            Maximal clause size  :   10 (   2 average)
%            Number of predicates :   75 (  71 propositional; 0-1 arity)
%            Number of functors   :   70 (  70 constant; 0-0 arity)
%            Number of variables  :   91 (   0 singleton)
%            Maximal term depth   :    1 (   1 average)

% Comments : These ALC problems have been translated from propositional 
%            multi-modal K logic formulae generated according to the scheme
%            described in [HS97], using the optimized functional translation
%            described in [OS95]. The finite model property holds, the
%            Herbrand Universe is finite, they are decidable (the complexity
%            is PSPACE-complete), resolution + subsumption + condensing is a
%            decision procedure, and the translated formulae belong to the
%            (CNF-translation of the) Bernays-Schoenfinkel class [Wei97].
%          : Translated from FOF using FLOTTER [WGR96].
%--------------------------------------------------------------------------
input_clause(clause1,conjecture,
    [--hskp69,++ndr1_0]).

input_clause(clause2,conjecture,
    [--hskp68,++ndr1_0]).

input_clause(clause3,conjecture,
    [--hskp67,++ndr1_0]).

input_clause(clause4,conjecture,
    [--hskp66,++ndr1_0]).

input_clause(clause5,conjecture,
    [--hskp65,++ndr1_0]).

input_clause(clause6,conjecture,
    [--hskp64,++ndr1_0]).

input_clause(clause7,conjecture,
    [--hskp63,++ndr1_0]).

input_clause(clause8,conjecture,
    [--hskp62,++ndr1_0]).

input_clause(clause9,conjecture,
    [--hskp61,++ndr1_0]).

input_clause(clause10,conjecture,
    [--hskp60,++ndr1_0]).

input_clause(clause11,conjecture,
    [--hskp59,++ndr1_0]).

input_clause(clause12,conjecture,
    [--hskp58,++ndr1_0]).

input_clause(clause13,conjecture,
    [--hskp57,++ndr1_0]).

input_clause(clause14,conjecture,
    [--hskp56,++ndr1_0]).

input_clause(clause15,conjecture,
    [--hskp55,++ndr1_0]).

input_clause(clause16,conjecture,
    [--hskp54,++ndr1_0]).

input_clause(clause17,conjecture,
    [--hskp53,++ndr1_0]).

input_clause(clause18,conjecture,
    [--hskp52,++ndr1_0]).

input_clause(clause19,conjecture,
    [--hskp51,++ndr1_0]).

input_clause(clause20,conjecture,
    [--hskp50,++ndr1_0]).

input_clause(clause21,conjecture,
    [--hskp49,++ndr1_0]).

input_clause(clause22,conjecture,
    [--hskp48,++ndr1_0]).

input_clause(clause23,conjecture,
    [--hskp47,++ndr1_0]).

input_clause(clause24,conjecture,
    [--hskp46,++ndr1_0]).

input_clause(clause25,conjecture,
    [--hskp45,++ndr1_0]).

input_clause(clause26,conjecture,
    [--hskp44,++ndr1_0]).

input_clause(clause27,conjecture,
    [--hskp43,++ndr1_0]).

input_clause(clause28,conjecture,
    [--hskp42,++ndr1_0]).

input_clause(clause29,conjecture,
    [--hskp41,++ndr1_0]).

input_clause(clause30,conjecture,
    [--hskp40,++ndr1_0]).

input_clause(clause31,conjecture,
    [--hskp39,++ndr1_0]).

input_clause(clause32,conjecture,
    [--hskp38,++ndr1_0]).

input_clause(clause33,conjecture,
    [--hskp37,++ndr1_0]).

input_clause(clause34,conjecture,
    [--hskp36,++ndr1_0]).

input_clause(clause35,conjecture,
    [--hskp35,++ndr1_0]).

input_clause(clause36,conjecture,
    [--hskp34,++ndr1_0]).

input_clause(clause37,conjecture,
    [--hskp33,++ndr1_0]).

input_clause(clause38,conjecture,
    [--hskp32,++ndr1_0]).

input_clause(clause39,conjecture,
    [--hskp31,++ndr1_0]).

input_clause(clause40,conjecture,
    [--hskp30,++ndr1_0]).

input_clause(clause41,conjecture,
    [--hskp29,++ndr1_0]).

input_clause(clause42,conjecture,
    [--hskp28,++ndr1_0]).

input_clause(clause43,conjecture,
    [--hskp27,++ndr1_0]).

input_clause(clause44,conjecture,
    [--hskp26,++ndr1_0]).

input_clause(clause45,conjecture,
    [--hskp25,++ndr1_0]).

input_clause(clause46,conjecture,
    [--hskp24,++ndr1_0]).

input_clause(clause47,conjecture,
    [--hskp23,++ndr1_0]).

input_clause(clause48,conjecture,
    [--hskp22,++ndr1_0]).

input_clause(clause49,conjecture,
    [--hskp21,++ndr1_0]).

input_clause(clause50,conjecture,
    [--hskp20,++ndr1_0]).

input_clause(clause51,conjecture,
    [--hskp19,++ndr1_0]).

input_clause(clause52,conjecture,
    [--hskp18,++ndr1_0]).

input_clause(clause53,conjecture,
    [--hskp17,++ndr1_0]).

input_clause(clause54,conjecture,
    [--hskp16,++ndr1_0]).

input_clause(clause55,conjecture,
    [--hskp15,++ndr1_0]).

input_clause(clause56,conjecture,
    [--hskp14,++ndr1_0]).

input_clause(clause57,conjecture,
    [--hskp13,++ndr1_0]).

input_clause(clause58,conjecture,
    [--hskp12,++ndr1_0]).

input_clause(clause59,conjecture,
    [--hskp11,++ndr1_0]).

input_clause(clause60,conjecture,
    [--hskp10,++ndr1_0]).

input_clause(clause61,conjecture,
    [--hskp9,++ndr1_0]).

input_clause(clause62,conjecture,
    [--hskp8,++ndr1_0]).

input_clause(clause63,conjecture,
    [--hskp7,++ndr1_0]).

input_clause(clause64,conjecture,
    [--hskp6,++ndr1_0]).

input_clause(clause65,conjecture,
    [--hskp5,++ndr1_0]).

input_clause(clause66,conjecture,
    [--hskp4,++ndr1_0]).

input_clause(clause67,conjecture,
    [--hskp3,++ndr1_0]).

input_clause(clause68,conjecture,
    [--hskp2,++ndr1_0]).

input_clause(clause69,conjecture,
    [--hskp1,++ndr1_0]).

input_clause(clause70,conjecture,
    [--hskp0,++ndr1_0]).

input_clause(clause71,conjecture,
    [++hskp7,++hskp44,++hskp8]).

input_clause(clause72,conjecture,
    [++hskp10,++hskp0,++hskp41]).

input_clause(clause73,conjecture,
    [++hskp48,++hskp49,++hskp50]).

input_clause(clause74,conjecture,
    [++hskp53,++hskp14,++hskp54]).

input_clause(clause75,conjecture,
    [++hskp17,++hskp38,++hskp56]).

input_clause(clause76,conjecture,
    [++hskp39,++hskp28,++hskp64]).

input_clause(clause77,conjecture,
    [++hskp65,++hskp52,++hskp29]).

input_clause(clause78,conjecture,
    [--hskp69,
     ++c2_1(a2509)]).

input_clause(clause79,conjecture,
    [--hskp68,
     ++c0_1(a2505)]).

input_clause(clause80,conjecture,
    [--hskp68,
     ++c1_1(a2505)]).

input_clause(clause81,conjecture,
    [--hskp67,
     ++c0_1(a2503)]).

input_clause(clause82,conjecture,
    [--hskp67,
     ++c2_1(a2503)]).

input_clause(clause83,conjecture,
    [--hskp67,
     ++c3_1(a2503)]).

input_clause(clause84,conjecture,
    [--hskp66,
     ++c3_1(a2502)]).

input_clause(clause85,conjecture,
    [--hskp65,
     ++c0_1(a2499)]).

input_clause(clause86,conjecture,
    [--hskp64,
     ++c1_1(a2498)]).

input_clause(clause87,conjecture,
    [--hskp64,
     ++c2_1(a2498)]).

input_clause(clause88,conjecture,
    [--hskp63,
     ++c2_1(a2494)]).

input_clause(clause89,conjecture,
    [--hskp63,
     ++c1_1(a2494)]).

input_clause(clause90,conjecture,
    [--hskp62,
     ++c3_1(a2493)]).

input_clause(clause91,conjecture,
    [--hskp62,
     ++c0_1(a2493)]).

input_clause(clause92,conjecture,
    [--hskp62,
     ++c2_1(a2493)]).

input_clause(clause93,conjecture,
    [--hskp61,
     ++c1_1(a2491)]).

input_clause(clause94,conjecture,
    [--hskp60,
     ++c0_1(a2487)]).

input_clause(clause95,conjecture,
    [--hskp59,
     ++c0_1(a2479)]).

input_clause(clause96,conjecture,
    [--hskp59,
     ++c2_1(a2479)]).

input_clause(clause97,conjecture,
    [--hskp58,
     ++c3_1(a2476)]).

input_clause(clause98,conjecture,
    [--hskp57,
     ++c3_1(a2475)]).

input_clause(clause99,conjecture,
    [--hskp57,
     ++c2_1(a2475)]).

input_clause(clause100,conjecture,
    [--hskp57,
     ++c1_1(a2475)]).

input_clause(clause101,conjecture,
    [--hskp56,
     ++c0_1(a2471)]).

input_clause(clause102,conjecture,
    [--hskp56,
     ++c2_1(a2471)]).

input_clause(clause103,conjecture,
    [--hskp55,
     ++c0_1(a2468)]).

input_clause(clause104,conjecture,
    [--hskp55,
     ++c3_1(a2468)]).

input_clause(clause105,conjecture,
    [--hskp54,
     ++c1_1(a2463)]).

input_clause(clause106,conjecture,
    [--hskp53,
     ++c1_1(a2461)]).

input_clause(clause107,conjecture,
    [--hskp53,
     ++c3_1(a2461)]).

input_clause(clause108,conjecture,
    [--hskp52,
     ++c0_1(a2460)]).

input_clause(clause109,conjecture,
    [--hskp52,
     ++c2_1(a2460)]).

input_clause(clause110,conjecture,
    [--hskp51,
     ++c3_1(a2459)]).

input_clause(clause111,conjecture,
    [--hskp51,
     ++c1_1(a2459)]).

input_clause(clause112,conjecture,
    [--hskp50,
     ++c3_1(a2457)]).

input_clause(clause113,conjecture,
    [--hskp50,
     ++c2_1(a2457)]).

input_clause(clause114,conjecture,
    [--hskp49,
     ++c3_1(a2456)]).

input_clause(clause115,conjecture,
    [--hskp48,
     ++c3_1(a2455)]).

input_clause(clause116,conjecture,
    [--hskp48,
     ++c2_1(a2455)]).

input_clause(clause117,conjecture,
    [--hskp48,
     ++c0_1(a2455)]).

input_clause(clause118,conjecture,
    [--hskp47,
     ++c0_1(a2452)]).

input_clause(clause119,conjecture,
    [--hskp46,
     ++c3_1(a2451)]).

input_clause(clause120,conjecture,
    [--hskp46,
     ++c0_1(a2451)]).

input_clause(clause121,conjecture,
    [--hskp46,
     ++c1_1(a2451)]).

input_clause(clause122,conjecture,
    [--hskp45,
     ++c1_1(a2447)]).

input_clause(clause123,conjecture,
    [--hskp44,
     ++c1_1(a2444)]).

input_clause(clause124,conjecture,
    [--hskp44,
     ++c0_1(a2444)]).

input_clause(clause125,conjecture,
    [--hskp43,
     ++c2_1(a2439)]).

input_clause(clause126,conjecture,
    [--hskp43,
     ++c3_1(a2439)]).

input_clause(clause127,conjecture,
    [--hskp43,
     ++c1_1(a2439)]).

input_clause(clause128,conjecture,
    [--hskp42,
     ++c0_1(a2437)]).

input_clause(clause129,conjecture,
    [--hskp42,
     ++c1_1(a2437)]).

input_clause(clause130,conjecture,
    [--hskp41,
     ++c2_1(a2436)]).

input_clause(clause131,conjecture,
    [--hskp41,
     ++c0_1(a2436)]).

input_clause(clause132,conjecture,
    [--hskp41,
     ++c1_1(a2436)]).

input_clause(clause133,conjecture,
    [--hskp40,
     ++c0_1(a2434)]).

input_clause(clause134,conjecture,
    [--hskp40,
     ++c2_1(a2434)]).

input_clause(clause135,conjecture,
    [--hskp40,
     ++c1_1(a2434)]).

input_clause(clause136,conjecture,
    [--hskp39,
     ++c2_1(a2433)]).

input_clause(clause137,conjecture,
    [--hskp39,
     ++c0_1(a2433)]).

input_clause(clause138,conjecture,
    [--hskp38,
     ++c3_1(a2432)]).

input_clause(clause139,conjecture,
    [--hskp38,
     ++c2_1(a2432)]).

input_clause(clause140,conjecture,
    [--hskp37,
     ++c2_1(a2431)]).

input_clause(clause141,conjecture,
    [--hskp36,
     ++c1_1(a2429)]).

input_clause(clause142,conjecture,
    [--hskp35,
     ++c0_1(a2515)]).

input_clause(clause143,conjecture,
    [--hskp33,
     ++c3_1(a2513)]).

input_clause(clause144,conjecture,
    [--hskp33,
     ++c0_1(a2513)]).

input_clause(clause145,conjecture,
    [--hskp32,
     ++c1_1(a2511)]).

input_clause(clause146,conjecture,
    [--hskp31,
     ++c1_1(a2510)]).

input_clause(clause147,conjecture,
    [--hskp29,
     ++c0_1(a2501)]).

input_clause(clause148,conjecture,
    [--hskp29,
     ++c2_1(a2501)]).

input_clause(clause149,conjecture,
    [--hskp28,
     ++c3_1(a2497)]).

input_clause(clause150,conjecture,
    [--hskp26,
     ++c2_1(a2492)]).

input_clause(clause151,conjecture,
    [--hskp25,
     ++c0_1(a2489)]).

input_clause(clause152,conjecture,
    [--hskp24,
     ++c2_1(a2486)]).

input_clause(clause153,conjecture,
    [--hskp23,
     ++c2_1(a2485)]).

input_clause(clause154,conjecture,
    [--hskp22,
     ++c3_1(a2483)]).

input_clause(clause155,conjecture,
    [--hskp19,
     ++c2_1(a2473)]).

input_clause(clause156,conjecture,
    [--hskp18,
     ++c3_1(a2472)]).

input_clause(clause157,conjecture,
    [--hskp18,
     ++c2_1(a2472)]).

input_clause(clause158,conjecture,
    [--hskp15,
     ++c1_1(a2464)]).

input_clause(clause159,conjecture,
    [--hskp14,
     ++c2_1(a2462)]).

input_clause(clause160,conjecture,
    [--hskp14,
     ++c3_1(a2462)]).

input_clause(clause161,conjecture,
    [--hskp13,
     ++c3_1(a2458)]).

input_clause(clause162,conjecture,
    [--hskp13,
     ++c1_1(a2458)]).

input_clause(clause163,conjecture,
    [--hskp10,
     ++c3_1(a2448)]).

input_clause(clause164,conjecture,
    [--hskp10,
     ++c1_1(a2448)]).

input_clause(clause165,conjecture,
    [--hskp8,
     ++c3_1(a2445)]).

input_clause(clause166,conjecture,
    [--hskp6,
     ++c0_1(a2442)]).

input_clause(clause167,conjecture,
    [--hskp5,
     ++c0_1(a2441)]).

input_clause(clause168,conjecture,
    [--hskp4,
     ++c0_1(a2440)]).

input_clause(clause169,conjecture,
    [--hskp3,
     ++c1_1(a2438)]).

input_clause(clause170,conjecture,
    [--hskp2,
     ++c2_1(a2435)]).

input_clause(clause171,conjecture,
    [--hskp2,
     ++c3_1(a2435)]).

input_clause(clause172,conjecture,
    [--hskp1,
     ++c2_1(a2430)]).

input_clause(clause173,conjecture,
    [--hskp0,
     ++c2_1(a2428)]).

input_clause(clause174,conjecture,
    [--c3_1(a2509),
     --hskp69]).

input_clause(clause175,conjecture,
    [--c1_1(a2509),
     --hskp69]).

input_clause(clause176,conjecture,
    [--c3_1(a2505),
     --hskp68]).

input_clause(clause177,conjecture,
    [--c2_1(a2502),
     --hskp66]).

input_clause(clause178,conjecture,
    [--c0_1(a2502),
     --hskp66]).

input_clause(clause179,conjecture,
    [--c1_1(a2499),
     --hskp65]).

input_clause(clause180,conjecture,
    [--c2_1(a2499),
     --hskp65]).

input_clause(clause181,conjecture,
    [--c3_1(a2498),
     --hskp64]).

input_clause(clause182,conjecture,
    [--c0_1(a2494),
     --hskp63]).

input_clause(clause183,conjecture,
    [--c2_1(a2491),
     --hskp61]).

input_clause(clause184,conjecture,
    [--c3_1(a2491),
     --hskp61]).

input_clause(clause185,conjecture,
    [--c1_1(a2487),
     --hskp60]).

input_clause(clause186,conjecture,
    [--c3_1(a2487),
     --hskp60]).

input_clause(clause187,conjecture,
    [--c1_1(a2479),
     --hskp59]).

input_clause(clause188,conjecture,
    [--c0_1(a2476),
     --hskp58]).

input_clause(clause189,conjecture,
    [--c2_1(a2476),
     --hskp58]).

input_clause(clause190,conjecture,
    [--c3_1(a2471),
     --hskp56]).

input_clause(clause191,conjecture,
    [--c1_1(a2468),
     --hskp55]).

input_clause(clause192,conjecture,
    [--c3_1(a2463),
     --hskp54]).

input_clause(clause193,conjecture,
    [--c2_1(a2463),
     --hskp54]).

input_clause(clause194,conjecture,
    [--c0_1(a2461),
     --hskp53]).

input_clause(clause195,conjecture,
    [--c3_1(a2460),
     --hskp52]).

input_clause(clause196,conjecture,
    [--c0_1(a2459),
     --hskp51]).

input_clause(clause197,conjecture,
    [--c1_1(a2457),
     --hskp50]).

input_clause(clause198,conjecture,
    [--c1_1(a2456),
     --hskp49]).

input_clause(clause199,conjecture,
    [--c2_1(a2456),
     --hskp49]).

input_clause(clause200,conjecture,
    [--c2_1(a2452),
     --hskp47]).

input_clause(clause201,conjecture,
    [--c1_1(a2452),
     --hskp47]).

input_clause(clause202,conjecture,
    [--c0_1(a2447),
     --hskp45]).

input_clause(clause203,conjecture,
    [--c2_1(a2447),
     --hskp45]).

input_clause(clause204,conjecture,
    [--c2_1(a2444),
     --hskp44]).

input_clause(clause205,conjecture,
    [--c2_1(a2437),
     --hskp42]).

input_clause(clause206,conjecture,
    [--c1_1(a2433),
     --hskp39]).

input_clause(clause207,conjecture,
    [--c1_1(a2432),
     --hskp38]).

input_clause(clause208,conjecture,
    [--c0_1(a2431),
     --hskp37]).

input_clause(clause209,conjecture,
    [--c1_1(a2431),
     --hskp37]).

input_clause(clause210,conjecture,
    [--c3_1(a2429),
     --hskp36]).

input_clause(clause211,conjecture,
    [--c0_1(a2429),
     --hskp36]).

input_clause(clause212,conjecture,
    [--c2_1(a2515),
     --hskp35]).

input_clause(clause213,conjecture,
    [--c1_1(a2515),
     --hskp35]).

input_clause(clause214,conjecture,
    [--c1_1(a2514),
     --hskp34]).

input_clause(clause215,conjecture,
    [--c3_1(a2514),
     --hskp34]).

input_clause(clause216,conjecture,
    [--c2_1(a2514),
     --hskp34]).

input_clause(clause217,conjecture,
    [--c2_1(a2513),
     --hskp33]).

input_clause(clause218,conjecture,
    [--c3_1(a2511),
     --hskp32]).

input_clause(clause219,conjecture,
    [--c0_1(a2511),
     --hskp32]).

input_clause(clause220,conjecture,
    [--c3_1(a2510),
     --hskp31]).

input_clause(clause221,conjecture,
    [--c2_1(a2510),
     --hskp31]).

input_clause(clause222,conjecture,
    [--c0_1(a2506),
     --hskp30]).

input_clause(clause223,conjecture,
    [--c3_1(a2506),
     --hskp30]).

input_clause(clause224,conjecture,
    [--c2_1(a2506),
     --hskp30]).

input_clause(clause225,conjecture,
    [--c1_1(a2501),
     --hskp29]).

input_clause(clause226,conjecture,
    [--c1_1(a2497),
     --hskp28]).

input_clause(clause227,conjecture,
    [--c2_1(a2497),
     --hskp28]).

input_clause(clause228,conjecture,
    [--c3_1(a2495),
     --hskp27]).

input_clause(clause229,conjecture,
    [--c2_1(a2495),
     --hskp27]).

input_clause(clause230,conjecture,
    [--c0_1(a2495),
     --hskp27]).

input_clause(clause231,conjecture,
    [--c0_1(a2492),
     --hskp26]).

input_clause(clause232,conjecture,
    [--c3_1(a2492),
     --hskp26]).

input_clause(clause233,conjecture,
    [--c3_1(a2489),
     --hskp25]).

input_clause(clause234,conjecture,
    [--c2_1(a2489),
     --hskp25]).

input_clause(clause235,conjecture,
    [--c0_1(a2486),
     --hskp24]).

input_clause(clause236,conjecture,
    [--c1_1(a2486),
     --hskp24]).

input_clause(clause237,conjecture,
    [--c0_1(a2485),
     --hskp23]).

input_clause(clause238,conjecture,
    [--c1_1(a2485),
     --hskp23]).

input_clause(clause239,conjecture,
    [--c2_1(a2483),
     --hskp22]).

input_clause(clause240,conjecture,
    [--c1_1(a2483),
     --hskp22]).

input_clause(clause241,conjecture,
    [--c0_1(a2482),
     --hskp21]).

input_clause(clause242,conjecture,
    [--c2_1(a2482),
     --hskp21]).

input_clause(clause243,conjecture,
    [--c1_1(a2482),
     --hskp21]).

input_clause(clause244,conjecture,
    [--c3_1(a2478),
     --hskp20]).

input_clause(clause245,conjecture,
    [--c0_1(a2478),
     --hskp20]).

input_clause(clause246,conjecture,
    [--c2_1(a2478),
     --hskp20]).

input_clause(clause247,conjecture,
    [--c3_1(a2473),
     --hskp19]).

input_clause(clause248,conjecture,
    [--c1_1(a2473),
     --hskp19]).

input_clause(clause249,conjecture,
    [--c0_1(a2472),
     --hskp18]).

input_clause(clause250,conjecture,
    [--c1_1(a2469),
     --hskp17]).

input_clause(clause251,conjecture,
    [--c0_1(a2469),
     --hskp17]).

input_clause(clause252,conjecture,
    [--c2_1(a2469),
     --hskp17]).

input_clause(clause253,conjecture,
    [--c0_1(a2466),
     --hskp16]).

input_clause(clause254,conjecture,
    [--c2_1(a2466),
     --hskp16]).

input_clause(clause255,conjecture,
    [--c3_1(a2466),
     --hskp16]).

input_clause(clause256,conjecture,
    [--c0_1(a2464),
     --hskp15]).

input_clause(clause257,conjecture,
    [--c2_1(a2464),
     --hskp15]).

input_clause(clause258,conjecture,
    [--c0_1(a2462),
     --hskp14]).

input_clause(clause259,conjecture,
    [--c0_1(a2458),
     --hskp13]).

input_clause(clause260,conjecture,
    [--c0_1(a2454),
     --hskp12]).

input_clause(clause261,conjecture,
    [--c1_1(a2454),
     --hskp12]).

input_clause(clause262,conjecture,
    [--c3_1(a2454),
     --hskp12]).

input_clause(clause263,conjecture,
    [--c2_1(a2453),
     --hskp11]).

input_clause(clause264,conjecture,
    [--c1_1(a2453),
     --hskp11]).

input_clause(clause265,conjecture,
    [--c0_1(a2453),
     --hskp11]).

input_clause(clause266,conjecture,
    [--c2_1(a2448),
     --hskp10]).

input_clause(clause267,conjecture,
    [--c0_1(a2446),
     --hskp9]).

input_clause(clause268,conjecture,
    [--c3_1(a2446),
     --hskp9]).

input_clause(clause269,conjecture,
    [--c1_1(a2446),
     --hskp9]).

input_clause(clause270,conjecture,
    [--c0_1(a2445),
     --hskp8]).

input_clause(clause271,conjecture,
    [--c1_1(a2445),
     --hskp8]).

input_clause(clause272,conjecture,
    [--c2_1(a2443),
     --hskp7]).

input_clause(clause273,conjecture,
    [--c0_1(a2443),
     --hskp7]).

input_clause(clause274,conjecture,
    [--c3_1(a2443),
     --hskp7]).

input_clause(clause275,conjecture,
    [--c1_1(a2442),
     --hskp6]).

input_clause(clause276,conjecture,
    [--c2_1(a2442),
     --hskp6]).

input_clause(clause277,conjecture,
    [--c2_1(a2441),
     --hskp5]).

input_clause(clause278,conjecture,
    [--c3_1(a2441),
     --hskp5]).

input_clause(clause279,conjecture,
    [--c3_1(a2440),
     --hskp4]).

input_clause(clause280,conjecture,
    [--c2_1(a2440),
     --hskp4]).

input_clause(clause281,conjecture,
    [--c3_1(a2438),
     --hskp3]).

input_clause(clause282,conjecture,
    [--c0_1(a2438),
     --hskp3]).

input_clause(clause283,conjecture,
    [--c1_1(a2435),
     --hskp2]).

input_clause(clause284,conjecture,
    [--c1_1(a2430),
     --hskp1]).

input_clause(clause285,conjecture,
    [--c3_1(a2430),
     --hskp1]).

input_clause(clause286,conjecture,
    [--c1_1(a2428),
     --hskp0]).

input_clause(clause287,conjecture,
    [--c0_1(a2428),
     --hskp0]).

input_clause(clause288,conjecture,
    [--ndr1_0,
     ++c3_1(U),
     ++c0_1(U),
     ++c2_1(U),
     ++hskp9,
     ++hskp45]).

input_clause(clause289,conjecture,
    [--ndr1_0,
     ++c0_1(U),
     ++c1_1(U),
     ++c2_1(U),
     ++hskp57,
     ++hskp23]).

input_clause(clause290,conjecture,
    [--c2_1(U),
     --ndr1_0,
     ++c3_1(U),
     ++c1_1(U),
     ++hskp0,
     ++hskp36]).

input_clause(clause291,conjecture,
    [--c2_1(U),
     --ndr1_0,
     ++c3_1(U),
     ++c1_1(U),
     ++hskp37,
     ++hskp38]).

input_clause(clause292,conjecture,
    [--c1_1(U),
     --ndr1_0,
     ++c3_1(U),
     ++c0_1(U),
     ++hskp43,
     ++hskp4]).

input_clause(clause293,conjecture,
    [--c1_1(U),
     --ndr1_0,
     ++c0_1(U),
     ++c3_1(U),
     ++hskp51,
     ++hskp52]).

input_clause(clause294,conjecture,
    [--c3_1(U),
     --ndr1_0,
     ++c2_1(U),
     ++c1_1(U),
     ++hskp18,
     ++hskp19]).

input_clause(clause295,conjecture,
    [--c0_1(U),
     --ndr1_0,
     ++c2_1(U),
     ++c3_1(U),
     ++hskp24,
     ++hskp60]).

input_clause(clause296,conjecture,
    [--c3_1(U),
     --ndr1_0,
     ++c2_1(U),
     ++c1_1(U),
     ++hskp26,
     ++hskp62]).

input_clause(clause297,conjecture,
    [--c2_1(U),
     --ndr1_0,
     ++c3_1(U),
     ++c1_1(U),
     ++hskp63,
     ++hskp27]).

input_clause(clause298,conjecture,
    [--c2_1(U),
     --ndr1_0,
     ++c0_1(U),
     ++c3_1(U),
     ++hskp68,
     ++hskp30]).

input_clause(clause299,conjecture,
    [--c1_1(U),
     --ndr1_0,
     ++c2_1(U),
     ++c0_1(U),
     ++hskp27,
     ++hskp69]).

input_clause(clause300,conjecture,
    [--c2_1(U),
     --ndr1_0,
     ++c1_1(U),
     ++c3_1(U),
     ++hskp59,
     ++hskp33]).

input_clause(clause301,conjecture,
    [--c0_1(U),
     --c1_1(U),
     --ndr1_0,
     ++c3_1(U),
     ++hskp11,
     ++hskp12]).

input_clause(clause302,conjecture,
    [--c2_1(U),
     --c3_1(U),
     --ndr1_0,
     ++c1_1(U),
     ++hskp8,
     ++hskp55]).

input_clause(clause303,conjecture,
    [--c1_1(U),
     --c3_1(U),
     --ndr1_0,
     ++c2_1(U),
     ++hskp58,
     ++hskp7]).

input_clause(clause304,conjecture,
    [--c3_1(U),
     --c1_1(U),
     --ndr1_0,
     ++c0_1(U),
     ++hskp34,
     ++hskp35]).

input_clause(clause305,conjecture,
    [--c3_1(U),
     --c0_1(U),
     --c1_1(U),
     --ndr1_0,
     ++hskp40,
     ++hskp2]).

input_clause(clause306,conjecture,
    [--c3_1(U),
     --c0_1(U),
     --c1_1(U),
     --ndr1_0,
     ++hskp42,
     ++hskp3]).

input_clause(clause307,conjecture,
    [--c2_1(U),
     --c3_1(U),
     --c0_1(U),
     --ndr1_0,
     ++hskp12,
     ++hskp57]).

input_clause(clause308,conjecture,
    [--c1_1(U),
     --c0_1(U),
     --c2_1(U),
     --ndr1_0,
     ++hskp59,
     ++hskp38]).

input_clause(clause309,conjecture,
    [--c3_1(U),
     --c0_1(U),
     --c2_1(U),
     --ndr1_0,
     ++hskp54,
     ++hskp25]).

input_clause(clause310,conjecture,
    [--c1_1(U),
     --c2_1(U),
     --c0_1(U),
     --ndr1_0,
     ++hskp31,
     ++hskp32]).

input_clause(clause311,conjecture,
    [--c3_1(U),
     --ndr1_0,
     --c0_1(V),
     ++c0_1(U),
     ++c2_1(U),
     ++c1_1(V),
     ++c2_1(V),
     ++hskp16]).

input_clause(clause312,conjecture,
    [--c0_1(U),
     --c1_1(U),
     --ndr1_0,
     ++c2_1(U),
     ++c3_1(V),
     ++c2_1(V),
     ++c1_1(V),
     ++hskp13]).

input_clause(clause313,conjecture,
    [--c1_1(U),
     --ndr1_0,
     --c3_1(V),
     ++c3_1(U),
     ++c2_1(U),
     ++c1_1(V),
     ++c2_1(V),
     ++hskp67]).

input_clause(clause314,conjecture,
    [--c0_1(U),
     --c3_1(U),
     --ndr1_0,
     ++c1_1(U),
     ++c0_1(V),
     ++c3_1(V),
     ++c1_1(V),
     ++hskp21]).

input_clause(clause315,conjecture,
    [--c2_1(U),
     --c0_1(U),
     --ndr1_0,
     ++c3_1(U),
     ++c3_1(V),
     ++c1_1(V),
     ++c0_1(V),
     ++hskp52]).

input_clause(clause316,conjecture,
    [--c2_1(U),
     --c0_1(U),
     --c1_1(U),
     --ndr1_0,
     ++c2_1(V),
     ++c1_1(V),
     ++c3_1(V),
     ++hskp6]).

input_clause(clause317,conjecture,
    [--ndr1_0,
     --c1_1(U),
     --c0_1(U),
     --c3_1(U),
     ++c1_1(V),
     ++c0_1(V),
     ++c2_1(V),
     ++hskp46]).

input_clause(clause318,conjecture,
    [--c2_1(U),
     --c1_1(U),
     --ndr1_0,
     --c3_1(V),
     ++c3_1(U),
     ++c2_1(V),
     ++c1_1(V),
     ++hskp20]).

input_clause(clause319,conjecture,
    [--c0_1(U),
     --ndr1_0,
     --c0_1(V),
     --c2_1(V),
     ++c2_1(U),
     ++c1_1(U),
     ++c1_1(V),
     ++hskp21]).

input_clause(clause320,conjecture,
    [--c3_1(U),
     --ndr1_0,
     --c1_1(V),
     --c0_1(V),
     ++c1_1(U),
     ++c0_1(U),
     ++c3_1(V),
     ++hskp22]).

input_clause(clause321,conjecture,
    [--c2_1(U),
     --c3_1(U),
     --ndr1_0,
     --c1_1(V),
     ++c1_1(U),
     ++c3_1(V),
     ++c0_1(V),
     ++hskp46]).

input_clause(clause322,conjecture,
    [--c3_1(U),
     --c1_1(U),
     --ndr1_0,
     --c2_1(V),
     --c0_1(V),
     ++c0_1(U),
     ++c3_1(V),
     ++hskp1]).

input_clause(clause323,conjecture,
    [--c2_1(U),
     --c1_1(U),
     --ndr1_0,
     --c2_1(V),
     --c1_1(V),
     ++c3_1(U),
     ++c0_1(V),
     ++hskp39]).

input_clause(clause324,conjecture,
    [--c1_1(U),
     --c3_1(U),
     --c2_1(U),
     --ndr1_0,
     --c0_1(V),
     ++c3_1(V),
     ++c2_1(V),
     ++hskp47]).

input_clause(clause325,conjecture,
    [--c3_1(U),
     --c0_1(U),
     --ndr1_0,
     --c1_1(V),
     --c2_1(V),
     ++c1_1(U),
     ++c3_1(V),
     ++hskp15]).

input_clause(clause326,conjecture,
    [--c1_1(U),
     --c0_1(U),
     --ndr1_0,
     --c1_1(V),
     --c2_1(V),
     ++c3_1(U),
     ++c3_1(V),
     ++hskp36]).

input_clause(clause327,conjecture,
    [--c2_1(U),
     --c3_1(U),
     --ndr1_0,
     --c0_1(V),
     --c1_1(V),
     ++c0_1(U),
     ++c3_1(V),
     ++hskp61]).

input_clause(clause328,conjecture,
    [--c2_1(U),
     --c1_1(U),
     --ndr1_0,
     --c1_1(V),
     --c0_1(V),
     ++c3_1(U),
     ++c2_1(V),
     ++hskp66]).

input_clause(clause329,conjecture,
    [--ndr1_0,
     --c1_1(U),
     ++c0_1(V),
     ++c3_1(V),
     ++c2_1(V),
     ++c3_1(W),
     ++c1_1(W),
     ++c0_1(W),
     ++c0_1(U),
     ++c3_1(U)]).

input_clause(clause330,conjecture,
    [--c1_1(U),
     --c3_1(U),
     --ndr1_0,
     --c0_1(V),
     --c2_1(V),
     --c3_1(V),
     ++c0_1(U),
     ++hskp41]).

input_clause(clause331,conjecture,
    [--c2_1(U),
     --c0_1(U),
     --c3_1(U),
     --ndr1_0,
     --c0_1(V),
     --c3_1(V),
     ++c1_1(V),
     ++hskp13]).

input_clause(clause332,conjecture,
    [--c2_1(U),
     --c0_1(U),
     --ndr1_0,
     --c0_1(V),
     --c1_1(V),
     --c2_1(V),
     ++c1_1(U),
     ++hskp54]).

input_clause(clause333,conjecture,
    [--c1_1(U),
     --ndr1_0,
     --c0_1(V),
     ++c2_1(U),
     ++c0_1(U),
     ++c0_1(W),
     ++c2_1(W),
     ++c3_1(W),
     ++c3_1(V),
     ++c1_1(V)]).

input_clause(clause334,conjecture,
    [--c3_1(U),
     --ndr1_0,
     --c0_1(V),
     ++c0_1(U),
     ++c1_1(U),
     ++c3_1(W),
     ++c2_1(W),
     ++c1_1(W),
     ++c2_1(V),
     ++c1_1(V)]).

input_clause(clause335,conjecture,
    [--c3_1(U),
     --c1_1(U),
     --c2_1(U),
     --ndr1_0,
     --c2_1(V),
     --c0_1(V),
     --c3_1(V),
     ++hskp5]).

input_clause(clause336,conjecture,
    [--c2_1(U),
     --ndr1_0,
     --c2_1(V),
     --c0_1(W),
     ++c3_1(U),
     ++c1_1(U),
     ++c3_1(V),
     ++c0_1(V),
     ++c2_1(W),
     ++c1_1(W)]).

input_clause(clause337,conjecture,
    [--c3_1(U),
     --ndr1_0,
     --c3_1(V),
     --c0_1(V),
     --c2_1(W),
     --c1_1(W),
     ++c0_1(U),
     ++c1_1(U),
     ++c2_1(V),
     ++c0_1(W)]).

input_clause(clause338,conjecture,
    [--c2_1(U),
     --c1_1(U),
     --ndr1_0,
     --c3_1(V),
     --c0_1(V),
     --c1_1(W),
     --c0_1(W),
     ++c3_1(U),
     ++c1_1(V),
     ++c2_1(W)]).

input_clause(clause339,conjecture,
    [--c2_1(U),
     --c1_1(U),
     --c0_1(U),
     --ndr1_0,
     --c2_1(V),
     --c1_1(W),
     --c0_1(W),
     --c3_1(W),
     ++c0_1(V),
     ++c3_1(V)]).

input_clause(clause340,conjecture,
    [--c2_1(U),
     --c3_1(U),
     --ndr1_0,
     --c3_1(V),
     --c2_1(V),
     --c1_1(V),
     --c1_1(W),
     --c0_1(W),
     ++c1_1(U),
     ++c2_1(W)]).
%--------------------------------------------------------------------------
