%--------------------------------------------------------------------------
% File     : SYN485-1 : TPTP v2.1.0. Released v2.1.0.
% Domain   : Syntactic (Translated)
% Problem  : ALC, N=4, R=1, L=76, K=3, D=1, P=0, Index=050
% Version  : Special.
% English  : 

% Refs     : [OS95]  Ohlbach & Schmidt (1995), Functional Translation and S
%          : [WGR96] Weidenbach et al. (1996), SPASS and FLOTTER
%          : [HS97]  Hustadt & Schmidt (1997), On Evaluating Decision Proce
%          : [Wei97] Weidenbach (1997), Email to G. Sutcliffe
% Source   : [Wei97]
% Names    : alc-4-1-76-3-1-050.cnf [Wei97]

% Status   : unsatisfiable
% Rating   : ? v2.1.0
% Syntax   : Number of clauses    :  196 (  76 non-Horn;   0 unit; 185 RR)
%            Number of literals   :  770 (   0 equality)
%            Maximal clause size  :   10 (   3 average)
%            Number of predicates :   35 (  31 propositional; 0-1 arity)
%            Number of functors   :   30 (  30 constant; 0-0 arity)
%            Number of variables  :  119 (   0 singleton)
%            Maximal term depth   :    1 (   1 average)

% Comments : These ALC problems have been translated from propositional 
%            multi-modal K logic formulae generated according to the scheme
%            described in [HS97], using the optimized functional translation
%            described in [OS95]. The finite model property holds, the
%            Herbrand Universe is finite, they are decidable (the complexity
%            is PSPACE-complete), resolution + subsumption + condensing is a
%            decision procedure, and the translated formulae belong to the
%            (CNF-translation of the) Bernays-Schoenfinkel class [Wei97].
%          : Translated from FOF using FLOTTER [WGR96].
%--------------------------------------------------------------------------
input_clause(clause1,conjecture,
    [++hskp17,++hskp2]).

input_clause(clause2,conjecture,
    [--hskp29,++ndr1_0]).

input_clause(clause3,conjecture,
    [--hskp28,++ndr1_0]).

input_clause(clause4,conjecture,
    [--hskp27,++ndr1_0]).

input_clause(clause5,conjecture,
    [--hskp26,++ndr1_0]).

input_clause(clause6,conjecture,
    [--hskp25,++ndr1_0]).

input_clause(clause7,conjecture,
    [--hskp24,++ndr1_0]).

input_clause(clause8,conjecture,
    [--hskp23,++ndr1_0]).

input_clause(clause9,conjecture,
    [--hskp22,++ndr1_0]).

input_clause(clause10,conjecture,
    [--hskp21,++ndr1_0]).

input_clause(clause11,conjecture,
    [--hskp20,++ndr1_0]).

input_clause(clause12,conjecture,
    [--hskp19,++ndr1_0]).

input_clause(clause13,conjecture,
    [--hskp18,++ndr1_0]).

input_clause(clause14,conjecture,
    [--hskp17,++ndr1_0]).

input_clause(clause15,conjecture,
    [--hskp16,++ndr1_0]).

input_clause(clause16,conjecture,
    [--hskp15,++ndr1_0]).

input_clause(clause17,conjecture,
    [--hskp14,++ndr1_0]).

input_clause(clause18,conjecture,
    [--hskp13,++ndr1_0]).

input_clause(clause19,conjecture,
    [--hskp12,++ndr1_0]).

input_clause(clause20,conjecture,
    [--hskp11,++ndr1_0]).

input_clause(clause21,conjecture,
    [--hskp10,++ndr1_0]).

input_clause(clause22,conjecture,
    [--hskp9,++ndr1_0]).

input_clause(clause23,conjecture,
    [--hskp8,++ndr1_0]).

input_clause(clause24,conjecture,
    [--hskp7,++ndr1_0]).

input_clause(clause25,conjecture,
    [--hskp6,++ndr1_0]).

input_clause(clause26,conjecture,
    [--hskp5,++ndr1_0]).

input_clause(clause27,conjecture,
    [--hskp4,++ndr1_0]).

input_clause(clause28,conjecture,
    [--hskp3,++ndr1_0]).

input_clause(clause29,conjecture,
    [--hskp2,++ndr1_0]).

input_clause(clause30,conjecture,
    [--hskp1,++ndr1_0]).

input_clause(clause31,conjecture,
    [--hskp0,++ndr1_0]).

input_clause(clause32,conjecture,
    [++hskp27,++hskp23,++hskp5]).

input_clause(clause33,conjecture,
    [++hskp7,++hskp23,++hskp15]).

input_clause(clause34,conjecture,
    [++hskp17,++hskp23,++hskp1]).

input_clause(clause35,conjecture,
    [++hskp23,++hskp24,++hskp5]).

input_clause(clause36,conjecture,
    [++hskp6,++hskp5,++hskp18]).

input_clause(clause37,conjecture,
    [++hskp29,++hskp5,++hskp3]).

input_clause(clause38,conjecture,
    [++hskp24,++hskp12,++hskp10]).

input_clause(clause39,conjecture,
    [++hskp12,++hskp25,++hskp18]).

input_clause(clause40,conjecture,
    [--hskp29,
     ++c1_1(a2077)]).

input_clause(clause41,conjecture,
    [--hskp29,
     ++c2_1(a2077)]).

input_clause(clause42,conjecture,
    [--hskp29,
     ++c3_1(a2077)]).

input_clause(clause43,conjecture,
    [--hskp28,
     ++c0_1(a2075)]).

input_clause(clause44,conjecture,
    [--hskp28,
     ++c1_1(a2075)]).

input_clause(clause45,conjecture,
    [--hskp28,
     ++c2_1(a2075)]).

input_clause(clause46,conjecture,
    [--hskp27,
     ++c0_1(a2073)]).

input_clause(clause47,conjecture,
    [--hskp27,
     ++c1_1(a2073)]).

input_clause(clause48,conjecture,
    [--hskp27,
     ++c3_1(a2073)]).

input_clause(clause49,conjecture,
    [--hskp26,
     ++c0_1(a2069)]).

input_clause(clause50,conjecture,
    [--hskp26,
     ++c2_1(a2069)]).

input_clause(clause51,conjecture,
    [--hskp26,
     ++c3_1(a2069)]).

input_clause(clause52,conjecture,
    [--hskp25,
     ++c1_1(a2172)]).

input_clause(clause53,conjecture,
    [--hskp24,
     ++c1_1(a2160)]).

input_clause(clause54,conjecture,
    [--hskp24,
     ++c2_1(a2160)]).

input_clause(clause55,conjecture,
    [--hskp23,
     ++c0_1(a2149)]).

input_clause(clause56,conjecture,
    [--hskp23,
     ++c3_1(a2149)]).

input_clause(clause57,conjecture,
    [--hskp22,
     ++c2_1(a2140)]).

input_clause(clause58,conjecture,
    [--hskp22,
     ++c3_1(a2140)]).

input_clause(clause59,conjecture,
    [--hskp21,
     ++c0_1(a2136)]).

input_clause(clause60,conjecture,
    [--hskp21,
     ++c1_1(a2136)]).

input_clause(clause61,conjecture,
    [--hskp19,
     ++c2_1(a2122)]).

input_clause(clause62,conjecture,
    [--hskp18,
     ++c1_1(a2116)]).

input_clause(clause63,conjecture,
    [--hskp17,
     ++c0_1(a2110)]).

input_clause(clause64,conjecture,
    [--hskp17,
     ++c2_1(a2110)]).

input_clause(clause65,conjecture,
    [--hskp16,
     ++c3_1(a2104)]).

input_clause(clause66,conjecture,
    [--hskp15,
     ++c0_1(a2099)]).

input_clause(clause67,conjecture,
    [--hskp13,
     ++c2_1(a2096)]).

input_clause(clause68,conjecture,
    [--hskp12,
     ++c1_1(a2095)]).

input_clause(clause69,conjecture,
    [--hskp11,
     ++c0_1(a2093)]).

input_clause(clause70,conjecture,
    [--hskp10,
     ++c2_1(a2087)]).

input_clause(clause71,conjecture,
    [--hskp9,
     ++c2_1(a2084)]).

input_clause(clause72,conjecture,
    [--hskp9,
     ++c3_1(a2084)]).

input_clause(clause73,conjecture,
    [--hskp8,
     ++c1_1(a2082)]).

input_clause(clause74,conjecture,
    [--hskp8,
     ++c2_1(a2082)]).

input_clause(clause75,conjecture,
    [--hskp7,
     ++c0_1(a2079)]).

input_clause(clause76,conjecture,
    [--hskp7,
     ++c1_1(a2079)]).

input_clause(clause77,conjecture,
    [--hskp6,
     ++c0_1(a2078)]).

input_clause(clause78,conjecture,
    [--hskp5,
     ++c1_1(a2076)]).

input_clause(clause79,conjecture,
    [--hskp5,
     ++c3_1(a2076)]).

input_clause(clause80,conjecture,
    [--hskp4,
     ++c1_1(a2074)]).

input_clause(clause81,conjecture,
    [--hskp4,
     ++c3_1(a2074)]).

input_clause(clause82,conjecture,
    [--hskp2,
     ++c0_1(a2071)]).

input_clause(clause83,conjecture,
    [--hskp2,
     ++c2_1(a2071)]).

input_clause(clause84,conjecture,
    [--hskp1,
     ++c0_1(a2070)]).

input_clause(clause85,conjecture,
    [--hskp1,
     ++c3_1(a2070)]).

input_clause(clause86,conjecture,
    [--hskp0,
     ++c3_1(a2068)]).

input_clause(clause87,conjecture,
    [--c0_1(a2172),
     --hskp25]).

input_clause(clause88,conjecture,
    [--c3_1(a2172),
     --hskp25]).

input_clause(clause89,conjecture,
    [--c3_1(a2160),
     --hskp24]).

input_clause(clause90,conjecture,
    [--c1_1(a2149),
     --hskp23]).

input_clause(clause91,conjecture,
    [--c0_1(a2140),
     --hskp22]).

input_clause(clause92,conjecture,
    [--c2_1(a2136),
     --hskp21]).

input_clause(clause93,conjecture,
    [--c1_1(a2130),
     --hskp20]).

input_clause(clause94,conjecture,
    [--c2_1(a2130),
     --hskp20]).

input_clause(clause95,conjecture,
    [--c3_1(a2130),
     --hskp20]).

input_clause(clause96,conjecture,
    [--c0_1(a2122),
     --hskp19]).

input_clause(clause97,conjecture,
    [--c3_1(a2122),
     --hskp19]).

input_clause(clause98,conjecture,
    [--c2_1(a2116),
     --hskp18]).

input_clause(clause99,conjecture,
    [--c3_1(a2116),
     --hskp18]).

input_clause(clause100,conjecture,
    [--c1_1(a2110),
     --hskp17]).

input_clause(clause101,conjecture,
    [--c0_1(a2104),
     --hskp16]).

input_clause(clause102,conjecture,
    [--c1_1(a2104),
     --hskp16]).

input_clause(clause103,conjecture,
    [--c2_1(a2099),
     --hskp15]).

input_clause(clause104,conjecture,
    [--c3_1(a2099),
     --hskp15]).

input_clause(clause105,conjecture,
    [--c0_1(a2097),
     --hskp14]).

input_clause(clause106,conjecture,
    [--c1_1(a2097),
     --hskp14]).

input_clause(clause107,conjecture,
    [--c2_1(a2097),
     --hskp14]).

input_clause(clause108,conjecture,
    [--c0_1(a2096),
     --hskp13]).

input_clause(clause109,conjecture,
    [--c1_1(a2096),
     --hskp13]).

input_clause(clause110,conjecture,
    [--c0_1(a2095),
     --hskp12]).

input_clause(clause111,conjecture,
    [--c2_1(a2095),
     --hskp12]).

input_clause(clause112,conjecture,
    [--c1_1(a2093),
     --hskp11]).

input_clause(clause113,conjecture,
    [--c3_1(a2093),
     --hskp11]).

input_clause(clause114,conjecture,
    [--c1_1(a2087),
     --hskp10]).

input_clause(clause115,conjecture,
    [--c3_1(a2087),
     --hskp10]).

input_clause(clause116,conjecture,
    [--c1_1(a2084),
     --hskp9]).

input_clause(clause117,conjecture,
    [--c0_1(a2082),
     --hskp8]).

input_clause(clause118,conjecture,
    [--c3_1(a2079),
     --hskp7]).

input_clause(clause119,conjecture,
    [--c1_1(a2078),
     --hskp6]).

input_clause(clause120,conjecture,
    [--c2_1(a2078),
     --hskp6]).

input_clause(clause121,conjecture,
    [--c0_1(a2076),
     --hskp5]).

input_clause(clause122,conjecture,
    [--c2_1(a2074),
     --hskp4]).

input_clause(clause123,conjecture,
    [--c0_1(a2072),
     --hskp3]).

input_clause(clause124,conjecture,
    [--c1_1(a2072),
     --hskp3]).

input_clause(clause125,conjecture,
    [--c3_1(a2072),
     --hskp3]).

input_clause(clause126,conjecture,
    [--c3_1(a2071),
     --hskp2]).

input_clause(clause127,conjecture,
    [--c2_1(a2070),
     --hskp1]).

input_clause(clause128,conjecture,
    [--c0_1(a2068),
     --hskp0]).

input_clause(clause129,conjecture,
    [--c2_1(a2068),
     --hskp0]).

input_clause(clause130,conjecture,
    [--ndr1_0,
     ++c0_1(U),
     ++c1_1(U),
     ++c2_1(U),
     ++hskp26,
     ++hskp1]).

input_clause(clause131,conjecture,
    [--ndr1_0,
     ++c0_1(U),
     ++c1_1(U),
     ++c2_1(U),
     ++hskp2,
     ++hskp3]).

input_clause(clause132,conjecture,
    [--ndr1_0,
     ++c0_1(U),
     ++c1_1(U),
     ++c3_1(U),
     ++hskp28,
     ++hskp5]).

input_clause(clause133,conjecture,
    [--ndr1_0,
     ++c0_1(U),
     ++c2_1(U),
     ++c3_1(U),
     ++hskp5,
     ++hskp4]).

input_clause(clause134,conjecture,
    [--ndr1_0,
     ++c1_1(U),
     ++c2_1(U),
     ++c3_1(U),
     ++hskp17,
     ++hskp1]).

input_clause(clause135,conjecture,
    [--c3_1(U),
     --ndr1_0,
     ++c0_1(U),
     ++c2_1(U),
     ++hskp27,
     ++hskp7]).

input_clause(clause136,conjecture,
    [--c2_1(U),
     --ndr1_0,
     ++c0_1(U),
     ++c3_1(U),
     ++hskp12,
     ++hskp13]).

input_clause(clause137,conjecture,
    [--c1_1(U),
     --c3_1(U),
     --ndr1_0,
     ++c0_1(U),
     ++hskp0]).

input_clause(clause138,conjecture,
    [--c3_1(U),
     --ndr1_0,
     ++c1_1(U),
     ++c2_1(U),
     ++hskp26,
     ++hskp18]).

input_clause(clause139,conjecture,
    [--c0_1(U),
     --ndr1_0,
     ++c1_1(U),
     ++c3_1(U),
     ++hskp1,
     ++hskp8]).

input_clause(clause140,conjecture,
    [--c0_1(U),
     --ndr1_0,
     ++c1_1(U),
     ++c3_1(U),
     ++hskp11,
     ++hskp19]).

input_clause(clause141,conjecture,
    [--c0_1(U),
     --c1_1(U),
     --ndr1_0,
     ++c2_1(U),
     ++hskp22]).

input_clause(clause142,conjecture,
    [--c1_1(U),
     --c3_1(U),
     --ndr1_0,
     ++c0_1(U),
     ++hskp28,
     ++hskp4]).

input_clause(clause143,conjecture,
    [--c2_1(U),
     --c3_1(U),
     --ndr1_0,
     ++c0_1(U),
     ++hskp27,
     ++hskp29]).

input_clause(clause144,conjecture,
    [--c2_1(U),
     --c3_1(U),
     --ndr1_0,
     ++c0_1(U),
     ++hskp11,
     ++hskp0]).

input_clause(clause145,conjecture,
    [--c0_1(U),
     --c3_1(U),
     --ndr1_0,
     ++c1_1(U),
     ++hskp26,
     ++hskp5]).

input_clause(clause146,conjecture,
    [--c0_1(U),
     --c3_1(U),
     --ndr1_0,
     ++c1_1(U),
     ++hskp11,
     ++hskp10]).

input_clause(clause147,conjecture,
    [--c2_1(U),
     --c3_1(U),
     --ndr1_0,
     ++c1_1(U),
     ++hskp7,
     ++hskp15]).

input_clause(clause148,conjecture,
    [--c0_1(U),
     --c1_1(U),
     --ndr1_0,
     ++c2_1(U),
     ++hskp21,
     ++hskp16]).

input_clause(clause149,conjecture,
    [--c0_1(U),
     --c1_1(U),
     --ndr1_0,
     ++c2_1(U),
     ++hskp17,
     ++hskp20]).

input_clause(clause150,conjecture,
    [--c0_1(U),
     --c3_1(U),
     --ndr1_0,
     ++c2_1(U),
     ++hskp7,
     ++hskp16]).

input_clause(clause151,conjecture,
    [--c0_1(U),
     --c1_1(U),
     --c2_1(U),
     --ndr1_0,
     ++hskp7,
     ++hskp4]).

input_clause(clause152,conjecture,
    [--c0_1(U),
     --c1_1(U),
     --c3_1(U),
     --ndr1_0,
     ++hskp17,
     ++hskp22]).

input_clause(clause153,conjecture,
    [--c2_1(U),
     --ndr1_0,
     ++c0_1(U),
     ++c1_1(U),
     ++c0_1(V),
     ++c1_1(V),
     ++c3_1(V),
     ++hskp27]).

input_clause(clause154,conjecture,
    [--c2_1(U),
     --ndr1_0,
     ++c1_1(U),
     ++c3_1(U),
     ++c0_1(V),
     ++c1_1(V),
     ++c3_1(V),
     ++hskp4]).

input_clause(clause155,conjecture,
    [--c2_1(U),
     --ndr1_0,
     --c1_1(V),
     ++c1_1(U),
     ++c3_1(U),
     ++c0_1(V),
     ++c2_1(V),
     ++hskp8]).

input_clause(clause156,conjecture,
    [--c3_1(U),
     --ndr1_0,
     --c3_1(V),
     ++c1_1(U),
     ++c2_1(U),
     ++c0_1(V),
     ++c2_1(V),
     ++hskp4]).

input_clause(clause157,conjecture,
    [--c0_1(U),
     --ndr1_0,
     --c2_1(V),
     ++c1_1(U),
     ++c2_1(U),
     ++c0_1(V),
     ++c3_1(V),
     ++hskp11]).

input_clause(clause158,conjecture,
    [--ndr1_0,
     --c1_1(U),
     --c2_1(U),
     ++c1_1(V),
     ++c2_1(V),
     ++c3_1(V),
     ++c0_1(U),
     ++hskp14]).

input_clause(clause159,conjecture,
    [--c0_1(U),
     --c2_1(U),
     --c3_1(U),
     --ndr1_0,
     ++c0_1(V),
     ++c1_1(V),
     ++c2_1(V),
     ++hskp0]).

input_clause(clause160,conjecture,
    [--c0_1(U),
     --c1_1(U),
     --ndr1_0,
     --c2_1(V),
     ++c2_1(U),
     ++c0_1(V),
     ++c1_1(V),
     ++hskp29]).

input_clause(clause161,conjecture,
    [--c0_1(U),
     --c3_1(U),
     --ndr1_0,
     --c3_1(V),
     ++c1_1(U),
     ++c0_1(V),
     ++c1_1(V),
     ++hskp6]).

input_clause(clause162,conjecture,
    [--c0_1(U),
     --c3_1(U),
     --ndr1_0,
     --c1_1(V),
     ++c1_1(U),
     ++c0_1(V),
     ++c2_1(V),
     ++hskp2]).

input_clause(clause163,conjecture,
    [--c0_1(U),
     --c1_1(U),
     --ndr1_0,
     --c1_1(V),
     ++c2_1(U),
     ++c0_1(V),
     ++c2_1(V),
     ++hskp9]).

input_clause(clause164,conjecture,
    [--c0_1(U),
     --c3_1(U),
     --ndr1_0,
     --c1_1(V),
     ++c2_1(U),
     ++c0_1(V),
     ++c2_1(V),
     ++hskp9]).

input_clause(clause165,conjecture,
    [--c1_1(U),
     --c2_1(U),
     --ndr1_0,
     --c2_1(V),
     ++c0_1(U),
     ++c0_1(V),
     ++c3_1(V),
     ++hskp1]).

input_clause(clause166,conjecture,
    [--c2_1(U),
     --c3_1(U),
     --ndr1_0,
     --c2_1(V),
     ++c1_1(U),
     ++c0_1(V),
     ++c3_1(V),
     ++hskp10]).

input_clause(clause167,conjecture,
    [--c2_1(U),
     --ndr1_0,
     --c1_1(V),
     --c2_1(V),
     ++c1_1(U),
     ++c3_1(U),
     ++c0_1(V),
     ++hskp11]).

input_clause(clause168,conjecture,
    [--c3_1(U),
     --ndr1_0,
     --c1_1(V),
     --c3_1(V),
     ++c1_1(U),
     ++c2_1(U),
     ++c0_1(V),
     ++hskp15]).

input_clause(clause169,conjecture,
    [--c0_1(U),
     --ndr1_0,
     --c2_1(V),
     --c3_1(V),
     ++c2_1(U),
     ++c3_1(U),
     ++c0_1(V),
     ++hskp16]).

input_clause(clause170,conjecture,
    [--c0_1(U),
     --c2_1(U),
     --ndr1_0,
     --c3_1(V),
     ++c3_1(U),
     ++c1_1(V),
     ++c2_1(V),
     ++hskp16]).

input_clause(clause171,conjecture,
    [--c2_1(U),
     --c3_1(U),
     --ndr1_0,
     --c0_1(V),
     ++c1_1(U),
     ++c1_1(V),
     ++c3_1(V),
     ++hskp26]).

input_clause(clause172,conjecture,
    [--c1_1(U),
     --c3_1(U),
     --ndr1_0,
     --c0_1(V),
     ++c2_1(U),
     ++c1_1(V),
     ++c3_1(V),
     ++hskp3]).

input_clause(clause173,conjecture,
    [--c1_1(U),
     --ndr1_0,
     --c0_1(V),
     --c3_1(V),
     ++c2_1(U),
     ++c3_1(U),
     ++c1_1(V),
     ++hskp17]).

input_clause(clause174,conjecture,
    [--c1_1(U),
     --ndr1_0,
     --c0_1(V),
     --c3_1(V),
     ++c2_1(U),
     ++c3_1(U),
     ++c1_1(V),
     ++hskp8]).

input_clause(clause175,conjecture,
    [--c0_1(U),
     --c1_1(U),
     --c3_1(U),
     --ndr1_0,
     --c3_1(V),
     ++c0_1(V),
     ++c1_1(V),
     ++hskp7]).

input_clause(clause176,conjecture,
    [--c0_1(U),
     --c2_1(U),
     --c3_1(U),
     --ndr1_0,
     --c3_1(V),
     ++c0_1(V),
     ++c2_1(V),
     ++hskp10]).

input_clause(clause177,conjecture,
    [--c0_1(U),
     --c2_1(U),
     --c3_1(U),
     --ndr1_0,
     --c1_1(V),
     ++c0_1(V),
     ++c3_1(V),
     ++hskp4]).

input_clause(clause178,conjecture,
    [--c1_1(U),
     --c2_1(U),
     --c3_1(U),
     --ndr1_0,
     --c1_1(V),
     ++c0_1(V),
     ++c3_1(V),
     ++hskp8]).

input_clause(clause179,conjecture,
    [--c2_1(U),
     --c3_1(U),
     --ndr1_0,
     --c2_1(V),
     --c3_1(V),
     ++c1_1(U),
     ++c0_1(V),
     ++hskp27]).

input_clause(clause180,conjecture,
    [--c0_1(U),
     --c2_1(U),
     --c3_1(U),
     --ndr1_0,
     --c0_1(V),
     ++c1_1(V),
     ++c2_1(V),
     ++hskp26]).

input_clause(clause181,conjecture,
    [--c1_1(U),
     --c2_1(U),
     --c3_1(U),
     --ndr1_0,
     --c3_1(V),
     ++c1_1(V),
     ++c2_1(V),
     ++hskp8]).

input_clause(clause182,conjecture,
    [--c0_1(U),
     --c3_1(U),
     --ndr1_0,
     --c2_1(V),
     --c3_1(V),
     ++c2_1(U),
     ++c1_1(V),
     ++hskp3]).

input_clause(clause183,conjecture,
    [--c0_1(U),
     --c1_1(U),
     --c2_1(U),
     --ndr1_0,
     --c0_1(V),
     ++c2_1(V),
     ++c3_1(V),
     ++hskp11]).

input_clause(clause184,conjecture,
    [--c1_1(U),
     --c3_1(U),
     --ndr1_0,
     --c0_1(V),
     --c1_1(V),
     ++c2_1(U),
     ++c2_1(V),
     ++hskp5]).

input_clause(clause185,conjecture,
    [--c1_1(U),
     --c2_1(U),
     --ndr1_0,
     --c0_1(V),
     --c1_1(V),
     ++c3_1(U),
     ++c2_1(V),
     ++hskp12]).

input_clause(clause186,conjecture,
    [--c0_1(U),
     --c2_1(U),
     --ndr1_0,
     --c0_1(V),
     --c3_1(V),
     ++c3_1(U),
     ++c2_1(V),
     ++hskp4]).

input_clause(clause187,conjecture,
    [--ndr1_0,
     --c1_1(U),
     ++c1_1(V),
     ++c2_1(V),
     ++c3_1(V),
     ++c0_1(U),
     ++c2_1(U),
     ++c0_1(W),
     ++c1_1(W),
     ++c2_1(W)]).

input_clause(clause188,conjecture,
    [--c0_1(U),
     --c1_1(U),
     --c2_1(U),
     --ndr1_0,
     --c2_1(V),
     --c3_1(V),
     ++c0_1(V),
     ++hskp26]).

input_clause(clause189,conjecture,
    [--c0_1(U),
     --c1_1(U),
     --c2_1(U),
     --ndr1_0,
     --c2_1(V),
     --c3_1(V),
     ++c1_1(V),
     ++hskp20]).

input_clause(clause190,conjecture,
    [--c1_1(U),
     --c3_1(U),
     --ndr1_0,
     --c2_1(V),
     ++c2_1(U),
     ++c1_1(V),
     ++c3_1(V),
     ++c0_1(W),
     ++c2_1(W),
     ++c3_1(W)]).

input_clause(clause191,conjecture,
    [--c1_1(U),
     --ndr1_0,
     --c1_1(V),
     --c3_1(W),
     ++c2_1(U),
     ++c3_1(U),
     ++c0_1(V),
     ++c3_1(V),
     ++c0_1(W),
     ++c2_1(W)]).

input_clause(clause192,conjecture,
    [--c1_1(U),
     --ndr1_0,
     --c2_1(V),
     --c3_1(V),
     --c3_1(W),
     ++c2_1(U),
     ++c3_1(U),
     ++c1_1(V),
     ++c0_1(W),
     ++c1_1(W)]).

input_clause(clause193,conjecture,
    [--c0_1(U),
     --c2_1(U),
     --ndr1_0,
     --c2_1(V),
     --c3_1(V),
     --c2_1(W),
     ++c1_1(U),
     ++c0_1(V),
     ++c0_1(W),
     ++c1_1(W)]).

input_clause(clause194,conjecture,
    [--c1_1(U),
     --c3_1(U),
     --ndr1_0,
     --c0_1(V),
     --c3_1(V),
     --c2_1(W),
     ++c2_1(U),
     ++c2_1(V),
     ++c0_1(W),
     ++c3_1(W)]).

input_clause(clause195,conjecture,
    [--c0_1(U),
     --c1_1(U),
     --ndr1_0,
     --c0_1(V),
     --c3_1(V),
     --c1_1(W),
     --c3_1(W),
     ++c2_1(U),
     ++c1_1(V),
     ++c0_1(W)]).

input_clause(clause196,conjecture,
    [--c0_1(U),
     --c2_1(U),
     --c3_1(U),
     --ndr1_0,
     --c0_1(V),
     --c1_1(V),
     --c3_1(V),
     --c0_1(W),
     ++c1_1(W),
     ++c3_1(W)]).
%--------------------------------------------------------------------------
