%--------------------------------------------------------------------------
% File     : SYN524-1 : TPTP v2.1.0. Released v2.1.0.
% Domain   : Syntactic (Translated)
% Problem  : ALC, N=5, R=1, L=20, K=3, D=2, P=0, Index=086
% Version  : Special.
% English  : 

% Refs     : [OS95]  Ohlbach & Schmidt (1995), Functional Translation and S
%          : [WGR96] Weidenbach et al. (1996), SPASS and FLOTTER
%          : [HS97]  Hustadt & Schmidt (1997), On Evaluating Decision Proce
%          : [Wei97] Weidenbach (1997), Email to G. Sutcliffe
% Source   : [Wei97]
% Names    : alc-5-1-20-3-2-086.cnf [Wei97]

% Status   : satisfiable
% Rating   : ? v2.1.0
% Syntax   : Number of clauses    :  101 (  68 non-Horn;   0 unit;  89 RR)
%            Number of literals   :  479 (   0 equality)
%            Maximal clause size  :   14 (   4 average)
%            Number of predicates :   24 (  11 propositional; 0-2 arity)
%            Number of functors   :   31 (  31 constant; 0-0 arity)
%            Number of variables  :   90 (   3 singleton)
%            Maximal term depth   :    1 (   1 average)

% Comments : These ALC problems have been translated from propositional 
%            multi-modal K logic formulae generated according to the scheme
%            described in [HS97], using the optimized functional translation
%            described in [OS95]. The finite model property holds, the
%            Herbrand Universe is finite, they are decidable (the complexity
%            is PSPACE-complete), resolution + subsumption + condensing is a
%            decision procedure, and the translated formulae belong to the
%            (CNF-translation of the) Bernays-Schoenfinkel class [Wei97].
%          : Translated from FOF using FLOTTER [WGR96].
%--------------------------------------------------------------------------
input_clause(clause1,conjecture,
    [++ndr1_0,++ssSkC3]).

input_clause(clause2,conjecture,
    [++ndr1_0,++ssSkC2]).

input_clause(clause3,conjecture,
    [++ndr1_0,++ssSkC1]).

input_clause(clause4,conjecture,
    [++ndr1_0,++c1_0,++c5_0]).

input_clause(clause5,conjecture,
    [++ndr1_0,++c4_0,++c2_0]).

input_clause(clause6,conjecture,
    [--c3_0,++ndr1_0]).

input_clause(clause7,conjecture,
    [--ssSkC2,--ssSkC3,++ndr1_0]).

input_clause(clause8,conjecture,
    [--c5_0,++ndr1_0]).

input_clause(clause9,conjecture,
    [--ssSkC0,++ndr1_0,++c1_0]).

input_clause(clause10,conjecture,
    [++ndr1_1(U),
     ++ssSkP1(U)]).

input_clause(clause11,conjecture,
    [++ndr1_1(U),
     ++ssSkP0(U)]).

input_clause(clause12,conjecture,
    [++c3_1(a169),
     ++ssSkC2]).

input_clause(clause13,conjecture,
    [++ndr1_1(a161),
     ++ssSkC1]).

input_clause(clause14,conjecture,
    [++c4_1(a161),
     ++ssSkC1]).

input_clause(clause15,conjecture,
    [++ndr1_1(a183),
     ++c1_0,
     ++c5_0]).

input_clause(clause16,conjecture,
    [++c2_1(a183),
     ++c1_0,
     ++c5_0]).

input_clause(clause17,conjecture,
    [++c1_1(a181),
     ++c4_0,
     ++c2_0]).

input_clause(clause18,conjecture,
    [--c3_0,
     ++c2_1(a180)]).

input_clause(clause19,conjecture,
    [--c3_0,
     ++c3_1(a180)]).

input_clause(clause20,conjecture,
    [--ssSkC4,--c4_0,++ndr1_0]).

input_clause(clause21,conjecture,
    [--ssSkC2,
     --ssSkC3,
     ++ndr1_1(a171)]).

input_clause(clause22,conjecture,
    [--c5_0,
     ++ndr1_1(a165)]).

input_clause(clause23,conjecture,
    [--c5_0,
     ++c1_1(a165)]).

input_clause(clause24,conjecture,
    [--ssSkC0,
     ++c3_1(a158),
     ++c1_0]).

input_clause(clause25,conjecture,
    [--ssSkC0,
     ++c5_1(a158),
     ++c1_0]).

input_clause(clause26,conjecture,
    [--c4_0,++c3_0,++c2_0]).

input_clause(clause27,conjecture,
    [++c2_2(U,a176),
     ++ssSkP0(U)]).

input_clause(clause28,conjecture,
    [--c1_1(a170),
     ++ssSkC3]).

input_clause(clause29,conjecture,
    [--c3_1(a170),
     ++ssSkC3]).

input_clause(clause30,conjecture,
    [++c3_2(a161,a162),
     ++ssSkC1]).

input_clause(clause31,conjecture,
    [++c5_2(a161,a162),
     ++ssSkC1]).

input_clause(clause32,conjecture,
    [++c1_2(a161,a162),
     ++ssSkC1]).

input_clause(clause33,conjecture,
    [--c3_1(a161),
     ++ssSkC1]).

input_clause(clause34,conjecture,
    [++c1_2(a183,a184),
     ++c1_0,
     ++c5_0]).

input_clause(clause35,conjecture,
    [--c4_1(a181),
     ++c4_0,
     ++c2_0]).

input_clause(clause36,conjecture,
    [--ssSkC4,
     --c4_0,
     ++c1_1(a175)]).

input_clause(clause37,conjecture,
    [--ssSkC4,
     --c4_0,
     ++c2_1(a175)]).

input_clause(clause38,conjecture,
    [--ssSkC2,
     --ssSkC3,
     ++c3_2(a171,a172)]).

input_clause(clause39,conjecture,
    [--ssSkC2,
     --ssSkC3,
     --c4_1(a171)]).

input_clause(clause40,conjecture,
    [--c5_0,
     ++c1_2(a165,a166)]).

input_clause(clause41,conjecture,
    [--c5_0,
     ++c3_2(a165,a166)]).

input_clause(clause42,conjecture,
    [--c2_2(U,a185),
     ++ssSkP1(U)]).

input_clause(clause43,conjecture,
    [--c3_2(U,a185),
     ++ssSkP1(U)]).

input_clause(clause44,conjecture,
    [--c4_2(U,a176),
     ++ssSkP0(U)]).

input_clause(clause45,conjecture,
    [--c5_2(a183,a184),
     ++c1_0,
     ++c5_0]).

input_clause(clause46,conjecture,
    [--c2_0,
     --c3_0,
     ++ndr1_1(a178)]).

input_clause(clause47,conjecture,
    [--c2_0,
     --c3_0,
     ++c4_1(a178)]).

input_clause(clause48,conjecture,
    [--ssSkC2,
     --ssSkC3,
     --c1_2(a171,a172)]).

input_clause(clause49,conjecture,
    [--c5_2(a165,a166),
     --c5_0]).

input_clause(clause50,conjecture,
    [--c2_0,
     --c3_0,
     ++c5_2(a178,a179)]).

input_clause(clause51,conjecture,
    [--c4_2(a178,a179),
     --c2_0,
     --c3_0]).

input_clause(clause52,conjecture,
    [--ssSkP1(U),
     --c3_1(U),
     --ndr1_0,
     ++ndr1_1(U),
     ++c3_0]).

input_clause(clause53,conjecture,
    [--c2_1(U),
     --ndr1_0,
     --c1_0,
     ++ndr1_1(U),
     ++c5_0]).

input_clause(clause54,conjecture,
    [--c3_1(U),
     --ndr1_0,
     ++ndr1_1(U),
     ++c1_1(U),
     ++ssSkC4]).

input_clause(clause55,conjecture,
    [--ssSkP1(U),
     --c3_1(U),
     --ndr1_0,
     ++c4_2(U,a186),
     ++c3_0]).

input_clause(clause56,conjecture,
    [--c2_1(U),
     --ndr1_0,
     --c1_0,
     ++c1_2(U,a187),
     ++c5_0]).

input_clause(clause57,conjecture,
    [--c2_1(U),
     --ndr1_0,
     --c1_0,
     ++c2_2(U,a187),
     ++c5_0]).

input_clause(clause58,conjecture,
    [--ndr1_1(a183),
     ++c3_2(a183,U),
     ++c2_2(a183,U),
     ++c1_0,
     ++c5_0]).

input_clause(clause59,conjecture,
    [--ssSkP1(U),
     --c1_2(U,a186),
     --c3_1(U),
     --ndr1_0,
     ++c3_0]).

input_clause(clause60,conjecture,
    [--c5_2(U,a187),
     --c2_1(U),
     --ndr1_0,
     --c1_0,
     ++c5_0]).

input_clause(clause61,conjecture,
    [--c2_2(U,a174),
     --c3_1(U),
     --ndr1_0,
     ++c1_1(U),
     ++ssSkC4]).

input_clause(clause62,conjecture,
    [--c5_2(U,a174),
     --c3_1(U),
     --ndr1_0,
     ++c1_1(U),
     ++ssSkC4]).

input_clause(clause63,conjecture,
    [--c1_2(U,a174),
     --c3_1(U),
     --ndr1_0,
     ++c1_1(U),
     ++ssSkC4]).

input_clause(clause64,conjecture,
    [--ndr1_1(a178),
     --c2_0,
     --c3_0,
     ++c4_2(a178,U),
     ++c3_2(a178,U)]).

input_clause(clause65,conjecture,
    [--ssSkC2,
     --ssSkC3,
     --c4_2(a171,U),
     --c5_2(a171,U),
     --ndr1_1(a171)]).

input_clause(clause66,conjecture,
    [--ndr1_1(a169),
     ++c2_2(a169,U),
     ++c3_2(a169,U),
     ++c5_2(a169,U),
     ++ssSkC2]).

input_clause(clause67,conjecture,
    [--c5_1(U),
     --c2_1(U),
     --ndr1_0,
     --c2_0,
     ++c1_1(U),
     ++ndr1_1(a167)]).

input_clause(clause68,conjecture,
    [--ssSkC0,
     --ndr1_1(a158),
     ++c1_2(a158,U),
     ++c5_2(a158,U),
     ++c4_2(a158,U),
     ++c1_0]).

input_clause(clause69,conjecture,
    [--c1_2(a181,U),
     --ndr1_1(a181),
     ++c5_2(a181,U),
     ++c3_2(a181,U),
     ++c4_0,
     ++c2_0]).

input_clause(clause70,conjecture,
    [--c5_1(U),
     --c2_1(U),
     --ndr1_0,
     --c2_0,
     ++c1_1(U),
     ++c2_2(a167,a168)]).

input_clause(clause71,conjecture,
    [--c5_1(U),
     --c2_1(U),
     --ndr1_0,
     --c2_0,
     ++c1_1(U),
     ++c3_2(a167,a168)]).

input_clause(clause72,conjecture,
    [--c5_1(U),
     --c2_1(U),
     --ndr1_0,
     --c2_0,
     ++c1_1(U),
     ++c4_2(a167,a168)]).

input_clause(clause73,conjecture,
    [--c3_2(a165,U),
     --ndr1_1(a165),
     --c5_0,
     ++c5_2(a165,U),
     ++c4_2(a165,U)]).

input_clause(clause74,conjecture,
    [--c4_1(U),
     --c5_1(U),
     --c3_1(U),
     --ndr1_0,
     --c2_0,
     --c3_0]).

input_clause(clause75,conjecture,
    [--c5_2(a180,U),
     --c1_2(a180,U),
     --ndr1_1(a180),
     --c3_0,
     ++c4_2(a180,U)]).

input_clause(clause76,conjecture,
    [--ssSkC4,
     --c3_2(a175,U),
     --ndr1_1(a175),
     --c4_0,
     ++c2_2(a175,U),
     ++c4_2(a175,U)]).

input_clause(clause77,conjecture,
    [--ssSkP0(U),
     --c5_1(V),
     --c2_1(V),
     --ndr1_0,
     --c1_1(U),
     ++c4_1(V),
     ++ndr1_1(U),
     ++c3_0]).

input_clause(clause78,conjecture,
    [--ndr1_1(U),
     --c5_1(U),
     --ndr1_0,
     ++c1_2(U,V),
     ++c5_2(U,V),
     ++c2_2(U,a157),
     ++ssSkC0]).

input_clause(clause79,conjecture,
    [--ssSkP0(U),
     --c5_1(V),
     --c2_1(V),
     --ndr1_0,
     --c1_1(U),
     ++c4_1(V),
     ++c2_2(U,a177),
     ++c3_0]).

input_clause(clause80,conjecture,
    [--ssSkP0(U),
     --c5_1(V),
     --c2_1(V),
     --ndr1_0,
     --c1_1(U),
     ++c4_1(V),
     ++c4_2(U,a177),
     ++c3_0]).

input_clause(clause81,conjecture,
    [--ssSkP0(U),
     --c5_1(V),
     --c2_1(V),
     --ndr1_0,
     --c1_1(U),
     ++c4_1(V),
     ++c3_2(U,a177),
     ++c3_0]).

input_clause(clause82,conjecture,
    [--ndr1_1(U),
     --c3_2(U,a157),
     --c5_1(U),
     --ndr1_0,
     ++c1_2(U,V),
     ++c5_2(U,V),
     ++ssSkC0]).

input_clause(clause83,conjecture,
    [--ssSkC1,
     --c4_2(U,V),
     --c1_2(U,V),
     --ndr1_1(U),
     --ndr1_0,
     ++c2_1(U),
     ++c1_1(U),
     ++ndr1_1(a163)]).

input_clause(clause84,conjecture,
    [--ssSkC1,
     --c4_2(U,V),
     --c1_2(U,V),
     --ndr1_1(U),
     --ndr1_0,
     ++c2_1(U),
     ++c1_1(U),
     ++c3_1(a163)]).

input_clause(clause85,conjecture,
    [--c5_2(U,V),
     --ndr1_1(U),
     --ndr1_0,
     --c1_0,
     ++c2_2(U,V),
     ++c1_1(U),
     ++c3_1(U),
     ++ndr1_1(a159)]).

input_clause(clause86,conjecture,
    [--ssSkC1,
     --c4_2(U,V),
     --c1_2(U,V),
     --ndr1_1(U),
     --ndr1_0,
     ++c2_1(U),
     ++c1_1(U),
     ++c5_2(a163,a164)]).

input_clause(clause87,conjecture,
    [--ssSkC1,
     --c4_2(U,V),
     --c1_2(U,V),
     --ndr1_1(U),
     --ndr1_0,
     --c2_1(a163),
     ++c2_1(U),
     ++c1_1(U)]).

input_clause(clause88,conjecture,
    [--c5_2(U,V),
     --ndr1_1(U),
     --ndr1_0,
     --c2_1(a159),
     --c1_0,
     ++c2_2(U,V),
     ++c1_1(U),
     ++c3_1(U)]).

input_clause(clause89,conjecture,
    [--c5_2(U,V),
     --ndr1_1(U),
     --ndr1_0,
     --c3_1(a159),
     --c1_0,
     ++c2_2(U,V),
     ++c1_1(U),
     ++c3_1(U)]).

input_clause(clause90,conjecture,
    [--ssSkC1,
     --c4_2(U,V),
     --c1_2(U,V),
     --ndr1_1(U),
     --ndr1_0,
     --c1_2(a163,a164),
     ++c2_1(U),
     ++c1_1(U)]).

input_clause(clause91,conjecture,
    [--ssSkC1,
     --c4_2(U,V),
     --c1_2(U,V),
     --ndr1_1(U),
     --ndr1_0,
     --c3_2(a163,a164),
     ++c2_1(U),
     ++c1_1(U)]).

input_clause(clause92,conjecture,
    [--c5_2(U,V),
     --ndr1_1(U),
     --ndr1_0,
     --c3_2(a159,a160),
     --c1_0,
     ++c2_2(U,V),
     ++c1_1(U),
     ++c3_1(U)]).

input_clause(clause93,conjecture,
    [--c5_2(U,V),
     --ndr1_1(U),
     --ndr1_0,
     --c5_2(a159,a160),
     --c1_0,
     ++c2_2(U,V),
     ++c1_1(U),
     ++c3_1(U)]).

input_clause(clause94,conjecture,
    [--ndr1_1(U),
     --c2_1(U),
     --c5_1(U),
     --ndr1_0,
     --c5_0,
     ++c2_2(U,V),
     ++c5_2(U,V),
     ++c4_2(U,V),
     ++ndr1_1(W)]).

input_clause(clause95,conjecture,
    [--c5_1(U),
     --c2_1(U),
     --ndr1_0,
     --c3_2(a167,V),
     --c1_2(a167,V),
     --ndr1_1(a167),
     --c2_0,
     ++c1_1(U)]).

input_clause(clause96,conjecture,
    [--ndr1_1(U),
     --c2_1(U),
     --c5_1(U),
     --ndr1_0,
     --c5_2(V,a173),
     --c5_0,
     ++c2_2(U,W),
     ++c5_2(U,W),
     ++c4_2(U,W)]).

input_clause(clause97,conjecture,
    [--ndr1_1(U),
     --c2_1(U),
     --c5_1(U),
     --ndr1_0,
     --c3_2(V,a173),
     --c5_0,
     ++c2_2(U,W),
     ++c5_2(U,W),
     ++c4_2(U,W)]).

input_clause(clause98,conjecture,
    [--c5_1(U),
     --c2_1(U),
     --ndr1_0,
     --c2_2(a167,V),
     --c1_2(a167,V),
     --ndr1_1(a167),
     --c2_0,
     ++c1_1(U),
     ++c4_2(a167,V)]).

input_clause(clause99,conjecture,
    [--c4_2(U,V),
     --c3_2(U,V),
     --c1_2(U,V),
     --ndr1_1(U),
     --c1_1(U),
     --c4_1(U),
     --ndr1_0,
     --c3_2(W,X),
     --ndr1_1(W),
     ++c2_2(W,X),
     ++c1_2(W,X),
     ++c5_2(W,a182),
     ++c1_1(W),
     ++c3_0]).

input_clause(clause100,conjecture,
    [--c4_2(U,V),
     --c3_2(U,V),
     --c1_2(U,V),
     --ndr1_1(U),
     --c1_1(U),
     --c4_1(U),
     --ndr1_0,
     --c3_2(W,X),
     --ndr1_1(W),
     --c3_2(W,a182),
     ++c2_2(W,X),
     ++c1_2(W,X),
     ++c1_1(W),
     ++c3_0]).

input_clause(clause101,conjecture,
    [--c4_2(U,V),
     --c3_2(U,V),
     --c1_2(U,V),
     --ndr1_1(U),
     --c1_1(U),
     --c4_1(U),
     --ndr1_0,
     --c3_2(W,X),
     --ndr1_1(W),
     --c2_2(W,a182),
     ++c2_2(W,X),
     ++c1_2(W,X),
     ++c1_1(W),
     ++c3_0]).
%--------------------------------------------------------------------------
