%--------------------------------------------------------------------------
% File     : SYN528-1 : TPTP v2.1.0. Released v2.1.0.
% Domain   : Syntactic (Translated)
% Problem  : ALC, N=5, R=1, L=25, K=3, D=2, P=0, Index=029
% Version  : Special.
% English  : 

% Refs     : [OS95]  Ohlbach & Schmidt (1995), Functional Translation and S
%          : [WGR96] Weidenbach et al. (1996), SPASS and FLOTTER
%          : [HS97]  Hustadt & Schmidt (1997), On Evaluating Decision Proce
%          : [Wei97] Weidenbach (1997), Email to G. Sutcliffe
% Source   : [Wei97]
% Names    : alc-5-1-25-3-2-029.cnf [Wei97]

% Status   : satisfiable
% Rating   : ? v2.1.0
% Syntax   : Number of clauses    :  121 (  72 non-Horn;   0 unit; 109 RR)
%            Number of literals   :  490 (   0 equality)
%            Maximal clause size  :    9 (   4 average)
%            Number of predicates :   28 (  13 propositional; 0-2 arity)
%            Number of functors   :   37 (  37 constant; 0-0 arity)
%            Number of variables  :   90 (   0 singleton)
%            Maximal term depth   :    1 (   1 average)

% Comments : These ALC problems have been translated from propositional 
%            multi-modal K logic formulae generated according to the scheme
%            described in [HS97], using the optimized functional translation
%            described in [OS95]. The finite model property holds, the
%            Herbrand Universe is finite, they are decidable (the complexity
%            is PSPACE-complete), resolution + subsumption + condensing is a
%            decision procedure, and the translated formulae belong to the
%            (CNF-translation of the) Bernays-Schoenfinkel class [Wei97].
%          : Translated from FOF using FLOTTER [WGR96].
%--------------------------------------------------------------------------
input_clause(clause1,conjecture,
    [++ndr1_0,++ssSkC6]).

input_clause(clause2,conjecture,
    [++ndr1_0,++ssSkC5]).

input_clause(clause3,conjecture,
    [++ndr1_0,++ssSkC3]).

input_clause(clause4,conjecture,
    [++ndr1_0,++ssSkC2]).

input_clause(clause5,conjecture,
    [--ssSkC6,++ndr1_0,++c4_0]).

input_clause(clause6,conjecture,
    [--ssSkC5,++ndr1_0,++c4_0]).

input_clause(clause7,conjecture,
    [--ssSkC2,--ssSkC3,++ndr1_0]).

input_clause(clause8,conjecture,
    [--ssSkC1,++ndr1_0,++c5_0]).

input_clause(clause9,conjecture,
    [++c3_0,++c4_0,++c1_0]).

input_clause(clause10,conjecture,
    [++c4_1(a312),
     ++ssSkC6]).

input_clause(clause11,conjecture,
    [++ndr1_1(a307),
     ++ssSkC5]).

input_clause(clause12,conjecture,
    [++ndr1_1(U),
     ++ssSkP3(U)]).

input_clause(clause13,conjecture,
    [++c3_1(a294),
     ++ssSkC2]).

input_clause(clause14,conjecture,
    [++ndr1_1(U),
     ++ssSkP2(U)]).

input_clause(clause15,conjecture,
    [++ndr1_1(U),
     ++ssSkP1(U)]).

input_clause(clause16,conjecture,
    [++ndr1_1(U),
     ++ssSkP0(U)]).

input_clause(clause17,conjecture,
    [--ssSkC6,
     ++c3_1(a313),
     ++c4_0]).

input_clause(clause18,conjecture,
    [--ssSkC6,
     ++c5_1(a313),
     ++c4_0]).

input_clause(clause19,conjecture,
    [--c5_0,++ndr1_0,++c4_0]).

input_clause(clause20,conjecture,
    [--ssSkC5,
     ++ndr1_1(a309),
     ++c4_0]).

input_clause(clause21,conjecture,
    [--ssSkC5,
     ++c2_1(a309),
     ++c4_0]).

input_clause(clause22,conjecture,
    [--ssSkC5,
     ++c3_1(a309),
     ++c4_0]).

input_clause(clause23,conjecture,
    [--ssSkC4,--c5_0,++ndr1_0]).

input_clause(clause24,conjecture,
    [--c4_0,++ndr1_0,++c1_0]).

input_clause(clause25,conjecture,
    [--c1_0,++ndr1_0,++c3_0]).

input_clause(clause26,conjecture,
    [--ssSkC2,
     --ssSkC3,
     ++c4_1(a296)]).

input_clause(clause27,conjecture,
    [--ssSkC2,
     --ssSkC3,
     ++c3_1(a296)]).

input_clause(clause28,conjecture,
    [--c2_0,++ndr1_0,++c4_0]).

input_clause(clause29,conjecture,
    [--c5_0,++ndr1_0,++c3_0]).

input_clause(clause30,conjecture,
    [--ssSkC1,
     ++ndr1_1(a286),
     ++c5_0]).

input_clause(clause31,conjecture,
    [--c1_0,++ndr1_0,++c5_0]).

input_clause(clause32,conjecture,
    [--c3_1(a312),
     ++ssSkC6]).

input_clause(clause33,conjecture,
    [++c5_2(a307,a308),
     ++ssSkC5]).

input_clause(clause34,conjecture,
    [++c3_2(a307,a308),
     ++ssSkC5]).

input_clause(clause35,conjecture,
    [++c4_2(a307,a308),
     ++ssSkC5]).

input_clause(clause36,conjecture,
    [--c3_1(a307),
     ++ssSkC5]).

input_clause(clause37,conjecture,
    [--c5_1(a307),
     ++ssSkC5]).

input_clause(clause38,conjecture,
    [++c5_2(U,a305),
     ++ssSkP3(U)]).

input_clause(clause39,conjecture,
    [++c3_2(U,a305),
     ++ssSkP3(U)]).

input_clause(clause40,conjecture,
    [++c4_2(U,a305),
     ++ssSkP3(U)]).

input_clause(clause41,conjecture,
    [--c2_1(a295),
     ++ssSkC3]).

input_clause(clause42,conjecture,
    [--c1_1(a295),
     ++ssSkC3]).

input_clause(clause43,conjecture,
    [--c1_1(a294),
     ++ssSkC2]).

input_clause(clause44,conjecture,
    [--c4_1(a294),
     ++ssSkC2]).

input_clause(clause45,conjecture,
    [++c4_2(U,a289),
     ++ssSkP2(U)]).

input_clause(clause46,conjecture,
    [++c4_2(U,a284),
     ++ssSkP1(U)]).

input_clause(clause47,conjecture,
    [--c5_0,
     ++c2_1(a311),
     ++c4_0]).

input_clause(clause48,conjecture,
    [--ssSkC5,
     ++c3_2(a309,a310),
     ++c4_0]).

input_clause(clause49,conjecture,
    [--ssSkC4,
     --c5_0,
     ++c5_1(a304)]).

input_clause(clause50,conjecture,
    [--c4_0,
     ++c5_1(a302),
     ++c1_0]).

input_clause(clause51,conjecture,
    [--c4_0,
     ++c2_1(a302),
     ++c1_0]).

input_clause(clause52,conjecture,
    [--c1_0,
     ++ndr1_1(a297),
     ++c3_0]).

input_clause(clause53,conjecture,
    [--c1_0,
     ++c2_1(a297),
     ++c3_0]).

input_clause(clause54,conjecture,
    [--c2_0,
     ++c2_1(a293),
     ++c4_0]).

input_clause(clause55,conjecture,
    [--c2_0,
     ++c5_1(a293),
     ++c4_0]).

input_clause(clause56,conjecture,
    [--ssSkC1,
     --c2_1(a286),
     ++c5_0]).

input_clause(clause57,conjecture,
    [--c1_0,
     ++c2_1(a277),
     ++c5_0]).

input_clause(clause58,conjecture,
    [--c2_2(U,a289),
     ++ssSkP2(U)]).

input_clause(clause59,conjecture,
    [--c5_2(U,a289),
     ++ssSkP2(U)]).

input_clause(clause60,conjecture,
    [--c3_2(U,a284),
     ++ssSkP1(U)]).

input_clause(clause61,conjecture,
    [--c1_2(U,a284),
     ++ssSkP1(U)]).

input_clause(clause62,conjecture,
    [--c2_2(U,a283),
     ++ssSkP0(U)]).

input_clause(clause63,conjecture,
    [--c4_2(U,a283),
     ++ssSkP0(U)]).

input_clause(clause64,conjecture,
    [--c3_1(a311),
     --c5_0,
     ++c4_0]).

input_clause(clause65,conjecture,
    [--ssSkC5,
     --c2_2(a309,a310),
     ++c4_0]).

input_clause(clause66,conjecture,
    [--c1_0,
     ++c2_2(a297,a298),
     ++c3_0]).

input_clause(clause67,conjecture,
    [--c1_0,
     ++c3_2(a297,a298),
     ++c3_0]).

input_clause(clause68,conjecture,
    [--ssSkP2(U),
     --ndr1_0,
     ++ndr1_1(U),
     ++c1_0]).

input_clause(clause69,conjecture,
    [--c1_1(a288),
     --c5_0,
     ++c3_0]).

input_clause(clause70,conjecture,
    [--ssSkC1,
     --c1_2(a286,a287),
     ++c5_0]).

input_clause(clause71,conjecture,
    [--ssSkC1,
     --c4_2(a286,a287),
     ++c5_0]).

input_clause(clause72,conjecture,
    [--c4_1(a277),
     --c1_0,
     ++c5_0]).

input_clause(clause73,conjecture,
    [--c2_2(a297,a299),
     --c1_0,
     ++c3_0]).

input_clause(clause74,conjecture,
    [--c3_2(a297,a299),
     --c1_0,
     ++c3_0]).

input_clause(clause75,conjecture,
    [--c4_2(a297,a299),
     --c1_0,
     ++c3_0]).

input_clause(clause76,conjecture,
    [--c1_2(a297,a298),
     --c1_0,
     ++c3_0]).

input_clause(clause77,conjecture,
    [--ssSkP2(U),
     --c4_2(U,a290),
     --ndr1_0,
     ++c1_0]).

input_clause(clause78,conjecture,
    [--ssSkP2(U),
     --c5_2(U,a290),
     --ndr1_0,
     ++c1_0]).

input_clause(clause79,conjecture,
    [--ssSkP0(U),
     --ssSkP1(U),
     --ndr1_0,
     ++ndr1_1(U),
     ++ssSkC1]).

input_clause(clause80,conjecture,
    [--ssSkC0,
     --c2_1(U),
     --ndr1_0,
     --c2_0,
     ++ndr1_1(U)]).

input_clause(clause81,conjecture,
    [--ssSkP0(U),
     --ssSkP1(U),
     --ndr1_0,
     ++c1_2(U,a285),
     ++ssSkC1]).

input_clause(clause82,conjecture,
    [--ssSkP0(U),
     --ssSkP1(U),
     --ndr1_0,
     ++c3_2(U,a285),
     ++ssSkC1]).

input_clause(clause83,conjecture,
    [--ssSkP3(U),
     --c4_1(U),
     --ndr1_0,
     --c3_0,
     ++ndr1_1(U)]).

input_clause(clause84,conjecture,
    [--ndr1_1(a295),
     ++c4_2(a295,U),
     ++c5_2(a295,U),
     ++ssSkC3]).

input_clause(clause85,conjecture,
    [--ssSkC1,
     --ndr1_1(a286),
     ++c5_2(a286,U),
     ++c2_2(a286,U),
     ++c5_0]).

input_clause(clause86,conjecture,
    [--ssSkC0,
     --c2_1(U),
     --ndr1_0,
     --c2_0,
     ++c4_2(U,a279)]).

input_clause(clause87,conjecture,
    [--c5_1(U),
     --c2_1(U),
     --ndr1_0,
     ++ndr1_1(U),
     ++ssSkC4]).

input_clause(clause88,conjecture,
    [--ssSkP0(U),
     --ssSkP1(U),
     --c2_2(U,a285),
     --ndr1_0,
     ++ssSkC1]).

input_clause(clause89,conjecture,
    [--ssSkP3(U),
     --c4_1(U),
     --ndr1_0,
     --c3_0,
     ++c4_2(U,a306)]).

input_clause(clause90,conjecture,
    [--ssSkC0,
     --c3_2(U,a279),
     --c2_1(U),
     --ndr1_0,
     --c2_0]).

input_clause(clause91,conjecture,
    [--c5_1(U),
     --c2_1(U),
     --ndr1_0,
     ++c4_2(U,a303),
     ++ssSkC4]).

input_clause(clause92,conjecture,
    [--c5_1(U),
     --c2_1(U),
     --ndr1_0,
     ++c2_2(U,a303),
     ++ssSkC4]).

input_clause(clause93,conjecture,
    [--ssSkP3(U),
     --c2_2(U,a306),
     --c4_1(U),
     --ndr1_0,
     --c3_0]).

input_clause(clause94,conjecture,
    [--c2_2(a311,U),
     --ndr1_1(a311),
     --c5_0,
     ++c5_2(a311,U),
     ++c4_0]).

input_clause(clause95,conjecture,
    [--c5_2(U,a303),
     --c5_1(U),
     --c2_1(U),
     --ndr1_0,
     ++ssSkC4]).

input_clause(clause96,conjecture,
    [--c4_1(U),
     --ndr1_0,
     --c3_1(a292),
     --c3_0,
     ++c1_1(U),
     ++c3_1(U)]).

input_clause(clause97,conjecture,
    [--c2_2(a302,U),
     --c5_2(a302,U),
     --ndr1_1(a302),
     --c4_0,
     ++c1_0]).

input_clause(clause98,conjecture,
    [--ndr1_1(a288),
     --c5_0,
     ++c1_2(a288,U),
     ++c4_2(a288,U),
     ++c2_2(a288,U),
     ++c3_0]).

input_clause(clause99,conjecture,
    [--ssSkC4,
     --c5_2(a304,U),
     --c4_2(a304,U),
     --ndr1_1(a304),
     --c5_0,
     ++c1_2(a304,U)]).

input_clause(clause100,conjecture,
    [--c1_2(U,V),
     --c2_2(U,V),
     --ndr1_1(U),
     --ndr1_0,
     --c4_0,
     ++c4_1(U),
     ++c1_1(U),
     ++ndr1_1(a300)]).

input_clause(clause101,conjecture,
    [--c1_2(U,V),
     --c2_2(U,V),
     --ndr1_1(U),
     --ndr1_0,
     --c4_0,
     ++c4_1(U),
     ++c1_1(U),
     ++c5_1(a300)]).

input_clause(clause102,conjecture,
    [--c4_2(U,V),
     --c2_2(U,V),
     --ndr1_1(U),
     --c1_1(U),
     --c4_1(U),
     --ndr1_0,
     ++ndr1_1(a281)]).

input_clause(clause103,conjecture,
    [--c4_2(U,V),
     --c2_2(U,V),
     --ndr1_1(U),
     --c1_1(U),
     --c4_1(U),
     --ndr1_0,
     ++c5_1(a281)]).

input_clause(clause104,conjecture,
    [--c4_2(U,V),
     --c2_2(U,V),
     --ndr1_1(U),
     --c1_1(U),
     --c4_1(U),
     --ndr1_0,
     ++c3_2(a281,a282)]).

input_clause(clause105,conjecture,
    [--c4_2(U,V),
     --c2_2(U,V),
     --ndr1_1(U),
     --c1_1(U),
     --c4_1(U),
     --ndr1_0,
     --c4_1(a281)]).

input_clause(clause106,conjecture,
    [--c1_2(U,V),
     --c2_2(U,V),
     --ndr1_1(U),
     --ndr1_0,
     --c1_2(a300,a301),
     --c4_0,
     ++c4_1(U),
     ++c1_1(U)]).

input_clause(clause107,conjecture,
    [--c1_2(U,V),
     --c2_2(U,V),
     --ndr1_1(U),
     --ndr1_0,
     --c3_2(a300,a301),
     --c4_0,
     ++c4_1(U),
     ++c1_1(U)]).

input_clause(clause108,conjecture,
    [--c1_2(U,V),
     --c2_2(U,V),
     --ndr1_1(U),
     --ndr1_0,
     --c4_2(a300,a301),
     --c4_0,
     ++c4_1(U),
     ++c1_1(U)]).

input_clause(clause109,conjecture,
    [--c4_2(U,V),
     --c2_2(U,V),
     --ndr1_1(U),
     --c1_1(U),
     --c4_1(U),
     --ndr1_0,
     --c2_2(a281,a282)]).

input_clause(clause110,conjecture,
    [--c4_2(U,V),
     --c2_2(U,V),
     --ndr1_1(U),
     --c1_1(U),
     --c4_1(U),
     --ndr1_0,
     --c5_2(a281,a282)]).

input_clause(clause111,conjecture,
    [--c1_2(U,V),
     --ndr1_1(U),
     --c5_1(U),
     --ndr1_0,
     --c3_0,
     ++c3_2(U,V),
     ++c5_2(U,V),
     ++c4_2(U,a280),
     ++c5_0]).

input_clause(clause112,conjecture,
    [--c1_2(U,V),
     --ndr1_1(U),
     --c5_1(U),
     --ndr1_0,
     --c3_0,
     ++c3_2(U,V),
     ++c5_2(U,V),
     ++c5_2(U,a280),
     ++c5_0]).

input_clause(clause113,conjecture,
    [--c4_2(U,V),
     --ndr1_1(U),
     --c5_1(U),
     --c2_1(U),
     --ndr1_0,
     --c2_1(W),
     --c1_0,
     ++c5_2(U,V),
     ++ndr1_1(W)]).

input_clause(clause114,conjecture,
    [--c1_2(U,V),
     --ndr1_1(U),
     --c4_2(U,W),
     --c5_2(U,W),
     --c2_2(U,a278),
     --ndr1_0,
     ++c2_2(U,V),
     ++ssSkC0]).

input_clause(clause115,conjecture,
    [--c1_2(U,V),
     --ndr1_1(U),
     --c4_2(U,W),
     --c5_2(U,W),
     --c5_2(U,a278),
     --ndr1_0,
     ++c2_2(U,V),
     ++ssSkC0]).

input_clause(clause116,conjecture,
    [--c1_2(U,V),
     --ndr1_1(U),
     --c4_2(U,W),
     --c5_2(U,W),
     --c4_2(U,a278),
     --ndr1_0,
     ++c2_2(U,V),
     ++ssSkC0]).

input_clause(clause117,conjecture,
    [--c4_1(U),
     --ndr1_0,
     --c2_2(a292,V),
     --ndr1_1(a292),
     --c3_0,
     ++c1_1(U),
     ++c3_1(U),
     ++c3_2(a292,V),
     ++c4_2(a292,V)]).

input_clause(clause118,conjecture,
    [--c4_2(U,V),
     --ndr1_1(U),
     --c5_1(U),
     --c2_1(U),
     --ndr1_0,
     --c2_1(W),
     --c1_0,
     ++c5_2(U,V),
     ++c1_2(W,a291)]).

input_clause(clause119,conjecture,
    [--c4_1(U),
     --ndr1_0,
     --c5_2(a292,V),
     --c3_2(a292,V),
     --ndr1_1(a292),
     --c3_0,
     ++c1_1(U),
     ++c3_1(U),
     ++c2_2(a292,V)]).

input_clause(clause120,conjecture,
    [--c4_2(U,V),
     --ndr1_1(U),
     --c5_1(U),
     --c2_1(U),
     --ndr1_0,
     --c2_2(W,a291),
     --c2_1(W),
     --c1_0,
     ++c5_2(U,V)]).

input_clause(clause121,conjecture,
    [--c4_2(U,V),
     --ndr1_1(U),
     --c5_1(U),
     --c2_1(U),
     --ndr1_0,
     --c5_2(W,a291),
     --c2_1(W),
     --c1_0,
     ++c5_2(U,V)]).
%--------------------------------------------------------------------------
