%--------------------------------------------------------------------------
% File     : SYN530-1 : TPTP v2.1.0. Released v2.1.0.
% Domain   : Syntactic (Translated)
% Problem  : ALC, N=5, R=1, L=25, K=3, D=2, P=0, Index=034
% Version  : Special.
% English  : 

% Refs     : [OS95]  Ohlbach & Schmidt (1995), Functional Translation and S
%          : [WGR96] Weidenbach et al. (1996), SPASS and FLOTTER
%          : [HS97]  Hustadt & Schmidt (1997), On Evaluating Decision Proce
%          : [Wei97] Weidenbach (1997), Email to G. Sutcliffe
% Source   : [Wei97]
% Names    : alc-5-1-25-3-2-034.cnf [Wei97]

% Status   : satisfiable
% Rating   : ? v2.1.0
% Syntax   : Number of clauses    :   95 (  62 non-Horn;   0 unit;  82 RR)
%            Number of literals   :  397 (   0 equality)
%            Maximal clause size  :   14 (   4 average)
%            Number of predicates :   23 (   9 propositional; 0-2 arity)
%            Number of functors   :   30 (  30 constant; 0-0 arity)
%            Number of variables  :   70 (   0 singleton)
%            Maximal term depth   :    1 (   1 average)

% Comments : These ALC problems have been translated from propositional 
%            multi-modal K logic formulae generated according to the scheme
%            described in [HS97], using the optimized functional translation
%            described in [OS95]. The finite model property holds, the
%            Herbrand Universe is finite, they are decidable (the complexity
%            is PSPACE-complete), resolution + subsumption + condensing is a
%            decision procedure, and the translated formulae belong to the
%            (CNF-translation of the) Bernays-Schoenfinkel class [Wei97].
%          : Translated from FOF using FLOTTER [WGR96].
%--------------------------------------------------------------------------
input_clause(clause1,conjecture,
    [++ndr1_0,++ssSkC2]).

input_clause(clause2,conjecture,
    [++ndr1_0,++ssSkC0]).

input_clause(clause3,conjecture,
    [--ssSkC2,++ndr1_0,++c4_0]).

input_clause(clause4,conjecture,
    [--c2_0,++ndr1_0]).

input_clause(clause5,conjecture,
    [++ndr1_0,++c1_0,++c2_0]).

input_clause(clause6,conjecture,
    [++ndr1_0,++c5_0,++c1_0]).

input_clause(clause7,conjecture,
    [--c2_0,++c4_0]).

input_clause(clause8,conjecture,
    [--c4_0,++c5_0]).

input_clause(clause9,conjecture,
    [++c4_1(a382),
     ++ssSkC2]).

input_clause(clause10,conjecture,
    [++c1_1(a382),
     ++ssSkC2]).

input_clause(clause11,conjecture,
    [++c5_1(a382),
     ++ssSkC2]).

input_clause(clause12,conjecture,
    [++ndr1_1(U),
     ++ssSkP2(U)]).

input_clause(clause13,conjecture,
    [++ndr1_1(U),
     ++ssSkP1(U)]).

input_clause(clause14,conjecture,
    [++ndr1_1(U),
     ++ssSkP0(U)]).

input_clause(clause15,conjecture,
    [++ndr1_1(a357),
     ++ssSkC0]).

input_clause(clause16,conjecture,
    [--c1_0,++ndr1_0,++c4_0]).

input_clause(clause17,conjecture,
    [--ssSkC2,
     ++ndr1_1(a383),
     ++c4_0]).

input_clause(clause18,conjecture,
    [--ssSkC2,
     ++c1_1(a383),
     ++c4_0]).

input_clause(clause19,conjecture,
    [--c2_0,
     ++c3_1(a377)]).

input_clause(clause20,conjecture,
    [++ndr1_1(a371),
     ++c1_0,
     ++c2_0]).

input_clause(clause21,conjecture,
    [--c1_0,++ndr1_0,++c3_0]).

input_clause(clause22,conjecture,
    [++c3_1(a360),
     ++c5_0,
     ++c1_0]).

input_clause(clause23,conjecture,
    [--c3_0,++c4_0,++c5_0]).

input_clause(clause24,conjecture,
    [++c2_2(U,a380),
     ++ssSkP2(U)]).

input_clause(clause25,conjecture,
    [++c3_2(U,a374),
     ++ssSkP1(U)]).

input_clause(clause26,conjecture,
    [++c5_2(U,a374),
     ++ssSkP1(U)]).

input_clause(clause27,conjecture,
    [++c3_2(a357,a358),
     ++ssSkC0]).

input_clause(clause28,conjecture,
    [--c2_1(a357),
     ++ssSkC0]).

input_clause(clause29,conjecture,
    [--c5_1(a357),
     ++ssSkC0]).

input_clause(clause30,conjecture,
    [--c1_0,
     ++c4_1(a385),
     ++c4_0]).

input_clause(clause31,conjecture,
    [--c1_0,
     ++c5_1(a385),
     ++c4_0]).

input_clause(clause32,conjecture,
    [--ssSkC2,
     --c3_1(a383),
     ++c4_0]).

input_clause(clause33,conjecture,
    [--c1_1(a377),
     --c2_0]).

input_clause(clause34,conjecture,
    [++c2_2(a371,a373),
     ++c1_0,
     ++c2_0]).

input_clause(clause35,conjecture,
    [++c4_2(a371,a372),
     ++c1_0,
     ++c2_0]).

input_clause(clause36,conjecture,
    [--c1_0,
     ++ndr1_1(a363),
     ++c3_0]).

input_clause(clause37,conjecture,
    [--c1_0,--c5_0,++ndr1_0]).

input_clause(clause38,conjecture,
    [--c5_1(a360),
     ++c5_0,
     ++c1_0]).

input_clause(clause39,conjecture,
    [--c5_2(U,a380),
     ++ssSkP2(U)]).

input_clause(clause40,conjecture,
    [--c3_2(U,a380),
     ++ssSkP2(U)]).

input_clause(clause41,conjecture,
    [--c1_2(U,a374),
     ++ssSkP1(U)]).

input_clause(clause42,conjecture,
    [--c2_2(U,a366),
     ++ssSkP0(U)]).

input_clause(clause43,conjecture,
    [--c1_2(U,a366),
     ++ssSkP0(U)]).

input_clause(clause44,conjecture,
    [--c5_2(a357,a358),
     ++ssSkC0]).

input_clause(clause45,conjecture,
    [--c1_2(a357,a358),
     ++ssSkC0]).

input_clause(clause46,conjecture,
    [--ssSkC2,
     --c5_2(a383,a384),
     ++c4_0]).

input_clause(clause47,conjecture,
    [--ssSkC2,
     --c1_2(a383,a384),
     ++c4_0]).

input_clause(clause48,conjecture,
    [--c1_2(a371,a373),
     ++c1_0,
     ++c2_0]).

input_clause(clause49,conjecture,
    [--c1_2(a371,a372),
     ++c1_0,
     ++c2_0]).

input_clause(clause50,conjecture,
    [--c2_2(a371,a372),
     ++c1_0,
     ++c2_0]).

input_clause(clause51,conjecture,
    [--c4_1(a363),
     --c1_0,
     ++c3_0]).

input_clause(clause52,conjecture,
    [--c4_2(a363,a364),
     --c1_0,
     ++c3_0]).

input_clause(clause53,conjecture,
    [--c2_2(a363,a364),
     --c1_0,
     ++c3_0]).

input_clause(clause54,conjecture,
    [--c5_2(a363,a364),
     --c1_0,
     ++c3_0]).

input_clause(clause55,conjecture,
    [--c1_1(a361),
     --c1_0,
     --c5_0]).

input_clause(clause56,conjecture,
    [--ndr1_0,
     ++ndr1_1(U),
     ++c5_1(U),
     ++c4_1(U),
     ++c4_0]).

input_clause(clause57,conjecture,
    [--ndr1_0,
     ++c3_2(U,a370),
     ++c5_1(U),
     ++c4_1(U),
     ++c4_0]).

input_clause(clause58,conjecture,
    [--ndr1_0,
     ++c1_2(U,a370),
     ++c5_1(U),
     ++c4_1(U),
     ++c4_0]).

input_clause(clause59,conjecture,
    [--ndr1_0,
     ++ndr1_1(U),
     ++c3_1(U),
     ++c4_1(U),
     ++c5_0,
     ++c2_0]).

input_clause(clause60,conjecture,
    [--ndr1_0,
     --c1_0,
     ++c5_1(U),
     ++c4_1(U),
     ++c3_1(a386)]).

input_clause(clause61,conjecture,
    [--ssSkP2(U),
     --c2_1(U),
     --ndr1_0,
     --c1_0,
     ++ndr1_1(U)]).

input_clause(clause62,conjecture,
    [--c5_2(U,a370),
     --ndr1_0,
     ++c5_1(U),
     ++c4_1(U),
     ++c4_0]).

input_clause(clause63,conjecture,
    [--ndr1_0,
     ++c1_2(U,a368),
     ++c3_1(U),
     ++c4_1(U),
     ++c5_0,
     ++c2_0]).

input_clause(clause64,conjecture,
    [--ssSkP0(U),
     --ssSkC1,
     --c2_1(U),
     --ndr1_0,
     ++ndr1_1(U),
     ++c5_0]).

input_clause(clause65,conjecture,
    [--ssSkP2(U),
     --c2_1(U),
     --ndr1_0,
     --c1_0,
     ++c4_2(U,a381)]).

input_clause(clause66,conjecture,
    [--ssSkP1(U),
     --ndr1_0,
     --c1_0,
     --c5_0,
     ++ndr1_1(U),
     ++c5_1(U)]).

input_clause(clause67,conjecture,
    [--c1_1(U),
     --ndr1_0,
     ++c5_1(U),
     ++c4_1(U),
     ++c4_1(a369),
     ++c3_0]).

input_clause(clause68,conjecture,
    [--c4_2(U,a368),
     --ndr1_0,
     ++c3_1(U),
     ++c4_1(U),
     ++c5_0,
     ++c2_0]).

input_clause(clause69,conjecture,
    [--c2_2(U,a368),
     --ndr1_0,
     ++c3_1(U),
     ++c4_1(U),
     ++c5_0,
     ++c2_0]).

input_clause(clause70,conjecture,
    [--ssSkP0(U),
     --ssSkC1,
     --c2_1(U),
     --ndr1_0,
     ++c3_2(U,a367),
     ++c5_0]).

input_clause(clause71,conjecture,
    [--ssSkP0(U),
     --ssSkC1,
     --c2_1(U),
     --ndr1_0,
     ++c2_2(U,a367),
     ++c5_0]).

input_clause(clause72,conjecture,
    [--ssSkC0,
     --c5_1(U),
     --c1_1(U),
     --ndr1_0,
     --c3_1(a359)]).

input_clause(clause73,conjecture,
    [--ssSkC0,
     --c5_1(U),
     --c1_1(U),
     --ndr1_0,
     --c5_1(a359)]).

input_clause(clause74,conjecture,
    [--ssSkP2(U),
     --c3_2(U,a381),
     --c2_1(U),
     --ndr1_0,
     --c1_0]).

input_clause(clause75,conjecture,
    [--ssSkP2(U),
     --c2_2(U,a381),
     --c2_1(U),
     --ndr1_0,
     --c1_0]).

input_clause(clause76,conjecture,
    [--ssSkP1(U),
     --ndr1_0,
     --c1_0,
     --c5_0,
     ++c4_2(U,a375),
     ++c5_1(U)]).

input_clause(clause77,conjecture,
    [--ssSkP1(U),
     --ndr1_0,
     --c1_0,
     --c5_0,
     ++c1_2(U,a375),
     ++c5_1(U)]).

input_clause(clause78,conjecture,
    [--c1_1(U),
     --ndr1_0,
     --c3_1(a369),
     ++c5_1(U),
     ++c4_1(U),
     ++c3_0]).

input_clause(clause79,conjecture,
    [--ssSkP0(U),
     --ssSkC1,
     --c4_2(U,a367),
     --c2_1(U),
     --ndr1_0,
     ++c5_0]).

input_clause(clause80,conjecture,
    [--c3_2(a363,U),
     --ndr1_1(a363),
     --c1_0,
     ++c1_2(a363,U),
     ++c3_0]).

input_clause(clause81,conjecture,
    [--ndr1_1(a361),
     --c1_0,
     --c5_0,
     ++c2_2(a361,U),
     ++c3_2(a361,U)]).

input_clause(clause82,conjecture,
    [--c5_2(a371,U),
     --c1_2(a371,U),
     --ndr1_1(a371),
     ++c4_2(a371,U),
     ++c1_0,
     ++c2_0]).

input_clause(clause83,conjecture,
    [--c2_2(U,V),
     --c3_2(U,V),
     --ndr1_1(U),
     --ndr1_0,
     --c3_0,
     ++c3_1(U),
     ++ndr1_1(a378)]).

input_clause(clause84,conjecture,
    [--c2_2(U,V),
     --c3_2(U,V),
     --ndr1_1(U),
     --ndr1_0,
     --c3_0,
     ++c3_1(U),
     ++c3_1(a378)]).

input_clause(clause85,conjecture,
    [--c2_2(U,V),
     --c3_2(U,V),
     --ndr1_1(U),
     --ndr1_0,
     --c3_0,
     ++c3_1(U),
     ++c2_2(a378,a379)]).

input_clause(clause86,conjecture,
    [--c2_2(U,V),
     --c3_2(U,V),
     --ndr1_1(U),
     --ndr1_0,
     --c5_1(a378),
     --c3_0,
     ++c3_1(U)]).

input_clause(clause87,conjecture,
    [--c3_2(U,V),
     --ndr1_1(U),
     --ndr1_0,
     ++c2_2(U,V),
     ++c1_2(U,V),
     ++c3_2(U,a365),
     ++c5_1(U),
     ++ssSkC1]).

input_clause(clause88,conjecture,
    [--c3_2(U,V),
     --ndr1_1(U),
     --ndr1_0,
     --c2_0,
     --c4_0,
     ++c1_2(U,V),
     ++c1_2(U,a376),
     ++c1_1(U)]).

input_clause(clause89,conjecture,
    [--c3_2(U,V),
     --ndr1_1(U),
     --ndr1_0,
     --c2_0,
     --c4_0,
     ++c1_2(U,V),
     ++c3_2(U,a376),
     ++c1_1(U)]).

input_clause(clause90,conjecture,
    [--c2_2(U,V),
     --c3_2(U,V),
     --ndr1_1(U),
     --ndr1_0,
     --c1_2(a378,a379),
     --c3_0,
     ++c3_1(U)]).

input_clause(clause91,conjecture,
    [--c2_2(U,V),
     --c3_2(U,V),
     --ndr1_1(U),
     --ndr1_0,
     --c4_2(a378,a379),
     --c3_0,
     ++c3_1(U)]).

input_clause(clause92,conjecture,
    [--c3_2(U,V),
     --ndr1_1(U),
     --c1_2(U,a365),
     --ndr1_0,
     ++c2_2(U,V),
     ++c1_2(U,V),
     ++c5_1(U),
     ++ssSkC1]).

input_clause(clause93,conjecture,
    [--c3_2(U,V),
     --ndr1_1(U),
     --c4_2(U,a376),
     --ndr1_0,
     --c2_0,
     --c4_0,
     ++c1_2(U,V),
     ++c1_1(U)]).

input_clause(clause94,conjecture,
    [--c5_2(U,V),
     --c4_2(U,V),
     --ndr1_1(U),
     --c4_2(U,W),
     --c5_2(U,X),
     --c1_2(U,X),
     --ndr1_0,
     --c4_1(Y),
     --c2_0,
     ++c1_2(U,V),
     ++c5_2(U,W),
     ++c3_2(U,W),
     ++c4_2(U,X),
     ++ndr1_1(Y)]).

input_clause(clause95,conjecture,
    [--c5_2(U,V),
     --c4_2(U,V),
     --ndr1_1(U),
     --c4_2(U,W),
     --c5_2(U,X),
     --c1_2(U,X),
     --ndr1_0,
     --c1_2(Y,a362),
     --c4_1(Y),
     --c2_0,
     ++c1_2(U,V),
     ++c5_2(U,W),
     ++c3_2(U,W),
     ++c4_2(U,X)]).
%--------------------------------------------------------------------------
