%--------------------------------------------------------------------------
% File     : SYN532-1 : TPTP v2.1.0. Released v2.1.0.
% Domain   : Syntactic (Translated)
% Problem  : ALC, N=5, R=1, L=25, K=3, D=2, P=0, Index=042
% Version  : Special.
% English  : 

% Refs     : [OS95]  Ohlbach & Schmidt (1995), Functional Translation and S
%          : [WGR96] Weidenbach et al. (1996), SPASS and FLOTTER
%          : [HS97]  Hustadt & Schmidt (1997), On Evaluating Decision Proce
%          : [Wei97] Weidenbach (1997), Email to G. Sutcliffe
% Source   : [Wei97]
% Names    : alc-5-1-25-3-2-042.cnf [Wei97]

% Status   : satisfiable
% Rating   : ? v2.1.0
% Syntax   : Number of clauses    :  101 (  59 non-Horn;   0 unit;  93 RR)
%            Number of literals   :  342 (   0 equality)
%            Maximal clause size  :   10 (   3 average)
%            Number of predicates :   26 (  13 propositional; 0-2 arity)
%            Number of functors   :   30 (  30 constant; 0-0 arity)
%            Number of variables  :   46 (   6 singleton)
%            Maximal term depth   :    1 (   1 average)

% Comments : These ALC problems have been translated from propositional 
%            multi-modal K logic formulae generated according to the scheme
%            described in [HS97], using the optimized functional translation
%            described in [OS95]. The finite model property holds, the
%            Herbrand Universe is finite, they are decidable (the complexity
%            is PSPACE-complete), resolution + subsumption + condensing is a
%            decision procedure, and the translated formulae belong to the
%            (CNF-translation of the) Bernays-Schoenfinkel class [Wei97].
%          : Translated from FOF using FLOTTER [WGR96].
%--------------------------------------------------------------------------
input_clause(clause1,conjecture,
    [++ndr1_0,++c3_0]).

input_clause(clause2,conjecture,
    [++ndr1_0,++c4_0]).

input_clause(clause3,conjecture,
    [++ndr1_0,++ssSkC6]).

input_clause(clause4,conjecture,
    [++ndr1_0,++ssSkC5]).

input_clause(clause5,conjecture,
    [++ndr1_0,++ssSkC3]).

input_clause(clause6,conjecture,
    [++ndr1_0,++ssSkC1]).

input_clause(clause7,conjecture,
    [++ndr1_0,++ssSkC0]).

input_clause(clause8,conjecture,
    [++ndr1_0,++c5_0,++c1_0]).

input_clause(clause9,conjecture,
    [++c5_1(a439),
     ++c3_0]).

input_clause(clause10,conjecture,
    [--ssSkC5,--ssSkC6,++ndr1_0]).

input_clause(clause11,conjecture,
    [--ssSkC3,--ssSkC4,++ndr1_0]).

input_clause(clause12,conjecture,
    [++ndr1_1(a420),
     ++c4_0]).

input_clause(clause13,conjecture,
    [++c4_1(a420),
     ++c4_0]).

input_clause(clause14,conjecture,
    [++c5_1(a420),
     ++c4_0]).

input_clause(clause15,conjecture,
    [--ssSkC1,--ssSkC2,++ndr1_0]).

input_clause(clause16,conjecture,
    [--c3_0,++c1_0]).

input_clause(clause17,conjecture,
    [++c4_1(a437),
     ++ssSkC6]).

input_clause(clause18,conjecture,
    [++ndr1_1(a434),
     ++ssSkC5]).

input_clause(clause19,conjecture,
    [++ndr1_1(U),
     ++ssSkP1(U)]).

input_clause(clause20,conjecture,
    [++ndr1_1(U),
     ++ssSkP0(U)]).

input_clause(clause21,conjecture,
    [++ndr1_1(a425),
     ++ssSkC3]).

input_clause(clause22,conjecture,
    [++c2_1(a416),
     ++ssSkC1]).

input_clause(clause23,conjecture,
    [++c4_1(a440),
     ++c5_0,
     ++c1_0]).

input_clause(clause24,conjecture,
    [--ssSkC5,
     --ssSkC6,
     ++c1_1(a438)]).

input_clause(clause25,conjecture,
    [--ssSkC5,
     --ssSkC6,
     ++c2_1(a438)]).

input_clause(clause26,conjecture,
    [++ndr1_1(a432),
     ++c1_0,
     ++c5_0]).

input_clause(clause27,conjecture,
    [--ssSkC3,
     --ssSkC4,
     ++c3_1(a431)]).

input_clause(clause28,conjecture,
    [++c1_2(a420,a421),
     ++c4_0]).

input_clause(clause29,conjecture,
    [--ssSkC1,
     --ssSkC2,
     ++ndr1_1(a418)]).

input_clause(clause30,conjecture,
    [--ssSkC1,
     --ssSkC2,
     ++c2_1(a418)]).

input_clause(clause31,conjecture,
    [--c3_0,++ndr1_0,++c5_0]).

input_clause(clause32,conjecture,
    [--c4_0,++c1_0,++c5_0]).

input_clause(clause33,conjecture,
    [--c3_0,++c5_0,++c2_0]).

input_clause(clause34,conjecture,
    [++c3_2(a434,a436),
     ++ssSkC5]).

input_clause(clause35,conjecture,
    [++c5_2(a434,a435),
     ++ssSkC5]).

input_clause(clause36,conjecture,
    [++c4_2(a434,a435),
     ++ssSkC5]).

input_clause(clause37,conjecture,
    [++c3_2(a434,a435),
     ++ssSkC5]).

input_clause(clause38,conjecture,
    [++c1_2(U,a429),
     ++ssSkP1(U)]).

input_clause(clause39,conjecture,
    [++c2_2(a425,a427),
     ++ssSkC3]).

input_clause(clause40,conjecture,
    [++c4_2(a425,a426),
     ++ssSkC3]).

input_clause(clause41,conjecture,
    [--c3_1(a425),
     ++ssSkC3]).

input_clause(clause42,conjecture,
    [--c4_1(a412),
     ++ssSkC0]).

input_clause(clause43,conjecture,
    [--c2_1(a412),
     ++ssSkC0]).

input_clause(clause44,conjecture,
    [--c5_1(a440),
     ++c5_0,
     ++c1_0]).

input_clause(clause45,conjecture,
    [--ssSkC5,
     --ssSkC6,
     --c5_1(a438)]).

input_clause(clause46,conjecture,
    [--c1_1(a432),
     ++c1_0,
     ++c5_0]).

input_clause(clause47,conjecture,
    [--ssSkC3,
     --ssSkC4,
     --c1_1(a431)]).

input_clause(clause48,conjecture,
    [--c4_2(a420,a421),
     ++c4_0]).

input_clause(clause49,conjecture,
    [--ssSkC1,
     --ssSkC2,
     ++c4_2(a418,a419)]).

input_clause(clause50,conjecture,
    [--c4_0,--c5_0,++ndr1_0]).

input_clause(clause51,conjecture,
    [--c3_0,
     ++c2_1(a411),
     ++c5_0]).

input_clause(clause52,conjecture,
    [--c3_0,
     ++c1_1(a411),
     ++c5_0]).

input_clause(clause53,conjecture,
    [--c5_2(a434,a436),
     ++ssSkC5]).

input_clause(clause54,conjecture,
    [--c4_2(U,a429),
     ++ssSkP1(U)]).

input_clause(clause55,conjecture,
    [--c5_2(U,a429),
     ++ssSkP1(U)]).

input_clause(clause56,conjecture,
    [--c4_2(U,a428),
     ++ssSkP0(U)]).

input_clause(clause57,conjecture,
    [--c3_2(U,a428),
     ++ssSkP0(U)]).

input_clause(clause58,conjecture,
    [--c5_2(a425,a427),
     ++ssSkC3]).

input_clause(clause59,conjecture,
    [--c3_2(a425,a427),
     ++ssSkC3]).

input_clause(clause60,conjecture,
    [--c2_2(a425,a426),
     ++ssSkC3]).

input_clause(clause61,conjecture,
    [--c5_2(a425,a426),
     ++ssSkC3]).

input_clause(clause62,conjecture,
    [--c3_2(a432,a433),
     ++c1_0,
     ++c5_0]).

input_clause(clause63,conjecture,
    [--c2_2(a432,a433),
     ++c1_0,
     ++c5_0]).

input_clause(clause64,conjecture,
    [--ssSkC1,
     --ssSkC2,
     --c5_2(a418,a419)]).

input_clause(clause65,conjecture,
    [--ssSkC1,
     --ssSkC2,
     --c3_2(a418,a419)]).

input_clause(clause66,conjecture,
    [--c4_0,
     --c5_0,
     ++c2_1(a415)]).

input_clause(clause67,conjecture,
    [--c4_0,
     --c5_0,
     ++c5_1(a415)]).

input_clause(clause68,conjecture,
    [--ssSkC0,
     --c2_1(a413),
     --ndr1_0]).

input_clause(clause69,conjecture,
    [--c1_0,--c3_0,--c5_0]).

input_clause(clause70,conjecture,
    [--c4_1(a415),
     --c4_0,
     --c5_0]).

input_clause(clause71,conjecture,
    [--ndr1_1(a416),
     ++c5_2(a416,U),
     ++ssSkC1]).

input_clause(clause72,conjecture,
    [--ssSkC0,
     --c2_1(U),
     --ndr1_0,
     ++ndr1_1(a413)]).

input_clause(clause73,conjecture,
    [--c2_1(U),
     --ndr1_0,
     ++ndr1_1(U),
     ++ssSkC2]).

input_clause(clause74,conjecture,
    [--ssSkP0(U),
     --ssSkP1(U),
     --ndr1_0,
     ++ndr1_1(U),
     ++ssSkC4]).

input_clause(clause75,conjecture,
    [--ssSkC0,
     --c2_1(U),
     --ndr1_0,
     ++c1_2(a413,a414)]).

input_clause(clause76,conjecture,
    [--c2_1(U),
     --ndr1_0,
     ++c2_2(U,a417),
     ++ssSkC2]).

input_clause(clause77,conjecture,
    [--ndr1_1(a439),
     ++c5_2(a439,U),
     ++c3_2(a439,U),
     ++c3_0]).

input_clause(clause78,conjecture,
    [--ssSkP0(U),
     --ssSkP1(U),
     --ndr1_0,
     ++c1_2(U,a430),
     ++ssSkC4]).

input_clause(clause79,conjecture,
    [--ssSkP0(U),
     --ssSkP1(U),
     --ndr1_0,
     ++c5_2(U,a430),
     ++ssSkC4]).

input_clause(clause80,conjecture,
    [--ssSkC0,
     --c2_1(U),
     --ndr1_0,
     --c3_2(a413,a414)]).

input_clause(clause81,conjecture,
    [--ssSkC0,
     --c2_1(U),
     --ndr1_0,
     --c5_2(a413,a414)]).

input_clause(clause82,conjecture,
    [--c4_2(U,a417),
     --c2_1(U),
     --ndr1_0,
     ++ssSkC2]).

input_clause(clause83,conjecture,
    [--c3_1(U),
     --ndr1_0,
     --c3_0,
     --c4_0,
     ++c5_1(U)]).

input_clause(clause84,conjecture,
    [--ssSkP0(U),
     --ssSkP1(U),
     --c4_2(U,a430),
     --ndr1_0,
     ++ssSkC4]).

input_clause(clause85,conjecture,
    [--c1_1(U),
     --ndr1_0,
     ++c5_1(U),
     ++c2_1(U),
     ++ndr1_1(a441),
     ++c4_0]).

input_clause(clause86,conjecture,
    [--c1_1(U),
     --ndr1_0,
     ++c5_1(U),
     ++c2_1(U),
     ++c2_1(a441),
     ++c4_0]).

input_clause(clause87,conjecture,
    [--c2_2(a412,U),
     --ndr1_1(a412),
     ++c3_2(a412,U),
     ++ssSkC0]).

input_clause(clause88,conjecture,
    [--c1_1(U),
     --ndr1_0,
     ++c5_1(U),
     ++c2_1(U),
     ++c3_2(a441,a442),
     ++c4_0]).

input_clause(clause89,conjecture,
    [--c5_2(a416,U),
     --c2_2(a416,U),
     --ndr1_1(a416),
     ++ssSkC1]).

input_clause(clause90,conjecture,
    [--c1_1(U),
     --ndr1_0,
     --c1_2(a441,a442),
     ++c5_1(U),
     ++c2_1(U),
     ++c4_0]).

input_clause(clause91,conjecture,
    [--c4_1(U),
     --ndr1_0,
     ++c5_1(U),
     ++c2_1(U),
     ++ndr1_1(V),
     ++c2_1(V),
     ++c3_1(V),
     ++c5_0]).

input_clause(clause92,conjecture,
    [--c3_2(a440,U),
     --ndr1_1(a440),
     ++c2_2(a440,U),
     ++c4_2(a440,U),
     ++c5_0,
     ++c1_0]).

input_clause(clause93,conjecture,
    [--c2_2(a432,U),
     --ndr1_1(a432),
     ++c5_2(a432,U),
     ++c4_2(a432,U),
     ++c1_0,
     ++c5_0]).

input_clause(clause94,conjecture,
    [--ndr1_1(a411),
     --c3_0,
     ++c1_2(a411,U),
     ++c3_2(a411,U),
     ++c5_2(a411,U),
     ++c5_0]).

input_clause(clause95,conjecture,
    [--c4_1(U),
     --ndr1_0,
     ++c5_1(U),
     ++c2_1(U),
     ++c2_2(V,a424),
     ++c2_1(V),
     ++c3_1(V),
     ++c5_0]).

input_clause(clause96,conjecture,
    [--c4_2(a434,U),
     --c3_2(a434,U),
     --ndr1_1(a434),
     ++c2_2(a434,U),
     ++ssSkC5]).

input_clause(clause97,conjecture,
    [--ssSkC0,
     --c2_1(U),
     --ndr1_0,
     --c1_2(a413,V),
     --ndr1_1(a413),
     ++c5_2(a413,V)]).

input_clause(clause98,conjecture,
    [--c4_1(U),
     --ndr1_0,
     --c3_2(V,a424),
     ++c5_1(U),
     ++c2_1(U),
     ++c2_1(V),
     ++c3_1(V),
     ++c5_0]).

input_clause(clause99,conjecture,
    [--c4_1(U),
     --ndr1_0,
     --c5_2(V,a424),
     ++c5_1(U),
     ++c2_1(U),
     ++c2_1(V),
     ++c3_1(V),
     ++c5_0]).

input_clause(clause100,conjecture,
    [--c1_1(U),
     --ndr1_0,
     --c4_2(a441,V),
     --ndr1_1(a441),
     ++c5_1(U),
     ++c2_1(U),
     ++c5_2(a441,V),
     ++c4_0]).

input_clause(clause101,conjecture,
    [--c2_2(U,V),
     --c3_2(U,V),
     --ndr1_1(U),
     --c4_2(U,W),
     --c2_2(U,W),
     --ndr1_0,
     --c3_0,
     ++c1_2(U,V),
     ++c5_2(U,W),
     ++c4_0]).
%--------------------------------------------------------------------------
