%--------------------------------------------------------------------------
% File     : SYN535-1 : TPTP v2.1.0. Released v2.1.0.
% Domain   : Syntactic (Translated)
% Problem  : ALC, N=5, R=1, L=25, K=3, D=2, P=0, Index=094
% Version  : Special.
% English  : 

% Refs     : [OS95]  Ohlbach & Schmidt (1995), Functional Translation and S
%          : [WGR96] Weidenbach et al. (1996), SPASS and FLOTTER
%          : [HS97]  Hustadt & Schmidt (1997), On Evaluating Decision Proce
%          : [Wei97] Weidenbach (1997), Email to G. Sutcliffe
% Source   : [Wei97]
% Names    : alc-5-1-25-3-2-094.cnf [Wei97]

% Status   : satisfiable
% Rating   : ? v2.1.0
% Syntax   : Number of clauses    :  100 (  63 non-Horn;   0 unit;  95 RR)
%            Number of literals   :  367 (   0 equality)
%            Maximal clause size  :    9 (   3 average)
%            Number of predicates :   26 (  15 propositional; 0-2 arity)
%            Number of functors   :   28 (  28 constant; 0-0 arity)
%            Number of variables  :   48 (   1 singleton)
%            Maximal term depth   :    1 (   1 average)

% Comments : These ALC problems have been translated from propositional 
%            multi-modal K logic formulae generated according to the scheme
%            described in [HS97], using the optimized functional translation
%            described in [OS95]. The finite model property holds, the
%            Herbrand Universe is finite, they are decidable (the complexity
%            is PSPACE-complete), resolution + subsumption + condensing is a
%            decision procedure, and the translated formulae belong to the
%            (CNF-translation of the) Bernays-Schoenfinkel class [Wei97].
%          : Translated from FOF using FLOTTER [WGR96].
%--------------------------------------------------------------------------
input_clause(clause1,conjecture,
    [++ndr1_0,++c1_0]).

input_clause(clause2,conjecture,
    [++ndr1_0,++c3_0]).

input_clause(clause3,conjecture,
    [++c4_0,++c1_0]).

input_clause(clause4,conjecture,
    [++ndr1_0,++ssSkC8]).

input_clause(clause5,conjecture,
    [++ndr1_0,++ssSkC7]).

input_clause(clause6,conjecture,
    [++ndr1_0,++ssSkC6]).

input_clause(clause7,conjecture,
    [++ndr1_0,++ssSkC5]).

input_clause(clause8,conjecture,
    [++ndr1_0,++ssSkC4]).

input_clause(clause9,conjecture,
    [++ndr1_0,++ssSkC2]).

input_clause(clause10,conjecture,
    [++ndr1_0,++ssSkC0]).

input_clause(clause11,conjecture,
    [--c1_0,++ndr1_0]).

input_clause(clause12,conjecture,
    [--ssSkC7,++ndr1_0,++c2_0]).

input_clause(clause13,conjecture,
    [--ssSkC3,--ssSkC4,++ndr1_0]).

input_clause(clause14,conjecture,
    [++ndr1_1(a495),
     ++c3_0]).

input_clause(clause15,conjecture,
    [++c2_1(a495),
     ++c3_0]).

input_clause(clause16,conjecture,
    [++ndr1_1(a517),
     ++ssSkC8]).

input_clause(clause17,conjecture,
    [++c4_1(a517),
     ++ssSkC8]).

input_clause(clause18,conjecture,
    [++c1_1(a513),
     ++ssSkC7]).

input_clause(clause19,conjecture,
    [++c3_1(a513),
     ++ssSkC7]).

input_clause(clause20,conjecture,
    [++c3_1(a507),
     ++ssSkC4]).

input_clause(clause21,conjecture,
    [++ndr1_1(a500),
     ++ssSkC2]).

input_clause(clause22,conjecture,
    [++c3_1(a500),
     ++ssSkC2]).

input_clause(clause23,conjecture,
    [++ndr1_1(a492),
     ++ssSkC0]).

input_clause(clause24,conjecture,
    [++c5_1(a492),
     ++ssSkC0]).

input_clause(clause25,conjecture,
    [--ssSkC8,--c2_0,++ndr1_0]).

input_clause(clause26,conjecture,
    [--c1_0,
     ++c3_1(a516)]).

input_clause(clause27,conjecture,
    [--ssSkC7,
     ++ndr1_1(a514),
     ++c2_0]).

input_clause(clause28,conjecture,
    [--ssSkC7,
     ++c1_1(a514),
     ++c2_0]).

input_clause(clause29,conjecture,
    [--ssSkC6,--c4_0,++ndr1_0]).

input_clause(clause30,conjecture,
    [--ssSkC3,
     --ssSkC4,
     ++c5_1(a508)]).

input_clause(clause31,conjecture,
    [--ssSkC3,
     --ssSkC4,
     ++c1_1(a508)]).

input_clause(clause32,conjecture,
    [--c4_1(a499),
     ++c1_0]).

input_clause(clause33,conjecture,
    [--ssSkC1,
     ++c4_1(a498),
     ++c3_0]).

input_clause(clause34,conjecture,
    [++c4_2(a495,a496),
     ++c3_0]).

input_clause(clause35,conjecture,
    [++c2_2(a495,a496),
     ++c3_0]).

input_clause(clause36,conjecture,
    [--c5_0,++c3_0,++c1_0]).

input_clause(clause37,conjecture,
    [--c5_0,++c3_0,++c4_0]).

input_clause(clause38,conjecture,
    [--c2_0,--c5_0]).

input_clause(clause39,conjecture,
    [++c3_2(a517,a518),
     ++ssSkC8]).

input_clause(clause40,conjecture,
    [++c5_2(a517,a518),
     ++ssSkC8]).

input_clause(clause41,conjecture,
    [--c2_1(a517),
     ++ssSkC8]).

input_clause(clause42,conjecture,
    [--c4_1(a513),
     ++ssSkC7]).

input_clause(clause43,conjecture,
    [--c3_1(a511),
     ++ssSkC6]).

input_clause(clause44,conjecture,
    [--c2_1(a511),
     ++ssSkC6]).

input_clause(clause45,conjecture,
    [--c2_1(a509),
     ++ssSkC5]).

input_clause(clause46,conjecture,
    [--c4_1(a507),
     ++ssSkC4]).

input_clause(clause47,conjecture,
    [++c1_2(a500,a501),
     ++ssSkC2]).

input_clause(clause48,conjecture,
    [--c2_1(a500),
     ++ssSkC2]).

input_clause(clause49,conjecture,
    [--c2_1(a492),
     ++ssSkC0]).

input_clause(clause50,conjecture,
    [--ssSkC8,
     --c2_0,
     ++c1_1(a519)]).

input_clause(clause51,conjecture,
    [--c1_1(a516),
     --c1_0]).

input_clause(clause52,conjecture,
    [--ssSkC7,
     ++c3_2(a514,a515),
     ++c2_0]).

input_clause(clause53,conjecture,
    [--ssSkC7,
     ++c2_2(a514,a515),
     ++c2_0]).

input_clause(clause54,conjecture,
    [--ssSkC6,
     --c4_0,
     ++c4_1(a512)]).

input_clause(clause55,conjecture,
    [--ssSkC6,
     --c4_0,
     ++c1_1(a512)]).

input_clause(clause56,conjecture,
    [--c5_2(a495,a496),
     ++c3_0]).

input_clause(clause57,conjecture,
    [--ssSkC0,
     --c3_1(a494),
     ++c1_0]).

input_clause(clause58,conjecture,
    [--ssSkC0,
     --c4_1(a494),
     ++c1_0]).

input_clause(clause59,conjecture,
    [--c4_0,--c1_0,++c3_0]).

input_clause(clause60,conjecture,
    [--c4_2(a517,a518),
     ++ssSkC8]).

input_clause(clause61,conjecture,
    [--c2_2(a500,a501),
     ++ssSkC2]).

input_clause(clause62,conjecture,
    [--c3_2(a500,a501),
     ++ssSkC2]).

input_clause(clause63,conjecture,
    [--c5_2(a492,a493),
     ++ssSkC0]).

input_clause(clause64,conjecture,
    [--c3_2(a492,a493),
     ++ssSkC0]).

input_clause(clause65,conjecture,
    [--c2_2(a492,a493),
     ++ssSkC0]).

input_clause(clause66,conjecture,
    [--ssSkC8,
     --c2_1(a519),
     --c2_0]).

input_clause(clause67,conjecture,
    [--ssSkC7,
     --c5_2(a514,a515),
     ++c2_0]).

input_clause(clause68,conjecture,
    [--ssSkC6,
     --c3_1(a512),
     --c4_0]).

input_clause(clause69,conjecture,
    [--ndr1_0,
     --c3_0,
     ++c4_1(U),
     ++c5_1(U),
     ++c5_0]).

input_clause(clause70,conjecture,
    [--c5_1(U),
     --ndr1_0,
     ++ndr1_1(U),
     ++c4_1(U),
     ++ssSkC3]).

input_clause(clause71,conjecture,
    [--c5_1(U),
     --ndr1_0,
     ++c4_2(U,a506),
     ++c4_1(U),
     ++ssSkC3]).

input_clause(clause72,conjecture,
    [--c5_1(U),
     --ndr1_0,
     ++c5_2(U,a506),
     ++c4_1(U),
     ++ssSkC3]).

input_clause(clause73,conjecture,
    [--ssSkC1,
     --c4_2(a498,U),
     --ndr1_1(a498),
     ++c3_2(a498,U),
     ++c3_0]).

input_clause(clause74,conjecture,
    [--c5_2(a495,U),
     --c3_2(a495,U),
     --ndr1_1(a495),
     ++c3_0]).

input_clause(clause75,conjecture,
    [--c3_2(U,a506),
     --c5_1(U),
     --ndr1_0,
     ++c4_1(U),
     ++ssSkC3]).

input_clause(clause76,conjecture,
    [--c3_1(U),
     --c1_1(U),
     --ndr1_0,
     ++c2_1(U),
     ++ndr1_1(a503),
     ++c2_0]).

input_clause(clause77,conjecture,
    [--c3_1(U),
     --c1_1(U),
     --ndr1_0,
     ++c2_1(U),
     ++c4_2(a503,a504),
     ++c2_0]).

input_clause(clause78,conjecture,
    [--c3_2(a511,U),
     --ndr1_1(a511),
     ++c2_2(a511,U),
     ++c4_2(a511,U),
     ++ssSkC6]).

input_clause(clause79,conjecture,
    [--c2_2(a509,U),
     --ndr1_1(a509),
     ++c4_2(a509,U),
     ++c5_2(a509,U),
     ++ssSkC5]).

input_clause(clause80,conjecture,
    [--c4_2(a516,U),
     --ndr1_1(a516),
     --c1_0,
     ++c3_2(a516,U),
     ++c5_2(a516,U)]).

input_clause(clause81,conjecture,
    [--ssSkC7,
     --c4_2(a514,U),
     --ndr1_1(a514),
     ++c5_2(a514,U),
     ++c3_2(a514,U),
     ++c2_0]).

input_clause(clause82,conjecture,
    [--c3_1(U),
     --c1_1(U),
     --ndr1_0,
     --c3_2(a503,a505),
     ++c2_1(U),
     ++c2_0]).

input_clause(clause83,conjecture,
    [--c3_1(U),
     --c1_1(U),
     --ndr1_0,
     --c5_2(a503,a505),
     ++c2_1(U),
     ++c2_0]).

input_clause(clause84,conjecture,
    [--c3_1(U),
     --c1_1(U),
     --ndr1_0,
     --c2_2(a503,a505),
     ++c2_1(U),
     ++c2_0]).

input_clause(clause85,conjecture,
    [--c3_1(U),
     --c1_1(U),
     --ndr1_0,
     --c2_2(a503,a504),
     ++c2_1(U),
     ++c2_0]).

input_clause(clause86,conjecture,
    [--c3_1(U),
     --c1_1(U),
     --ndr1_0,
     --c5_2(a503,a504),
     ++c2_1(U),
     ++c2_0]).

input_clause(clause87,conjecture,
    [--ssSkC0,
     --c4_2(a494,U),
     --ndr1_1(a494),
     ++c3_2(a494,U),
     ++c1_2(a494,U),
     ++c1_0]).

input_clause(clause88,conjecture,
    [--ndr1_1(U),
     --ndr1_0,
     ++c2_2(U,V),
     ++c1_2(U,V),
     ++c5_2(U,a497),
     ++c3_1(U),
     ++ssSkC1]).

input_clause(clause89,conjecture,
    [--ndr1_1(U),
     --ndr1_0,
     ++c2_2(U,V),
     ++c1_2(U,V),
     ++c1_2(U,a497),
     ++c3_1(U),
     ++ssSkC1]).

input_clause(clause90,conjecture,
    [--ndr1_1(U),
     --ndr1_0,
     ++c2_2(U,V),
     ++c1_2(U,V),
     ++c3_2(U,a497),
     ++c3_1(U),
     ++ssSkC1]).

input_clause(clause91,conjecture,
    [--c2_2(a507,U),
     --c3_2(a507,U),
     --c5_2(a507,U),
     --ndr1_1(a507),
     ++ssSkC4]).

input_clause(clause92,conjecture,
    [--ssSkC5,
     --c4_2(U,V),
     --c3_2(U,V),
     --ndr1_1(U),
     --ndr1_0,
     --c3_1(W),
     ++c3_1(U),
     ++ndr1_1(W),
     ++c2_1(W)]).

input_clause(clause93,conjecture,
    [--ssSkC2,
     --c4_2(U,V),
     --ndr1_1(U),
     --ndr1_0,
     --c2_0,
     ++c3_2(U,V),
     ++c1_2(U,V),
     ++c5_2(U,a502),
     ++c5_1(U)]).

input_clause(clause94,conjecture,
    [--ssSkC2,
     --c4_2(U,V),
     --ndr1_1(U),
     --c2_2(U,a502),
     --ndr1_0,
     --c2_0,
     ++c3_2(U,V),
     ++c1_2(U,V),
     ++c5_1(U)]).

input_clause(clause95,conjecture,
    [--ssSkC2,
     --c4_2(U,V),
     --ndr1_1(U),
     --c3_2(U,a502),
     --ndr1_0,
     --c2_0,
     ++c3_2(U,V),
     ++c1_2(U,V),
     ++c5_1(U)]).

input_clause(clause96,conjecture,
    [--c4_2(U,V),
     --c5_2(U,V),
     --ndr1_1(U),
     --c4_1(U),
     --c3_1(U),
     --ndr1_0,
     --c4_0,
     --c5_0]).

input_clause(clause97,conjecture,
    [--ssSkC5,
     --c4_2(U,V),
     --c3_2(U,V),
     --ndr1_1(U),
     --ndr1_0,
     --c2_2(W,a510),
     --c3_1(W),
     ++c3_1(U),
     ++c2_1(W)]).

input_clause(clause98,conjecture,
    [--ssSkC5,
     --c4_2(U,V),
     --c3_2(U,V),
     --ndr1_1(U),
     --ndr1_0,
     --c3_2(W,a510),
     --c3_1(W),
     ++c3_1(U),
     ++c2_1(W)]).

input_clause(clause99,conjecture,
    [--c3_2(U,V),
     --c1_2(U,V),
     --ndr1_1(U),
     --c4_1(U),
     --c1_1(U),
     --ndr1_0,
     --c2_0,
     ++c5_2(U,V),
     ++c5_1(W)]).

input_clause(clause100,conjecture,
    [--c3_1(U),
     --c1_1(U),
     --ndr1_0,
     --c3_2(a503,V),
     --c5_2(a503,V),
     --ndr1_1(a503),
     ++c2_1(U),
     ++c1_2(a503,V),
     ++c2_0]).
%--------------------------------------------------------------------------
