%--------------------------------------------------------------------------
% File     : SYN536-1 : TPTP v2.1.0. Released v2.1.0.
% Domain   : Syntactic (Translated)
% Problem  : ALC, N=5, R=1, L=25, K=3, D=2, P=0, Index=096
% Version  : Special.
% English  : 

% Refs     : [OS95]  Ohlbach & Schmidt (1995), Functional Translation and S
%          : [WGR96] Weidenbach et al. (1996), SPASS and FLOTTER
%          : [HS97]  Hustadt & Schmidt (1997), On Evaluating Decision Proce
%          : [Wei97] Weidenbach (1997), Email to G. Sutcliffe
% Source   : [Wei97]
% Names    : alc-5-1-25-3-2-096.cnf [Wei97]

% Status   : satisfiable
% Rating   : ? v2.1.0
% Syntax   : Number of clauses    :   87 (  55 non-Horn;   0 unit;  76 RR)
%            Number of literals   :  383 (   0 equality)
%            Maximal clause size  :   13 (   4 average)
%            Number of predicates :   24 (  13 propositional; 0-2 arity)
%            Number of functors   :   26 (  26 constant; 0-0 arity)
%            Number of variables  :   64 (   0 singleton)
%            Maximal term depth   :    1 (   1 average)

% Comments : These ALC problems have been translated from propositional 
%            multi-modal K logic formulae generated according to the scheme
%            described in [HS97], using the optimized functional translation
%            described in [OS95]. The finite model property holds, the
%            Herbrand Universe is finite, they are decidable (the complexity
%            is PSPACE-complete), resolution + subsumption + condensing is a
%            decision procedure, and the translated formulae belong to the
%            (CNF-translation of the) Bernays-Schoenfinkel class [Wei97].
%          : Translated from FOF using FLOTTER [WGR96].
%--------------------------------------------------------------------------
input_clause(clause1,conjecture,
    [++ndr1_0,++ssSkC5]).

input_clause(clause2,conjecture,
    [++ndr1_0,++ssSkC4]).

input_clause(clause3,conjecture,
    [++ndr1_0,++ssSkC2]).

input_clause(clause4,conjecture,
    [++ndr1_0,++ssSkC0]).

input_clause(clause5,conjecture,
    [--ssSkC6,++ndr1_0,++c1_0]).

input_clause(clause6,conjecture,
    [--ssSkC5,++ndr1_0,++c5_0]).

input_clause(clause7,conjecture,
    [--c2_0,++ndr1_0]).

input_clause(clause8,conjecture,
    [++ndr1_0,++c5_0,++c3_0]).

input_clause(clause9,conjecture,
    [++c4_0,++c1_0,++c5_0]).

input_clause(clause10,conjecture,
    [--c5_0,++c2_0]).

input_clause(clause11,conjecture,
    [--c3_0,++c5_0]).

input_clause(clause12,conjecture,
    [++c3_1(a540),
     ++ssSkC5]).

input_clause(clause13,conjecture,
    [++ndr1_1(a537),
     ++ssSkC4]).

input_clause(clause14,conjecture,
    [++ndr1_1(a527),
     ++ssSkC2]).

input_clause(clause15,conjecture,
    [++c5_1(a527),
     ++ssSkC2]).

input_clause(clause16,conjecture,
    [--ssSkC6,
     ++ndr1_1(a544),
     ++c1_0]).

input_clause(clause17,conjecture,
    [--ssSkC6,
     ++c4_1(a544),
     ++c1_0]).

input_clause(clause18,conjecture,
    [--ssSkC6,
     ++c1_1(a544),
     ++c1_0]).

input_clause(clause19,conjecture,
    [--c3_0,++ndr1_0,++c2_0]).

input_clause(clause20,conjecture,
    [--ssSkC2,--c4_0,++ndr1_0]).

input_clause(clause21,conjecture,
    [--c2_0,
     ++ndr1_1(a525)]).

input_clause(clause22,conjecture,
    [--c2_0,
     ++c3_1(a525)]).

input_clause(clause23,conjecture,
    [++c1_1(a520),
     ++c5_0,
     ++c3_0]).

input_clause(clause24,conjecture,
    [--c4_1(a540),
     ++ssSkC5]).

input_clause(clause25,conjecture,
    [++c2_2(a537,a538),
     ++ssSkC4]).

input_clause(clause26,conjecture,
    [++c3_2(a537,a538),
     ++ssSkC4]).

input_clause(clause27,conjecture,
    [--c5_1(a537),
     ++ssSkC4]).

input_clause(clause28,conjecture,
    [++c1_2(a527,a528),
     ++ssSkC2]).

input_clause(clause29,conjecture,
    [--c3_1(a527),
     ++ssSkC2]).

input_clause(clause30,conjecture,
    [--c2_1(a521),
     ++ssSkC0]).

input_clause(clause31,conjecture,
    [--c1_1(a521),
     ++ssSkC0]).

input_clause(clause32,conjecture,
    [--ssSkC6,
     ++c3_2(a544,a545),
     ++c1_0]).

input_clause(clause33,conjecture,
    [--ssSkC2,
     --c4_0,
     ++ndr1_1(a529)]).

input_clause(clause34,conjecture,
    [--ssSkC2,
     --c4_0,
     ++c4_1(a529)]).

input_clause(clause35,conjecture,
    [--c2_0,
     ++c2_2(a525,a526)]).

input_clause(clause36,conjecture,
    [--c2_0,
     ++c4_2(a525,a526)]).

input_clause(clause37,conjecture,
    [--c2_1(a525),
     --c2_0]).

input_clause(clause38,conjecture,
    [--c5_1(a520),
     ++c5_0,
     ++c3_0]).

input_clause(clause39,conjecture,
    [--c3_2(a527,a528),
     ++ssSkC2]).

input_clause(clause40,conjecture,
    [--ssSkC6,
     --c1_2(a544,a545),
     ++c1_0]).

input_clause(clause41,conjecture,
    [--ssSkC6,
     --c5_2(a544,a545),
     ++c1_0]).

input_clause(clause42,conjecture,
    [--c5_1(a536),
     --c3_0,
     ++c2_0]).

input_clause(clause43,conjecture,
    [--c1_1(a536),
     --c3_0,
     ++c2_0]).

input_clause(clause44,conjecture,
    [--ssSkC3,
     --c3_1(a533),
     --c2_0]).

input_clause(clause45,conjecture,
    [--ssSkC2,
     --c4_0,
     ++c1_2(a529,a531)]).

input_clause(clause46,conjecture,
    [--ssSkC2,
     --c4_0,
     ++c5_2(a529,a531)]).

input_clause(clause47,conjecture,
    [--ssSkC2,
     --c4_0,
     ++c5_2(a529,a530)]).

input_clause(clause48,conjecture,
    [--ssSkC2,
     --c4_0,
     ++c4_2(a529,a530)]).

input_clause(clause49,conjecture,
    [--ssSkC2,
     --c4_0,
     ++c1_2(a529,a530)]).

input_clause(clause50,conjecture,
    [--c1_2(a525,a526),
     --c2_0]).

input_clause(clause51,conjecture,
    [--ndr1_0,
     ++ndr1_1(U),
     ++c1_1(U),
     ++ssSkC6]).

input_clause(clause52,conjecture,
    [--ndr1_0,
     ++ndr1_1(U),
     ++c1_1(U),
     ++ssSkC3]).

input_clause(clause53,conjecture,
    [--ndr1_0,
     ++c2_2(U,a543),
     ++c1_1(U),
     ++ssSkC6]).

input_clause(clause54,conjecture,
    [--ndr1_0,
     ++c4_2(U,a532),
     ++c1_1(U),
     ++ssSkC3]).

input_clause(clause55,conjecture,
    [--ssSkC0,
     --c3_1(U),
     --ndr1_0,
     ++ndr1_1(U),
     ++c5_1(U)]).

input_clause(clause56,conjecture,
    [--c5_2(U,a543),
     --ndr1_0,
     ++c1_1(U),
     ++ssSkC6]).

input_clause(clause57,conjecture,
    [--c1_2(U,a543),
     --ndr1_0,
     ++c1_1(U),
     ++ssSkC6]).

input_clause(clause58,conjecture,
    [--c3_2(U,a532),
     --ndr1_0,
     ++c1_1(U),
     ++ssSkC3]).

input_clause(clause59,conjecture,
    [--c5_2(U,a532),
     --ndr1_0,
     ++c1_1(U),
     ++ssSkC3]).

input_clause(clause60,conjecture,
    [--ssSkC0,
     --c3_1(U),
     --ndr1_0,
     ++c5_2(U,a522),
     ++c5_1(U)]).

input_clause(clause61,conjecture,
    [--ssSkC0,
     --c3_1(U),
     --ndr1_0,
     ++c2_2(U,a522),
     ++c5_1(U)]).

input_clause(clause62,conjecture,
    [--ndr1_1(a536),
     --c3_0,
     ++c4_2(a536,U),
     ++c2_2(a536,U),
     ++c2_0]).

input_clause(clause63,conjecture,
    [--ssSkC5,
     --c4_2(a541,U),
     --ndr1_1(a541),
     ++c2_2(a541,U),
     ++c3_2(a541,U),
     ++c5_0]).

input_clause(clause64,conjecture,
    [--ssSkC5,
     --c5_2(a541,U),
     --ndr1_1(a541),
     ++c2_2(a541,U),
     ++c3_2(a541,U),
     ++c5_0]).

input_clause(clause65,conjecture,
    [--c2_2(U,V),
     --ndr1_1(U),
     --ndr1_0,
     --c4_0,
     ++c3_2(U,V),
     ++c5_1(U),
     ++c2_0]).

input_clause(clause66,conjecture,
    [--ndr1_1(U),
     --ndr1_0,
     --c1_0,
     --c3_0,
     ++c3_2(U,V),
     ++c2_2(U,V),
     ++c5_1(U)]).

input_clause(clause67,conjecture,
    [--c3_2(a540,U),
     --c1_2(a540,U),
     --ndr1_1(a540),
     ++c2_2(a540,U),
     ++ssSkC5]).

input_clause(clause68,conjecture,
    [--c2_2(a521,U),
     --c5_2(a521,U),
     --ndr1_1(a521),
     ++c1_2(a521,U),
     ++ssSkC0]).

input_clause(clause69,conjecture,
    [--ssSkC3,
     --c3_2(a533,U),
     --ndr1_1(a533),
     --c2_0,
     ++c4_2(a533,U),
     ++c5_2(a533,U)]).

input_clause(clause70,conjecture,
    [--c1_2(a520,U),
     --c5_2(a520,U),
     --c3_2(a520,U),
     --ndr1_1(a520),
     ++c5_0,
     ++c3_0]).

input_clause(clause71,conjecture,
    [--ndr1_1(U),
     --c3_2(U,a523),
     --ndr1_0,
     ++c1_2(U,V),
     ++c2_2(U,V),
     ++c3_2(U,V),
     ++c4_1(U),
     ++ssSkC1]).

input_clause(clause72,conjecture,
    [--ndr1_1(U),
     --c1_2(U,a523),
     --ndr1_0,
     ++c1_2(U,V),
     ++c2_2(U,V),
     ++c3_2(U,V),
     ++c4_1(U),
     ++ssSkC1]).

input_clause(clause73,conjecture,
    [--c1_2(U,V),
     --ndr1_1(U),
     --c2_2(U,a542),
     --c2_1(U),
     --ndr1_0,
     --c1_0,
     --c5_0,
     ++c4_2(U,V)]).

input_clause(clause74,conjecture,
    [--c1_2(U,V),
     --ndr1_1(U),
     --c4_2(U,a542),
     --c2_1(U),
     --ndr1_0,
     --c1_0,
     --c5_0,
     ++c4_2(U,V)]).

input_clause(clause75,conjecture,
    [--c1_2(U,V),
     --ndr1_1(U),
     --c5_2(U,a542),
     --c2_1(U),
     --ndr1_0,
     --c1_0,
     --c5_0,
     ++c4_2(U,V)]).

input_clause(clause76,conjecture,
    [--ssSkC4,
     --c1_2(U,V),
     --c5_2(U,V),
     --ndr1_1(U),
     --ndr1_0,
     --c2_0,
     ++c3_2(U,V),
     ++c2_2(U,a539),
     ++c4_1(U)]).

input_clause(clause77,conjecture,
    [--ssSkC4,
     --c1_2(U,V),
     --c5_2(U,V),
     --ndr1_1(U),
     --ndr1_0,
     --c2_0,
     ++c3_2(U,V),
     ++c1_2(U,a539),
     ++c4_1(U)]).

input_clause(clause78,conjecture,
    [--ssSkC4,
     --c1_2(U,V),
     --c5_2(U,V),
     --ndr1_1(U),
     --ndr1_0,
     --c2_0,
     ++c3_2(U,V),
     ++c5_2(U,a539),
     ++c4_1(U)]).

input_clause(clause79,conjecture,
    [--c3_2(U,V),
     --ndr1_1(U),
     --ndr1_0,
     --c4_0,
     ++c4_2(U,V),
     ++c1_2(U,V),
     ++c5_1(U),
     ++ndr1_1(W),
     ++c1_1(W),
     ++c4_1(W)]).

input_clause(clause80,conjecture,
    [--ndr1_0,
     --ndr1_1(U),
     ++c1_1(V),
     ++c5_1(V),
     ++c4_1(V),
     ++c3_2(U,W),
     ++c1_2(U,W),
     ++c4_2(U,W),
     ++c4_2(U,a534),
     ++c3_1(U),
     ++c5_0]).

input_clause(clause81,conjecture,
    [--ssSkC1,
     --c1_2(U,V),
     --c2_2(U,V),
     --c3_2(U,V),
     --ndr1_1(U),
     --ndr1_0,
     --c3_0,
     ++c1_2(U,a524),
     ++c4_1(U)]).

input_clause(clause82,conjecture,
    [--ssSkC1,
     --c1_2(U,V),
     --c2_2(U,V),
     --c3_2(U,V),
     --ndr1_1(U),
     --ndr1_0,
     --c3_0,
     ++c5_2(U,a524),
     ++c4_1(U)]).

input_clause(clause83,conjecture,
    [--ndr1_0,
     --ndr1_1(U),
     --c3_2(U,a534),
     ++c1_1(V),
     ++c5_1(V),
     ++c4_1(V),
     ++c3_2(U,W),
     ++c1_2(U,W),
     ++c4_2(U,W),
     ++c3_1(U),
     ++c5_0]).

input_clause(clause84,conjecture,
    [--c3_2(U,V),
     --ndr1_1(U),
     --ndr1_0,
     --c4_2(W,a535),
     --c4_0,
     ++c4_2(U,V),
     ++c1_2(U,V),
     ++c5_1(U),
     ++c1_1(W),
     ++c4_1(W)]).

input_clause(clause85,conjecture,
    [--c3_2(U,V),
     --ndr1_1(U),
     --ndr1_0,
     --c3_2(W,a535),
     --c4_0,
     ++c4_2(U,V),
     ++c1_2(U,V),
     ++c5_1(U),
     ++c1_1(W),
     ++c4_1(W)]).

input_clause(clause86,conjecture,
    [--ssSkC1,
     --c1_2(U,V),
     --c2_2(U,V),
     --c3_2(U,V),
     --ndr1_1(U),
     --c4_2(U,a524),
     --ndr1_0,
     --c3_0,
     ++c4_1(U)]).

input_clause(clause87,conjecture,
    [--c5_1(U),
     --ndr1_0,
     --c3_2(V,W),
     --c5_2(V,W),
     --ndr1_1(V),
     --c1_2(V,X),
     --c3_2(V,Y),
     ++c2_1(U),
     ++c4_2(V,W),
     ++c4_2(V,X),
     ++c2_2(V,Y),
     ++c4_2(V,Y),
     ++c1_0]).
%--------------------------------------------------------------------------
