%--------------------------------------------------------------------------
% File     : SYN538-1 : TPTP v2.1.0. Released v2.1.0.
% Domain   : Syntactic (Translated)
% Problem  : ALC, N=5, R=1, L=40, K=3, D=2, P=0, Index=022
% Version  : Special.
% English  : 

% Refs     : [OS95]  Ohlbach & Schmidt (1995), Functional Translation and S
%          : [WGR96] Weidenbach et al. (1996), SPASS and FLOTTER
%          : [HS97]  Hustadt & Schmidt (1997), On Evaluating Decision Proce
%          : [Wei97] Weidenbach (1997), Email to G. Sutcliffe
% Source   : [Wei97]
% Names    : alc-5-1-40-3-2-022.cnf [Wei97]

% Status   : satisfiable
% Rating   : ? v2.1.0
% Syntax   : Number of clauses    :  138 ( 102 non-Horn;   0 unit; 125 RR)
%            Number of literals   :  704 (   0 equality)
%            Maximal clause size  :   12 (   5 average)
%            Number of predicates :   29 (  14 propositional; 0-2 arity)
%            Number of functors   :   41 (  41 constant; 0-0 arity)
%            Number of variables  :  151 (   1 singleton)
%            Maximal term depth   :    1 (   1 average)

% Comments : These ALC problems have been translated from propositional 
%            multi-modal K logic formulae generated according to the scheme
%            described in [HS97], using the optimized functional translation
%            described in [OS95]. The finite model property holds, the
%            Herbrand Universe is finite, they are decidable (the complexity
%            is PSPACE-complete), resolution + subsumption + condensing is a
%            decision procedure, and the translated formulae belong to the
%            (CNF-translation of the) Bernays-Schoenfinkel class [Wei97].
%          : Translated from FOF using FLOTTER [WGR96].
%--------------------------------------------------------------------------
input_clause(clause1,conjecture,
    [++c1_0,++c4_0]).

input_clause(clause2,conjecture,
    [++ndr1_0,++ssSkC7]).

input_clause(clause3,conjecture,
    [++ndr1_0,++ssSkC5]).

input_clause(clause4,conjecture,
    [++ndr1_0,++ssSkC3]).

input_clause(clause5,conjecture,
    [++ndr1_0,++ssSkC1]).

input_clause(clause6,conjecture,
    [++ndr1_0,++ssSkC0]).

input_clause(clause7,conjecture,
    [--ssSkC7,++ndr1_0,++c4_0]).

input_clause(clause8,conjecture,
    [--ssSkC6,++ndr1_0,++c1_0]).

input_clause(clause9,conjecture,
    [--ssSkC5,++ndr1_0,++c5_0]).

input_clause(clause10,conjecture,
    [--ssSkC3,--ssSkC4,++ndr1_0]).

input_clause(clause11,conjecture,
    [--c1_0,++c3_0]).

input_clause(clause12,conjecture,
    [++c3_1(a583),
     ++ssSkC7]).

input_clause(clause13,conjecture,
    [++c5_1(a583),
     ++ssSkC7]).

input_clause(clause14,conjecture,
    [++ndr1_1(U),
     ++ssSkP3(U)]).

input_clause(clause15,conjecture,
    [++ndr1_1(a567),
     ++ssSkC5]).

input_clause(clause16,conjecture,
    [++c1_1(a567),
     ++ssSkC5]).

input_clause(clause17,conjecture,
    [++c2_1(a567),
     ++ssSkC5]).

input_clause(clause18,conjecture,
    [++ndr1_1(U),
     ++ssSkP2(U)]).

input_clause(clause19,conjecture,
    [++ndr1_1(U),
     ++ssSkP1(U)]).

input_clause(clause20,conjecture,
    [++c5_1(a556),
     ++ssSkC1]).

input_clause(clause21,conjecture,
    [++ndr1_1(U),
     ++ssSkP0(U)]).

input_clause(clause22,conjecture,
    [++ndr1_1(a546),
     ++ssSkC0]).

input_clause(clause23,conjecture,
    [++c2_1(a546),
     ++ssSkC0]).

input_clause(clause24,conjecture,
    [--c4_0,++ndr1_0,++c3_0]).

input_clause(clause25,conjecture,
    [--ssSkC6,
     ++c1_1(a577),
     ++c1_0]).

input_clause(clause26,conjecture,
    [--ssSkC6,
     ++c4_1(a577),
     ++c1_0]).

input_clause(clause27,conjecture,
    [--c4_0,--c2_0]).

input_clause(clause28,conjecture,
    [--c3_0,++c5_0,++c4_0]).

input_clause(clause29,conjecture,
    [--c2_0,++c3_0,++c1_0]).

input_clause(clause30,conjecture,
    [--c4_1(a583),
     ++ssSkC7]).

input_clause(clause31,conjecture,
    [++c3_2(U,a579),
     ++ssSkP3(U)]).

input_clause(clause32,conjecture,
    [++c4_2(a567,a568),
     ++ssSkC5]).

input_clause(clause33,conjecture,
    [++c2_2(U,a562),
     ++ssSkP2(U)]).

input_clause(clause34,conjecture,
    [++c5_2(U,a562),
     ++ssSkP2(U)]).

input_clause(clause35,conjecture,
    [--c1_1(a561),
     ++ssSkC3]).

input_clause(clause36,conjecture,
    [++c1_2(U,a557),
     ++ssSkP1(U)]).

input_clause(clause37,conjecture,
    [--c4_1(a556),
     ++ssSkC1]).

input_clause(clause38,conjecture,
    [++c5_2(U,a548),
     ++ssSkP0(U)]).

input_clause(clause39,conjecture,
    [++c2_2(U,a548),
     ++ssSkP0(U)]).

input_clause(clause40,conjecture,
    [++c2_2(a546,a547),
     ++ssSkC0]).

input_clause(clause41,conjecture,
    [++c5_2(a546,a547),
     ++ssSkC0]).

input_clause(clause42,conjecture,
    [--c4_0,--c1_0,++ndr1_0]).

input_clause(clause43,conjecture,
    [--ssSkC7,
     --c2_1(a584),
     ++c4_0]).

input_clause(clause44,conjecture,
    [--ssSkC7,
     --c5_1(a584),
     ++c4_0]).

input_clause(clause45,conjecture,
    [--c4_0,
     ++c5_1(a578),
     ++c3_0]).

input_clause(clause46,conjecture,
    [--ssSkC5,
     --c1_1(a569),
     ++c5_0]).

input_clause(clause47,conjecture,
    [--ssSkC5,
     --c2_1(a569),
     ++c5_0]).

input_clause(clause48,conjecture,
    [--c5_0,--c3_0,++ndr1_0]).

input_clause(clause49,conjecture,
    [--ssSkC3,
     --ssSkC4,
     --c3_1(a564)]).

input_clause(clause50,conjecture,
    [--ssSkC3,
     --ssSkC4,
     --c1_1(a564)]).

input_clause(clause51,conjecture,
    [--c2_1(U),
     --ndr1_0,
     ++c2_0]).

input_clause(clause52,conjecture,
    [--c2_2(U,a579),
     ++ssSkP3(U)]).

input_clause(clause53,conjecture,
    [--c1_2(a567,a568),
     ++ssSkC5]).

input_clause(clause54,conjecture,
    [--c4_2(U,a562),
     ++ssSkP2(U)]).

input_clause(clause55,conjecture,
    [--c3_2(U,a557),
     ++ssSkP1(U)]).

input_clause(clause56,conjecture,
    [--c1_2(U,a548),
     ++ssSkP0(U)]).

input_clause(clause57,conjecture,
    [--c4_2(a546,a547),
     ++ssSkC0]).

input_clause(clause58,conjecture,
    [--c4_0,
     --c1_0,
     ++c2_1(a585)]).

input_clause(clause59,conjecture,
    [--c4_0,
     --c1_0,
     ++c5_1(a585)]).

input_clause(clause60,conjecture,
    [--c2_1(a578),
     --c4_0,
     ++c3_0]).

input_clause(clause61,conjecture,
    [--c5_1(a550),
     --c4_0,
     ++c3_0]).

input_clause(clause62,conjecture,
    [--c1_1(a585),
     --c4_0,
     --c1_0]).

input_clause(clause63,conjecture,
    [--c1_1(a565),
     --c5_0,
     --c3_0]).

input_clause(clause64,conjecture,
    [--ssSkP2(U),
     --ndr1_0,
     ++ndr1_1(U),
     ++c3_1(U),
     ++ssSkC4]).

input_clause(clause65,conjecture,
    [--ssSkP1(U),
     --ssSkC1,
     --ndr1_0,
     ++ndr1_1(U),
     ++c2_1(U),
     ++c5_0]).

input_clause(clause66,conjecture,
    [--c2_1(U),
     --ndr1_0,
     ++ndr1_1(U),
     ++c3_1(U),
     ++ssSkC6]).

input_clause(clause67,conjecture,
    [--ssSkP2(U),
     --ndr1_0,
     ++c1_2(U,a563),
     ++c3_1(U),
     ++ssSkC4]).

input_clause(clause68,conjecture,
    [--ssSkP2(U),
     --ndr1_0,
     ++c4_2(U,a563),
     ++c3_1(U),
     ++ssSkC4]).

input_clause(clause69,conjecture,
    [--ssSkP1(U),
     --ssSkC1,
     --ndr1_0,
     ++c2_2(U,a558),
     ++c2_1(U),
     ++c5_0]).

input_clause(clause70,conjecture,
    [--c3_1(U),
     --ndr1_0,
     ++ndr1_1(U),
     ++c5_1(U),
     ++c5_0,
     ++c1_0]).

input_clause(clause71,conjecture,
    [--c2_1(U),
     --c4_1(U),
     --ndr1_0,
     ++c3_1(U),
     ++c3_0]).

input_clause(clause72,conjecture,
    [--c2_1(U),
     --ndr1_0,
     ++c2_2(U,a576),
     ++c3_1(U),
     ++ssSkC6]).

input_clause(clause73,conjecture,
    [--ssSkP2(U),
     --c2_2(U,a563),
     --ndr1_0,
     ++c3_1(U),
     ++ssSkC4]).

input_clause(clause74,conjecture,
    [--ssSkC2,
     --c4_1(U),
     --c3_1(U),
     --ndr1_0,
     ++ndr1_1(U),
     ++c2_0]).

input_clause(clause75,conjecture,
    [--ssSkP1(U),
     --ssSkC1,
     --c5_2(U,a558),
     --ndr1_0,
     ++c2_1(U),
     ++c5_0]).

input_clause(clause76,conjecture,
    [--ssSkP1(U),
     --ssSkC1,
     --c3_2(U,a558),
     --ndr1_0,
     ++c2_1(U),
     ++c5_0]).

input_clause(clause77,conjecture,
    [--c3_1(U),
     --ndr1_0,
     --c3_0,
     ++c4_1(U),
     ++c1_1(U),
     ++c1_0]).

input_clause(clause78,conjecture,
    [--ssSkC5,
     --c2_2(a569,U),
     --ndr1_1(a569),
     ++c3_2(a569,U),
     ++c5_0]).

input_clause(clause79,conjecture,
    [--c5_2(U,a576),
     --c2_1(U),
     --ndr1_0,
     ++c3_1(U),
     ++ssSkC6]).

input_clause(clause80,conjecture,
    [--c3_1(U),
     --ndr1_0,
     --c4_1(V),
     ++c4_1(U),
     ++ndr1_1(V),
     ++c2_1(V)]).

input_clause(clause81,conjecture,
    [--ssSkC2,
     --c4_1(U),
     --c3_1(U),
     --ndr1_0,
     ++c5_2(U,a560),
     ++c2_0]).

input_clause(clause82,conjecture,
    [--ssSkC2,
     --c4_1(U),
     --c3_1(U),
     --ndr1_0,
     ++c3_2(U,a560),
     ++c2_0]).

input_clause(clause83,conjecture,
    [--c5_2(U,a555),
     --c3_1(U),
     --ndr1_0,
     ++c5_1(U),
     ++c5_0,
     ++c1_0]).

input_clause(clause84,conjecture,
    [--c1_2(U,a555),
     --c3_1(U),
     --ndr1_0,
     ++c5_1(U),
     ++c5_0,
     ++c1_0]).

input_clause(clause85,conjecture,
    [--c4_2(U,a555),
     --c3_1(U),
     --ndr1_0,
     ++c5_1(U),
     ++c5_0,
     ++c1_0]).

input_clause(clause86,conjecture,
    [--c5_2(a578,U),
     --ndr1_1(a578),
     --c4_0,
     ++c4_2(a578,U),
     ++c3_0]).

input_clause(clause87,conjecture,
    [--c3_1(U),
     --c4_1(U),
     --ndr1_0,
     --c1_1(a551),
     --c4_0]).

input_clause(clause88,conjecture,
    [--c3_1(U),
     --ndr1_0,
     --c4_1(V),
     ++c4_1(U),
     ++c2_2(V,a575),
     ++c2_1(V)]).

input_clause(clause89,conjecture,
    [--c3_1(U),
     --ndr1_0,
     --c4_1(V),
     ++c4_1(U),
     ++c1_2(V,a575),
     ++c2_1(V)]).

input_clause(clause90,conjecture,
    [--c2_1(U),
     --c4_1(U),
     --ndr1_0,
     --c2_0,
     ++c1_1(U),
     ++ndr1_1(a571)]).

input_clause(clause91,conjecture,
    [--c2_1(U),
     --c4_1(U),
     --ndr1_0,
     --c2_0,
     ++c1_1(U),
     ++c1_1(a571)]).

input_clause(clause92,conjecture,
    [--c3_1(U),
     --ndr1_0,
     --c3_2(V,a575),
     --c4_1(V),
     ++c4_1(U),
     ++c2_1(V)]).

input_clause(clause93,conjecture,
    [--c2_1(U),
     --c4_1(U),
     --ndr1_0,
     --c2_0,
     ++c1_1(U),
     ++c3_2(a571,a573)]).

input_clause(clause94,conjecture,
    [--c2_1(U),
     --c4_1(U),
     --ndr1_0,
     --c2_0,
     ++c1_1(U),
     ++c1_2(a571,a573)]).

input_clause(clause95,conjecture,
    [--c2_1(U),
     --c4_1(U),
     --ndr1_0,
     --c2_0,
     ++c1_1(U),
     ++c5_2(a571,a572)]).

input_clause(clause96,conjecture,
    [--c1_2(a565,U),
     --c2_2(a565,U),
     --ndr1_1(a565),
     --c5_0,
     --c3_0]).

input_clause(clause97,conjecture,
    [--c2_1(U),
     --c4_1(U),
     --ndr1_0,
     --c4_2(a571,a573),
     --c2_0,
     ++c1_1(U)]).

input_clause(clause98,conjecture,
    [--c2_1(U),
     --c4_1(U),
     --ndr1_0,
     --c3_2(a571,a572),
     --c2_0,
     ++c1_1(U)]).

input_clause(clause99,conjecture,
    [--c2_1(U),
     --c4_1(U),
     --ndr1_0,
     --c1_2(a571,a572),
     --c2_0,
     ++c1_1(U)]).

input_clause(clause100,conjecture,
    [--c5_2(a561,U),
     --c4_2(a561,U),
     --c2_2(a561,U),
     --ndr1_1(a561),
     ++ssSkC3]).

input_clause(clause101,conjecture,
    [--c3_2(U,V),
     --ndr1_1(U),
     --c3_1(U),
     --ndr1_0,
     ++c4_2(U,V),
     ++c1_2(U,V),
     ++c4_1(U),
     ++ndr1_1(a552)]).

input_clause(clause102,conjecture,
    [--c5_2(U,V),
     --c4_2(U,V),
     --ndr1_1(U),
     --c1_1(U),
     --ndr1_0,
     ++c1_2(U,V),
     ++c2_1(U),
     ++c5_0]).

input_clause(clause103,conjecture,
    [--c2_2(U,V),
     --ndr1_1(U),
     --c4_1(U),
     --ndr1_0,
     --c3_0,
     ++c3_2(U,V),
     ++c1_2(U,V),
     ++c5_1(U)]).

input_clause(clause104,conjecture,
    [--c5_2(U,V),
     --ndr1_1(U),
     --c2_2(U,a570),
     --c5_1(U),
     --ndr1_0,
     --c2_0,
     ++c2_2(U,V),
     ++c5_0]).

input_clause(clause105,conjecture,
    [--c5_2(U,V),
     --ndr1_1(U),
     --c3_2(U,a570),
     --c5_1(U),
     --ndr1_0,
     --c2_0,
     ++c2_2(U,V),
     ++c5_0]).

input_clause(clause106,conjecture,
    [--c5_2(U,V),
     --ndr1_1(U),
     --c4_2(U,a570),
     --c5_1(U),
     --ndr1_0,
     --c2_0,
     ++c2_2(U,V),
     ++c5_0]).

input_clause(clause107,conjecture,
    [--c3_2(U,V),
     --ndr1_1(U),
     --c3_1(U),
     --ndr1_0,
     ++c4_2(U,V),
     ++c1_2(U,V),
     ++c4_1(U),
     ++c2_2(a552,a553)]).

input_clause(clause108,conjecture,
    [--c3_2(U,V),
     --ndr1_1(U),
     --c3_1(U),
     --ndr1_0,
     ++c4_2(U,V),
     ++c1_2(U,V),
     ++c4_1(U),
     ++c1_2(a552,a553)]).

input_clause(clause109,conjecture,
    [--c3_2(U,V),
     --ndr1_1(U),
     --c5_1(U),
     --ndr1_0,
     --c2_0,
     ++c1_2(U,V),
     ++c2_2(U,V),
     ++c3_1(U),
     ++c1_0]).

input_clause(clause110,conjecture,
    [--ssSkP3(U),
     --c3_1(U),
     --c4_1(V),
     --ndr1_1(V),
     --c1_2(V,W),
     --ndr1_0,
     ++c5_2(V,W),
     ++ndr1_1(U),
     ++c5_1(V)]).

input_clause(clause111,conjecture,
    [--c1_2(U,V),
     --c5_2(U,V),
     --ndr1_1(U),
     --ndr1_0,
     --c2_0,
     ++c4_2(U,V),
     ++c4_1(U),
     ++c5_1(U),
     ++ndr1_1(a581)]).

input_clause(clause112,conjecture,
    [--c1_2(U,V),
     --c5_2(U,V),
     --ndr1_1(U),
     --ndr1_0,
     --c2_0,
     ++c4_2(U,V),
     ++c4_1(U),
     ++c5_1(U),
     ++c3_1(a581)]).

input_clause(clause113,conjecture,
    [--c1_2(U,V),
     --c3_2(U,V),
     --ndr1_1(U),
     --c5_1(U),
     --ndr1_0,
     ++c2_2(U,V),
     ++c2_1(U),
     ++c5_1(a574),
     ++c5_0]).

input_clause(clause114,conjecture,
    [--c3_2(U,V),
     --ndr1_1(U),
     --c3_1(U),
     --ndr1_0,
     --c2_2(a552,a554),
     ++c4_2(U,V),
     ++c1_2(U,V),
     ++c4_1(U)]).

input_clause(clause115,conjecture,
    [--c3_2(U,V),
     --ndr1_1(U),
     --c3_1(U),
     --ndr1_0,
     --c4_2(a552,a554),
     ++c4_2(U,V),
     ++c1_2(U,V),
     ++c4_1(U)]).

input_clause(clause116,conjecture,
    [--c3_2(U,V),
     --ndr1_1(U),
     --c3_1(U),
     --ndr1_0,
     --c3_2(a552,a553),
     ++c4_2(U,V),
     ++c1_2(U,V),
     ++c4_1(U)]).

input_clause(clause117,conjecture,
    [--ssSkP3(U),
     --c3_1(U),
     --c4_1(V),
     --ndr1_1(V),
     --c1_2(V,W),
     --ndr1_0,
     ++c5_2(V,W),
     ++c2_2(U,a580),
     ++c5_1(V)]).

input_clause(clause118,conjecture,
    [--c1_2(U,V),
     --c5_2(U,V),
     --ndr1_1(U),
     --ndr1_0,
     --c2_0,
     ++c4_2(U,V),
     ++c4_1(U),
     ++c5_1(U),
     ++c5_2(a581,a582)]).

input_clause(clause119,conjecture,
    [--c1_2(U,V),
     --c5_2(U,V),
     --ndr1_1(U),
     --ndr1_0,
     --c2_0,
     ++c4_2(U,V),
     ++c4_1(U),
     ++c5_1(U),
     ++c1_2(a581,a582)]).

input_clause(clause120,conjecture,
    [--c1_2(U,V),
     --c5_2(U,V),
     --ndr1_1(U),
     --ndr1_0,
     --c2_1(a581),
     --c2_0,
     ++c4_2(U,V),
     ++c4_1(U),
     ++c5_1(U)]).

input_clause(clause121,conjecture,
    [--c1_2(U,V),
     --c3_2(U,V),
     --ndr1_1(U),
     --c5_1(U),
     --ndr1_0,
     --c1_1(a574),
     ++c2_2(U,V),
     ++c2_1(U),
     ++c5_0]).

input_clause(clause122,conjecture,
    [--c3_1(U),
     --c4_1(U),
     --ndr1_0,
     --c2_2(a551,V),
     --ndr1_1(a551),
     --c4_0,
     ++c5_2(a551,V),
     ++c4_2(a551,V)]).

input_clause(clause123,conjecture,
    [--c3_2(U,V),
     --ndr1_1(U),
     --c2_2(U,W),
     --ndr1_0,
     ++c2_2(U,V),
     ++c5_2(U,V),
     ++c1_2(U,W),
     ++c3_2(U,a559),
     ++ssSkC2]).

input_clause(clause124,conjecture,
    [--c3_2(U,V),
     --ndr1_1(U),
     --c2_2(U,W),
     --ndr1_0,
     ++c2_2(U,V),
     ++c5_2(U,V),
     ++c1_2(U,W),
     ++c4_2(U,a559),
     ++ssSkC2]).

input_clause(clause125,conjecture,
    [--ndr1_0,
     --c5_2(U,V),
     --ndr1_1(U),
     --c5_1(U),
     --c3_0,
     ++c4_1(W),
     ++c1_1(W),
     ++c5_1(W),
     ++c3_2(U,V),
     ++c5_2(U,a586)]).

input_clause(clause126,conjecture,
    [--ssSkP3(U),
     --c3_1(U),
     --c1_2(U,a580),
     --c4_1(V),
     --ndr1_1(V),
     --ndr1_0,
     --c1_2(V,W),
     ++c5_1(V),
     ++c5_2(V,W)]).

input_clause(clause127,conjecture,
    [--c1_2(U,V),
     --c5_2(U,V),
     --ndr1_1(U),
     --ndr1_0,
     --c2_2(a581,a582),
     --c2_0,
     ++c4_2(U,V),
     ++c4_1(U),
     ++c5_1(U)]).

input_clause(clause128,conjecture,
    [--c3_1(U),
     --c4_1(U),
     --ndr1_0,
     --c4_2(a551,V),
     --c3_2(a551,V),
     --ndr1_1(a551),
     --c4_0,
     ++c1_2(a551,V)]).

input_clause(clause129,conjecture,
    [--c3_2(U,V),
     --ndr1_1(U),
     --c2_2(U,W),
     --c1_2(U,a559),
     --ndr1_0,
     ++c2_2(U,V),
     ++c5_2(U,V),
     ++c1_2(U,W),
     ++ssSkC2]).

input_clause(clause130,conjecture,
    [--ndr1_0,
     --c5_2(U,V),
     --ndr1_1(U),
     --c4_2(U,a586),
     --c5_1(U),
     --c3_0,
     ++c4_1(W),
     ++c1_1(W),
     ++c5_1(W),
     ++c3_2(U,V)]).

input_clause(clause131,conjecture,
    [--ndr1_0,
     --c5_2(U,V),
     --ndr1_1(U),
     --c1_2(U,a586),
     --c5_1(U),
     --c3_0,
     ++c4_1(W),
     ++c1_1(W),
     ++c5_1(W),
     ++c3_2(U,V)]).

input_clause(clause132,conjecture,
    [--c5_1(U),
     --c2_1(U),
     --ndr1_0,
     --c4_2(V,W),
     --c2_2(V,W),
     --ndr1_1(V),
     --c1_1(V),
     ++c3_2(V,W),
     ++c4_2(V,a566)]).

input_clause(clause133,conjecture,
    [--c5_1(U),
     --c2_1(U),
     --ndr1_0,
     --c4_2(V,W),
     --c2_2(V,W),
     --ndr1_1(V),
     --c2_2(V,a566),
     --c1_1(V),
     ++c3_2(V,W)]).

input_clause(clause134,conjecture,
    [--c5_1(U),
     --c2_1(U),
     --ndr1_0,
     --c4_2(V,W),
     --c2_2(V,W),
     --ndr1_1(V),
     --c3_2(V,a566),
     --c1_1(V),
     ++c3_2(V,W)]).

input_clause(clause135,conjecture,
    [--ssSkP0(U),
     --ssSkC0,
     --c2_2(V,W),
     --c3_2(V,W),
     --ndr1_1(V),
     --c1_1(V),
     --ndr1_0,
     --c5_2(U,X),
     --ndr1_1(U),
     ++c2_1(V),
     ++c1_2(U,X),
     ++c5_2(U,a549)]).

input_clause(clause136,conjecture,
    [--ssSkP0(U),
     --ssSkC0,
     --c2_2(V,W),
     --c3_2(V,W),
     --ndr1_1(V),
     --c1_1(V),
     --ndr1_0,
     --c5_2(U,X),
     --ndr1_1(U),
     ++c2_1(V),
     ++c1_2(U,X),
     ++c2_2(U,a549)]).

input_clause(clause137,conjecture,
    [--ssSkP0(U),
     --ssSkC0,
     --c2_2(V,W),
     --c3_2(V,W),
     --ndr1_1(V),
     --c1_1(V),
     --ndr1_0,
     --c5_2(U,X),
     --ndr1_1(U),
     --c4_2(U,a549),
     ++c2_1(V),
     ++c1_2(U,X)]).

input_clause(clause138,conjecture,
    [--c1_2(U,V),
     --c3_2(U,V),
     --ndr1_1(U),
     --c5_1(U),
     --ndr1_0,
     --c1_2(a574,W),
     --ndr1_1(a574),
     ++c2_2(U,V),
     ++c2_1(U),
     ++c4_2(a574,W),
     ++c3_2(a574,W),
     ++c5_0]).
%--------------------------------------------------------------------------
