%--------------------------------------------------------------------------
% File     : SYN539-1 : TPTP v2.1.0. Released v2.1.0.
% Domain   : Syntactic (Translated)
% Problem  : ALC, N=5, R=1, L=40, K=3, D=2, P=0, Index=036
% Version  : Special.
% English  : 

% Refs     : [OS95]  Ohlbach & Schmidt (1995), Functional Translation and S
%          : [WGR96] Weidenbach et al. (1996), SPASS and FLOTTER
%          : [HS97]  Hustadt & Schmidt (1997), On Evaluating Decision Proce
%          : [Wei97] Weidenbach (1997), Email to G. Sutcliffe
% Source   : [Wei97]
% Names    : alc-5-1-40-3-2-036.cnf [Wei97]

% Status   : satisfiable
% Rating   : ? v2.1.0
% Syntax   : Number of clauses    :  154 ( 103 non-Horn;   1 unit; 134 RR)
%            Number of literals   :  717 (   0 equality)
%            Maximal clause size  :   11 (   4 average)
%            Number of predicates :   29 (  14 propositional; 0-2 arity)
%            Number of functors   :   51 (  51 constant; 0-0 arity)
%            Number of variables  :  143 (   3 singleton)
%            Maximal term depth   :    1 (   1 average)

% Comments : These ALC problems have been translated from propositional 
%            multi-modal K logic formulae generated according to the scheme
%            described in [HS97], using the optimized functional translation
%            described in [OS95]. The finite model property holds, the
%            Herbrand Universe is finite, they are decidable (the complexity
%            is PSPACE-complete), resolution + subsumption + condensing is a
%            decision procedure, and the translated formulae belong to the
%            (CNF-translation of the) Bernays-Schoenfinkel class [Wei97].
%          : Translated from FOF using FLOTTER [WGR96].
%--------------------------------------------------------------------------
input_clause(clause1,conjecture,
    [++c5_0]).

input_clause(clause2,conjecture,
    [++ndr1_0,++c3_0]).

input_clause(clause3,conjecture,
    [++ndr1_0,++c4_0]).

input_clause(clause4,conjecture,
    [++ndr1_0,++ssSkC7]).

input_clause(clause5,conjecture,
    [++ndr1_0,++ssSkC4]).

input_clause(clause6,conjecture,
    [++ndr1_0,++ssSkC3]).

input_clause(clause7,conjecture,
    [++ndr1_0,++ssSkC1]).

input_clause(clause8,conjecture,
    [++ndr1_0,++ssSkC0]).

input_clause(clause9,conjecture,
    [++ndr1_1(a637),
     ++c3_0]).

input_clause(clause10,conjecture,
    [--c4_0,++ndr1_0]).

input_clause(clause11,conjecture,
    [--ssSkC0,--ssSkC1,++ndr1_0]).

input_clause(clause12,conjecture,
    [++c2_1(a587),
     ++c4_0]).

input_clause(clause13,conjecture,
    [++c3_1(a587),
     ++c4_0]).

input_clause(clause14,conjecture,
    [++c5_1(a587),
     ++c4_0]).

input_clause(clause15,conjecture,
    [++ndr1_1(a624),
     ++ssSkC4]).

input_clause(clause16,conjecture,
    [++ndr1_1(U),
     ++ssSkP3(U)]).

input_clause(clause17,conjecture,
    [++ndr1_1(a608),
     ++ssSkC3]).

input_clause(clause18,conjecture,
    [++ndr1_1(U),
     ++ssSkP2(U)]).

input_clause(clause19,conjecture,
    [++ndr1_1(U),
     ++ssSkP1(U)]).

input_clause(clause20,conjecture,
    [++ndr1_1(U),
     ++ssSkP0(U)]).

input_clause(clause21,conjecture,
    [++c2_1(a593),
     ++ssSkC1]).

input_clause(clause22,conjecture,
    [++c1_2(a637,a638),
     ++c3_0]).

input_clause(clause23,conjecture,
    [--c3_1(a637),
     ++c3_0]).

input_clause(clause24,conjecture,
    [--c2_1(a637),
     ++c3_0]).

input_clause(clause25,conjecture,
    [--c4_0,
     ++c1_1(a631)]).

input_clause(clause26,conjecture,
    [--ssSkC5,--c3_0,++ndr1_0]).

input_clause(clause27,conjecture,
    [--c5_0,++ndr1_0,++c1_0]).

input_clause(clause28,conjecture,
    [--ssSkC0,
     --ssSkC1,
     ++c1_1(a594)]).

input_clause(clause29,conjecture,
    [--ssSkC0,
     --ssSkC1,
     ++c4_1(a594)]).

input_clause(clause30,conjecture,
    [--c3_0,++c4_0,++c1_0]).

input_clause(clause31,conjecture,
    [--c2_1(a634),
     ++ssSkC7]).

input_clause(clause32,conjecture,
    [++c5_2(a624,a626),
     ++ssSkC4]).

input_clause(clause33,conjecture,
    [++c4_2(a624,a626),
     ++ssSkC4]).

input_clause(clause34,conjecture,
    [++c3_2(a624,a625),
     ++ssSkC4]).

input_clause(clause35,conjecture,
    [++c1_2(U,a621),
     ++ssSkP3(U)]).

input_clause(clause36,conjecture,
    [++c4_2(U,a621),
     ++ssSkP3(U)]).

input_clause(clause37,conjecture,
    [++c5_2(a608,a609),
     ++ssSkC3]).

input_clause(clause38,conjecture,
    [++c5_2(U,a603),
     ++ssSkP2(U)]).

input_clause(clause39,conjecture,
    [++c3_2(U,a603),
     ++ssSkP2(U)]).

input_clause(clause40,conjecture,
    [++c3_2(U,a602),
     ++ssSkP1(U)]).

input_clause(clause41,conjecture,
    [++c2_2(U,a599),
     ++ssSkP0(U)]).

input_clause(clause42,conjecture,
    [--c5_1(a593),
     ++ssSkC1]).

input_clause(clause43,conjecture,
    [--c3_1(a592),
     ++ssSkC0]).

input_clause(clause44,conjecture,
    [--c4_1(a592),
     ++ssSkC0]).

input_clause(clause45,conjecture,
    [--c4_2(a637,a638),
     ++c3_0]).

input_clause(clause46,conjecture,
    [--ssSkC6,
     --c3_1(a633),
     ++c3_0]).

input_clause(clause47,conjecture,
    [--ssSkC6,
     --c1_1(a633),
     ++c3_0]).

input_clause(clause48,conjecture,
    [--c3_1(a631),
     --c4_0]).

input_clause(clause49,conjecture,
    [--ssSkC5,
     --c3_0,
     ++ndr1_1(a629)]).

input_clause(clause50,conjecture,
    [--ssSkC5,
     --c3_0,
     ++c3_1(a629)]).

input_clause(clause51,conjecture,
    [--c5_0,--c1_0,++ndr1_0]).

input_clause(clause52,conjecture,
    [--c5_0,
     ++c4_1(a619),
     ++c1_0]).

input_clause(clause53,conjecture,
    [--c5_0,
     ++c1_1(a619),
     ++c1_0]).

input_clause(clause54,conjecture,
    [--c5_0,
     ++c5_1(a619),
     ++c1_0]).

input_clause(clause55,conjecture,
    [--c5_0,
     ++c1_1(a616),
     ++c4_0]).

input_clause(clause56,conjecture,
    [--c1_0,--c3_0,++ndr1_0]).

input_clause(clause57,conjecture,
    [--c3_2(a624,a626),
     ++ssSkC4]).

input_clause(clause58,conjecture,
    [--c1_2(a624,a625),
     ++ssSkC4]).

input_clause(clause59,conjecture,
    [--c2_2(a624,a625),
     ++ssSkC4]).

input_clause(clause60,conjecture,
    [--c2_2(U,a621),
     ++ssSkP3(U)]).

input_clause(clause61,conjecture,
    [--c4_2(a608,a609),
     ++ssSkC3]).

input_clause(clause62,conjecture,
    [--c4_2(U,a603),
     ++ssSkP2(U)]).

input_clause(clause63,conjecture,
    [--c2_2(U,a602),
     ++ssSkP1(U)]).

input_clause(clause64,conjecture,
    [--c3_2(U,a599),
     ++ssSkP0(U)]).

input_clause(clause65,conjecture,
    [--c5_2(U,a599),
     ++ssSkP0(U)]).

input_clause(clause66,conjecture,
    [--ssSkC5,
     --c2_1(a629),
     --c3_0]).

input_clause(clause67,conjecture,
    [--c3_1(a616),
     --c5_0,
     ++c4_0]).

input_clause(clause68,conjecture,
    [--c2_1(a616),
     --c5_0,
     ++c4_0]).

input_clause(clause69,conjecture,
    [--c4_0,
     --c2_0,
     ++ndr1_1(a611)]).

input_clause(clause70,conjecture,
    [--c3_0,--c1_0,--c4_0]).

input_clause(clause71,conjecture,
    [--ssSkC5,
     --c2_2(a629,a630),
     --c3_0]).

input_clause(clause72,conjecture,
    [--ssSkC5,
     --c5_2(a629,a630),
     --c3_0]).

input_clause(clause73,conjecture,
    [--c4_1(a620),
     --c5_0,
     --c1_0]).

input_clause(clause74,conjecture,
    [--c1_1(a615),
     --c1_0,
     --c3_0]).

input_clause(clause75,conjecture,
    [--c4_0,
     --c2_0,
     ++c5_2(a611,a612)]).

input_clause(clause76,conjecture,
    [--c1_1(a611),
     --c4_0,
     --c2_0]).

input_clause(clause77,conjecture,
    [--c1_2(a611,a612),
     --c4_0,
     --c2_0]).

input_clause(clause78,conjecture,
    [--ssSkP0(U),
     --ndr1_0,
     ++ndr1_1(U),
     ++c2_1(U),
     ++ssSkC2]).

input_clause(clause79,conjecture,
    [--c5_1(U),
     --ndr1_0,
     ++ndr1_1(U),
     ++c3_1(U),
     ++c4_0]).

input_clause(clause80,conjecture,
    [--ssSkP0(U),
     --ndr1_0,
     ++c1_2(U,a600),
     ++c2_1(U),
     ++ssSkC2]).

input_clause(clause81,conjecture,
    [--ssSkP0(U),
     --ndr1_0,
     ++c2_2(U,a600),
     ++c2_1(U),
     ++ssSkC2]).

input_clause(clause82,conjecture,
    [--c5_1(U),
     --ndr1_0,
     ++c5_2(U,a639),
     ++c3_1(U),
     ++c4_0]).

input_clause(clause83,conjecture,
    [--c2_1(U),
     --ndr1_0,
     ++ndr1_1(U),
     ++c1_1(U),
     ++c2_0,
     ++c4_0]).

input_clause(clause84,conjecture,
    [--ssSkC2,
     --c3_1(U),
     --ndr1_0,
     ++ndr1_1(U),
     ++c2_1(U),
     ++c2_0]).

input_clause(clause85,conjecture,
    [--ssSkP3(U),
     --ndr1_0,
     --c2_1(U),
     ++c2_1(V),
     ++ndr1_1(U),
     ++c2_0]).

input_clause(clause86,conjecture,
    [--c3_1(U),
     --ndr1_0,
     --c3_0,
     ++c5_1(U),
     ++ndr1_1(a613)]).

input_clause(clause87,conjecture,
    [--ssSkP0(U),
     --c3_2(U,a600),
     --ndr1_0,
     ++c2_1(U),
     ++ssSkC2]).

input_clause(clause88,conjecture,
    [--c1_2(U,a639),
     --c5_1(U),
     --ndr1_0,
     ++c3_1(U),
     ++c4_0]).

input_clause(clause89,conjecture,
    [--c2_2(U,a639),
     --c5_1(U),
     --ndr1_0,
     ++c3_1(U),
     ++c4_0]).

input_clause(clause90,conjecture,
    [--ssSkC2,
     --c3_1(U),
     --ndr1_0,
     ++c4_2(U,a601),
     ++c2_1(U),
     ++c2_0]).

input_clause(clause91,conjecture,
    [--ssSkC2,
     --c3_1(U),
     --ndr1_0,
     ++c2_2(U,a601),
     ++c2_1(U),
     ++c2_0]).

input_clause(clause92,conjecture,
    [--ssSkC2,
     --c3_1(U),
     --ndr1_0,
     ++c5_2(U,a601),
     ++c2_1(U),
     ++c2_0]).

input_clause(clause93,conjecture,
    [--c3_2(a608,U),
     --ndr1_1(a608),
     ++c2_2(a608,U),
     ++ssSkC3]).

input_clause(clause94,conjecture,
    [--ssSkC6,
     --c3_2(a633,U),
     --ndr1_1(a633),
     ++c1_2(a633,U),
     ++c3_0]).

input_clause(clause95,conjecture,
    [--ssSkP3(U),
     --ndr1_0,
     --c2_1(U),
     ++c2_1(V),
     ++c5_2(U,a622),
     ++c2_0]).

input_clause(clause96,conjecture,
    [--c3_1(U),
     --ndr1_0,
     --c3_0,
     ++c5_1(U),
     ++c1_2(a613,a614)]).

input_clause(clause97,conjecture,
    [--c3_1(U),
     --ndr1_0,
     --c3_1(a613),
     --c3_0,
     ++c5_1(U)]).

input_clause(clause98,conjecture,
    [--c4_2(U,a618),
     --c2_1(U),
     --ndr1_0,
     ++c1_1(U),
     ++c2_0,
     ++c4_0]).

input_clause(clause99,conjecture,
    [--c3_2(U,a618),
     --c2_1(U),
     --ndr1_0,
     ++c1_1(U),
     ++c2_0,
     ++c4_0]).

input_clause(clause100,conjecture,
    [--c2_2(U,a618),
     --c2_1(U),
     --ndr1_0,
     ++c1_1(U),
     ++c2_0,
     ++c4_0]).

input_clause(clause101,conjecture,
    [--c3_1(U),
     --ndr1_0,
     --c2_0,
     ++c2_1(U),
     ++c5_1(U),
     ++ndr1_1(a588)]).

input_clause(clause102,conjecture,
    [--c2_2(a608,U),
     --c5_2(a608,U),
     --ndr1_1(a608),
     ++ssSkC3]).

input_clause(clause103,conjecture,
    [--ssSkP3(U),
     --ndr1_0,
     --c1_2(U,a622),
     --c2_1(U),
     ++c2_1(V),
     ++c2_0]).

input_clause(clause104,conjecture,
    [--c3_1(U),
     --ndr1_0,
     --c4_2(a613,a614),
     --c3_0,
     ++c5_1(U)]).

input_clause(clause105,conjecture,
    [--c3_1(U),
     --ndr1_0,
     --c3_2(a613,a614),
     --c3_0,
     ++c5_1(U)]).

input_clause(clause106,conjecture,
    [--ndr1_1(a624),
     ++c3_2(a624,U),
     ++c2_2(a624,U),
     ++c5_2(a624,U),
     ++ssSkC4]).

input_clause(clause107,conjecture,
    [--c3_1(U),
     --ndr1_0,
     --c2_0,
     ++c2_1(U),
     ++c5_1(U),
     ++c5_2(a588,a591)]).

input_clause(clause108,conjecture,
    [--c3_1(U),
     --ndr1_0,
     --c2_0,
     ++c2_1(U),
     ++c5_1(U),
     ++c2_2(a588,a590)]).

input_clause(clause109,conjecture,
    [--c3_1(U),
     --ndr1_0,
     --c2_0,
     ++c2_1(U),
     ++c5_1(U),
     ++c1_2(a588,a590)]).

input_clause(clause110,conjecture,
    [--c3_1(U),
     --ndr1_0,
     --c2_0,
     ++c2_1(U),
     ++c5_1(U),
     ++c2_2(a588,a589)]).

input_clause(clause111,conjecture,
    [--c3_1(U),
     --ndr1_0,
     --c2_0,
     ++c2_1(U),
     ++c5_1(U),
     ++c3_2(a588,a589)]).

input_clause(clause112,conjecture,
    [--c1_2(a592,U),
     --ndr1_1(a592),
     ++c5_2(a592,U),
     ++c4_2(a592,U),
     ++ssSkC0]).

input_clause(clause113,conjecture,
    [--c3_1(U),
     --ndr1_0,
     --c2_2(a588,a591),
     --c2_0,
     ++c2_1(U),
     ++c5_1(U)]).

input_clause(clause114,conjecture,
    [--c3_1(U),
     --ndr1_0,
     --c4_2(a588,a590),
     --c2_0,
     ++c2_1(U),
     ++c5_1(U)]).

input_clause(clause115,conjecture,
    [--c3_1(U),
     --ndr1_0,
     --c1_2(a588,a589),
     --c2_0,
     ++c2_1(U),
     ++c5_1(U)]).

input_clause(clause116,conjecture,
    [--c4_2(a593,U),
     --c1_2(a593,U),
     --ndr1_1(a593),
     ++c5_2(a593,U),
     ++ssSkC1]).

input_clause(clause117,conjecture,
    [--c2_2(a615,U),
     --ndr1_1(a615),
     --c1_0,
     --c3_0,
     ++c3_2(a615,U),
     ++c1_2(a615,U)]).

input_clause(clause118,conjecture,
    [--c3_2(a611,U),
     --ndr1_1(a611),
     --c4_0,
     --c2_0,
     ++c5_2(a611,U),
     ++c2_2(a611,U)]).

input_clause(clause119,conjecture,
    [--c2_2(U,V),
     --ndr1_1(U),
     --ndr1_0,
     ++c3_2(U,V),
     ++c2_1(U),
     ++c1_1(U),
     ++ndr1_1(a596),
     ++c2_0]).

input_clause(clause120,conjecture,
    [--c2_2(U,V),
     --ndr1_1(U),
     --ndr1_0,
     ++c3_2(U,V),
     ++c2_1(U),
     ++c1_1(U),
     ++c1_2(a596,a598),
     ++c2_0]).

input_clause(clause121,conjecture,
    [--c2_2(U,V),
     --ndr1_1(U),
     --ndr1_0,
     ++c3_2(U,V),
     ++c2_1(U),
     ++c1_1(U),
     ++c2_2(a596,a598),
     ++c2_0]).

input_clause(clause122,conjecture,
    [--c2_2(U,V),
     --ndr1_1(U),
     --ndr1_0,
     ++c3_2(U,V),
     ++c2_1(U),
     ++c1_1(U),
     ++c5_2(a596,a597),
     ++c2_0]).

input_clause(clause123,conjecture,
    [--c3_1(U),
     --ndr1_0,
     --c2_2(a613,V),
     --ndr1_1(a613),
     --c3_0,
     ++c5_1(U),
     ++c1_2(a613,V)]).

input_clause(clause124,conjecture,
    [--ssSkC7,
     --c1_2(U,V),
     --ndr1_1(U),
     --c2_2(U,a635),
     --c5_1(U),
     --ndr1_0,
     ++c2_2(U,V),
     ++c1_0]).

input_clause(clause125,conjecture,
    [--c5_2(a615,U),
     --c2_2(a615,U),
     --c3_2(a615,U),
     --ndr1_1(a615),
     --c1_0,
     --c3_0]).

input_clause(clause126,conjecture,
    [--c2_2(U,V),
     --ndr1_1(U),
     --ndr1_0,
     --c4_2(a596,a598),
     ++c3_2(U,V),
     ++c2_1(U),
     ++c1_1(U),
     ++c2_0]).

input_clause(clause127,conjecture,
    [--c2_2(U,V),
     --ndr1_1(U),
     --ndr1_0,
     --c2_2(a596,a597),
     ++c3_2(U,V),
     ++c2_1(U),
     ++c1_1(U),
     ++c2_0]).

input_clause(clause128,conjecture,
    [--c2_2(U,V),
     --ndr1_1(U),
     --ndr1_0,
     --c1_2(a596,a597),
     ++c3_2(U,V),
     ++c2_1(U),
     ++c1_1(U),
     ++c2_0]).

input_clause(clause129,conjecture,
    [--c5_2(U,V),
     --ndr1_1(U),
     --c4_2(U,a595),
     --c1_1(U),
     --ndr1_0,
     --c5_0,
     ++c2_2(U,V)]).

input_clause(clause130,conjecture,
    [--c5_2(U,V),
     --ndr1_1(U),
     --c1_2(U,a595),
     --c1_1(U),
     --ndr1_0,
     --c5_0,
     ++c2_2(U,V)]).

input_clause(clause131,conjecture,
    [--c1_2(U,V),
     --ndr1_1(U),
     --c2_2(U,a632),
     --ndr1_0,
     ++c3_2(U,V),
     ++c5_2(U,V),
     ++c2_1(U),
     ++ssSkC6]).

input_clause(clause132,conjecture,
    [--c1_2(U,V),
     --ndr1_1(U),
     --c3_2(U,a632),
     --ndr1_0,
     ++c3_2(U,V),
     ++c5_2(U,V),
     ++c2_1(U),
     ++ssSkC6]).

input_clause(clause133,conjecture,
    [--c1_2(U,V),
     --ndr1_1(U),
     --c4_1(U),
     --ndr1_0,
     ++c2_2(U,V),
     ++c3_2(U,V),
     ++c4_2(U,a628),
     ++ssSkC5]).

input_clause(clause134,conjecture,
    [--c5_2(U,V),
     --c1_2(U,V),
     --ndr1_1(U),
     --ndr1_0,
     --c2_0,
     ++c2_2(U,V),
     ++c4_2(U,a617),
     ++c1_1(U)]).

input_clause(clause135,conjecture,
    [--ssSkC3,
     --ndr1_1(U),
     --c1_1(U),
     --c3_1(U),
     --ndr1_0,
     ++c5_2(U,V),
     ++c4_2(U,V),
     ++ndr1_1(W),
     ++c5_1(W),
     ++c1_1(W)]).

input_clause(clause136,conjecture,
    [--c1_2(U,V),
     --ndr1_1(U),
     --c1_2(U,a628),
     --c4_1(U),
     --ndr1_0,
     ++c2_2(U,V),
     ++c3_2(U,V),
     ++ssSkC5]).

input_clause(clause137,conjecture,
    [--c1_2(U,V),
     --ndr1_1(U),
     --c5_2(U,a628),
     --c4_1(U),
     --ndr1_0,
     ++c2_2(U,V),
     ++c3_2(U,V),
     ++ssSkC5]).

input_clause(clause138,conjecture,
    [--c5_2(U,V),
     --c1_2(U,V),
     --ndr1_1(U),
     --c1_2(U,a617),
     --ndr1_0,
     --c2_0,
     ++c2_2(U,V),
     ++c1_1(U)]).

input_clause(clause139,conjecture,
    [--ssSkP1(U),
     --ssSkP2(U),
     --c5_2(V,W),
     --ndr1_1(V),
     --c1_1(V),
     --ndr1_0,
     ++c4_2(V,W),
     ++c1_2(V,W),
     ++ndr1_1(U),
     ++c1_0]).

input_clause(clause140,conjecture,
    [--ssSkC3,
     --ndr1_1(U),
     --c1_1(U),
     --c3_1(U),
     --ndr1_0,
     ++c5_2(U,V),
     ++c4_2(U,V),
     ++c2_2(W,a610),
     ++c5_1(W),
     ++c1_1(W)]).

input_clause(clause141,conjecture,
    [--ssSkC3,
     --ndr1_1(U),
     --c1_1(U),
     --c3_1(U),
     --ndr1_0,
     ++c5_2(U,V),
     ++c4_2(U,V),
     ++c3_2(W,a610),
     ++c5_1(W),
     ++c1_1(W)]).

input_clause(clause142,conjecture,
    [--ssSkC4,
     --c5_2(U,V),
     --c1_2(U,V),
     --c3_2(U,V),
     --ndr1_1(U),
     --c3_1(U),
     --ndr1_0,
     ++c1_2(U,a627),
     ++c2_0]).

input_clause(clause143,conjecture,
    [--ssSkP1(U),
     --ssSkP2(U),
     --c5_2(V,W),
     --ndr1_1(V),
     --c1_1(V),
     --ndr1_0,
     ++c4_2(V,W),
     ++c1_2(V,W),
     ++c4_2(U,a604),
     ++c1_0]).

input_clause(clause144,conjecture,
    [--ssSkP1(U),
     --ssSkP2(U),
     --c5_2(V,W),
     --ndr1_1(V),
     --c1_1(V),
     --ndr1_0,
     ++c4_2(V,W),
     ++c1_2(V,W),
     ++c3_2(U,a604),
     ++c1_0]).

input_clause(clause145,conjecture,
    [--c1_2(U,V),
     --c4_2(U,V),
     --ndr1_1(U),
     --c2_1(U),
     --ndr1_0,
     --c4_0,
     --c3_0,
     ++c2_2(U,V),
     ++c4_1(U)]).

input_clause(clause146,conjecture,
    [--c2_2(U,V),
     --ndr1_1(U),
     --c2_2(U,W),
     --ndr1_0,
     --c5_0,
     --c2_0,
     ++c4_2(U,V),
     ++c1_2(U,W),
     ++c2_2(U,a636)]).

input_clause(clause147,conjecture,
    [--ssSkC3,
     --ndr1_1(U),
     --c1_1(U),
     --c3_1(U),
     --ndr1_0,
     --c1_2(V,a610),
     ++c5_2(U,W),
     ++c4_2(U,W),
     ++c5_1(V),
     ++c1_1(V)]).

input_clause(clause148,conjecture,
    [--ndr1_1(U),
     --ndr1_0,
     --c3_2(a605,V),
     --ndr1_1(a605),
     --c1_0,
     ++c4_2(U,W),
     ++c5_2(U,W),
     ++c3_1(U),
     ++c2_2(a605,V)]).

input_clause(clause149,conjecture,
    [--ssSkC4,
     --c5_2(U,V),
     --c1_2(U,V),
     --c3_2(U,V),
     --ndr1_1(U),
     --c2_2(U,a627),
     --c3_1(U),
     --ndr1_0,
     ++c2_0]).

input_clause(clause150,conjecture,
    [--ssSkP1(U),
     --ssSkP2(U),
     --c5_2(V,W),
     --ndr1_1(V),
     --c1_1(V),
     --ndr1_0,
     --c1_2(U,a604),
     ++c4_2(V,W),
     ++c1_2(V,W),
     ++c1_0]).

input_clause(clause151,conjecture,
    [--c2_2(U,V),
     --ndr1_1(U),
     --c2_2(U,W),
     --c3_2(U,a636),
     --ndr1_0,
     --c5_0,
     --c2_0,
     ++c4_2(U,V),
     ++c1_2(U,W)]).

input_clause(clause152,conjecture,
    [--c4_2(U,V),
     --c2_2(U,V),
     --ndr1_1(U),
     --c3_2(U,a623),
     --c3_1(U),
     --ndr1_0,
     --c4_0,
     --c1_0,
     ++c1_2(U,V)]).

input_clause(clause153,conjecture,
    [--ndr1_1(U),
     --ndr1_0,
     --c1_2(a605,V),
     --ndr1_1(a605),
     --c1_0,
     ++c4_2(U,W),
     ++c5_2(U,W),
     ++c3_1(U),
     ++c5_2(a605,V),
     ++c3_2(a605,V)]).

input_clause(clause154,conjecture,
    [--c2_2(U,V),
     --ndr1_1(U),
     --ndr1_0,
     --c4_2(a596,W),
     --c1_2(a596,W),
     --ndr1_1(a596),
     ++c3_2(U,V),
     ++c2_1(U),
     ++c1_1(U),
     ++c3_2(a596,W),
     ++c2_0]).
%--------------------------------------------------------------------------
