%--------------------------------------------------------------------------
% File     : SYN546-1 : TPTP v2.1.0. Released v2.1.0.
% Domain   : Syntactic (Translated)
% Problem  : ALC, N=8, R=1, L=120, K=3, D=2, P=0, Index=075
% Version  : Special.
% English  : 

% Refs     : [OS95]  Ohlbach & Schmidt (1995), Functional Translation and S
%          : [WGR96] Weidenbach et al. (1996), SPASS and FLOTTER
%          : [HS97]  Hustadt & Schmidt (1997), On Evaluating Decision Proce
%          : [Wei97] Weidenbach (1997), Email to G. Sutcliffe
% Source   : [Wei97]
% Names    : alc-8-1-120-3-2-075.cnf [Wei97]

% Status   : satisfiable
% Rating   : ? v2.1.0
% Syntax   : Number of clauses    :  525 ( 313 non-Horn;   0 unit; 471 RR)
%            Number of literals   : 2379 (   0 equality)
%            Maximal clause size  :   20 (   4 average)
%            Number of predicates :   60 (  38 propositional; 0-2 arity)
%            Number of functors   :  158 ( 158 constant; 0-0 arity)
%            Number of variables  :  414 (   0 singleton)
%            Maximal term depth   :    1 (   1 average)

% Comments : These ALC problems have been translated from propositional 
%            multi-modal K logic formulae generated according to the scheme
%            described in [HS97], using the optimized functional translation
%            described in [OS95]. The finite model property holds, the
%            Herbrand Universe is finite, they are decidable (the complexity
%            is PSPACE-complete), resolution + subsumption + condensing is a
%            decision procedure, and the translated formulae belong to the
%            (CNF-translation of the) Bernays-Schoenfinkel class [Wei97].
%          : Translated from FOF using FLOTTER [WGR96].
%--------------------------------------------------------------------------
input_clause(clause1,conjecture,
    [++ndr1_0,++c7_0]).

input_clause(clause2,conjecture,
    [++ndr1_0,++c3_0]).

input_clause(clause3,conjecture,
    [++ndr1_0,++c5_0]).

input_clause(clause4,conjecture,
    [--ssSkC0,++ndr1_0]).

input_clause(clause5,conjecture,
    [++c7_0,++c3_0]).

input_clause(clause6,conjecture,
    [++c6_0,++c7_0]).

input_clause(clause7,conjecture,
    [++ndr1_0,++ssSkC27]).

input_clause(clause8,conjecture,
    [++ndr1_0,++ssSkC26]).

input_clause(clause9,conjecture,
    [++ndr1_0,++ssSkC24]).

input_clause(clause10,conjecture,
    [++ndr1_0,++ssSkC22]).

input_clause(clause11,conjecture,
    [++ndr1_0,++ssSkC20]).

input_clause(clause12,conjecture,
    [++ndr1_0,++ssSkC16]).

input_clause(clause13,conjecture,
    [++ndr1_0,++ssSkC15]).

input_clause(clause14,conjecture,
    [++ndr1_0,++ssSkC13]).

input_clause(clause15,conjecture,
    [++ndr1_0,++ssSkC12]).

input_clause(clause16,conjecture,
    [++ndr1_0,++ssSkC11]).

input_clause(clause17,conjecture,
    [++ndr1_0,++ssSkC10]).

input_clause(clause18,conjecture,
    [++ndr1_0,++ssSkC9]).

input_clause(clause19,conjecture,
    [++ndr1_0,++ssSkC8]).

input_clause(clause20,conjecture,
    [++ndr1_0,++ssSkC5]).

input_clause(clause21,conjecture,
    [++ndr1_0,++ssSkC4]).

input_clause(clause22,conjecture,
    [++ndr1_0,++ssSkC2]).

input_clause(clause23,conjecture,
    [++ndr1_0,++ssSkC1]).

input_clause(clause24,conjecture,
    [++ndr1_0,++ssSkC0]).

input_clause(clause25,conjecture,
    [++ndr1_0,++c1_0,++c4_0]).

input_clause(clause26,conjecture,
    [--ssSkC26,--ssSkC27,++ndr1_0]).

input_clause(clause27,conjecture,
    [--c1_0,++ndr1_0]).

input_clause(clause28,conjecture,
    [++ndr1_1(a402),
     ++c7_0]).

input_clause(clause29,conjecture,
    [++c6_1(a384),
     ++c3_0]).

input_clause(clause30,conjecture,
    [--c6_0,++ndr1_0]).

input_clause(clause31,conjecture,
    [--ssSkC18,++ndr1_0,++c2_0]).

input_clause(clause32,conjecture,
    [--ssSkC10,--ssSkC11,++ndr1_0]).

input_clause(clause33,conjecture,
    [--ssSkC7,++ndr1_0,++c4_0]).

input_clause(clause34,conjecture,
    [--ssSkC4,++ndr1_0,++c2_0]).

input_clause(clause35,conjecture,
    [++c3_1(a309),
     ++c5_0]).

input_clause(clause36,conjecture,
    [++ndr1_0,++c4_0,++c8_0]).

input_clause(clause37,conjecture,
    [--ssSkC0,
     ++ndr1_1(a302)]).

input_clause(clause38,conjecture,
    [--ssSkC0,
     ++c2_1(a302)]).

input_clause(clause39,conjecture,
    [--c5_0,++c7_0]).

input_clause(clause40,conjecture,
    [++c1_0,++c4_0,++c8_0]).

input_clause(clause41,conjecture,
    [--c1_0,++c8_0]).

input_clause(clause42,conjecture,
    [++c3_0,++c2_0,++c6_0]).

input_clause(clause43,conjecture,
    [++c5_1(a441),
     ++ssSkC27]).

input_clause(clause44,conjecture,
    [++ndr1_1(a438),
     ++ssSkC26]).

input_clause(clause45,conjecture,
    [++ndr1_1(U),
     ++ssSkP4(U)]).

input_clause(clause46,conjecture,
    [++ndr1_1(a423),
     ++ssSkC24]).

input_clause(clause47,conjecture,
    [++c4_1(a423),
     ++ssSkC24]).

input_clause(clause48,conjecture,
    [++ndr1_1(U),
     ++ssSkP3(U)]).

input_clause(clause49,conjecture,
    [++ndr1_1(a397),
     ++ssSkC22]).

input_clause(clause50,conjecture,
    [++ndr1_1(U),
     ++ssSkP2(U)]).

input_clause(clause51,conjecture,
    [++ndr1_1(a387),
     ++ssSkC20]).

input_clause(clause52,conjecture,
    [++c6_1(a387),
     ++ssSkC20]).

input_clause(clause53,conjecture,
    [++c1_1(a387),
     ++ssSkC20]).

input_clause(clause54,conjecture,
    [++c1_1(a365),
     ++ssSkC15]).

input_clause(clause55,conjecture,
    [++ndr1_1(U),
     ++ssSkP1(U)]).

input_clause(clause56,conjecture,
    [++ndr1_1(a357),
     ++ssSkC13]).

input_clause(clause57,conjecture,
    [++c5_1(a354),
     ++ssSkC12]).

input_clause(clause58,conjecture,
    [++ndr1_1(a345),
     ++ssSkC9]).

input_clause(clause59,conjecture,
    [++c2_1(a345),
     ++ssSkC9]).

input_clause(clause60,conjecture,
    [++c6_1(a345),
     ++ssSkC9]).

input_clause(clause61,conjecture,
    [++ndr1_1(a342),
     ++ssSkC8]).

input_clause(clause62,conjecture,
    [++ndr1_1(U),
     ++ssSkP0(U)]).

input_clause(clause63,conjecture,
    [++ndr1_1(a328),
     ++ssSkC5]).

input_clause(clause64,conjecture,
    [++c6_1(a328),
     ++ssSkC5]).

input_clause(clause65,conjecture,
    [++ndr1_1(a323),
     ++ssSkC4]).

input_clause(clause66,conjecture,
    [++c1_1(a323),
     ++ssSkC4]).

input_clause(clause67,conjecture,
    [++c8_1(a317),
     ++ssSkC2]).

input_clause(clause68,conjecture,
    [++ndr1_1(a300),
     ++ssSkC0]).

input_clause(clause69,conjecture,
    [++c2_1(a300),
     ++ssSkC0]).

input_clause(clause70,conjecture,
    [++c3_1(a453),
     ++c1_0,
     ++c4_0]).

input_clause(clause71,conjecture,
    [--c8_0,++ndr1_0,++c2_0]).

input_clause(clause72,conjecture,
    [--ssSkC24,--c7_0,++ndr1_0]).

input_clause(clause73,conjecture,
    [--c1_0,
     ++c6_1(a422)]).

input_clause(clause74,conjecture,
    [--c1_0,
     ++c4_1(a422)]).

input_clause(clause75,conjecture,
    [--ssSkC23,--c3_0,++ndr1_0]).

input_clause(clause76,conjecture,
    [--c5_0,++ndr1_0,++c2_0]).

input_clause(clause77,conjecture,
    [++c6_2(a402,a403),
     ++c7_0]).

input_clause(clause78,conjecture,
    [++c3_2(a402,a403),
     ++c7_0]).

input_clause(clause79,conjecture,
    [--c7_1(a402),
     ++c7_0]).

input_clause(clause80,conjecture,
    [--ssSkC22,
     ++c7_1(a400),
     ++c5_0]).

input_clause(clause81,conjecture,
    [--ssSkC22,
     ++c5_1(a400),
     ++c5_0]).

input_clause(clause82,conjecture,
    [--c7_0,++ndr1_0,++c8_0]).

input_clause(clause83,conjecture,
    [--c8_1(a384),
     ++c3_0]).

input_clause(clause84,conjecture,
    [--c6_0,
     ++ndr1_1(a380)]).

input_clause(clause85,conjecture,
    [--ssSkC19,
     ++c3_1(a379),
     ++c5_0]).

input_clause(clause86,conjecture,
    [--ssSkC18,
     ++c8_1(a373),
     ++c2_0]).

input_clause(clause87,conjecture,
    [--ssSkC18,
     ++c3_1(a373),
     ++c2_0]).

input_clause(clause88,conjecture,
    [--ssSkC18,
     ++c5_1(a373),
     ++c2_0]).

input_clause(clause89,conjecture,
    [--c6_0,
     ++c3_1(a371)]).

input_clause(clause90,conjecture,
    [--ssSkC17,--c2_0,++ndr1_0]).

input_clause(clause91,conjecture,
    [--ssSkC12,--c7_0,++ndr1_0]).

input_clause(clause92,conjecture,
    [--ssSkC10,
     --ssSkC11,
     ++ndr1_1(a352)]).

input_clause(clause93,conjecture,
    [--ssSkC10,
     --ssSkC11,
     ++c2_1(a352)]).

input_clause(clause94,conjecture,
    [--c5_0,++ndr1_0,++c1_0]).

input_clause(clause95,conjecture,
    [--ssSkC7,
     ++c1_1(a338),
     ++c4_0]).

input_clause(clause96,conjecture,
    [--ssSkC6,--c3_0,++ndr1_0]).

input_clause(clause97,conjecture,
    [--ssSkC5,--c2_0,++ndr1_0]).

input_clause(clause98,conjecture,
    [--ssSkC4,
     ++c4_1(a325),
     ++c2_0]).

input_clause(clause99,conjecture,
    [--ssSkC4,
     ++c6_1(a325),
     ++c2_0]).

input_clause(clause100,conjecture,
    [--c4_0,++ndr1_0,++c8_0]).

input_clause(clause101,conjecture,
    [--c7_1(a309),
     ++c5_0]).

input_clause(clause102,conjecture,
    [++ndr1_1(a307),
     ++c4_0,
     ++c8_0]).

input_clause(clause103,conjecture,
    [++c1_1(a307),
     ++c4_0,
     ++c8_0]).

input_clause(clause104,conjecture,
    [--c3_0,++ndr1_0,++c1_0]).

input_clause(clause105,conjecture,
    [--ssSkC0,
     ++c6_2(a302,a303)]).

input_clause(clause106,conjecture,
    [--c4_0,++c2_0,++c3_0]).

input_clause(clause107,conjecture,
    [--c4_0,++c6_0,++c1_0]).

input_clause(clause108,conjecture,
    [--c8_1(a441),
     ++ssSkC27]).

input_clause(clause109,conjecture,
    [++c4_2(a438,a440),
     ++ssSkC26]).

input_clause(clause110,conjecture,
    [++c1_2(a438,a439),
     ++ssSkC26]).

input_clause(clause111,conjecture,
    [++c6_2(U,a432),
     ++ssSkP4(U)]).

input_clause(clause112,conjecture,
    [++c1_2(U,a432),
     ++ssSkP4(U)]).

input_clause(clause113,conjecture,
    [++c8_2(a423,a424),
     ++ssSkC24]).

input_clause(clause114,conjecture,
    [++c1_2(a423,a424),
     ++ssSkC24]).

input_clause(clause115,conjecture,
    [++c5_2(a423,a424),
     ++ssSkC24]).

input_clause(clause116,conjecture,
    [--c8_1(a423),
     ++ssSkC24]).

input_clause(clause117,conjecture,
    [++c3_2(U,a411),
     ++ssSkP3(U)]).

input_clause(clause118,conjecture,
    [++c2_2(a397,a399),
     ++ssSkC22]).

input_clause(clause119,conjecture,
    [++c1_2(a397,a399),
     ++ssSkC22]).

input_clause(clause120,conjecture,
    [++c5_2(a397,a398),
     ++ssSkC22]).

input_clause(clause121,conjecture,
    [--c3_1(a397),
     ++ssSkC22]).

input_clause(clause122,conjecture,
    [++c2_2(U,a389),
     ++ssSkP2(U)]).

input_clause(clause123,conjecture,
    [++c7_2(U,a389),
     ++ssSkP2(U)]).

input_clause(clause124,conjecture,
    [++c7_2(a387,a388),
     ++ssSkC20]).

input_clause(clause125,conjecture,
    [++c3_2(a387,a388),
     ++ssSkC20]).

input_clause(clause126,conjecture,
    [--c7_1(a365),
     ++ssSkC15]).

input_clause(clause127,conjecture,
    [++c8_2(U,a359),
     ++ssSkP1(U)]).

input_clause(clause128,conjecture,
    [++c7_2(a357,a358),
     ++ssSkC13]).

input_clause(clause129,conjecture,
    [--c2_1(a354),
     ++ssSkC12]).

input_clause(clause130,conjecture,
    [++c5_2(a345,a346),
     ++ssSkC9]).

input_clause(clause131,conjecture,
    [++c2_2(a345,a346),
     ++ssSkC9]).

input_clause(clause132,conjecture,
    [++c7_2(a342,a343),
     ++ssSkC8]).

input_clause(clause133,conjecture,
    [++c8_2(a342,a343),
     ++ssSkC8]).

input_clause(clause134,conjecture,
    [++c6_2(U,a340),
     ++ssSkP0(U)]).

input_clause(clause135,conjecture,
    [++c5_2(a328,a329),
     ++ssSkC5]).

input_clause(clause136,conjecture,
    [++c2_2(a328,a329),
     ++ssSkC5]).

input_clause(clause137,conjecture,
    [--c4_1(a328),
     ++ssSkC5]).

input_clause(clause138,conjecture,
    [++c4_2(a323,a324),
     ++ssSkC4]).

input_clause(clause139,conjecture,
    [--c4_1(a315),
     ++ssSkC1]).

input_clause(clause140,conjecture,
    [--c2_1(a315),
     ++ssSkC1]).

input_clause(clause141,conjecture,
    [++c5_2(a300,a301),
     ++ssSkC0]).

input_clause(clause142,conjecture,
    [--c4_0,
     ++ndr1_1(a454),
     ++c7_0]).

input_clause(clause143,conjecture,
    [--c1_0,
     ++ndr1_1(a449),
     ++c2_0]).

input_clause(clause144,conjecture,
    [--ssSkC28,
     --c6_0,
     ++ndr1_1(a445)]).

input_clause(clause145,conjecture,
    [--ssSkC26,
     --ssSkC27,
     --c8_1(a442)]).

input_clause(clause146,conjecture,
    [--ssSkC26,
     --ssSkC27,
     --c2_1(a442)]).

input_clause(clause147,conjecture,
    [--c1_0,
     ++c7_1(a436),
     ++c6_0]).

input_clause(clause148,conjecture,
    [--c8_0,
     ++c3_1(a428),
     ++c2_0]).

input_clause(clause149,conjecture,
    [--ssSkC24,
     --c7_0,
     ++ndr1_1(a425)]).

input_clause(clause150,conjecture,
    [--ssSkC24,
     --c7_0,
     ++c3_1(a425)]).

input_clause(clause151,conjecture,
    [--c1_1(a422),
     --c1_0]).

input_clause(clause152,conjecture,
    [--c7_0,--c8_0,++ndr1_0]).

input_clause(clause153,conjecture,
    [--c3_0,--c5_0,++ndr1_0]).

input_clause(clause154,conjecture,
    [--ssSkC23,
     --c3_0,
     ++c4_1(a413)]).

input_clause(clause155,conjecture,
    [--c5_0,
     ++ndr1_1(a408),
     ++c2_0]).

input_clause(clause156,conjecture,
    [--c5_0,
     ++c8_1(a408),
     ++c2_0]).

input_clause(clause157,conjecture,
    [--c4_2(a402,a403),
     ++c7_0]).

input_clause(clause158,conjecture,
    [--c7_0,
     ++ndr1_1(a395),
     ++c8_0]).

input_clause(clause159,conjecture,
    [--c3_0,
     ++ndr1_1(a385),
     ++c5_0]).

input_clause(clause160,conjecture,
    [--c3_0,
     ++c5_1(a385),
     ++c5_0]).

input_clause(clause161,conjecture,
    [--c3_0,
     ++c2_1(a385),
     ++c5_0]).

input_clause(clause162,conjecture,
    [--c6_0,
     ++c6_2(a380,a383)]).

input_clause(clause163,conjecture,
    [--c6_0,
     ++c1_2(a380,a383)]).

input_clause(clause164,conjecture,
    [--c6_0,
     ++c3_2(a380,a382)]).

input_clause(clause165,conjecture,
    [--c6_0,
     ++c2_2(a380,a381)]).

input_clause(clause166,conjecture,
    [--ssSkC19,
     --c1_1(a379),
     ++c5_0]).

input_clause(clause167,conjecture,
    [--c3_0,--c4_0,++ndr1_0]).

input_clause(clause168,conjecture,
    [--ssSkC17,
     --c2_0,
     ++ndr1_1(a369)]).

input_clause(clause169,conjecture,
    [--ssSkC17,
     --c2_0,
     ++c2_1(a369)]).

input_clause(clause170,conjecture,
    [--ssSkC12,
     --c7_0,
     ++ndr1_1(a355)]).

input_clause(clause171,conjecture,
    [--ssSkC12,
     --c7_0,
     ++c6_1(a355)]).

input_clause(clause172,conjecture,
    [--ssSkC10,
     --ssSkC11,
     ++c6_2(a352,a353)]).

input_clause(clause173,conjecture,
    [--ssSkC10,
     --ssSkC11,
     ++c4_2(a352,a353)]).

input_clause(clause174,conjecture,
    [--ssSkC9,
     --c6_0,
     ++ndr1_1(a347)]).

input_clause(clause175,conjecture,
    [--ssSkC9,
     --c6_0,
     ++c4_1(a347)]).

input_clause(clause176,conjecture,
    [--ssSkC9,
     --c6_0,
     ++c8_1(a347)]).

input_clause(clause177,conjecture,
    [--ssSkC6,
     --c3_0,
     ++ndr1_1(a334)]).

input_clause(clause178,conjecture,
    [--ssSkC5,
     --c2_0,
     ++ndr1_1(a330)]).

input_clause(clause179,conjecture,
    [--ssSkC1,
     --c6_0,
     ++c4_1(a316)]).

input_clause(clause180,conjecture,
    [--c4_0,
     ++c6_1(a314),
     ++c8_0]).

input_clause(clause181,conjecture,
    [--c2_0,
     ++ndr1_1(a311),
     ++c5_0]).

input_clause(clause182,conjecture,
    [++c3_2(a307,a308),
     ++c4_0,
     ++c8_0]).

input_clause(clause183,conjecture,
    [--c3_0,
     ++ndr1_1(a305),
     ++c1_0]).

input_clause(clause184,conjecture,
    [--ssSkC0,
     --c1_2(a302,a303)]).

input_clause(clause185,conjecture,
    [--ssSkC0,
     --c5_2(a302,a303)]).

input_clause(clause186,conjecture,
    [--c3_1(a299),
     ++c3_0,
     ++c8_0]).

input_clause(clause187,conjecture,
    [--c7_1(a299),
     ++c3_0,
     ++c8_0]).

input_clause(clause188,conjecture,
    [--c2_0,--c3_0,++ndr1_0]).

input_clause(clause189,conjecture,
    [--c8_0,--c6_0,++c3_0]).

input_clause(clause190,conjecture,
    [--c4_0,--c3_0,++c6_0]).

input_clause(clause191,conjecture,
    [--c7_0,--c3_0,++c8_0]).

input_clause(clause192,conjecture,
    [--c1_0,--c3_0,++c5_0]).

input_clause(clause193,conjecture,
    [--c5_2(a438,a440),
     ++ssSkC26]).

input_clause(clause194,conjecture,
    [--c6_2(a438,a440),
     ++ssSkC26]).

input_clause(clause195,conjecture,
    [--c6_2(a438,a439),
     ++ssSkC26]).

input_clause(clause196,conjecture,
    [--c7_2(U,a432),
     ++ssSkP4(U)]).

input_clause(clause197,conjecture,
    [--c8_2(U,a411),
     ++ssSkP3(U)]).

input_clause(clause198,conjecture,
    [--c2_2(U,a411),
     ++ssSkP3(U)]).

input_clause(clause199,conjecture,
    [--c7_2(a397,a399),
     ++ssSkC22]).

input_clause(clause200,conjecture,
    [--c8_2(a397,a398),
     ++ssSkC22]).

input_clause(clause201,conjecture,
    [--c7_2(a397,a398),
     ++ssSkC22]).

input_clause(clause202,conjecture,
    [--c6_2(U,a389),
     ++ssSkP2(U)]).

input_clause(clause203,conjecture,
    [--c8_2(a387,a388),
     ++ssSkC20]).

input_clause(clause204,conjecture,
    [--c6_2(U,a359),
     ++ssSkP1(U)]).

input_clause(clause205,conjecture,
    [--c4_2(U,a359),
     ++ssSkP1(U)]).

input_clause(clause206,conjecture,
    [--c3_2(a357,a358),
     ++ssSkC13]).

input_clause(clause207,conjecture,
    [--c6_2(a357,a358),
     ++ssSkC13]).

input_clause(clause208,conjecture,
    [--c1_2(a345,a346),
     ++ssSkC9]).

input_clause(clause209,conjecture,
    [--c4_2(a342,a343),
     ++ssSkC8]).

input_clause(clause210,conjecture,
    [--c8_2(U,a340),
     ++ssSkP0(U)]).

input_clause(clause211,conjecture,
    [--c3_2(U,a340),
     ++ssSkP0(U)]).

input_clause(clause212,conjecture,
    [--c4_2(a328,a329),
     ++ssSkC5]).

input_clause(clause213,conjecture,
    [--c6_2(a323,a324),
     ++ssSkC4]).

input_clause(clause214,conjecture,
    [--c5_2(a323,a324),
     ++ssSkC4]).

input_clause(clause215,conjecture,
    [--c1_2(a300,a301),
     ++ssSkC0]).

input_clause(clause216,conjecture,
    [--c2_2(a300,a301),
     ++ssSkC0]).

input_clause(clause217,conjecture,
    [--c4_0,
     ++c8_2(a454,a455),
     ++c7_0]).

input_clause(clause218,conjecture,
    [--c4_0,
     ++c4_2(a454,a455),
     ++c7_0]).

input_clause(clause219,conjecture,
    [--c2_1(a454),
     --c4_0,
     ++c7_0]).

input_clause(clause220,conjecture,
    [--c1_1(a454),
     --c4_0,
     ++c7_0]).

input_clause(clause221,conjecture,
    [--c1_0,
     ++c7_2(a449,a452),
     ++c2_0]).

input_clause(clause222,conjecture,
    [--c1_0,
     ++c8_2(a449,a451),
     ++c2_0]).

input_clause(clause223,conjecture,
    [--c1_0,
     ++c6_2(a449,a450),
     ++c2_0]).

input_clause(clause224,conjecture,
    [--ssSkC28,
     --c6_0,
     ++c4_2(a445,a447)]).

input_clause(clause225,conjecture,
    [--ssSkC28,
     --c6_0,
     ++c3_2(a445,a446)]).

input_clause(clause226,conjecture,
    [--ssSkC28,
     --c2_1(a445),
     --c6_0]).

input_clause(clause227,conjecture,
    [--ssSkC24,
     --c7_0,
     ++c3_2(a425,a426)]).

input_clause(clause228,conjecture,
    [--ssSkC24,
     --c7_0,
     ++c4_2(a425,a426)]).

input_clause(clause229,conjecture,
    [--ssSkC24,
     --c4_1(a425),
     --c7_0]).

input_clause(clause230,conjecture,
    [--c7_0,
     --c8_0,
     ++ndr1_1(a417)]).

input_clause(clause231,conjecture,
    [--c7_0,
     --c8_0,
     ++c4_1(a417)]).

input_clause(clause232,conjecture,
    [--c7_0,
     --c8_0,
     ++c5_1(a417)]).

input_clause(clause233,conjecture,
    [--c3_0,
     --c5_0,
     ++ndr1_1(a414)]).

input_clause(clause234,conjecture,
    [--c3_0,
     --c5_0,
     ++c5_1(a414)]).

input_clause(clause235,conjecture,
    [--ssSkC23,
     --c8_1(a413),
     --c3_0]).

input_clause(clause236,conjecture,
    [--ssSkC23,
     --c3_1(a413),
     --c3_0]).

input_clause(clause237,conjecture,
    [--c5_0,
     ++c4_2(a408,a409),
     ++c2_0]).

input_clause(clause238,conjecture,
    [--c5_0,
     ++c1_2(a408,a409),
     ++c2_0]).

input_clause(clause239,conjecture,
    [--c7_0,
     ++c4_2(a395,a396),
     ++c8_0]).

input_clause(clause240,conjecture,
    [--c3_1(a395),
     --c7_0,
     ++c8_0]).

input_clause(clause241,conjecture,
    [--c8_2(a380,a383),
     --c6_0]).

input_clause(clause242,conjecture,
    [--c6_2(a380,a382),
     --c6_0]).

input_clause(clause243,conjecture,
    [--c1_2(a380,a382),
     --c6_0]).

input_clause(clause244,conjecture,
    [--c8_2(a380,a381),
     --c6_0]).

input_clause(clause245,conjecture,
    [--c1_2(a380,a381),
     --c6_0]).

input_clause(clause246,conjecture,
    [--c3_0,
     --c4_0,
     ++ndr1_1(a376)]).

input_clause(clause247,conjecture,
    [--c5_0,
     --c3_0,
     ++ndr1_1(a374)]).

input_clause(clause248,conjecture,
    [--ssSkC12,
     --c7_0,
     ++c1_2(a355,a356)]).

input_clause(clause249,conjecture,
    [--ssSkC12,
     --c7_0,
     ++c8_2(a355,a356)]).

input_clause(clause250,conjecture,
    [--ssSkC12,
     --c2_1(a355),
     --c7_0]).

input_clause(clause251,conjecture,
    [--ssSkC10,
     --ssSkC11,
     --c8_2(a352,a353)]).

input_clause(clause252,conjecture,
    [--c3_1(a349),
     --c5_0,
     ++c1_0]).

input_clause(clause253,conjecture,
    [--c5_1(a349),
     --c5_0,
     ++c1_0]).

input_clause(clause254,conjecture,
    [--c8_1(a349),
     --c5_0,
     ++c1_0]).

input_clause(clause255,conjecture,
    [--ssSkC9,
     --c6_0,
     ++c2_2(a347,a348)]).

input_clause(clause256,conjecture,
    [--ssSkC9,
     --c6_0,
     ++c3_2(a347,a348)]).

input_clause(clause257,conjecture,
    [--c2_1(a339),
     --c2_0,
     ++c3_0]).

input_clause(clause258,conjecture,
    [--c1_0,
     --c8_0,
     ++c5_1(a336)]).

input_clause(clause259,conjecture,
    [--c1_0,
     --c8_0,
     ++c3_1(a336)]).

input_clause(clause260,conjecture,
    [--ssSkC6,
     --c3_0,
     ++c5_2(a334,a335)]).

input_clause(clause261,conjecture,
    [--ssSkC6,
     --c6_1(a334),
     --c3_0]).

input_clause(clause262,conjecture,
    [--ssSkC6,
     --c1_1(a334),
     --c3_0]).

input_clause(clause263,conjecture,
    [--ssSkC5,
     --c2_0,
     ++c6_2(a330,a331)]).

input_clause(clause264,conjecture,
    [--ssSkC5,
     --c6_1(a330),
     --c2_0]).

input_clause(clause265,conjecture,
    [--c1_1(a314),
     --c4_0,
     ++c8_0]).

input_clause(clause266,conjecture,
    [--c8_1(a314),
     --c4_0,
     ++c8_0]).

input_clause(clause267,conjecture,
    [--c2_0,
     ++c1_2(a311,a312),
     ++c5_0]).

input_clause(clause268,conjecture,
    [--c6_2(a307,a308),
     ++c4_0,
     ++c8_0]).

input_clause(clause269,conjecture,
    [--c3_0,
     ++c2_2(a305,a306),
     ++c1_0]).

input_clause(clause270,conjecture,
    [--c3_0,
     ++c8_2(a305,a306),
     ++c1_0]).

input_clause(clause271,conjecture,
    [--c5_1(a305),
     --c3_0,
     ++c1_0]).

input_clause(clause272,conjecture,
    [--c2_0,
     --c3_0,
     ++c8_1(a298)]).

input_clause(clause273,conjecture,
    [--c5_0,--c3_0,--c1_0]).

input_clause(clause274,conjecture,
    [--c5_0,--c7_0,--c6_0]).

input_clause(clause275,conjecture,
    [--ndr1_0,
     ++ndr1_1(U),
     ++c6_1(U),
     ++ssSkC17]).

input_clause(clause276,conjecture,
    [--c2_2(a454,a455),
     --c4_0,
     ++c7_0]).

input_clause(clause277,conjecture,
    [--c4_2(a449,a452),
     --c1_0,
     ++c2_0]).

input_clause(clause278,conjecture,
    [--c2_2(a449,a451),
     --c1_0,
     ++c2_0]).

input_clause(clause279,conjecture,
    [--c4_2(a449,a451),
     --c1_0,
     ++c2_0]).

input_clause(clause280,conjecture,
    [--c7_2(a449,a450),
     --c1_0,
     ++c2_0]).

input_clause(clause281,conjecture,
    [--c8_2(a449,a450),
     --c1_0,
     ++c2_0]).

input_clause(clause282,conjecture,
    [--ssSkC28,
     --c5_2(a445,a447),
     --c6_0]).

input_clause(clause283,conjecture,
    [--ssSkC28,
     --c2_2(a445,a447),
     --c6_0]).

input_clause(clause284,conjecture,
    [--ssSkC28,
     --c5_2(a445,a446),
     --c6_0]).

input_clause(clause285,conjecture,
    [--ssSkC28,
     --c8_2(a445,a446),
     --c6_0]).

input_clause(clause286,conjecture,
    [--ssSkC24,
     --c1_2(a425,a426),
     --c7_0]).

input_clause(clause287,conjecture,
    [--c3_0,
     --c5_0,
     ++c2_2(a414,a415)]).

input_clause(clause288,conjecture,
    [--c6_1(a414),
     --c3_0,
     --c5_0]).

input_clause(clause289,conjecture,
    [--c7_2(a408,a409),
     --c5_0,
     ++c2_0]).

input_clause(clause290,conjecture,
    [--c3_2(a395,a396),
     --c7_0,
     ++c8_0]).

input_clause(clause291,conjecture,
    [--c2_2(a395,a396),
     --c7_0,
     ++c8_0]).

input_clause(clause292,conjecture,
    [--c8_2(a385,a386),
     --c3_0,
     ++c5_0]).

input_clause(clause293,conjecture,
    [--c3_2(a385,a386),
     --c3_0,
     ++c5_0]).

input_clause(clause294,conjecture,
    [--c6_2(a385,a386),
     --c3_0,
     ++c5_0]).

input_clause(clause295,conjecture,
    [--c3_0,
     --c4_0,
     ++c3_2(a376,a377)]).

input_clause(clause296,conjecture,
    [--c5_0,
     --c3_0,
     ++c5_2(a374,a375)]).

input_clause(clause297,conjecture,
    [--ssSkC17,
     --c4_2(a369,a370),
     --c2_0]).

input_clause(clause298,conjecture,
    [--ssSkC17,
     --c5_2(a369,a370),
     --c2_0]).

input_clause(clause299,conjecture,
    [--ssSkC17,
     --c8_2(a369,a370),
     --c2_0]).

input_clause(clause300,conjecture,
    [--ssSkC12,
     --c6_2(a355,a356),
     --c7_0]).

input_clause(clause301,conjecture,
    [--ssSkC9,
     --c4_2(a347,a348),
     --c6_0]).

input_clause(clause302,conjecture,
    [--ssSkC6,
     --c3_2(a334,a335),
     --c3_0]).

input_clause(clause303,conjecture,
    [--ssSkC6,
     --c4_2(a334,a335),
     --c3_0]).

input_clause(clause304,conjecture,
    [--ssSkC5,
     --c8_2(a330,a332),
     --c2_0]).

input_clause(clause305,conjecture,
    [--ssSkC5,
     --c2_2(a330,a332),
     --c2_0]).

input_clause(clause306,conjecture,
    [--ssSkC5,
     --c5_2(a330,a332),
     --c2_0]).

input_clause(clause307,conjecture,
    [--ssSkC5,
     --c5_2(a330,a331),
     --c2_0]).

input_clause(clause308,conjecture,
    [--ssSkC5,
     --c1_2(a330,a331),
     --c2_0]).

input_clause(clause309,conjecture,
    [--c7_2(a311,a313),
     --c2_0,
     ++c5_0]).

input_clause(clause310,conjecture,
    [--c4_2(a311,a313),
     --c2_0,
     ++c5_0]).

input_clause(clause311,conjecture,
    [--c5_2(a311,a313),
     --c2_0,
     ++c5_0]).

input_clause(clause312,conjecture,
    [--c4_2(a311,a312),
     --c2_0,
     ++c5_0]).

input_clause(clause313,conjecture,
    [--c5_2(a311,a312),
     --c2_0,
     ++c5_0]).

input_clause(clause314,conjecture,
    [--c3_2(a305,a306),
     --c3_0,
     ++c1_0]).

input_clause(clause315,conjecture,
    [--c1_1(a298),
     --c2_0,
     --c3_0]).

input_clause(clause316,conjecture,
    [--c3_1(a298),
     --c2_0,
     --c3_0]).

input_clause(clause317,conjecture,
    [--ndr1_0,
     ++c4_2(U,a368),
     ++c6_1(U),
     ++ssSkC17]).

input_clause(clause318,conjecture,
    [--ssSkC25,
     --ndr1_0,
     --c7_0,
     ++ndr1_1(U),
     ++c4_1(U)]).

input_clause(clause319,conjecture,
    [--c3_2(a417,a418),
     --c7_0,
     --c8_0]).

input_clause(clause320,conjecture,
    [--c6_2(a417,a418),
     --c7_0,
     --c8_0]).

input_clause(clause321,conjecture,
    [--c6_1(U),
     --ndr1_0,
     ++ndr1_1(U),
     ++c4_0,
     ++c5_0]).

input_clause(clause322,conjecture,
    [--c7_2(a414,a415),
     --c3_0,
     --c5_0]).

input_clause(clause323,conjecture,
    [--c1_2(a414,a415),
     --c3_0,
     --c5_0]).

input_clause(clause324,conjecture,
    [--c5_2(a376,a377),
     --c3_0,
     --c4_0]).

input_clause(clause325,conjecture,
    [--c6_2(a376,a377),
     --c3_0,
     --c4_0]).

input_clause(clause326,conjecture,
    [--c7_2(a374,a375),
     --c5_0,
     --c3_0]).

input_clause(clause327,conjecture,
    [--c6_2(a374,a375),
     --c5_0,
     --c3_0]).

input_clause(clause328,conjecture,
    [--ssSkC13,
     --ssSkC14,
     --c6_1(U),
     --ndr1_0,
     ++ndr1_1(U)]).

input_clause(clause329,conjecture,
    [--ndr1_0,
     --c8_0,
     ++ndr1_1(U),
     ++c2_1(U),
     ++c8_1(U)]).

input_clause(clause330,conjecture,
    [--ssSkP2(U),
     --ssSkC20,
     --c2_1(U),
     --ndr1_0,
     ++ndr1_1(U)]).

input_clause(clause331,conjecture,
    [--ssSkP0(U),
     --c2_1(U),
     --ndr1_0,
     ++ndr1_1(U),
     ++c2_0]).

input_clause(clause332,conjecture,
    [--c8_2(U,a368),
     --ndr1_0,
     ++c6_1(U),
     ++ssSkC17]).

input_clause(clause333,conjecture,
    [--ssSkC13,
     --ssSkC14,
     --c6_1(U),
     --ndr1_0,
     ++c7_2(U,a361)]).

input_clause(clause334,conjecture,
    [--c5_1(U),
     --ndr1_0,
     ++ndr1_1(U),
     ++c7_1(U),
     ++ssSkC25]).

input_clause(clause335,conjecture,
    [--c2_1(U),
     --ndr1_0,
     ++ndr1_1(U),
     ++c3_1(U),
     ++ssSkC19]).

input_clause(clause336,conjecture,
    [--c2_1(U),
     --ndr1_0,
     ++ndr1_1(U),
     ++c3_1(U),
     ++ssSkC7]).

input_clause(clause337,conjecture,
    [--ndr1_0,
     --c8_0,
     ++c1_2(U,a404),
     ++c2_1(U),
     ++c8_1(U)]).

input_clause(clause338,conjecture,
    [--ssSkP2(U),
     --ssSkC20,
     --c2_1(U),
     --ndr1_0,
     ++c3_2(U,a390)]).

input_clause(clause339,conjecture,
    [--ssSkP0(U),
     --c2_1(U),
     --ndr1_0,
     ++c1_2(U,a341),
     ++c2_0]).

input_clause(clause340,conjecture,
    [--ssSkP0(U),
     --c2_1(U),
     --ndr1_0,
     ++c7_2(U,a341),
     ++c2_0]).

input_clause(clause341,conjecture,
    [--ndr1_1(a441),
     ++c4_2(a441,U),
     ++c1_2(a441,U),
     ++ssSkC27]).

input_clause(clause342,conjecture,
    [--ndr1_1(a366),
     ++c7_2(a366,U),
     ++c1_2(a366,U),
     ++ssSkC16]).

input_clause(clause343,conjecture,
    [--ndr1_1(a366),
     ++c8_2(a366,U),
     ++c4_2(a366,U),
     ++ssSkC16]).

input_clause(clause344,conjecture,
    [--ndr1_1(a365),
     ++c4_2(a365,U),
     ++c5_2(a365,U),
     ++ssSkC15]).

input_clause(clause345,conjecture,
    [--ndr1_1(a342),
     ++c4_2(a342,U),
     ++c5_2(a342,U),
     ++ssSkC8]).

input_clause(clause346,conjecture,
    [--ssSkC25,
     --c5_2(U,a435),
     --ndr1_0,
     --c7_0,
     ++c4_1(U)]).

input_clause(clause347,conjecture,
    [--ssSkC25,
     --c3_2(U,a435),
     --ndr1_0,
     --c7_0,
     ++c4_1(U)]).

input_clause(clause348,conjecture,
    [--c8_2(U,a416),
     --c6_1(U),
     --ndr1_0,
     ++c4_0,
     ++c5_0]).

input_clause(clause349,conjecture,
    [--c7_2(U,a416),
     --c6_1(U),
     --ndr1_0,
     ++c4_0,
     ++c5_0]).

input_clause(clause350,conjecture,
    [--c4_2(U,a416),
     --c6_1(U),
     --ndr1_0,
     ++c4_0,
     ++c5_0]).

input_clause(clause351,conjecture,
    [--ssSkC13,
     --ssSkC14,
     --c5_2(U,a361),
     --c6_1(U),
     --ndr1_0]).

input_clause(clause352,conjecture,
    [--ssSkC13,
     --ssSkC14,
     --c4_2(U,a361),
     --c6_1(U),
     --ndr1_0]).

input_clause(clause353,conjecture,
    [--c8_1(U),
     --c4_1(U),
     --ndr1_0,
     ++ndr1_1(U),
     ++ssSkC28]).

input_clause(clause354,conjecture,
    [--c5_1(U),
     --c6_1(U),
     --ndr1_0,
     ++ndr1_1(U),
     ++ssSkC21]).

input_clause(clause355,conjecture,
    [--c2_1(U),
     --ndr1_0,
     ++c6_2(U,a378),
     ++c3_1(U),
     ++ssSkC19]).

input_clause(clause356,conjecture,
    [--c2_1(U),
     --ndr1_0,
     ++c8_2(U,a337),
     ++c3_1(U),
     ++ssSkC7]).

input_clause(clause357,conjecture,
    [--c2_1(U),
     --ndr1_0,
     ++c5_2(U,a337),
     ++c3_1(U),
     ++ssSkC7]).

input_clause(clause358,conjecture,
    [--c6_1(U),
     --ndr1_0,
     ++c8_1(U),
     ++c5_1(U),
     ++c1_1(a410),
     ++c4_0]).

input_clause(clause359,conjecture,
    [--c3_2(U,a404),
     --ndr1_0,
     --c8_0,
     ++c2_1(U),
     ++c8_1(U)]).

input_clause(clause360,conjecture,
    [--c6_2(U,a404),
     --ndr1_0,
     --c8_0,
     ++c2_1(U),
     ++c8_1(U)]).

input_clause(clause361,conjecture,
    [--ssSkP2(U),
     --ssSkC20,
     --c7_2(U,a390),
     --c2_1(U),
     --ndr1_0]).

input_clause(clause362,conjecture,
    [--ssSkP2(U),
     --ssSkC20,
     --c8_2(U,a390),
     --c2_1(U),
     --ndr1_0]).

input_clause(clause363,conjecture,
    [--ssSkC3,
     --c6_1(U),
     --ndr1_0,
     ++c4_1(U),
     ++c1_1(U),
     ++ndr1_1(a321)]).

input_clause(clause364,conjecture,
    [--c2_2(a354,U),
     --ndr1_1(a354),
     ++c8_2(a354,U),
     ++ssSkC12]).

input_clause(clause365,conjecture,
    [--ssSkC22,
     --c1_2(a400,U),
     --ndr1_1(a400),
     ++c5_2(a400,U),
     ++c5_0]).

input_clause(clause366,conjecture,
    [--ndr1_1(a339),
     --c2_0,
     ++c8_2(a339,U),
     ++c2_2(a339,U),
     ++c3_0]).

input_clause(clause367,conjecture,
    [--c8_1(U),
     --c4_1(U),
     --ndr1_0,
     ++c7_2(U,a444),
     ++ssSkC28]).

input_clause(clause368,conjecture,
    [--c8_1(U),
     --c4_1(U),
     --ndr1_0,
     ++c2_2(U,a444),
     ++ssSkC28]).

input_clause(clause369,conjecture,
    [--c8_1(U),
     --c4_1(U),
     --ndr1_0,
     ++c4_2(U,a444),
     ++ssSkC28]).

input_clause(clause370,conjecture,
    [--c3_2(U,a434),
     --c5_1(U),
     --ndr1_0,
     ++c7_1(U),
     ++ssSkC25]).

input_clause(clause371,conjecture,
    [--c6_2(U,a434),
     --c5_1(U),
     --ndr1_0,
     ++c7_1(U),
     ++ssSkC25]).

input_clause(clause372,conjecture,
    [--c1_2(U,a434),
     --c5_1(U),
     --ndr1_0,
     ++c7_1(U),
     ++ssSkC25]).

input_clause(clause373,conjecture,
    [--c5_1(U),
     --c6_1(U),
     --ndr1_0,
     ++c7_2(U,a391),
     ++ssSkC21]).

input_clause(clause374,conjecture,
    [--c5_1(U),
     --c6_1(U),
     --ndr1_0,
     ++c8_2(U,a391),
     ++ssSkC21]).

input_clause(clause375,conjecture,
    [--c2_2(U,a378),
     --c2_1(U),
     --ndr1_0,
     ++c3_1(U),
     ++ssSkC19]).

input_clause(clause376,conjecture,
    [--c5_2(U,a378),
     --c2_1(U),
     --ndr1_0,
     ++c3_1(U),
     ++ssSkC19]).

input_clause(clause377,conjecture,
    [--c7_2(U,a337),
     --c2_1(U),
     --ndr1_0,
     ++c3_1(U),
     ++ssSkC7]).

input_clause(clause378,conjecture,
    [--c6_1(U),
     --ndr1_0,
     --c6_1(a410),
     ++c8_1(U),
     ++c5_1(U),
     ++c4_0]).

input_clause(clause379,conjecture,
    [--ssSkC3,
     --c6_1(U),
     --ndr1_0,
     ++c4_1(U),
     ++c1_1(U),
     ++c5_2(a321,a322)]).

input_clause(clause380,conjecture,
    [--c5_2(a436,U),
     --ndr1_1(a436),
     --c1_0,
     ++c2_2(a436,U),
     ++c6_0]).

input_clause(clause381,conjecture,
    [--c3_2(a408,U),
     --ndr1_1(a408),
     --c5_0,
     ++c7_2(a408,U),
     ++c2_0]).

input_clause(clause382,conjecture,
    [--c7_2(a339,U),
     --ndr1_1(a339),
     --c2_0,
     ++c8_2(a339,U),
     ++c3_0]).

input_clause(clause383,conjecture,
    [--c4_2(U,a391),
     --c5_1(U),
     --c6_1(U),
     --ndr1_0,
     ++ssSkC21]).

input_clause(clause384,conjecture,
    [--ndr1_1(a351),
     ++c2_2(a351,U),
     ++c4_2(a351,U),
     ++c5_2(a351,U),
     ++ssSkC11]).

input_clause(clause385,conjecture,
    [--ndr1_1(a350),
     ++c1_2(a350,U),
     ++c8_2(a350,U),
     ++c4_2(a350,U),
     ++ssSkC10]).

input_clause(clause386,conjecture,
    [--ndr1_1(a317),
     ++c3_2(a317,U),
     ++c6_2(a317,U),
     ++c7_2(a317,U),
     ++ssSkC2]).

input_clause(clause387,conjecture,
    [--ndr1_1(a317),
     ++c4_2(a317,U),
     ++c8_2(a317,U),
     ++c5_2(a317,U),
     ++ssSkC2]).

input_clause(clause388,conjecture,
    [--ndr1_0,
     --c5_1(U),
     --c6_0,
     ++c5_1(V),
     ++c7_1(V),
     ++ndr1_1(U),
     ++c3_1(U)]).

input_clause(clause389,conjecture,
    [--c6_2(a402,U),
     --ndr1_1(a402),
     ++c8_2(a402,U),
     ++c2_2(a402,U),
     ++c7_0]).

input_clause(clause390,conjecture,
    [--ssSkC19,
     --ndr1_1(a379),
     ++c3_2(a379,U),
     ++c5_2(a379,U),
     ++c4_2(a379,U),
     ++c5_0]).

input_clause(clause391,conjecture,
    [--ssSkC3,
     --c6_1(U),
     --ndr1_0,
     --c8_2(a321,a322),
     ++c4_1(U),
     ++c1_1(U)]).

input_clause(clause392,conjecture,
    [--ssSkC3,
     --c6_1(U),
     --ndr1_0,
     --c6_2(a321,a322),
     ++c4_1(U),
     ++c1_1(U)]).

input_clause(clause393,conjecture,
    [--c2_2(a309,U),
     --ndr1_1(a309),
     ++c3_2(a309,U),
     ++c6_2(a309,U),
     ++c5_0]).

input_clause(clause394,conjecture,
    [--ndr1_1(a307),
     ++c5_2(a307,U),
     ++c7_2(a307,U),
     ++c1_2(a307,U),
     ++c4_0,
     ++c8_0]).

input_clause(clause395,conjecture,
    [--c7_2(a311,U),
     --c8_2(a311,U),
     --ndr1_1(a311),
     --c2_0,
     ++c5_0]).

input_clause(clause396,conjecture,
    [--c4_2(a366,U),
     --ndr1_1(a366),
     ++c1_2(a366,U),
     ++c2_2(a366,U),
     ++ssSkC16]).

input_clause(clause397,conjecture,
    [--c6_2(a350,U),
     --ndr1_1(a350),
     ++c2_2(a350,U),
     ++c4_2(a350,U),
     ++ssSkC10]).

input_clause(clause398,conjecture,
    [--c2_2(a300,U),
     --ndr1_1(a300),
     ++c1_2(a300,U),
     ++c6_2(a300,U),
     ++ssSkC0]).

input_clause(clause399,conjecture,
    [--ssSkC26,
     --ssSkC27,
     --c7_2(a442,U),
     --ndr1_1(a442),
     ++c8_2(a442,U),
     ++c6_2(a442,U)]).

input_clause(clause400,conjecture,
    [--ndr1_0,
     --c5_1(U),
     --c6_0,
     ++c5_1(V),
     ++c7_1(V),
     ++c6_2(U,a430),
     ++c3_1(U)]).

input_clause(clause401,conjecture,
    [--ndr1_0,
     --c5_1(U),
     --c6_0,
     ++c5_1(V),
     ++c7_1(V),
     ++c2_2(U,a430),
     ++c3_1(U)]).

input_clause(clause402,conjecture,
    [--ssSkC17,
     --ndr1_1(a369),
     --c2_0,
     ++c3_2(a369,U),
     ++c1_2(a369,U),
     ++c4_2(a369,U)]).

input_clause(clause403,conjecture,
    [--c4_2(a357,U),
     --c5_2(a357,U),
     --ndr1_1(a357),
     ++c1_2(a357,U),
     ++ssSkC13]).

input_clause(clause404,conjecture,
    [--c7_2(a357,U),
     --c8_2(a357,U),
     --ndr1_1(a357),
     ++c5_2(a357,U),
     ++ssSkC13]).

input_clause(clause405,conjecture,
    [--c6_2(a351,U),
     --c7_2(a351,U),
     --ndr1_1(a351),
     ++c1_2(a351,U),
     ++ssSkC11]).

input_clause(clause406,conjecture,
    [--c3_2(a350,U),
     --c5_2(a350,U),
     --ndr1_1(a350),
     ++c4_2(a350,U),
     ++ssSkC10]).

input_clause(clause407,conjecture,
    [--c8_2(a342,U),
     --c4_2(a342,U),
     --ndr1_1(a342),
     ++c5_2(a342,U),
     ++ssSkC8]).

input_clause(clause408,conjecture,
    [--c3_2(a453,U),
     --c2_2(a453,U),
     --ndr1_1(a453),
     ++c7_2(a453,U),
     ++c1_0,
     ++c4_0]).

input_clause(clause409,conjecture,
    [--c8_2(a453,U),
     --c4_2(a453,U),
     --ndr1_1(a453),
     ++c3_2(a453,U),
     ++c1_0,
     ++c4_0]).

input_clause(clause410,conjecture,
    [--ndr1_0,
     --c3_2(U,a430),
     --c5_1(U),
     --c6_0,
     ++c5_1(V),
     ++c7_1(V),
     ++c3_1(U)]).

input_clause(clause411,conjecture,
    [--c3_2(a384,U),
     --c2_2(a384,U),
     --c7_2(a384,U),
     --ndr1_1(a384),
     ++c3_0]).

input_clause(clause412,conjecture,
    [--c6_2(a371,U),
     --c5_2(a371,U),
     --ndr1_1(a371),
     --c6_0,
     ++c4_2(a371,U)]).

input_clause(clause413,conjecture,
    [--ssSkC10,
     --ssSkC11,
     --c5_2(a352,U),
     --c8_2(a352,U),
     --ndr1_1(a352),
     ++c1_2(a352,U)]).

input_clause(clause414,conjecture,
    [--c2_2(a315,U),
     --c5_2(a315,U),
     --c1_2(a315,U),
     --ndr1_1(a315),
     ++ssSkC1]).

input_clause(clause415,conjecture,
    [--c8_2(a428,U),
     --c5_2(a428,U),
     --ndr1_1(a428),
     --c8_0,
     ++c7_2(a428,U),
     ++c2_0]).

input_clause(clause416,conjecture,
    [--c7_2(a395,U),
     --c2_2(a395,U),
     --ndr1_1(a395),
     --c7_0,
     ++c4_2(a395,U),
     ++c8_0]).

input_clause(clause417,conjecture,
    [--c1_2(a376,U),
     --ndr1_1(a376),
     --c3_0,
     --c4_0,
     ++c4_2(a376,U),
     ++c3_2(a376,U)]).

input_clause(clause418,conjecture,
    [--c5_2(a374,U),
     --ndr1_1(a374),
     --c5_0,
     --c3_0,
     ++c2_2(a374,U),
     ++c4_2(a374,U)]).

input_clause(clause419,conjecture,
    [--ssSkC4,
     --c7_2(a325,U),
     --c5_2(a325,U),
     --c1_2(a325,U),
     --ndr1_1(a325),
     ++c2_0]).

input_clause(clause420,conjecture,
    [--c6_2(a305,U),
     --c8_2(a305,U),
     --ndr1_1(a305),
     --c3_0,
     ++c4_2(a305,U),
     ++c1_0]).

input_clause(clause421,conjecture,
    [--c4_2(a299,U),
     --c1_2(a299,U),
     --c3_2(a299,U),
     --ndr1_1(a299),
     ++c3_0,
     ++c8_0]).

input_clause(clause422,conjecture,
    [--c1_1(U),
     --c2_1(U),
     --c8_1(U),
     --ndr1_0,
     --c1_1(V),
     ++c4_1(V),
     ++c8_1(V),
     ++c8_0]).

input_clause(clause423,conjecture,
    [--ssSkP3(U),
     --ndr1_1(U),
     --ndr1_0,
     ++c7_2(U,V),
     ++c3_2(U,V),
     ++c6_2(U,V),
     ++c2_2(U,a412),
     ++ssSkC23]).

input_clause(clause424,conjecture,
    [--ssSkP3(U),
     --ndr1_1(U),
     --ndr1_0,
     ++c7_2(U,V),
     ++c3_2(U,V),
     ++c6_2(U,V),
     ++c6_2(U,a412),
     ++ssSkC23]).

input_clause(clause425,conjecture,
    [--ssSkP3(U),
     --ndr1_1(U),
     --ndr1_0,
     ++c7_2(U,V),
     ++c3_2(U,V),
     ++c6_2(U,V),
     ++c8_2(U,a412),
     ++ssSkC23]).

input_clause(clause426,conjecture,
    [--c7_2(U,V),
     --ndr1_1(U),
     --c6_1(U),
     --ndr1_0,
     ++c4_2(U,V),
     ++c1_2(U,a320),
     ++ssSkC3]).

input_clause(clause427,conjecture,
    [--c7_2(U,V),
     --ndr1_1(U),
     --c6_1(U),
     --ndr1_0,
     ++c4_2(U,V),
     ++c3_2(U,a320),
     ++ssSkC3]).

input_clause(clause428,conjecture,
    [--c7_2(U,V),
     --ndr1_1(U),
     --c6_1(U),
     --ndr1_0,
     ++c4_2(U,V),
     ++c4_2(U,a320),
     ++ssSkC3]).

input_clause(clause429,conjecture,
    [--c4_2(a436,U),
     --c3_2(a436,U),
     --c5_2(a436,U),
     --ndr1_1(a436),
     --c1_0,
     ++c6_0]).

input_clause(clause430,conjecture,
    [--ndr1_1(U),
     --c2_1(U),
     --ndr1_0,
     --c1_0,
     ++c7_2(U,V),
     ++c5_2(U,V),
     ++c5_2(U,a429),
     ++c2_0]).

input_clause(clause431,conjecture,
    [--ndr1_1(U),
     --c2_1(U),
     --ndr1_0,
     --c1_0,
     ++c7_2(U,V),
     ++c5_2(U,V),
     ++c8_2(U,a429),
     ++c2_0]).

input_clause(clause432,conjecture,
    [--ssSkC21,
     --c4_2(U,V),
     --ndr1_1(U),
     --c3_1(U),
     --ndr1_0,
     ++c8_2(U,V),
     ++c2_2(U,a392),
     ++c1_0]).

input_clause(clause433,conjecture,
    [--c8_2(a376,U),
     --c5_2(a376,U),
     --ndr1_1(a376),
     --c3_0,
     --c4_0,
     ++c1_2(a376,U)]).

input_clause(clause434,conjecture,
    [--c5_2(a374,U),
     --c1_2(a374,U),
     --ndr1_1(a374),
     --c5_0,
     --c3_0,
     ++c8_2(a374,U)]).

input_clause(clause435,conjecture,
    [--ndr1_1(U),
     --c6_2(U,a429),
     --c2_1(U),
     --ndr1_0,
     --c1_0,
     ++c7_2(U,V),
     ++c5_2(U,V),
     ++c2_0]).

input_clause(clause436,conjecture,
    [--ndr1_1(U),
     --ndr1_0,
     --c2_0,
     ++c6_2(U,V),
     ++c2_2(U,V),
     ++c3_2(U,V),
     ++c8_1(U),
     ++c4_1(U),
     ++ndr1_1(a405)]).

input_clause(clause437,conjecture,
    [--ndr1_1(U),
     --ndr1_0,
     --c2_0,
     ++c6_2(U,V),
     ++c2_2(U,V),
     ++c3_2(U,V),
     ++c8_1(U),
     ++c4_1(U),
     ++c6_1(a405)]).

input_clause(clause438,conjecture,
    [--ssSkC21,
     --c4_2(U,V),
     --ndr1_1(U),
     --c4_2(U,a392),
     --c3_1(U),
     --ndr1_0,
     ++c8_2(U,V),
     ++c1_0]).

input_clause(clause439,conjecture,
    [--c2_2(U,V),
     --c6_2(U,V),
     --ndr1_1(U),
     --ndr1_0,
     ++c7_2(U,V),
     ++c6_1(U),
     ++c8_1(U),
     ++c4_0,
     ++c3_0]).

input_clause(clause440,conjecture,
    [--ssSkC2,
     --c1_2(U,V),
     --c8_2(U,V),
     --ndr1_1(U),
     --ndr1_0,
     --c8_0,
     ++c3_2(U,V),
     ++c7_2(U,a318)]).

input_clause(clause441,conjecture,
    [--c4_2(U,V),
     --ndr1_1(U),
     --c2_1(U),
     --ndr1_0,
     --c6_0,
     --c5_0,
     ++c1_2(U,V),
     ++c8_2(U,V)]).

input_clause(clause442,conjecture,
    [--c1_2(U,V),
     --ndr1_1(U),
     --c1_1(U),
     --ndr1_0,
     ++c8_2(U,V),
     ++c3_2(U,V),
     ++c4_2(U,a372),
     ++ssSkC18]).

input_clause(clause443,conjecture,
    [--ssSkP1(U),
     --c1_2(U,V),
     --ndr1_1(U),
     --c5_2(U,a360),
     --ndr1_0,
     ++c7_2(U,V),
     ++c4_2(U,V),
     ++ssSkC14]).

input_clause(clause444,conjecture,
    [--ssSkP1(U),
     --c1_2(U,V),
     --ndr1_1(U),
     --c4_2(U,a360),
     --ndr1_0,
     ++c7_2(U,V),
     ++c4_2(U,V),
     ++ssSkC14]).

input_clause(clause445,conjecture,
    [--ssSkP1(U),
     --c1_2(U,V),
     --ndr1_1(U),
     --c8_2(U,a360),
     --ndr1_0,
     ++c7_2(U,V),
     ++c4_2(U,V),
     ++ssSkC14]).

input_clause(clause446,conjecture,
    [--c1_2(U,V),
     --c5_2(U,V),
     --ndr1_1(U),
     --ndr1_0,
     ++c8_2(U,V),
     ++c2_2(U,a333),
     ++c4_1(U),
     ++ssSkC6]).

input_clause(clause447,conjecture,
    [--c1_2(U,V),
     --c5_2(U,V),
     --ndr1_1(U),
     --ndr1_0,
     ++c8_2(U,V),
     ++c6_2(U,a333),
     ++c4_1(U),
     ++ssSkC6]).

input_clause(clause448,conjecture,
    [--c5_2(U,V),
     --ndr1_1(U),
     --ndr1_0,
     --c1_1(a431),
     ++c3_2(U,V),
     ++c4_2(U,V),
     ++c4_1(U),
     ++c7_1(U),
     ++c6_0]).

input_clause(clause449,conjecture,
    [--c5_2(U,V),
     --ndr1_1(U),
     --ndr1_0,
     --c2_1(a431),
     ++c3_2(U,V),
     ++c4_2(U,V),
     ++c4_1(U),
     ++c7_1(U),
     ++c6_0]).

input_clause(clause450,conjecture,
    [--c6_1(U),
     --ndr1_0,
     --c1_2(a410,V),
     --c2_2(a410,V),
     --ndr1_1(a410),
     ++c8_1(U),
     ++c5_1(U),
     ++c4_0]).

input_clause(clause451,conjecture,
    [--ndr1_1(U),
     --ndr1_0,
     --c2_0,
     ++c6_2(U,V),
     ++c2_2(U,V),
     ++c3_2(U,V),
     ++c8_1(U),
     ++c4_1(U),
     ++c7_2(a405,a406)]).

input_clause(clause452,conjecture,
    [--ndr1_1(U),
     --ndr1_0,
     --c2_0,
     ++c6_2(U,V),
     ++c2_2(U,V),
     ++c3_2(U,V),
     ++c8_1(U),
     ++c4_1(U),
     ++c2_2(a405,a406)]).

input_clause(clause453,conjecture,
    [--ssSkC15,
     --ssSkC16,
     --c1_2(U,V),
     --c6_2(U,V),
     --ndr1_1(U),
     --ndr1_0,
     ++c5_2(U,V),
     ++c4_2(U,a367),
     ++c3_1(U)]).

input_clause(clause454,conjecture,
    [--ssSkC15,
     --ssSkC16,
     --c1_2(U,V),
     --c6_2(U,V),
     --ndr1_1(U),
     --ndr1_0,
     ++c5_2(U,V),
     ++c5_2(U,a367),
     ++c3_1(U)]).

input_clause(clause455,conjecture,
    [--c6_2(U,V),
     --c2_2(U,V),
     --ndr1_1(U),
     --ndr1_0,
     --c2_0,
     ++c1_2(U,V),
     ++c2_1(U),
     ++c7_1(U),
     ++c3_0]).

input_clause(clause456,conjecture,
    [--ssSkC2,
     --c1_2(U,V),
     --c8_2(U,V),
     --ndr1_1(U),
     --c2_2(U,a318),
     --ndr1_0,
     --c8_0,
     ++c3_2(U,V)]).

input_clause(clause457,conjecture,
    [--ssSkC2,
     --c1_2(U,V),
     --c8_2(U,V),
     --ndr1_1(U),
     --c1_2(U,a318),
     --ndr1_0,
     --c8_0,
     ++c3_2(U,V)]).

input_clause(clause458,conjecture,
    [--c1_2(U,V),
     --ndr1_1(U),
     --c8_2(U,a372),
     --c1_1(U),
     --ndr1_0,
     ++c8_2(U,V),
     ++c3_2(U,V),
     ++ssSkC18]).

input_clause(clause459,conjecture,
    [--c1_2(U,V),
     --ndr1_1(U),
     --c5_2(U,a372),
     --c1_1(U),
     --ndr1_0,
     ++c8_2(U,V),
     ++c3_2(U,V),
     ++ssSkC18]).

input_clause(clause460,conjecture,
    [--c1_2(U,V),
     --c5_2(U,V),
     --ndr1_1(U),
     --c7_2(U,a333),
     --ndr1_0,
     ++c8_2(U,V),
     ++c4_1(U),
     ++ssSkC6]).

input_clause(clause461,conjecture,
    [--c8_2(U,V),
     --c5_2(U,V),
     --ndr1_1(U),
     --c7_2(U,a437),
     --ndr1_0,
     ++c1_2(U,V),
     ++c6_1(U),
     ++c6_0,
     ++c4_0]).

input_clause(clause462,conjecture,
    [--c8_2(U,V),
     --c5_2(U,V),
     --ndr1_1(U),
     --c1_2(U,a437),
     --ndr1_0,
     ++c1_2(U,V),
     ++c6_1(U),
     ++c6_0,
     ++c4_0]).

input_clause(clause463,conjecture,
    [--ndr1_1(U),
     --ndr1_0,
     --c5_2(a405,a407),
     --c2_0,
     ++c6_2(U,V),
     ++c2_2(U,V),
     ++c3_2(U,V),
     ++c8_1(U),
     ++c4_1(U)]).

input_clause(clause464,conjecture,
    [--ndr1_1(U),
     --ndr1_0,
     --c6_2(a405,a407),
     --c2_0,
     ++c6_2(U,V),
     ++c2_2(U,V),
     ++c3_2(U,V),
     ++c8_1(U),
     ++c4_1(U)]).

input_clause(clause465,conjecture,
    [--ndr1_1(U),
     --ndr1_0,
     --c8_2(a405,a406),
     --c2_0,
     ++c6_2(U,V),
     ++c2_2(U,V),
     ++c3_2(U,V),
     ++c8_1(U),
     ++c4_1(U)]).

input_clause(clause466,conjecture,
    [--ssSkC15,
     --ssSkC16,
     --c1_2(U,V),
     --c6_2(U,V),
     --ndr1_1(U),
     --c8_2(U,a367),
     --ndr1_0,
     ++c5_2(U,V),
     ++c3_1(U)]).

input_clause(clause467,conjecture,
    [--c1_2(U,V),
     --c5_2(U,V),
     --ndr1_1(U),
     --ndr1_0,
     --c6_0,
     ++c7_2(U,V),
     ++c7_2(U,a310),
     ++c4_1(U),
     ++c7_0]).

input_clause(clause468,conjecture,
    [--c1_2(U,V),
     --c5_2(U,V),
     --ndr1_1(U),
     --ndr1_0,
     --c6_0,
     ++c7_2(U,V),
     ++c6_2(U,a310),
     ++c4_1(U),
     ++c7_0]).

input_clause(clause469,conjecture,
    [--c6_2(U,V),
     --ndr1_1(U),
     --c4_1(U),
     --c6_1(U),
     --ndr1_0,
     --c5_0,
     ++c2_2(U,V),
     ++c1_2(U,V),
     ++c3_0]).

input_clause(clause470,conjecture,
    [--ssSkC8,
     --c2_1(U),
     --ndr1_0,
     --c6_2(V,W),
     --ndr1_1(V),
     ++c3_1(U),
     ++c1_1(U),
     ++c4_2(V,W),
     ++c4_2(V,a344),
     ++c6_1(V)]).

input_clause(clause471,conjecture,
    [--ssSkC8,
     --c2_1(U),
     --ndr1_0,
     --c6_2(V,W),
     --ndr1_1(V),
     ++c3_1(U),
     ++c1_1(U),
     ++c4_2(V,W),
     ++c7_2(V,a344),
     ++c6_1(V)]).

input_clause(clause472,conjecture,
    [--c2_2(U,V),
     --c6_2(U,V),
     --ndr1_1(U),
     --c2_2(U,a401),
     --c1_1(U),
     --ndr1_0,
     --c3_0,
     --c7_0]).

input_clause(clause473,conjecture,
    [--c2_2(U,V),
     --c6_2(U,V),
     --ndr1_1(U),
     --c7_2(U,a401),
     --c1_1(U),
     --ndr1_0,
     --c3_0,
     --c7_0]).

input_clause(clause474,conjecture,
    [--c2_2(U,V),
     --c6_2(U,V),
     --ndr1_1(U),
     --c6_2(U,a401),
     --c1_1(U),
     --ndr1_0,
     --c3_0,
     --c7_0]).

input_clause(clause475,conjecture,
    [--c4_2(U,V),
     --c5_2(U,V),
     --c7_2(U,V),
     --ndr1_1(U),
     --c1_1(U),
     --ndr1_0,
     ++c2_1(U),
     ++ndr1_1(a393),
     ++c6_0]).

input_clause(clause476,conjecture,
    [--c1_2(U,V),
     --c5_2(U,V),
     --ndr1_1(U),
     --c3_2(U,a310),
     --ndr1_0,
     --c6_0,
     ++c7_2(U,V),
     ++c4_1(U),
     ++c7_0]).

input_clause(clause477,conjecture,
    [--ssSkC8,
     --c2_1(U),
     --ndr1_0,
     --c6_2(V,W),
     --ndr1_1(V),
     --c6_2(V,a344),
     ++c3_1(U),
     ++c1_1(U),
     ++c4_2(V,W),
     ++c6_1(V)]).

input_clause(clause478,conjecture,
    [--ssSkC3,
     --c6_1(U),
     --ndr1_0,
     --c2_2(a321,V),
     --c4_2(a321,V),
     --ndr1_1(a321),
     ++c4_1(U),
     ++c1_1(U),
     ++c6_2(a321,V)]).

input_clause(clause479,conjecture,
    [--c4_2(U,V),
     --c5_2(U,V),
     --c7_2(U,V),
     --ndr1_1(U),
     --c1_1(U),
     --ndr1_0,
     ++c2_1(U),
     ++c1_2(a393,a394),
     ++c6_0]).

input_clause(clause480,conjecture,
    [--c8_2(U,V),
     --ndr1_1(U),
     --c1_2(U,W),
     --c6_2(U,W),
     --c5_1(U),
     --ndr1_0,
     ++c5_2(U,V),
     ++c7_2(U,V),
     ++ndr1_1(a326)]).

input_clause(clause481,conjecture,
    [--c8_2(U,V),
     --ndr1_1(U),
     --c1_2(U,W),
     --c6_2(U,W),
     --c5_1(U),
     --ndr1_0,
     ++c5_2(U,V),
     ++c7_2(U,V),
     ++c8_1(a326)]).

input_clause(clause482,conjecture,
    [--c2_2(U,V),
     --ndr1_1(U),
     --ndr1_0,
     --c4_0,
     --c6_0,
     ++c1_2(U,V),
     ++c5_2(U,V),
     ++c8_2(U,W),
     ++c6_2(U,W),
     ++c5_2(U,a319)]).

input_clause(clause483,conjecture,
    [--c2_2(U,V),
     --ndr1_1(U),
     --ndr1_0,
     --c4_0,
     --c6_0,
     ++c1_2(U,V),
     ++c5_2(U,V),
     ++c8_2(U,W),
     ++c6_2(U,W),
     ++c4_2(U,a319)]).

input_clause(clause484,conjecture,
    [--c8_2(U,V),
     --ndr1_1(U),
     --c8_2(U,W),
     --c5_1(U),
     --ndr1_0,
     ++c5_2(U,V),
     ++c3_2(U,W),
     ++c2_2(U,W),
     ++c1_1(a304),
     ++c6_0]).

input_clause(clause485,conjecture,
    [--c8_2(U,V),
     --ndr1_1(U),
     --c8_2(U,W),
     --c5_1(U),
     --ndr1_0,
     ++c5_2(U,V),
     ++c3_2(U,W),
     ++c2_2(U,W),
     ++c3_1(a304),
     ++c6_0]).

input_clause(clause486,conjecture,
    [--c4_2(U,V),
     --c5_2(U,V),
     --c7_2(U,V),
     --ndr1_1(U),
     --c1_1(U),
     --ndr1_0,
     --c4_2(a393,a394),
     ++c2_1(U),
     ++c6_0]).

input_clause(clause487,conjecture,
    [--c4_2(U,V),
     --c5_2(U,V),
     --c7_2(U,V),
     --ndr1_1(U),
     --c1_1(U),
     --ndr1_0,
     --c8_2(a393,a394),
     ++c2_1(U),
     ++c6_0]).

input_clause(clause488,conjecture,
    [--c5_2(U,V),
     --ndr1_1(U),
     --c7_2(U,W),
     --c7_2(U,X),
     --ndr1_0,
     ++c3_2(U,V),
     ++c8_2(U,V),
     ++c3_2(U,W),
     ++c4_2(U,X),
     ++c5_0]).

input_clause(clause489,conjecture,
    [--ndr1_1(U),
     --c1_2(U,V),
     --ndr1_0,
     --c2_0,
     ++c1_2(U,W),
     ++c3_2(U,W),
     ++c5_2(U,W),
     ++c4_2(U,V),
     ++c5_2(U,V),
     ++c8_2(U,a427),
     ++c6_0]).

input_clause(clause490,conjecture,
    [--c8_2(U,V),
     --ndr1_1(U),
     --c1_2(U,W),
     --c6_2(U,W),
     --c5_1(U),
     --ndr1_0,
     ++c5_2(U,V),
     ++c7_2(U,V),
     ++c8_2(a326,a327)]).

input_clause(clause491,conjecture,
    [--c2_2(U,V),
     --ndr1_1(U),
     --c7_2(U,a319),
     --ndr1_0,
     --c4_0,
     --c6_0,
     ++c1_2(U,V),
     ++c5_2(U,V),
     ++c8_2(U,W),
     ++c6_2(U,W)]).

input_clause(clause492,conjecture,
    [--c8_2(U,V),
     --ndr1_1(U),
     --c8_2(U,W),
     --c5_1(U),
     --ndr1_0,
     --c5_1(a304),
     ++c5_2(U,V),
     ++c3_2(U,W),
     ++c2_2(U,W),
     ++c6_0]).

input_clause(clause493,conjecture,
    [--c5_2(U,V),
     --ndr1_1(U),
     --ndr1_0,
     --ndr1_1(a431),
     ++c3_2(U,V),
     ++c4_2(U,V),
     ++c4_1(U),
     ++c7_1(U),
     ++c1_2(a431,W),
     ++c3_2(a431,W),
     ++c6_0]).

input_clause(clause494,conjecture,
    [--ssSkP4(U),
     --c3_1(V),
     --c5_1(V),
     --ndr1_0,
     --c1_2(U,W),
     --c7_2(U,W),
     --ndr1_1(U),
     ++c2_1(V),
     ++c4_2(U,W),
     ++c5_2(U,a433),
     ++c6_0]).

input_clause(clause495,conjecture,
    [--ssSkP4(U),
     --c3_1(V),
     --c5_1(V),
     --ndr1_0,
     --c1_2(U,W),
     --c7_2(U,W),
     --ndr1_1(U),
     ++c2_1(V),
     ++c4_2(U,W),
     ++c2_2(U,a433),
     ++c6_0]).

input_clause(clause496,conjecture,
    [--ssSkP4(U),
     --c3_1(V),
     --c5_1(V),
     --ndr1_0,
     --c1_2(U,W),
     --c7_2(U,W),
     --ndr1_1(U),
     ++c2_1(V),
     ++c4_2(U,W),
     ++c1_2(U,a433),
     ++c6_0]).

input_clause(clause497,conjecture,
    [--ndr1_1(U),
     --c1_2(U,V),
     --c1_2(U,a427),
     --ndr1_0,
     --c2_0,
     ++c1_2(U,W),
     ++c3_2(U,W),
     ++c5_2(U,W),
     ++c4_2(U,V),
     ++c5_2(U,V),
     ++c6_0]).

input_clause(clause498,conjecture,
    [--c8_2(U,V),
     --ndr1_1(U),
     --c1_2(U,W),
     --c6_2(U,W),
     --c5_1(U),
     --ndr1_0,
     --c1_2(a326,a327),
     ++c5_2(U,V),
     ++c7_2(U,V)]).

input_clause(clause499,conjecture,
    [--c8_2(U,V),
     --ndr1_1(U),
     --c1_2(U,W),
     --c6_2(U,W),
     --c5_1(U),
     --ndr1_0,
     --c2_2(a326,a327),
     ++c5_2(U,V),
     ++c7_2(U,V)]).

input_clause(clause500,conjecture,
    [--c6_2(U,V),
     --c5_2(U,V),
     --c7_2(U,V),
     --ndr1_1(U),
     --c8_2(U,W),
     --c7_1(U),
     --ndr1_0,
     ++c4_2(U,W),
     ++c5_2(U,W),
     ++ndr1_1(a419)]).

input_clause(clause501,conjecture,
    [--c6_2(U,V),
     --c5_2(U,V),
     --c7_2(U,V),
     --ndr1_1(U),
     --c8_2(U,W),
     --c7_1(U),
     --ndr1_0,
     ++c4_2(U,W),
     ++c5_2(U,W),
     ++c2_2(a419,a421)]).

input_clause(clause502,conjecture,
    [--c6_2(U,V),
     --c5_2(U,V),
     --c7_2(U,V),
     --ndr1_1(U),
     --c8_2(U,W),
     --c7_1(U),
     --ndr1_0,
     ++c4_2(U,W),
     ++c5_2(U,W),
     ++c1_2(a419,a420)]).

input_clause(clause503,conjecture,
    [--c6_2(U,V),
     --c5_2(U,V),
     --c7_2(U,V),
     --ndr1_1(U),
     --c8_2(U,W),
     --c7_1(U),
     --ndr1_0,
     ++c4_2(U,W),
     ++c5_2(U,W),
     ++c7_2(a419,a420)]).

input_clause(clause504,conjecture,
    [--c6_2(U,V),
     --c5_2(U,V),
     --c7_2(U,V),
     --ndr1_1(U),
     --c8_2(U,W),
     --c7_1(U),
     --ndr1_0,
     --c1_1(a419),
     ++c4_2(U,W),
     ++c5_2(U,W)]).

input_clause(clause505,conjecture,
    [--c6_2(U,V),
     --c5_2(U,V),
     --c7_2(U,V),
     --ndr1_1(U),
     --c8_2(U,W),
     --c7_1(U),
     --ndr1_0,
     --c3_2(a419,a421),
     ++c4_2(U,W),
     ++c5_2(U,W)]).

input_clause(clause506,conjecture,
    [--c6_2(U,V),
     --c5_2(U,V),
     --c7_2(U,V),
     --ndr1_1(U),
     --c8_2(U,W),
     --c7_1(U),
     --ndr1_0,
     --c4_2(a419,a421),
     ++c4_2(U,W),
     ++c5_2(U,W)]).

input_clause(clause507,conjecture,
    [--c6_2(U,V),
     --c5_2(U,V),
     --c7_2(U,V),
     --ndr1_1(U),
     --c8_2(U,W),
     --c7_1(U),
     --ndr1_0,
     --c2_2(a419,a420),
     ++c4_2(U,W),
     ++c5_2(U,W)]).

input_clause(clause508,conjecture,
    [--c5_2(U,V),
     --ndr1_1(U),
     --c2_2(U,W),
     --c5_2(U,X),
     --ndr1_0,
     --c8_1(a448),
     ++c3_2(U,V),
     ++c8_2(U,V),
     ++c5_2(U,W),
     ++c7_2(U,W),
     ++c1_2(U,X),
     ++c3_0]).

input_clause(clause509,conjecture,
    [--c8_2(U,V),
     --ndr1_1(U),
     --c1_2(U,W),
     --c6_2(U,W),
     --c5_1(U),
     --ndr1_0,
     --c8_2(a326,X),
     --ndr1_1(a326),
     ++c5_2(U,V),
     ++c7_2(U,V),
     ++c7_2(a326,X)]).

input_clause(clause510,conjecture,
    [--c6_2(U,V),
     --ndr1_1(U),
     --c2_1(U),
     --ndr1_0,
     --c5_2(W,X),
     --ndr1_1(W),
     ++c8_2(U,V),
     ++c7_2(U,V),
     ++c8_2(U,Y),
     ++c3_2(U,Y),
     ++c7_2(W,X),
     ++c5_1(W),
     ++c8_1(W),
     ++c5_0]).

input_clause(clause511,conjecture,
    [--c4_2(U,V),
     --c5_2(U,V),
     --c7_2(U,V),
     --ndr1_1(U),
     --c1_1(U),
     --ndr1_0,
     --c8_2(a393,W),
     --c3_2(a393,W),
     --ndr1_1(a393),
     ++c2_1(U),
     ++c6_2(a393,W),
     ++c6_0]).

input_clause(clause512,conjecture,
    [--c5_2(U,V),
     --ndr1_1(U),
     --c2_2(U,W),
     --c5_2(U,X),
     --ndr1_0,
     --c1_2(a448,Y),
     --ndr1_1(a448),
     ++c3_2(U,V),
     ++c8_2(U,V),
     ++c5_2(U,W),
     ++c7_2(U,W),
     ++c1_2(U,X),
     ++c3_2(a448,Y),
     ++c3_0]).

input_clause(clause513,conjecture,
    [--c7_2(U,V),
     --ndr1_1(U),
     --ndr1_0,
     --c1_1(W),
     --c2_1(W),
     --c8_2(X,Y),
     --c6_2(X,Y),
     --ndr1_1(X),
     ++c5_2(U,V),
     ++c8_2(U,V),
     ++c1_1(U),
     ++c7_1(U),
     ++c4_1(W),
     ++c5_2(X,Y),
     ++c2_2(X,a364),
     ++c8_1(X)]).

input_clause(clause514,conjecture,
    [--c7_2(U,V),
     --ndr1_1(U),
     --ndr1_0,
     --c1_1(W),
     --c2_1(W),
     --c8_2(X,Y),
     --c6_2(X,Y),
     --ndr1_1(X),
     ++c5_2(U,V),
     ++c8_2(U,V),
     ++c1_1(U),
     ++c7_1(U),
     ++c4_1(W),
     ++c5_2(X,Y),
     ++c8_2(X,a364),
     ++c8_1(X)]).

input_clause(clause515,conjecture,
    [--c7_2(U,V),
     --ndr1_1(U),
     --ndr1_0,
     --c1_1(W),
     --c2_1(W),
     --c8_2(X,Y),
     --c6_2(X,Y),
     --ndr1_1(X),
     --c4_2(X,a364),
     ++c5_2(U,V),
     ++c8_2(U,V),
     ++c1_1(U),
     ++c7_1(U),
     ++c4_1(W),
     ++c5_2(X,Y),
     ++c8_1(X)]).

input_clause(clause516,conjecture,
    [--c5_2(U,V),
     --ndr1_1(U),
     --c2_2(U,W),
     --c5_2(U,X),
     --ndr1_0,
     --c7_2(a448,Y),
     --c3_2(a448,Y),
     --c4_2(a448,Y),
     --ndr1_1(a448),
     ++c3_2(U,V),
     ++c8_2(U,V),
     ++c5_2(U,W),
     ++c7_2(U,W),
     ++c1_2(U,X),
     ++c3_0]).

input_clause(clause517,conjecture,
    [--c2_2(U,V),
     --ndr1_1(U),
     --c7_2(U,W),
     --c3_2(U,W),
     --c2_2(U,W),
     --ndr1_0,
     --c7_2(X,Y),
     --c2_2(X,Y),
     --c3_2(X,Y),
     --ndr1_1(X),
     --c5_2(X,a443),
     --c4_1(X),
     --c5_0,
     ++c1_2(U,V),
     ++c8_2(U,V),
     ++c8_1(U)]).

input_clause(clause518,conjecture,
    [--c2_2(U,V),
     --ndr1_1(U),
     --c7_2(U,W),
     --c3_2(U,W),
     --c2_2(U,W),
     --ndr1_0,
     --c7_2(X,Y),
     --c2_2(X,Y),
     --c3_2(X,Y),
     --ndr1_1(X),
     --c2_2(X,a443),
     --c4_1(X),
     --c5_0,
     ++c1_2(U,V),
     ++c8_2(U,V),
     ++c8_1(U)]).

input_clause(clause519,conjecture,
    [--c2_2(U,V),
     --ndr1_1(U),
     --c7_2(U,W),
     --c3_2(U,W),
     --c2_2(U,W),
     --ndr1_0,
     --c7_2(X,Y),
     --c2_2(X,Y),
     --c3_2(X,Y),
     --ndr1_1(X),
     --c7_2(X,a443),
     --c4_1(X),
     --c5_0,
     ++c1_2(U,V),
     ++c8_2(U,V),
     ++c8_1(U)]).

input_clause(clause520,conjecture,
    [--c7_2(U,V),
     --c2_2(U,V),
     --c8_2(U,V),
     --ndr1_1(U),
     --c3_2(U,W),
     --c8_2(U,W),
     --ndr1_0,
     --c3_2(X,Y),
     --ndr1_1(X),
     --c7_2(X,Z),
     --c7_1(X),
     ++c8_1(U),
     ++c7_2(X,Y),
     ++c5_2(X,Y),
     ++c4_2(X,Z),
     ++c2_2(X,Z),
     ++ndr1_1(a362)]).

input_clause(clause521,conjecture,
    [--c7_2(U,V),
     --c2_2(U,V),
     --c8_2(U,V),
     --ndr1_1(U),
     --c3_2(U,W),
     --c8_2(U,W),
     --ndr1_0,
     --c3_2(X,Y),
     --ndr1_1(X),
     --c7_2(X,Z),
     --c7_1(X),
     ++c8_1(U),
     ++c7_2(X,Y),
     ++c5_2(X,Y),
     ++c4_2(X,Z),
     ++c2_2(X,Z),
     ++c5_1(a362)]).

input_clause(clause522,conjecture,
    [--c7_2(U,V),
     --c2_2(U,V),
     --c8_2(U,V),
     --ndr1_1(U),
     --c3_2(U,W),
     --c8_2(U,W),
     --ndr1_0,
     --c3_2(X,Y),
     --ndr1_1(X),
     --c7_2(X,Z),
     --c7_1(X),
     ++c8_1(U),
     ++c7_2(X,Y),
     ++c5_2(X,Y),
     ++c4_2(X,Z),
     ++c2_2(X,Z),
     ++c2_2(a362,a363)]).

input_clause(clause523,conjecture,
    [--c7_2(U,V),
     --c2_2(U,V),
     --c8_2(U,V),
     --ndr1_1(U),
     --c3_2(U,W),
     --c8_2(U,W),
     --ndr1_0,
     --c3_2(X,Y),
     --ndr1_1(X),
     --c7_2(X,Z),
     --c7_1(X),
     --c6_2(a362,a363),
     ++c8_1(U),
     ++c7_2(X,Y),
     ++c5_2(X,Y),
     ++c4_2(X,Z),
     ++c2_2(X,Z)]).

input_clause(clause524,conjecture,
    [--c7_2(U,V),
     --c2_2(U,V),
     --c8_2(U,V),
     --ndr1_1(U),
     --c3_2(U,W),
     --c8_2(U,W),
     --ndr1_0,
     --c3_2(X,Y),
     --ndr1_1(X),
     --c7_2(X,Z),
     --c7_1(X),
     --c1_2(a362,a363),
     ++c8_1(U),
     ++c7_2(X,Y),
     ++c5_2(X,Y),
     ++c4_2(X,Z),
     ++c2_2(X,Z)]).

input_clause(clause525,conjecture,
    [--c7_2(U,V),
     --c2_2(U,V),
     --c8_2(U,V),
     --ndr1_1(U),
     --c3_2(U,W),
     --c8_2(U,W),
     --ndr1_0,
     --c3_2(X,Y),
     --ndr1_1(X),
     --c7_2(X,Z),
     --c7_1(X),
     --c2_2(a362,X1),
     --ndr1_1(a362),
     ++c8_1(U),
     ++c7_2(X,Y),
     ++c5_2(X,Y),
     ++c4_2(X,Z),
     ++c2_2(X,Z),
     ++c6_2(a362,X1),
     ++c5_2(a362,X1)]).
%--------------------------------------------------------------------------
